#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dphp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|hp) integrals */

void d12hrr_order_dphp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][10] = int_stack + 280;
 Libderiv->deriv_classes[3][6][9] = int_stack + 560;
 Libderiv->deriv_classes[3][6][8] = int_stack + 840;
 Libderiv->deriv_classes[3][6][7] = int_stack + 1120;
 Libderiv->dvrr_classes[3][5] = int_stack + 1400;
 Libderiv->deriv_classes[3][6][6] = int_stack + 1610;
 Libderiv->deriv_classes[3][6][2] = int_stack + 1890;
 Libderiv->deriv_classes[3][6][1] = int_stack + 2170;
 Libderiv->dvrr_classes[2][6] = int_stack + 2450;
 Libderiv->deriv_classes[3][6][0] = int_stack + 2618;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 2898;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 3024;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 3192;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 3402;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 3682;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 3808;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 3976;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 4186;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 4466;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 4592;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 4760;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 4970;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 5250;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 5376;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 5544;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 5754;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 6034;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 6160;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 6328;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 6538;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 6818;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 6944;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 7112;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 7322;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 7602;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 7728;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 7896;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 8106;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 8386;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 8512;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 8680;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 8890;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 9170;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 9296;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 9464;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 9674;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 9954;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 10080;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 10248;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 10458;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 10738;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 10864;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 11032;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 11242;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 11522;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 11648;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 11816;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 12026;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 12306;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 12432;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 12600;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 12810;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 13090;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 13216;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 13384;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 13594;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 13874;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 14000;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 14168;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 14378;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 14658;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 14784;
 Libderiv->deriv_classes[3][5][11] = int_stack + 14952;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 15162;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 15372;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 15652;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 15778;
 Libderiv->deriv_classes[3][5][10] = int_stack + 15946;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 16156;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 16366;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 16646;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 16772;
 Libderiv->deriv_classes[3][5][9] = int_stack + 16940;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 17150;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 17360;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 17640;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 17766;
 Libderiv->deriv_classes[3][5][8] = int_stack + 17934;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 18144;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 18354;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 18634;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 18760;
 Libderiv->deriv_classes[3][5][7] = int_stack + 18928;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 19138;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 19348;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 19628;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 19754;
 Libderiv->deriv_classes[3][5][6] = int_stack + 19922;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 20132;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 20342;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 20622;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 20748;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 20916;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 21126;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 21406;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 21532;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 21700;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 21910;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 22190;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 22316;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 22484;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 22694;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 22974;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 23100;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 23268;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 23478;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 23758;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 23884;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 24052;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 24262;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 24542;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 24668;
 Libderiv->deriv_classes[3][5][2] = int_stack + 24836;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 25046;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 25256;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 25536;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 25662;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 25830;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 26040;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 26320;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 26446;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 26614;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 26824;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 27104;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 27230;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 27398;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 27608;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 27888;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 28014;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 28182;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 28392;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 28672;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 28798;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 28966;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 29176;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 29456;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 29582;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 29750;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 29960;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 30240;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 30366;
 Libderiv->deriv_classes[3][5][1] = int_stack + 30534;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 30744;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 30954;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 31234;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 31360;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 31528;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 31738;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 32018;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 32144;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 32312;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 32522;
 Libderiv->deriv_classes[2][5][11] = int_stack + 32802;
 Libderiv->deriv_classes[2][6][11] = int_stack + 32928;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 33096;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 33222;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 33390;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 33600;
 Libderiv->deriv_classes[2][5][10] = int_stack + 33880;
 Libderiv->deriv_classes[2][6][10] = int_stack + 34006;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 34174;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 34300;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 34468;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 34678;
 Libderiv->deriv_classes[2][5][9] = int_stack + 34958;
 Libderiv->deriv_classes[2][6][9] = int_stack + 35084;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 35252;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 35378;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 35546;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 35756;
 Libderiv->deriv_classes[2][5][8] = int_stack + 36036;
 Libderiv->deriv_classes[2][6][8] = int_stack + 36162;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 36330;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 36456;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 36624;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 36834;
 Libderiv->deriv_classes[2][5][7] = int_stack + 37114;
 Libderiv->deriv_classes[2][6][7] = int_stack + 37240;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 37408;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 37534;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 37702;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 37912;
 Libderiv->dvrr_classes[2][5] = int_stack + 38192;
 Libderiv->deriv_classes[2][5][6] = int_stack + 38318;
 Libderiv->deriv_classes[2][6][6] = int_stack + 38444;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 38612;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 38738;
 Libderiv->deriv_classes[3][5][0] = int_stack + 38906;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 39116;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 39326;
 Libderiv->deriv_classes[2][5][2] = int_stack + 39606;
 Libderiv->deriv_classes[2][6][2] = int_stack + 39732;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 39900;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 40026;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 40194;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 40404;
 Libderiv->deriv_classes[2][5][1] = int_stack + 40684;
 Libderiv->deriv_classes[2][6][1] = int_stack + 40810;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 40978;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 41104;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 41272;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 41482;
 Libderiv->deriv_classes[2][5][0] = int_stack + 41762;
 Libderiv->deriv_classes[2][6][0] = int_stack + 41888;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 42056;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 42182;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 42350;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 42560;
 memset(int_stack,0,342720);

 Libderiv->dvrr_stack = int_stack + 68796;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dphp(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42840,int_stack+32928,int_stack+32802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38192,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43218,int_stack+0,int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43848,int_stack+34006,int_stack+33880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38192, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+44226,int_stack+280,int_stack+15946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+35084,int_stack+34958, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38192, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+44856,int_stack+560,int_stack+16940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+378,int_stack+36162,int_stack+36036, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45486,int_stack+840,int_stack+17934, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46116,int_stack+37240,int_stack+37114, 0.0, zero_stack, 1.0, int_stack+38192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46494,int_stack+1120,int_stack+18928, 0.0, zero_stack, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756,int_stack+38444,int_stack+38318, 1.0, int_stack+38192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47124,int_stack+1610,int_stack+19922, 1.0, int_stack+1400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+2450,int_stack+38192,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1512,int_stack+39732,int_stack+39606,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47754,int_stack+1890,int_stack+24836,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+48384,int_stack+40810,int_stack+40684,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+48762,int_stack+2170,int_stack+30534,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+41888,int_stack+41762,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+49392,int_stack+2618,int_stack+38906,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+3024,int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32802,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50022,int_stack+3402,int_stack+3192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+14952,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2646,int_stack+3808,int_stack+3682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32802, 1.0, int_stack+33880,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3024,int_stack+4186,int_stack+3976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 1.0, int_stack+15946,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3654,int_stack+4592,int_stack+4466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33880, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4032,int_stack+4970,int_stack+4760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+15946, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4662,int_stack+5376,int_stack+5250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32802, 0.0, zero_stack, 1.0, int_stack+34958,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50652,int_stack+5754,int_stack+5544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 1.0, int_stack+16940,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5040,int_stack+6160,int_stack+6034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33880, 1.0, int_stack+34958, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5418,int_stack+6538,int_stack+6328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15946, 1.0, int_stack+16940, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6048,int_stack+6944,int_stack+6818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+34958, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6426,int_stack+7322,int_stack+7112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+16940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7056,int_stack+7728,int_stack+7602, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32802, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36036,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+51282,int_stack+8106,int_stack+7896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17934,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7434,int_stack+8512,int_stack+8386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33880, 0.0, zero_stack, 1.0, int_stack+36036, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7812,int_stack+8890,int_stack+8680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15946, 0.0, zero_stack, 1.0, int_stack+17934, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8442,int_stack+9296,int_stack+9170, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34958, 1.0, int_stack+36036, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8820,int_stack+9674,int_stack+9464, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16940, 1.0, int_stack+17934, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9450,int_stack+10080,int_stack+9954, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+36036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+51912,int_stack+10458,int_stack+10248, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+17934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9828,int_stack+10864,int_stack+10738, 0.0, zero_stack, 1.0, int_stack+32802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37114,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10206,int_stack+11242,int_stack+11032, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18928,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10836,int_stack+11648,int_stack+11522, 0.0, zero_stack, 1.0, int_stack+33880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37114, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+52542,int_stack+12026,int_stack+11816, 0.0, zero_stack, 1.0, int_stack+15946, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18928, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11214,int_stack+12432,int_stack+12306, 0.0, zero_stack, 1.0, int_stack+34958, 0.0, zero_stack, 1.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11592,int_stack+12810,int_stack+12600, 0.0, zero_stack, 1.0, int_stack+16940, 0.0, zero_stack, 1.0, int_stack+18928, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12222,int_stack+13216,int_stack+13090, 0.0, zero_stack, 1.0, int_stack+36036, 1.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12600,int_stack+13594,int_stack+13384, 0.0, zero_stack, 1.0, int_stack+17934, 1.0, int_stack+18928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13230,int_stack+14000,int_stack+13874, 0.0, zero_stack, 2.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53172,int_stack+14378,int_stack+14168, 0.0, zero_stack, 2.0, int_stack+18928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13608,int_stack+14784,int_stack+14658, 1.0, int_stack+32802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38318,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13986,int_stack+15372,int_stack+15162, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19922,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14616,int_stack+15778,int_stack+15652, 1.0, int_stack+33880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38318, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14994,int_stack+16366,int_stack+16156, 1.0, int_stack+15946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19922, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15624,int_stack+16772,int_stack+16646, 1.0, int_stack+34958, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38318, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16002,int_stack+17360,int_stack+17150, 1.0, int_stack+16940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19922, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16632,int_stack+17766,int_stack+17640, 1.0, int_stack+36036, 0.0, zero_stack, 1.0, int_stack+38318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17010,int_stack+18354,int_stack+18144, 1.0, int_stack+17934, 0.0, zero_stack, 1.0, int_stack+19922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17640,int_stack+18760,int_stack+18634, 1.0, int_stack+37114, 1.0, int_stack+38318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18018,int_stack+19348,int_stack+19138, 1.0, int_stack+18928, 1.0, int_stack+19922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18648,int_stack+19754,int_stack+19628, 2.0, int_stack+38318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19026,int_stack+20342,int_stack+20132, 2.0, int_stack+19922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19656,int_stack+20748,int_stack+20622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39606,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20034,int_stack+21126,int_stack+20916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24836,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20664,int_stack+21532,int_stack+21406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39606, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21042,int_stack+21910,int_stack+21700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24836, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21672,int_stack+22316,int_stack+22190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39606, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53802,int_stack+22694,int_stack+22484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24836, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22050,int_stack+23100,int_stack+22974, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22428,int_stack+23478,int_stack+23268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23058,int_stack+23884,int_stack+23758, 0.0, zero_stack, 1.0, int_stack+39606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+54432,int_stack+24262,int_stack+24052, 0.0, zero_stack, 1.0, int_stack+24836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23436,int_stack+24668,int_stack+24542, 1.0, int_stack+39606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23814,int_stack+25256,int_stack+25046, 1.0, int_stack+24836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+24444,int_stack+25662,int_stack+25536,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+24822,int_stack+26040,int_stack+25830,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25452,int_stack+26446,int_stack+26320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40684,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25830,int_stack+26824,int_stack+26614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30534,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26460,int_stack+27230,int_stack+27104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40684, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55062,int_stack+27608,int_stack+27398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30534, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26838,int_stack+28014,int_stack+27888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40684, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27216,int_stack+28392,int_stack+28182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30534, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27846,int_stack+28798,int_stack+28672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28224,int_stack+29176,int_stack+28966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28854,int_stack+29582,int_stack+29456, 0.0, zero_stack, 1.0, int_stack+40684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55692,int_stack+29960,int_stack+29750, 0.0, zero_stack, 1.0, int_stack+30534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29232,int_stack+30366,int_stack+30240, 1.0, int_stack+40684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29610,int_stack+30954,int_stack+30744, 1.0, int_stack+30534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30240,int_stack+31360,int_stack+31234,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30618,int_stack+31738,int_stack+31528,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31248,int_stack+32144,int_stack+32018,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31626,int_stack+32522,int_stack+32312,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32256,int_stack+33222,int_stack+33096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41762,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32634,int_stack+33600,int_stack+33390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38906,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33264,int_stack+34300,int_stack+34174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41762, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+33642,int_stack+34678,int_stack+34468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38906, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34272,int_stack+35378,int_stack+35252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41762, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34650,int_stack+35756,int_stack+35546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38906, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35280,int_stack+36456,int_stack+36330, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35658,int_stack+36834,int_stack+36624, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36288,int_stack+37534,int_stack+37408, 0.0, zero_stack, 1.0, int_stack+41762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36666,int_stack+37912,int_stack+37702, 0.0, zero_stack, 1.0, int_stack+38906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37296,int_stack+38738,int_stack+38612, 1.0, int_stack+41762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37674,int_stack+39326,int_stack+39116, 1.0, int_stack+38906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+38304,int_stack+40026,int_stack+39900,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+38682,int_stack+40404,int_stack+40194,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39312,int_stack+41104,int_stack+40978,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39690,int_stack+41482,int_stack+41272,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40320,int_stack+42182,int_stack+42056,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40698,int_stack+42560,int_stack+42350,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+41328,int_stack+43218,int_stack+42840,63);
     Libderiv->ABCD[11] = int_stack + 41328;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+56322,int_stack+44226,int_stack+43848,63);
     Libderiv->ABCD[10] = int_stack + 56322;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+57456,int_stack+44856,int_stack+0,63);
     Libderiv->ABCD[9] = int_stack + 57456;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+44226,int_stack+45486,int_stack+378,63);
     Libderiv->ABCD[8] = int_stack + 44226;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+58590,int_stack+46494,int_stack+46116,63);
     Libderiv->ABCD[7] = int_stack + 58590;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+59724,int_stack+47124,int_stack+756,63);
     Libderiv->ABCD[6] = int_stack + 59724;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+46494,int_stack+47754,int_stack+1512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 46494;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+60858,int_stack+48762,int_stack+48384, 0.0, zero_stack, 1.0, int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 60858;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+61992,int_stack+49392,int_stack+1890, 1.0, int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 61992;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+48762,int_stack+50022,int_stack+2268,63);
     Libderiv->ABCD[155] = int_stack + 48762;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+63126,int_stack+3024,int_stack+2646,63);
     Libderiv->ABCD[143] = int_stack + 63126;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2268,int_stack+4032,int_stack+3654,63);
     Libderiv->ABCD[142] = int_stack + 2268;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3402,int_stack+50652,int_stack+4662,63);
     Libderiv->ABCD[131] = int_stack + 3402;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+49896,int_stack+5418,int_stack+5040,63);
     Libderiv->ABCD[130] = int_stack + 49896;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+4536,int_stack+6426,int_stack+6048,63);
     Libderiv->ABCD[129] = int_stack + 4536;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+5670,int_stack+51282,int_stack+7056,63);
     Libderiv->ABCD[119] = int_stack + 5670;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+64260,int_stack+7812,int_stack+7434,63);
     Libderiv->ABCD[118] = int_stack + 64260;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6804,int_stack+8820,int_stack+8442,63);
     Libderiv->ABCD[117] = int_stack + 6804;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+7938,int_stack+51912,int_stack+9450,63);
     Libderiv->ABCD[116] = int_stack + 7938;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+51030,int_stack+10206,int_stack+9828,63);
     Libderiv->ABCD[107] = int_stack + 51030;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+9072,int_stack+52542,int_stack+10836,63);
     Libderiv->ABCD[106] = int_stack + 9072;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+65394,int_stack+11592,int_stack+11214,63);
     Libderiv->ABCD[105] = int_stack + 65394;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10206,int_stack+12600,int_stack+12222,63);
     Libderiv->ABCD[104] = int_stack + 10206;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+11340,int_stack+53172,int_stack+13230,63);
     Libderiv->ABCD[103] = int_stack + 11340;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+12474,int_stack+13986,int_stack+13608,63);
     Libderiv->ABCD[95] = int_stack + 12474;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+52164,int_stack+14994,int_stack+14616,63);
     Libderiv->ABCD[94] = int_stack + 52164;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+13608,int_stack+16002,int_stack+15624,63);
     Libderiv->ABCD[93] = int_stack + 13608;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+14742,int_stack+17010,int_stack+16632,63);
     Libderiv->ABCD[92] = int_stack + 14742;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+15876,int_stack+18018,int_stack+17640,63);
     Libderiv->ABCD[91] = int_stack + 15876;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+17010,int_stack+19026,int_stack+18648,63);
     Libderiv->ABCD[90] = int_stack + 17010;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+18144,int_stack+20034,int_stack+19656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[47] = int_stack + 18144;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+19278,int_stack+21042,int_stack+20664, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[46] = int_stack + 19278;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+20412,int_stack+53802,int_stack+21672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[45] = int_stack + 20412;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+53298,int_stack+22428,int_stack+22050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[44] = int_stack + 53298;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+21546,int_stack+54432,int_stack+23058, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[43] = int_stack + 21546;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+66528,int_stack+23814,int_stack+23436, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[42] = int_stack + 66528;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+22680,int_stack+24822,int_stack+24444, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[38] = int_stack + 22680;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+23814,int_stack+25830,int_stack+25452, 0.0, zero_stack, 1.0, int_stack+42840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[35] = int_stack + 23814;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+24948,int_stack+55062,int_stack+26460, 0.0, zero_stack, 1.0, int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[34] = int_stack + 24948;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+54432,int_stack+27216,int_stack+26838, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[33] = int_stack + 54432;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+26082,int_stack+28224,int_stack+27846, 0.0, zero_stack, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[32] = int_stack + 26082;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+27216,int_stack+55692,int_stack+28854, 0.0, zero_stack, 1.0, int_stack+46116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[31] = int_stack + 27216;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+67662,int_stack+29610,int_stack+29232, 0.0, zero_stack, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[30] = int_stack + 67662;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+28350,int_stack+30618,int_stack+30240, 0.0, zero_stack, 1.0, int_stack+1512, 1.0, int_stack+48384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[26] = int_stack + 28350;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+29484,int_stack+31626,int_stack+31248, 0.0, zero_stack, 2.0, int_stack+48384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[25] = int_stack + 29484;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+30618,int_stack+32634,int_stack+32256, 1.0, int_stack+42840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[23] = int_stack + 30618;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+31752,int_stack+33642,int_stack+33264, 1.0, int_stack+43848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[22] = int_stack + 31752;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+32886,int_stack+34650,int_stack+34272, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[21] = int_stack + 32886;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+34020,int_stack+35658,int_stack+35280, 1.0, int_stack+378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[20] = int_stack + 34020;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+35154,int_stack+36666,int_stack+36288, 1.0, int_stack+46116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[19] = int_stack + 35154;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+45360,int_stack+37674,int_stack+37296, 1.0, int_stack+756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[18] = int_stack + 45360;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+36288,int_stack+38682,int_stack+38304, 1.0, int_stack+1512, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[14] = int_stack + 36288;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+37422,int_stack+39690,int_stack+39312, 1.0, int_stack+48384, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[13] = int_stack + 37422;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+47628,int_stack+40698,int_stack+40320, 2.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[12] = int_stack + 47628;

}
