#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_g0hd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|hd) integrals */

void d12hrr_order_g0hd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][7][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][10] = int_stack + 540;
 Libderiv->deriv_classes[4][7][9] = int_stack + 1080;
 Libderiv->deriv_classes[4][7][8] = int_stack + 1620;
 Libderiv->deriv_classes[4][7][7] = int_stack + 2160;
 Libderiv->dvrr_classes[4][6] = int_stack + 2700;
 Libderiv->deriv_classes[4][7][6] = int_stack + 3120;
 Libderiv->deriv_classes[4][7][2] = int_stack + 3660;
 Libderiv->deriv_classes[4][7][1] = int_stack + 4200;
 Libderiv->deriv_classes[4][7][0] = int_stack + 4740;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 5280;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 5595;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 6015;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 6555;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 6870;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 7290;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 7830;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 8145;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 8565;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 9105;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 9420;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 9840;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 10380;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 10695;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 11115;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 11655;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 11970;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 12390;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 12930;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 13245;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 13665;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 14205;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 14520;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 14940;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 15480;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 15795;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 16215;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 16755;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 17070;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 17490;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 18030;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 18345;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 18765;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 19305;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 19620;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 20040;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 20580;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 20895;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 21315;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 21855;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 22170;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 22590;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 23130;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 23445;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 23865;
 Libderiv->deriv_classes[4][5][11] = int_stack + 24405;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 24720;
 Libderiv->deriv_classes[4][6][11] = int_stack + 25035;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 25455;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 25875;
 Libderiv->deriv_classes[4][5][10] = int_stack + 26415;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 26730;
 Libderiv->deriv_classes[4][6][10] = int_stack + 27045;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 27465;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 27885;
 Libderiv->deriv_classes[4][5][9] = int_stack + 28425;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 28740;
 Libderiv->deriv_classes[4][6][9] = int_stack + 29055;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 29475;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 29895;
 Libderiv->deriv_classes[4][5][8] = int_stack + 30435;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 30750;
 Libderiv->deriv_classes[4][6][8] = int_stack + 31065;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 31485;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 31905;
 Libderiv->deriv_classes[4][5][7] = int_stack + 32445;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 32760;
 Libderiv->deriv_classes[4][6][7] = int_stack + 33075;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 33495;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 33915;
 Libderiv->dvrr_classes[4][5] = int_stack + 34455;
 Libderiv->deriv_classes[4][5][6] = int_stack + 34770;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 35085;
 Libderiv->deriv_classes[4][6][6] = int_stack + 35400;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 35820;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 36240;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 36780;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 37095;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 37515;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 38055;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 38370;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 38790;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 39330;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 39645;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 40065;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 40605;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 40920;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 41340;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 41880;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 42195;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 42615;
 Libderiv->deriv_classes[4][5][2] = int_stack + 43155;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 43470;
 Libderiv->deriv_classes[4][6][2] = int_stack + 43785;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 44205;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 44625;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 45165;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 45480;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 45900;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 46440;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 46755;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 47175;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 47715;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 48030;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 48450;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 48990;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 49305;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 49725;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 50265;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 50580;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 51000;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 51540;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 51855;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 52275;
 Libderiv->deriv_classes[4][5][1] = int_stack + 52815;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 53130;
 Libderiv->deriv_classes[4][6][1] = int_stack + 53445;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 53865;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 54285;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 54825;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 55140;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 55560;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 56100;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 56415;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 56835;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 57375;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 57690;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 58110;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 58650;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 58965;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 59385;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 59925;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 60240;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 60660;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 61200;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 61515;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 61935;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 62475;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 62790;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 63210;
 Libderiv->deriv_classes[4][5][0] = int_stack + 63750;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 64065;
 Libderiv->deriv_classes[4][6][0] = int_stack + 64380;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 64800;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 65220;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 65760;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 66075;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 66495;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 67035;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 67350;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 67770;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 68310;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 68625;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 69045;
 memset(int_stack,0,556680);

 Libderiv->dvrr_stack = int_stack + 131325;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_g0hd(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+69585,int_stack+2700,int_stack+34455,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+70530,int_stack+25035,int_stack+24405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34455,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+71475,int_stack+0,int_stack+25035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72735,int_stack+27045,int_stack+26415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34455, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73680,int_stack+540,int_stack+27045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+29055,int_stack+28425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34455, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+74940,int_stack+1080,int_stack+29055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+76200,int_stack+31065,int_stack+30435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+77145,int_stack+1620,int_stack+31065, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+33075,int_stack+32445, 0.0, zero_stack, 1.0, int_stack+34455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+78405,int_stack+2160,int_stack+33075, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+79665,int_stack+35400,int_stack+34770, 1.0, int_stack+34455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+80610,int_stack+3120,int_stack+35400, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+43785,int_stack+43155,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+81870,int_stack+3660,int_stack+43785,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2835,int_stack+53445,int_stack+52815,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+83130,int_stack+4200,int_stack+53445,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+64380,int_stack+63750,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+84390,int_stack+4740,int_stack+64380,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85650,int_stack+5595,int_stack+5280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+24405,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+86595,int_stack+6015,int_stack+5595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+25035,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4725,int_stack+6870,int_stack+6555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24405, 1.0, int_stack+26415,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+87855,int_stack+7290,int_stack+6870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25035, 1.0, int_stack+27045,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5670,int_stack+8145,int_stack+7830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+26415, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6615,int_stack+8565,int_stack+8145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+27045, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7875,int_stack+9420,int_stack+9105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24405, 0.0, zero_stack, 1.0, int_stack+28425,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+89115,int_stack+9840,int_stack+9420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25035, 0.0, zero_stack, 1.0, int_stack+29055,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8820,int_stack+10695,int_stack+10380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26415, 1.0, int_stack+28425, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+90375,int_stack+11115,int_stack+10695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27045, 1.0, int_stack+29055, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9765,int_stack+11970,int_stack+11655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28425, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10710,int_stack+12390,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+29055, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11970,int_stack+13245,int_stack+12930, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24405, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30435,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+91635,int_stack+13665,int_stack+13245, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25035, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31065,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12915,int_stack+14520,int_stack+14205, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26415, 0.0, zero_stack, 1.0, int_stack+30435, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+92895,int_stack+14940,int_stack+14520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27045, 0.0, zero_stack, 1.0, int_stack+31065, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13860,int_stack+15795,int_stack+15480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28425, 1.0, int_stack+30435, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+94155,int_stack+16215,int_stack+15795, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29055, 1.0, int_stack+31065, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14805,int_stack+17070,int_stack+16755, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15750,int_stack+17490,int_stack+17070, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+31065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17010,int_stack+18345,int_stack+18030, 0.0, zero_stack, 1.0, int_stack+24405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32445,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+95415,int_stack+18765,int_stack+18345, 0.0, zero_stack, 1.0, int_stack+25035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33075,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17955,int_stack+19620,int_stack+19305, 0.0, zero_stack, 1.0, int_stack+26415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32445, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+96675,int_stack+20040,int_stack+19620, 0.0, zero_stack, 1.0, int_stack+27045, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33075, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18900,int_stack+20895,int_stack+20580, 0.0, zero_stack, 1.0, int_stack+28425, 0.0, zero_stack, 1.0, int_stack+32445, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+97935,int_stack+21315,int_stack+20895, 0.0, zero_stack, 1.0, int_stack+29055, 0.0, zero_stack, 1.0, int_stack+33075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19845,int_stack+22170,int_stack+21855, 0.0, zero_stack, 1.0, int_stack+30435, 1.0, int_stack+32445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+20790,int_stack+22590,int_stack+22170, 0.0, zero_stack, 1.0, int_stack+31065, 1.0, int_stack+33075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22050,int_stack+23445,int_stack+23130, 0.0, zero_stack, 2.0, int_stack+32445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+99195,int_stack+23865,int_stack+23445, 0.0, zero_stack, 2.0, int_stack+33075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22995,int_stack+25455,int_stack+24720, 1.0, int_stack+24405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+100455,int_stack+25875,int_stack+25455, 1.0, int_stack+25035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35400,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23940,int_stack+27465,int_stack+26730, 1.0, int_stack+26415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24885,int_stack+27885,int_stack+27465, 1.0, int_stack+27045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35400, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26145,int_stack+29475,int_stack+28740, 1.0, int_stack+28425, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+27090,int_stack+29895,int_stack+29475, 1.0, int_stack+29055, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35400, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28350,int_stack+31485,int_stack+30750, 1.0, int_stack+30435, 0.0, zero_stack, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29295,int_stack+31905,int_stack+31485, 1.0, int_stack+31065, 0.0, zero_stack, 1.0, int_stack+35400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30555,int_stack+33495,int_stack+32760, 1.0, int_stack+32445, 1.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31500,int_stack+33915,int_stack+33495, 1.0, int_stack+33075, 1.0, int_stack+35400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32760,int_stack+35820,int_stack+35085, 2.0, int_stack+34770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33705,int_stack+36240,int_stack+35820, 2.0, int_stack+35400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34965,int_stack+37095,int_stack+36780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43155,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+101715,int_stack+37515,int_stack+37095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43785,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35910,int_stack+38370,int_stack+38055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43155, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+36855,int_stack+38790,int_stack+38370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43785, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+38115,int_stack+39645,int_stack+39330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43155, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+102975,int_stack+40065,int_stack+39645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43785, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39060,int_stack+40920,int_stack+40605, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+104235,int_stack+41340,int_stack+40920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40005,int_stack+42195,int_stack+41880, 0.0, zero_stack, 1.0, int_stack+43155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+105495,int_stack+42615,int_stack+42195, 0.0, zero_stack, 1.0, int_stack+43785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+40950,int_stack+44205,int_stack+43470, 1.0, int_stack+43155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41895,int_stack+44625,int_stack+44205, 1.0, int_stack+43785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+43155,int_stack+45480,int_stack+45165,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44100,int_stack+45900,int_stack+45480,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45360,int_stack+46755,int_stack+46440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52815,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+106755,int_stack+47175,int_stack+46755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53445,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46305,int_stack+48030,int_stack+47715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52815, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+108015,int_stack+48450,int_stack+48030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53445, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47250,int_stack+49305,int_stack+48990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52815, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+109275,int_stack+49725,int_stack+49305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53445, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+48195,int_stack+50580,int_stack+50265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49140,int_stack+51000,int_stack+50580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50400,int_stack+51855,int_stack+51540, 0.0, zero_stack, 1.0, int_stack+52815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+110535,int_stack+52275,int_stack+51855, 0.0, zero_stack, 1.0, int_stack+53445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+51345,int_stack+53865,int_stack+53130, 1.0, int_stack+52815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+111795,int_stack+54285,int_stack+53865, 1.0, int_stack+53445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+52290,int_stack+55140,int_stack+54825,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+53235,int_stack+55560,int_stack+55140,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+54495,int_stack+56415,int_stack+56100,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+113055,int_stack+56835,int_stack+56415,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55440,int_stack+57690,int_stack+57375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63750,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56385,int_stack+58110,int_stack+57690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57645,int_stack+58965,int_stack+58650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63750, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+114315,int_stack+59385,int_stack+58965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58590,int_stack+60240,int_stack+59925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63750, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115575,int_stack+60660,int_stack+60240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+59535,int_stack+61515,int_stack+61200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116835,int_stack+61935,int_stack+61515, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60480,int_stack+62790,int_stack+62475, 0.0, zero_stack, 1.0, int_stack+63750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+61425,int_stack+63210,int_stack+62790, 0.0, zero_stack, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+62685,int_stack+64800,int_stack+64065, 1.0, int_stack+63750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+118095,int_stack+65220,int_stack+64800, 1.0, int_stack+64380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+63630,int_stack+66075,int_stack+65760,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64575,int_stack+66495,int_stack+66075,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+65835,int_stack+67350,int_stack+67035,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119355,int_stack+67770,int_stack+67350,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+66780,int_stack+68625,int_stack+68310,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+120615,int_stack+69045,int_stack+68625,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+121875,int_stack+71475,int_stack+70530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69585,15);
     Libderiv->ABCD[11] = int_stack + 121875;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+123765,int_stack+73680,int_stack+72735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69585, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 123765;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+125655,int_stack+74940,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69585, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 125655;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+73680,int_stack+77145,int_stack+76200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 73680;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127545,int_stack+78405,int_stack+945, 0.0, zero_stack, 1.0, int_stack+69585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 127545;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+77145,int_stack+80610,int_stack+79665, 1.0, int_stack+69585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 77145;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+67725,int_stack+81870,int_stack+1890,15);
     Libderiv->ABCD[2] = int_stack + 67725;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+80610,int_stack+83130,int_stack+2835,15);
     Libderiv->ABCD[1] = int_stack + 80610;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+82500,int_stack+84390,int_stack+3780,15);
     Libderiv->ABCD[0] = int_stack + 82500;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+129435,int_stack+86595,int_stack+85650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+70530,15);
     Libderiv->ABCD[155] = int_stack + 129435;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+84390,int_stack+87855,int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70530, 1.0, int_stack+72735,15);
     Libderiv->ABCD[143] = int_stack + 84390;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+86280,int_stack+6615,int_stack+5670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+72735, 0.0, zero_stack,15);
     Libderiv->ABCD[142] = int_stack + 86280;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4725,int_stack+89115,int_stack+7875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70530, 0.0, zero_stack, 1.0, int_stack+0,15);
     Libderiv->ABCD[131] = int_stack + 4725;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6615,int_stack+90375,int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72735, 1.0, int_stack+0, 0.0, zero_stack,15);
     Libderiv->ABCD[130] = int_stack + 6615;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+88170,int_stack+10710,int_stack+9765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[129] = int_stack + 88170;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8505,int_stack+91635,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70530, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76200,15);
     Libderiv->ABCD[119] = int_stack + 8505;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10395,int_stack+92895,int_stack+12915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72735, 0.0, zero_stack, 1.0, int_stack+76200, 0.0, zero_stack,15);
     Libderiv->ABCD[118] = int_stack + 10395;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90060,int_stack+94155,int_stack+13860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+76200, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[117] = int_stack + 90060;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12285,int_stack+15750,int_stack+14805, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+76200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[116] = int_stack + 12285;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14175,int_stack+95415,int_stack+17010, 0.0, zero_stack, 1.0, int_stack+70530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945,15);
     Libderiv->ABCD[107] = int_stack + 14175;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16065,int_stack+96675,int_stack+17955, 0.0, zero_stack, 1.0, int_stack+72735, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack,15);
     Libderiv->ABCD[106] = int_stack + 16065;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+91950,int_stack+97935,int_stack+18900, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[105] = int_stack + 91950;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17955,int_stack+20790,int_stack+19845, 0.0, zero_stack, 1.0, int_stack+76200, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[104] = int_stack + 17955;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19845,int_stack+99195,int_stack+22050, 0.0, zero_stack, 2.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[103] = int_stack + 19845;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+93840,int_stack+100455,int_stack+22995, 1.0, int_stack+70530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79665,15);
     Libderiv->ABCD[95] = int_stack + 93840;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21735,int_stack+24885,int_stack+23940, 1.0, int_stack+72735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79665, 0.0, zero_stack,15);
     Libderiv->ABCD[94] = int_stack + 21735;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+23625,int_stack+27090,int_stack+26145, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79665, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[93] = int_stack + 23625;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25515,int_stack+29295,int_stack+28350, 1.0, int_stack+76200, 0.0, zero_stack, 1.0, int_stack+79665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[92] = int_stack + 25515;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27405,int_stack+31500,int_stack+30555, 1.0, int_stack+945, 1.0, int_stack+79665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[91] = int_stack + 27405;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+33705,int_stack+32760, 2.0, int_stack+79665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29295,int_stack+101715,int_stack+34965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890,15);
     Libderiv->ABCD[47] = int_stack + 29295;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+31185,int_stack+36855,int_stack+35910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack,15);
     Libderiv->ABCD[46] = int_stack + 31185;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33075,int_stack+102975,int_stack+38115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[45] = int_stack + 33075;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+34965,int_stack+104235,int_stack+39060, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[44] = int_stack + 34965;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36855,int_stack+105495,int_stack+40005, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[43] = int_stack + 36855;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38745,int_stack+41895,int_stack+40950, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[42] = int_stack + 38745;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+40635,int_stack+44100,int_stack+43155,15);
     Libderiv->ABCD[38] = int_stack + 40635;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42525,int_stack+106755,int_stack+45360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835,15);
     Libderiv->ABCD[35] = int_stack + 42525;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+44415,int_stack+108015,int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack,15);
     Libderiv->ABCD[34] = int_stack + 44415;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+95730,int_stack+109275,int_stack+47250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[33] = int_stack + 95730;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46305,int_stack+49140,int_stack+48195, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[32] = int_stack + 46305;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48195,int_stack+110535,int_stack+50400, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[31] = int_stack + 48195;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+97620,int_stack+111795,int_stack+51345, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[30] = int_stack + 97620;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1890,int_stack+53235,int_stack+52290,15);
     Libderiv->ABCD[26] = int_stack + 1890;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+50085,int_stack+113055,int_stack+54495,15);
     Libderiv->ABCD[25] = int_stack + 50085;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+51975,int_stack+56385,int_stack+55440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,15);
     Libderiv->ABCD[23] = int_stack + 51975;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53865,int_stack+114315,int_stack+57645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,15);
     Libderiv->ABCD[22] = int_stack + 53865;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55755,int_stack+115575,int_stack+58590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[21] = int_stack + 55755;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57645,int_stack+116835,int_stack+59535, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[20] = int_stack + 57645;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+99510,int_stack+61425,int_stack+60480, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[19] = int_stack + 99510;
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+59535,int_stack+118095,int_stack+62685, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[18] = int_stack + 59535;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+61425,int_stack+64575,int_stack+63630,15);
     Libderiv->ABCD[14] = int_stack + 61425;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+63315,int_stack+119355,int_stack+65835,15);
     Libderiv->ABCD[13] = int_stack + 63315;
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+101400,int_stack+120615,int_stack+66780,15);
     Libderiv->ABCD[12] = int_stack + 101400;

}
