#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gpfd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|fd) integrals */

void d12hrr_order_gpfd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][5][10] = int_stack + 441;
 Libderiv->deriv_classes[5][5][9] = int_stack + 882;
 Libderiv->deriv_classes[5][5][8] = int_stack + 1323;
 Libderiv->deriv_classes[5][5][7] = int_stack + 1764;
 Libderiv->dvrr_classes[5][4] = int_stack + 2205;
 Libderiv->deriv_classes[5][5][6] = int_stack + 2520;
 Libderiv->deriv_classes[5][5][2] = int_stack + 2961;
 Libderiv->deriv_classes[5][5][1] = int_stack + 3402;
 Libderiv->dvrr_classes[4][5] = int_stack + 3843;
 Libderiv->deriv_classes[5][5][0] = int_stack + 4158;
 Libderiv->deriv2_classes[4][3][143] = int_stack + 4599;
 Libderiv->deriv2_classes[4][4][143] = int_stack + 4749;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 4974;
 Libderiv->deriv2_classes[5][3][143] = int_stack + 5289;
 Libderiv->deriv2_classes[5][4][143] = int_stack + 5499;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 5814;
 Libderiv->deriv2_classes[4][3][131] = int_stack + 6255;
 Libderiv->deriv2_classes[4][4][131] = int_stack + 6405;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 6630;
 Libderiv->deriv2_classes[5][3][131] = int_stack + 6945;
 Libderiv->deriv2_classes[5][4][131] = int_stack + 7155;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 7470;
 Libderiv->deriv2_classes[4][3][130] = int_stack + 7911;
 Libderiv->deriv2_classes[4][4][130] = int_stack + 8061;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 8286;
 Libderiv->deriv2_classes[5][3][130] = int_stack + 8601;
 Libderiv->deriv2_classes[5][4][130] = int_stack + 8811;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 9126;
 Libderiv->deriv2_classes[4][3][119] = int_stack + 9567;
 Libderiv->deriv2_classes[4][4][119] = int_stack + 9717;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 9942;
 Libderiv->deriv2_classes[5][3][119] = int_stack + 10257;
 Libderiv->deriv2_classes[5][4][119] = int_stack + 10467;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 10782;
 Libderiv->deriv2_classes[4][3][118] = int_stack + 11223;
 Libderiv->deriv2_classes[4][4][118] = int_stack + 11373;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 11598;
 Libderiv->deriv2_classes[5][3][118] = int_stack + 11913;
 Libderiv->deriv2_classes[5][4][118] = int_stack + 12123;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 12438;
 Libderiv->deriv2_classes[4][3][117] = int_stack + 12879;
 Libderiv->deriv2_classes[4][4][117] = int_stack + 13029;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 13254;
 Libderiv->deriv2_classes[5][3][117] = int_stack + 13569;
 Libderiv->deriv2_classes[5][4][117] = int_stack + 13779;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 14094;
 Libderiv->deriv2_classes[4][3][107] = int_stack + 14535;
 Libderiv->deriv2_classes[4][4][107] = int_stack + 14685;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 14910;
 Libderiv->deriv2_classes[5][3][107] = int_stack + 15225;
 Libderiv->deriv2_classes[5][4][107] = int_stack + 15435;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 15750;
 Libderiv->deriv2_classes[4][3][106] = int_stack + 16191;
 Libderiv->deriv2_classes[4][4][106] = int_stack + 16341;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 16566;
 Libderiv->deriv2_classes[5][3][106] = int_stack + 16881;
 Libderiv->deriv2_classes[5][4][106] = int_stack + 17091;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 17406;
 Libderiv->deriv2_classes[4][3][105] = int_stack + 17847;
 Libderiv->deriv2_classes[4][4][105] = int_stack + 17997;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 18222;
 Libderiv->deriv2_classes[5][3][105] = int_stack + 18537;
 Libderiv->deriv2_classes[5][4][105] = int_stack + 18747;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 19062;
 Libderiv->deriv2_classes[4][3][104] = int_stack + 19503;
 Libderiv->deriv2_classes[4][4][104] = int_stack + 19653;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 19878;
 Libderiv->deriv2_classes[5][3][104] = int_stack + 20193;
 Libderiv->deriv2_classes[5][4][104] = int_stack + 20403;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 20718;
 Libderiv->deriv2_classes[4][3][95] = int_stack + 21159;
 Libderiv->deriv2_classes[4][4][95] = int_stack + 21309;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 21534;
 Libderiv->deriv2_classes[5][3][95] = int_stack + 21849;
 Libderiv->deriv2_classes[5][4][95] = int_stack + 22059;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 22374;
 Libderiv->deriv2_classes[4][3][94] = int_stack + 22815;
 Libderiv->deriv2_classes[4][4][94] = int_stack + 22965;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 23190;
 Libderiv->deriv2_classes[5][3][94] = int_stack + 23505;
 Libderiv->deriv2_classes[5][4][94] = int_stack + 23715;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 24030;
 Libderiv->deriv2_classes[4][3][93] = int_stack + 24471;
 Libderiv->deriv2_classes[4][4][93] = int_stack + 24621;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 24846;
 Libderiv->deriv2_classes[5][3][93] = int_stack + 25161;
 Libderiv->deriv2_classes[5][4][93] = int_stack + 25371;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 25686;
 Libderiv->deriv2_classes[4][3][92] = int_stack + 26127;
 Libderiv->deriv2_classes[4][4][92] = int_stack + 26277;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 26502;
 Libderiv->deriv2_classes[5][3][92] = int_stack + 26817;
 Libderiv->deriv2_classes[5][4][92] = int_stack + 27027;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 27342;
 Libderiv->deriv2_classes[4][3][91] = int_stack + 27783;
 Libderiv->deriv2_classes[4][4][91] = int_stack + 27933;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 28158;
 Libderiv->deriv2_classes[5][3][91] = int_stack + 28473;
 Libderiv->deriv2_classes[5][4][91] = int_stack + 28683;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 28998;
 Libderiv->deriv2_classes[4][3][83] = int_stack + 29439;
 Libderiv->deriv2_classes[4][4][83] = int_stack + 29589;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 29814;
 Libderiv->deriv_classes[5][3][11] = int_stack + 30129;
 Libderiv->deriv2_classes[5][3][83] = int_stack + 30339;
 Libderiv->deriv_classes[5][4][11] = int_stack + 30549;
 Libderiv->deriv2_classes[5][4][83] = int_stack + 30864;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 31179;
 Libderiv->deriv2_classes[4][3][82] = int_stack + 31620;
 Libderiv->deriv2_classes[4][4][82] = int_stack + 31770;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 31995;
 Libderiv->deriv_classes[5][3][10] = int_stack + 32310;
 Libderiv->deriv2_classes[5][3][82] = int_stack + 32520;
 Libderiv->deriv_classes[5][4][10] = int_stack + 32730;
 Libderiv->deriv2_classes[5][4][82] = int_stack + 33045;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 33360;
 Libderiv->deriv2_classes[4][3][81] = int_stack + 33801;
 Libderiv->deriv2_classes[4][4][81] = int_stack + 33951;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 34176;
 Libderiv->deriv_classes[5][3][9] = int_stack + 34491;
 Libderiv->deriv2_classes[5][3][81] = int_stack + 34701;
 Libderiv->deriv_classes[5][4][9] = int_stack + 34911;
 Libderiv->deriv2_classes[5][4][81] = int_stack + 35226;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 35541;
 Libderiv->deriv2_classes[4][3][80] = int_stack + 35982;
 Libderiv->deriv2_classes[4][4][80] = int_stack + 36132;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 36357;
 Libderiv->deriv_classes[5][3][8] = int_stack + 36672;
 Libderiv->deriv2_classes[5][3][80] = int_stack + 36882;
 Libderiv->deriv_classes[5][4][8] = int_stack + 37092;
 Libderiv->deriv2_classes[5][4][80] = int_stack + 37407;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 37722;
 Libderiv->deriv2_classes[4][3][79] = int_stack + 38163;
 Libderiv->deriv2_classes[4][4][79] = int_stack + 38313;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 38538;
 Libderiv->deriv_classes[5][3][7] = int_stack + 38853;
 Libderiv->deriv2_classes[5][3][79] = int_stack + 39063;
 Libderiv->deriv_classes[5][4][7] = int_stack + 39273;
 Libderiv->deriv2_classes[5][4][79] = int_stack + 39588;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 39903;
 Libderiv->deriv2_classes[4][3][78] = int_stack + 40344;
 Libderiv->deriv2_classes[4][4][78] = int_stack + 40494;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 40719;
 Libderiv->dvrr_classes[5][3] = int_stack + 41034;
 Libderiv->deriv_classes[5][3][6] = int_stack + 41244;
 Libderiv->deriv2_classes[5][3][78] = int_stack + 41454;
 Libderiv->deriv_classes[5][4][6] = int_stack + 41664;
 Libderiv->deriv2_classes[5][4][78] = int_stack + 41979;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 42294;
 Libderiv->deriv2_classes[4][3][35] = int_stack + 42735;
 Libderiv->deriv2_classes[4][4][35] = int_stack + 42885;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 43110;
 Libderiv->deriv2_classes[5][3][35] = int_stack + 43425;
 Libderiv->deriv2_classes[5][4][35] = int_stack + 43635;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 43950;
 Libderiv->deriv2_classes[4][3][34] = int_stack + 44391;
 Libderiv->deriv2_classes[4][4][34] = int_stack + 44541;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 44766;
 Libderiv->deriv2_classes[5][3][34] = int_stack + 45081;
 Libderiv->deriv2_classes[5][4][34] = int_stack + 45291;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 45606;
 Libderiv->deriv2_classes[4][3][33] = int_stack + 46047;
 Libderiv->deriv2_classes[4][4][33] = int_stack + 46197;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 46422;
 Libderiv->deriv2_classes[5][3][33] = int_stack + 46737;
 Libderiv->deriv2_classes[5][4][33] = int_stack + 46947;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 47262;
 Libderiv->deriv2_classes[4][3][32] = int_stack + 47703;
 Libderiv->deriv2_classes[4][4][32] = int_stack + 47853;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 48078;
 Libderiv->deriv2_classes[5][3][32] = int_stack + 48393;
 Libderiv->deriv2_classes[5][4][32] = int_stack + 48603;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 48918;
 Libderiv->deriv2_classes[4][3][31] = int_stack + 49359;
 Libderiv->deriv2_classes[4][4][31] = int_stack + 49509;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 49734;
 Libderiv->deriv2_classes[5][3][31] = int_stack + 50049;
 Libderiv->deriv2_classes[5][4][31] = int_stack + 50259;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 50574;
 Libderiv->deriv2_classes[4][3][30] = int_stack + 51015;
 Libderiv->deriv2_classes[4][4][30] = int_stack + 51165;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 51390;
 Libderiv->deriv_classes[5][3][2] = int_stack + 51705;
 Libderiv->deriv2_classes[5][3][30] = int_stack + 51915;
 Libderiv->deriv_classes[5][4][2] = int_stack + 52125;
 Libderiv->deriv2_classes[5][4][30] = int_stack + 52440;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 52755;
 Libderiv->deriv2_classes[4][3][26] = int_stack + 53196;
 Libderiv->deriv2_classes[4][4][26] = int_stack + 53346;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 53571;
 Libderiv->deriv2_classes[5][3][26] = int_stack + 53886;
 Libderiv->deriv2_classes[5][4][26] = int_stack + 54096;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 54411;
 Libderiv->deriv2_classes[4][3][23] = int_stack + 54852;
 Libderiv->deriv2_classes[4][4][23] = int_stack + 55002;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 55227;
 Libderiv->deriv2_classes[5][3][23] = int_stack + 55542;
 Libderiv->deriv2_classes[5][4][23] = int_stack + 55752;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 56067;
 Libderiv->deriv2_classes[4][3][22] = int_stack + 56508;
 Libderiv->deriv2_classes[4][4][22] = int_stack + 56658;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 56883;
 Libderiv->deriv2_classes[5][3][22] = int_stack + 57198;
 Libderiv->deriv2_classes[5][4][22] = int_stack + 57408;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 57723;
 Libderiv->deriv2_classes[4][3][21] = int_stack + 58164;
 Libderiv->deriv2_classes[4][4][21] = int_stack + 58314;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 58539;
 Libderiv->deriv2_classes[5][3][21] = int_stack + 58854;
 Libderiv->deriv2_classes[5][4][21] = int_stack + 59064;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 59379;
 Libderiv->deriv2_classes[4][3][20] = int_stack + 59820;
 Libderiv->deriv2_classes[4][4][20] = int_stack + 59970;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 60195;
 Libderiv->deriv2_classes[5][3][20] = int_stack + 60510;
 Libderiv->deriv2_classes[5][4][20] = int_stack + 60720;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 61035;
 Libderiv->deriv2_classes[4][3][19] = int_stack + 61476;
 Libderiv->deriv2_classes[4][4][19] = int_stack + 61626;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 61851;
 Libderiv->deriv2_classes[5][3][19] = int_stack + 62166;
 Libderiv->deriv2_classes[5][4][19] = int_stack + 62376;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 62691;
 Libderiv->deriv2_classes[4][3][18] = int_stack + 63132;
 Libderiv->deriv2_classes[4][4][18] = int_stack + 63282;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 63507;
 Libderiv->deriv_classes[5][3][1] = int_stack + 63822;
 Libderiv->deriv2_classes[5][3][18] = int_stack + 64032;
 Libderiv->deriv_classes[5][4][1] = int_stack + 64242;
 Libderiv->deriv2_classes[5][4][18] = int_stack + 64557;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 64872;
 Libderiv->deriv2_classes[4][3][14] = int_stack + 65313;
 Libderiv->deriv2_classes[4][4][14] = int_stack + 65463;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 65688;
 Libderiv->deriv2_classes[5][3][14] = int_stack + 66003;
 Libderiv->deriv2_classes[5][4][14] = int_stack + 66213;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 66528;
 Libderiv->deriv2_classes[4][3][13] = int_stack + 66969;
 Libderiv->deriv2_classes[4][4][13] = int_stack + 67119;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 67344;
 Libderiv->deriv2_classes[5][3][13] = int_stack + 67659;
 Libderiv->deriv2_classes[5][4][13] = int_stack + 67869;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 68184;
 Libderiv->deriv_classes[4][3][11] = int_stack + 68625;
 Libderiv->deriv_classes[4][4][11] = int_stack + 68775;
 Libderiv->deriv_classes[4][5][11] = int_stack + 69000;
 Libderiv->deriv2_classes[4][3][11] = int_stack + 69315;
 Libderiv->deriv2_classes[4][4][11] = int_stack + 69465;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 69690;
 Libderiv->deriv2_classes[5][3][11] = int_stack + 70005;
 Libderiv->deriv2_classes[5][4][11] = int_stack + 70215;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 70530;
 Libderiv->deriv_classes[4][3][10] = int_stack + 70971;
 Libderiv->deriv_classes[4][4][10] = int_stack + 71121;
 Libderiv->deriv_classes[4][5][10] = int_stack + 71346;
 Libderiv->deriv2_classes[4][3][10] = int_stack + 71661;
 Libderiv->deriv2_classes[4][4][10] = int_stack + 71811;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 72036;
 Libderiv->deriv2_classes[5][3][10] = int_stack + 72351;
 Libderiv->deriv2_classes[5][4][10] = int_stack + 72561;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 72876;
 Libderiv->deriv_classes[4][3][9] = int_stack + 73317;
 Libderiv->deriv_classes[4][4][9] = int_stack + 73467;
 Libderiv->deriv_classes[4][5][9] = int_stack + 73692;
 Libderiv->deriv2_classes[4][3][9] = int_stack + 74007;
 Libderiv->deriv2_classes[4][4][9] = int_stack + 74157;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 74382;
 Libderiv->deriv2_classes[5][3][9] = int_stack + 74697;
 Libderiv->deriv2_classes[5][4][9] = int_stack + 74907;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 75222;
 Libderiv->deriv_classes[4][3][8] = int_stack + 75663;
 Libderiv->deriv_classes[4][4][8] = int_stack + 75813;
 Libderiv->deriv_classes[4][5][8] = int_stack + 76038;
 Libderiv->deriv2_classes[4][3][8] = int_stack + 76353;
 Libderiv->deriv2_classes[4][4][8] = int_stack + 76503;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 76728;
 Libderiv->deriv2_classes[5][3][8] = int_stack + 77043;
 Libderiv->deriv2_classes[5][4][8] = int_stack + 77253;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 77568;
 Libderiv->deriv_classes[4][3][7] = int_stack + 78009;
 Libderiv->deriv_classes[4][4][7] = int_stack + 78159;
 Libderiv->deriv_classes[4][5][7] = int_stack + 78384;
 Libderiv->deriv2_classes[4][3][7] = int_stack + 78699;
 Libderiv->deriv2_classes[4][4][7] = int_stack + 78849;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 79074;
 Libderiv->deriv2_classes[5][3][7] = int_stack + 79389;
 Libderiv->deriv2_classes[5][4][7] = int_stack + 79599;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 79914;
 Libderiv->dvrr_classes[4][3] = int_stack + 80355;
 Libderiv->deriv_classes[4][3][6] = int_stack + 80505;
 Libderiv->dvrr_classes[4][4] = int_stack + 80655;
 Libderiv->deriv_classes[4][4][6] = int_stack + 80880;
 Libderiv->deriv_classes[4][5][6] = int_stack + 81105;
 Libderiv->deriv2_classes[4][3][6] = int_stack + 81420;
 Libderiv->deriv2_classes[4][4][6] = int_stack + 81570;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 81795;
 Libderiv->deriv_classes[5][3][0] = int_stack + 82110;
 Libderiv->deriv2_classes[5][3][6] = int_stack + 82320;
 Libderiv->deriv_classes[5][4][0] = int_stack + 82530;
 Libderiv->deriv2_classes[5][4][6] = int_stack + 82845;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 83160;
 Libderiv->deriv_classes[4][3][2] = int_stack + 83601;
 Libderiv->deriv_classes[4][4][2] = int_stack + 83751;
 Libderiv->deriv_classes[4][5][2] = int_stack + 83976;
 Libderiv->deriv2_classes[4][3][2] = int_stack + 84291;
 Libderiv->deriv2_classes[4][4][2] = int_stack + 84441;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 84666;
 Libderiv->deriv2_classes[5][3][2] = int_stack + 84981;
 Libderiv->deriv2_classes[5][4][2] = int_stack + 85191;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 85506;
 Libderiv->deriv_classes[4][3][1] = int_stack + 85947;
 Libderiv->deriv_classes[4][4][1] = int_stack + 86097;
 Libderiv->deriv_classes[4][5][1] = int_stack + 86322;
 Libderiv->deriv2_classes[4][3][1] = int_stack + 86637;
 Libderiv->deriv2_classes[4][4][1] = int_stack + 86787;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 87012;
 Libderiv->deriv2_classes[5][3][1] = int_stack + 87327;
 Libderiv->deriv2_classes[5][4][1] = int_stack + 87537;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 87852;
 Libderiv->deriv_classes[4][3][0] = int_stack + 88293;
 Libderiv->deriv_classes[4][4][0] = int_stack + 88443;
 Libderiv->deriv_classes[4][5][0] = int_stack + 88668;
 Libderiv->deriv2_classes[4][3][0] = int_stack + 88983;
 Libderiv->deriv2_classes[4][4][0] = int_stack + 89133;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 89358;
 Libderiv->deriv2_classes[5][3][0] = int_stack + 89673;
 Libderiv->deriv2_classes[5][4][0] = int_stack + 89883;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 90198;
 memset(int_stack,0,725112);

 Libderiv->dvrr_stack = int_stack + 173214;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gpfd(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+80655,int_stack+80355,15);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+68775,int_stack+68625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80355,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+91539,int_stack+69000,int_stack+68775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80655,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+92214,int_stack+91539,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+91539,int_stack+2205,int_stack+41034,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+93114,int_stack+30549,int_stack+30129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41034,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+93744,int_stack+0,int_stack+30549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2205,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+94689,int_stack+93744,int_stack+93114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+93744,int_stack+71121,int_stack+70971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80355, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+95949,int_stack+71346,int_stack+71121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80655, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+96624,int_stack+95949,int_stack+93744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+95949,int_stack+32730,int_stack+32310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41034, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+97524,int_stack+441,int_stack+32730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2205, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+98469,int_stack+97524,int_stack+95949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+97524,int_stack+73467,int_stack+73317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80355, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+73692,int_stack+73467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80655, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+99729,int_stack+0,int_stack+97524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+0,int_stack+34911,int_stack+34491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41034, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100629,int_stack+882,int_stack+34911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2205, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+101574,int_stack+100629,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+100629,int_stack+75813,int_stack+75663, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+630,int_stack+76038,int_stack+75813, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+102834,int_stack+630,int_stack+100629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+630,int_stack+37092,int_stack+36672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+103734,int_stack+1323,int_stack+37092, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+104679,int_stack+103734,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+103734,int_stack+78159,int_stack+78009, 0.0, zero_stack, 1.0, int_stack+80355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+78384,int_stack+78159, 0.0, zero_stack, 1.0, int_stack+80655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+106614,int_stack+105939,int_stack+103734, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+39273,int_stack+38853, 0.0, zero_stack, 1.0, int_stack+41034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+107514,int_stack+1764,int_stack+39273, 0.0, zero_stack, 1.0, int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+108459,int_stack+107514,int_stack+105939, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+107514,int_stack+80880,int_stack+80505, 1.0, int_stack+80355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1260,int_stack+81105,int_stack+80880, 1.0, int_stack+80655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+109719,int_stack+1260,int_stack+107514, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+1260,int_stack+41664,int_stack+41244, 1.0, int_stack+41034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+110619,int_stack+2520,int_stack+41664, 1.0, int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+111564,int_stack+110619,int_stack+1260, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+91539,int_stack+3843,int_stack+80655,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+110619,int_stack+91539,int_stack+90639,15);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+83751,int_stack+83601,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+91539,int_stack+83976,int_stack+83751,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+1890,int_stack+91539,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+91539,int_stack+52125,int_stack+51705,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+112824,int_stack+2961,int_stack+52125,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+113769,int_stack+112824,int_stack+91539,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+112824,int_stack+86097,int_stack+85947,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+86322,int_stack+86097,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+115704,int_stack+115029,int_stack+112824,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+64242,int_stack+63822,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+116604,int_stack+3402,int_stack+64242,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+2790,int_stack+116604,int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+116604,int_stack+88443,int_stack+88293,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+117054,int_stack+88668,int_stack+88443,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+117729,int_stack+117054,int_stack+116604,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+117054,int_stack+82530,int_stack+82110,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+118629,int_stack+4158,int_stack+82530,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+119574,int_stack+118629,int_stack+117054,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+4749,int_stack+4599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+68625,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+4974,int_stack+4749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+68775,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+120834,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91089,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+5499,int_stack+5289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30129,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+5814,int_stack+5499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30549,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+4995,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+93114,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+6405,int_stack+6255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68625, 1.0, int_stack+70971,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+6630,int_stack+6405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68775, 1.0, int_stack+71121,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+121734,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91089, 1.0, int_stack+93744,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+7155,int_stack+6945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30129, 1.0, int_stack+32310,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+7470,int_stack+7155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30549, 1.0, int_stack+32730,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+6255,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93114, 1.0, int_stack+95949,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+8061,int_stack+7911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+70971, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+8286,int_stack+8061, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+71121, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+7515,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+93744, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+8811,int_stack+8601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32310, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+9126,int_stack+8811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32730, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+122634,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95949, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+9717,int_stack+9567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68625, 0.0, zero_stack, 1.0, int_stack+73317,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+9942,int_stack+9717, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68775, 0.0, zero_stack, 1.0, int_stack+73467,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+8415,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91089, 0.0, zero_stack, 1.0, int_stack+97524,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+10467,int_stack+10257, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30129, 0.0, zero_stack, 1.0, int_stack+34491,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+10782,int_stack+10467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30549, 0.0, zero_stack, 1.0, int_stack+34911,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+9315,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93114, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+11373,int_stack+11223, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70971, 1.0, int_stack+73317, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+11598,int_stack+11373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71121, 1.0, int_stack+73467, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+10575,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93744, 1.0, int_stack+97524, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+12123,int_stack+11913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32310, 1.0, int_stack+34491, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+12438,int_stack+12123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32730, 1.0, int_stack+34911, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+11475,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95949, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+13029,int_stack+12879, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73317, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+13254,int_stack+13029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73467, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+123894,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+97524, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+13779,int_stack+13569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+34491, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+14094,int_stack+13779, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+34911, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+12735,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+14685,int_stack+14535, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68625, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75663,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+14910,int_stack+14685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68775, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75813,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+13995,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100629,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+15435,int_stack+15225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30129, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36672,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+15750,int_stack+15435, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30549, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37092,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+14895,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93114, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+16341,int_stack+16191, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70971, 0.0, zero_stack, 1.0, int_stack+75663, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+16566,int_stack+16341, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71121, 0.0, zero_stack, 1.0, int_stack+75813, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+124794,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93744, 0.0, zero_stack, 1.0, int_stack+100629, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+17091,int_stack+16881, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32310, 0.0, zero_stack, 1.0, int_stack+36672, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+17406,int_stack+17091, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32730, 0.0, zero_stack, 1.0, int_stack+37092, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+16155,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95949, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+17997,int_stack+17847, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73317, 1.0, int_stack+75663, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+18222,int_stack+17997, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73467, 1.0, int_stack+75813, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+17415,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97524, 1.0, int_stack+100629, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+18747,int_stack+18537, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34491, 1.0, int_stack+36672, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+19062,int_stack+18747, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34911, 1.0, int_stack+37092, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+125694,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+19653,int_stack+19503, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+75663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+19878,int_stack+19653, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+75813, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+18315,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+100629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+20403,int_stack+20193, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+36672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+20718,int_stack+20403, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+19215,int_stack+4050,int_stack+118629, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+21309,int_stack+21159, 0.0, zero_stack, 1.0, int_stack+68625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78009,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+21534,int_stack+21309, 0.0, zero_stack, 1.0, int_stack+68775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78159,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+20475,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103734,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+22059,int_stack+21849, 0.0, zero_stack, 1.0, int_stack+30129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38853,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+22374,int_stack+22059, 0.0, zero_stack, 1.0, int_stack+30549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39273,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+21375,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+93114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105939,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+22965,int_stack+22815, 0.0, zero_stack, 1.0, int_stack+70971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78009, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+23190,int_stack+22965, 0.0, zero_stack, 1.0, int_stack+71121, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78159, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+126954,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+93744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103734, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+23715,int_stack+23505, 0.0, zero_stack, 1.0, int_stack+32310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38853, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+24030,int_stack+23715, 0.0, zero_stack, 1.0, int_stack+32730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39273, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+22635,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+95949, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105939, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+24621,int_stack+24471, 0.0, zero_stack, 1.0, int_stack+73317, 0.0, zero_stack, 1.0, int_stack+78009, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+24846,int_stack+24621, 0.0, zero_stack, 1.0, int_stack+73467, 0.0, zero_stack, 1.0, int_stack+78159, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+23895,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+97524, 0.0, zero_stack, 1.0, int_stack+103734, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+25371,int_stack+25161, 0.0, zero_stack, 1.0, int_stack+34491, 0.0, zero_stack, 1.0, int_stack+38853, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+25686,int_stack+25371, 0.0, zero_stack, 1.0, int_stack+34911, 0.0, zero_stack, 1.0, int_stack+39273, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+24795,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+105939, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+26277,int_stack+26127, 0.0, zero_stack, 1.0, int_stack+75663, 1.0, int_stack+78009, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+26502,int_stack+26277, 0.0, zero_stack, 1.0, int_stack+75813, 1.0, int_stack+78159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+127854,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+100629, 1.0, int_stack+103734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+27027,int_stack+26817, 0.0, zero_stack, 1.0, int_stack+36672, 1.0, int_stack+38853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+27342,int_stack+27027, 0.0, zero_stack, 1.0, int_stack+37092, 1.0, int_stack+39273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+26055,int_stack+4050,int_stack+118629, 0.0, zero_stack, 1.0, int_stack+630, 1.0, int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+27933,int_stack+27783, 0.0, zero_stack, 2.0, int_stack+78009, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+28158,int_stack+27933, 0.0, zero_stack, 2.0, int_stack+78159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+27315,int_stack+4050,int_stack+118629, 0.0, zero_stack, 2.0, int_stack+103734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+28683,int_stack+28473, 0.0, zero_stack, 2.0, int_stack+38853, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+28998,int_stack+28683, 0.0, zero_stack, 2.0, int_stack+39273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+128754,int_stack+4050,int_stack+118629, 0.0, zero_stack, 2.0, int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+29589,int_stack+29439, 1.0, int_stack+68625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80505,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+29814,int_stack+29589, 1.0, int_stack+68775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80880,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+28215,int_stack+4050,int_stack+118629, 1.0, int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107514,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+30864,int_stack+30339, 1.0, int_stack+30129, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41244,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+31179,int_stack+30864, 1.0, int_stack+30549, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41664,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+29115,int_stack+4050,int_stack+118629, 1.0, int_stack+93114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+31770,int_stack+31620, 1.0, int_stack+70971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80505, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+118629,int_stack+31995,int_stack+31770, 1.0, int_stack+71121, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80880, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+4050,int_stack+118629,int_stack+91089, 1.0, int_stack+93744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107514, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+118629,int_stack+33045,int_stack+32520, 1.0, int_stack+32310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41244, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+93114,int_stack+33360,int_stack+33045, 1.0, int_stack+32730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41664, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+30375,int_stack+93114,int_stack+118629, 1.0, int_stack+95949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+33951,int_stack+33801, 1.0, int_stack+73317, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80505, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+95949,int_stack+34176,int_stack+33951, 1.0, int_stack+73467, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80880, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+118629,int_stack+95949,int_stack+91089, 1.0, int_stack+97524, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107514, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+97524,int_stack+35226,int_stack+34701, 1.0, int_stack+34491, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41244, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+93114,int_stack+35541,int_stack+35226, 1.0, int_stack+34911, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41664, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+31635,int_stack+93114,int_stack+97524, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+36132,int_stack+35982, 1.0, int_stack+75663, 0.0, zero_stack, 1.0, int_stack+80505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+95949,int_stack+36357,int_stack+36132, 1.0, int_stack+75813, 0.0, zero_stack, 1.0, int_stack+80880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+97524,int_stack+95949,int_stack+91089, 1.0, int_stack+100629, 0.0, zero_stack, 1.0, int_stack+107514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+0,int_stack+37407,int_stack+36882, 1.0, int_stack+36672, 0.0, zero_stack, 1.0, int_stack+41244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100629,int_stack+37722,int_stack+37407, 1.0, int_stack+37092, 0.0, zero_stack, 1.0, int_stack+41664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+93114,int_stack+100629,int_stack+0, 1.0, int_stack+630, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+38313,int_stack+38163, 1.0, int_stack+78009, 1.0, int_stack+80505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+95949,int_stack+38538,int_stack+38313, 1.0, int_stack+78159, 1.0, int_stack+80880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+0,int_stack+95949,int_stack+91089, 1.0, int_stack+103734, 1.0, int_stack+107514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+103734,int_stack+39588,int_stack+39063, 1.0, int_stack+38853, 1.0, int_stack+41244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100629,int_stack+39903,int_stack+39588, 1.0, int_stack+39273, 1.0, int_stack+41664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+32895,int_stack+100629,int_stack+103734, 1.0, int_stack+105939, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+40494,int_stack+40344, 2.0, int_stack+80505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+40719,int_stack+40494, 2.0, int_stack+80880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+103734,int_stack+105939,int_stack+91089, 2.0, int_stack+107514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+107514,int_stack+41979,int_stack+41454, 2.0, int_stack+41244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100629,int_stack+42294,int_stack+41979, 2.0, int_stack+41664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+34155,int_stack+100629,int_stack+107514, 2.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+42885,int_stack+42735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83601,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+43110,int_stack+42885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83751,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+107514,int_stack+105939,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+43635,int_stack+43425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51705,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100629,int_stack+43950,int_stack+43635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52125,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+35415,int_stack+100629,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+44541,int_stack+44391, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83601, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+44766,int_stack+44541, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83751, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+100629,int_stack+105939,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+45291,int_stack+45081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51705, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+900,int_stack+45606,int_stack+45291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52125, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+36675,int_stack+900,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+46197,int_stack+46047, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83601, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+46422,int_stack+46197, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83751, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+900,int_stack+105939,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+46947,int_stack+46737, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51705, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+37935,int_stack+47262,int_stack+46947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52125, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+38880,int_stack+37935,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+47853,int_stack+47703, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+48078,int_stack+47853, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+37935,int_stack+105939,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+48603,int_stack+48393, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+40140,int_stack+48918,int_stack+48603, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+41085,int_stack+40140,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+49509,int_stack+49359, 0.0, zero_stack, 1.0, int_stack+83601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+49734,int_stack+49509, 0.0, zero_stack, 1.0, int_stack+83751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+40140,int_stack+105939,int_stack+91089, 0.0, zero_stack, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+50259,int_stack+50049, 0.0, zero_stack, 1.0, int_stack+51705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+42345,int_stack+50574,int_stack+50259, 0.0, zero_stack, 1.0, int_stack+52125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+43290,int_stack+42345,int_stack+105939, 0.0, zero_stack, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+91089,int_stack+51165,int_stack+51015, 1.0, int_stack+83601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+51390,int_stack+51165, 1.0, int_stack+83751, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+42345,int_stack+105939,int_stack+91089, 1.0, int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+52440,int_stack+51915, 1.0, int_stack+51705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+44550,int_stack+52755,int_stack+52440, 1.0, int_stack+52125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+45495,int_stack+44550,int_stack+90639, 1.0, int_stack+91539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+53346,int_stack+53196,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+53571,int_stack+53346,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+91089,int_stack+105939,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+54096,int_stack+53886,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+44550,int_stack+54411,int_stack+54096,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+46755,int_stack+44550,int_stack+105939,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+55002,int_stack+54852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85947,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+55227,int_stack+55002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86097,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+44550,int_stack+105939,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112824,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+55752,int_stack+55542, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63822,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+48015,int_stack+56067,int_stack+55752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64242,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+48960,int_stack+48015,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+56658,int_stack+56508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85947, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+56883,int_stack+56658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86097, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+48015,int_stack+105939,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112824, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+57408,int_stack+57198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63822, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+50220,int_stack+57723,int_stack+57408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64242, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+51165,int_stack+50220,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115029, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+58314,int_stack+58164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85947, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+58539,int_stack+58314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86097, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+50220,int_stack+105939,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112824, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+59064,int_stack+58854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63822, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+52425,int_stack+59379,int_stack+59064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64242, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+53370,int_stack+52425,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115029, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+59970,int_stack+59820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+60195,int_stack+59970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+52425,int_stack+105939,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+60720,int_stack+60510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+54630,int_stack+61035,int_stack+60720, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+55575,int_stack+54630,int_stack+105939, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+61626,int_stack+61476, 0.0, zero_stack, 1.0, int_stack+85947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+61851,int_stack+61626, 0.0, zero_stack, 1.0, int_stack+86097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+54630,int_stack+105939,int_stack+90639, 0.0, zero_stack, 1.0, int_stack+112824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+105939,int_stack+62376,int_stack+62166, 0.0, zero_stack, 1.0, int_stack+63822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+56835,int_stack+62691,int_stack+62376, 0.0, zero_stack, 1.0, int_stack+64242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+57780,int_stack+56835,int_stack+105939, 0.0, zero_stack, 1.0, int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+63282,int_stack+63132, 1.0, int_stack+85947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105939,int_stack+63507,int_stack+63282, 1.0, int_stack+86097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+56835,int_stack+105939,int_stack+90639, 1.0, int_stack+112824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+112824,int_stack+64557,int_stack+64032, 1.0, int_stack+63822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+59040,int_stack+64872,int_stack+64557, 1.0, int_stack+64242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+59985,int_stack+59040,int_stack+112824, 1.0, int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+65463,int_stack+65313,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+65688,int_stack+65463,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+112824,int_stack+115029,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+66213,int_stack+66003,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+59040,int_stack+66528,int_stack+66213,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+61245,int_stack+59040,int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+67119,int_stack+66969,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+67344,int_stack+67119,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+59040,int_stack+115029,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+67869,int_stack+67659,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+62505,int_stack+68184,int_stack+67869,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+63450,int_stack+62505,int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+69465,int_stack+69315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88293,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+69690,int_stack+69465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88443,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+62505,int_stack+115029,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116604,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+70215,int_stack+70005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82110,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+64710,int_stack+70530,int_stack+70215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82530,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+65655,int_stack+64710,int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117054,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+71811,int_stack+71661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88293, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+72036,int_stack+71811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88443, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+64710,int_stack+115029,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116604, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+72561,int_stack+72351, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82110, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+66915,int_stack+72876,int_stack+72561, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82530, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+67860,int_stack+66915,int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117054, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+74157,int_stack+74007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88293, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+74382,int_stack+74157, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88443, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+66915,int_stack+115029,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116604, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+74907,int_stack+74697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82110, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69120,int_stack+75222,int_stack+74907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82530, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+70065,int_stack+69120,int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117054, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+76503,int_stack+76353, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+76728,int_stack+76503, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+69120,int_stack+115029,int_stack+90639, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+77253,int_stack+77043, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+71325,int_stack+77568,int_stack+77253, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+72270,int_stack+71325,int_stack+115029, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+78849,int_stack+78699, 0.0, zero_stack, 1.0, int_stack+88293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+79074,int_stack+78849, 0.0, zero_stack, 1.0, int_stack+88443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+71325,int_stack+115029,int_stack+90639, 0.0, zero_stack, 1.0, int_stack+116604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+79599,int_stack+79389, 0.0, zero_stack, 1.0, int_stack+82110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+73530,int_stack+79914,int_stack+79599, 0.0, zero_stack, 1.0, int_stack+82530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+74475,int_stack+73530,int_stack+115029, 0.0, zero_stack, 1.0, int_stack+117054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+81570,int_stack+81420, 1.0, int_stack+88293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+81795,int_stack+81570, 1.0, int_stack+88443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+73530,int_stack+115029,int_stack+90639, 1.0, int_stack+116604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+82845,int_stack+82320, 1.0, int_stack+82110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75735,int_stack+83160,int_stack+82845, 1.0, int_stack+82530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+76680,int_stack+75735,int_stack+115029, 1.0, int_stack+117054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+84441,int_stack+84291,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+84666,int_stack+84441,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+75735,int_stack+115029,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+85191,int_stack+84981,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+116604,int_stack+85506,int_stack+85191,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+77940,int_stack+116604,int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+86787,int_stack+86637,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+87012,int_stack+86787,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+116604,int_stack+115029,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+87537,int_stack+87327,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+79200,int_stack+87852,int_stack+87537,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+80145,int_stack+79200,int_stack+115029,21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+90639,int_stack+89133,int_stack+88983,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+115029,int_stack+89358,int_stack+89133,15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+79200,int_stack+115029,int_stack+90639,15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+115029,int_stack+89883,int_stack+89673,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+81405,int_stack+90198,int_stack+89883,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+82350,int_stack+81405,int_stack+115029,21);
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+83610,int_stack+94689,int_stack+92214,60);
     Libderiv->ABCD[11] = int_stack + 83610;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+86310,int_stack+98469,int_stack+96624,60);
     Libderiv->ABCD[10] = int_stack + 86310;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+130014,int_stack+101574,int_stack+99729,60);
     Libderiv->ABCD[9] = int_stack + 130014;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+132714,int_stack+104679,int_stack+102834,60);
     Libderiv->ABCD[8] = int_stack + 132714;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+135414,int_stack+108459,int_stack+106614,60);
     Libderiv->ABCD[7] = int_stack + 135414;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+138114,int_stack+111564,int_stack+109719,60);
     Libderiv->ABCD[6] = int_stack + 138114;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+140814,int_stack+113769,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[2] = int_stack + 140814;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+143514,int_stack+2790,int_stack+115704, 0.0, zero_stack, 1.0, int_stack+110619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[1] = int_stack + 143514;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+146214,int_stack+119574,int_stack+117729, 1.0, int_stack+110619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[0] = int_stack + 146214;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+148914,int_stack+4995,int_stack+120834,60);
     Libderiv->ABCD[155] = int_stack + 148914;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+151614,int_stack+6255,int_stack+121734,60);
     Libderiv->ABCD[143] = int_stack + 151614;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+119529,int_stack+122634,int_stack+7515,60);
     Libderiv->ABCD[142] = int_stack + 119529;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+4950,int_stack+9315,int_stack+8415,60);
     Libderiv->ABCD[131] = int_stack + 4950;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7650,int_stack+11475,int_stack+10575,60);
     Libderiv->ABCD[130] = int_stack + 7650;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+154314,int_stack+12735,int_stack+123894,60);
     Libderiv->ABCD[129] = int_stack + 154314;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10350,int_stack+14895,int_stack+13995,60);
     Libderiv->ABCD[119] = int_stack + 10350;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13050,int_stack+16155,int_stack+124794,60);
     Libderiv->ABCD[118] = int_stack + 13050;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+122229,int_stack+125694,int_stack+17415,60);
     Libderiv->ABCD[117] = int_stack + 122229;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+157014,int_stack+19215,int_stack+18315,60);
     Libderiv->ABCD[116] = int_stack + 157014;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15750,int_stack+21375,int_stack+20475,60);
     Libderiv->ABCD[107] = int_stack + 15750;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+18450,int_stack+22635,int_stack+126954,60);
     Libderiv->ABCD[106] = int_stack + 18450;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+124929,int_stack+24795,int_stack+23895,60);
     Libderiv->ABCD[105] = int_stack + 124929;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+21150,int_stack+26055,int_stack+127854,60);
     Libderiv->ABCD[104] = int_stack + 21150;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+23850,int_stack+128754,int_stack+27315,60);
     Libderiv->ABCD[103] = int_stack + 23850;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+159714,int_stack+29115,int_stack+28215,60);
     Libderiv->ABCD[95] = int_stack + 159714;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+26550,int_stack+30375,int_stack+4050,60);
     Libderiv->ABCD[94] = int_stack + 26550;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+162414,int_stack+31635,int_stack+118629,60);
     Libderiv->ABCD[93] = int_stack + 162414;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+29250,int_stack+93114,int_stack+97524,60);
     Libderiv->ABCD[92] = int_stack + 29250;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+93114,int_stack+32895,int_stack+0,60);
     Libderiv->ABCD[91] = int_stack + 93114;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+165114,int_stack+34155,int_stack+103734,60);
     Libderiv->ABCD[90] = int_stack + 165114;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+103734,int_stack+35415,int_stack+107514, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[47] = int_stack + 103734;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+31950,int_stack+36675,int_stack+100629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[46] = int_stack + 31950;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+34650,int_stack+38880,int_stack+900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[45] = int_stack + 34650;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+167814,int_stack+41085,int_stack+37935, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[44] = int_stack + 167814;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+37350,int_stack+43290,int_stack+40140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[43] = int_stack + 37350;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+170514,int_stack+45495,int_stack+42345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[42] = int_stack + 170514;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+40050,int_stack+46755,int_stack+91089, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[38] = int_stack + 40050;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+89010,int_stack+48960,int_stack+44550, 0.0, zero_stack, 1.0, int_stack+92214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[35] = int_stack + 89010;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+42750,int_stack+51165,int_stack+48015, 0.0, zero_stack, 1.0, int_stack+96624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[34] = int_stack + 42750;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+45450,int_stack+53370,int_stack+50220, 0.0, zero_stack, 1.0, int_stack+99729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[33] = int_stack + 45450;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+48150,int_stack+55575,int_stack+52425, 0.0, zero_stack, 1.0, int_stack+102834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[32] = int_stack + 48150;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+50850,int_stack+57780,int_stack+54630, 0.0, zero_stack, 1.0, int_stack+106614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[31] = int_stack + 50850;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+53550,int_stack+59985,int_stack+56835, 0.0, zero_stack, 1.0, int_stack+109719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[30] = int_stack + 53550;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+56250,int_stack+61245,int_stack+112824, 0.0, zero_stack, 1.0, int_stack+1890, 1.0, int_stack+115704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[26] = int_stack + 56250;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+110619,int_stack+63450,int_stack+59040, 0.0, zero_stack, 2.0, int_stack+115704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[25] = int_stack + 110619;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+58950,int_stack+65655,int_stack+62505, 1.0, int_stack+92214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[23] = int_stack + 58950;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+61650,int_stack+67860,int_stack+64710, 1.0, int_stack+96624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[22] = int_stack + 61650;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+95814,int_stack+70065,int_stack+66915, 1.0, int_stack+99729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[21] = int_stack + 95814;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+98514,int_stack+72270,int_stack+69120, 1.0, int_stack+102834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[20] = int_stack + 98514;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+64350,int_stack+74475,int_stack+71325, 1.0, int_stack+106614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[19] = int_stack + 64350;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+106434,int_stack+76680,int_stack+73530, 1.0, int_stack+109719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[18] = int_stack + 106434;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+67050,int_stack+77940,int_stack+75735, 1.0, int_stack+1890, 0.0, zero_stack, 1.0, int_stack+117729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[14] = int_stack + 67050;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+80145,int_stack+116604, 1.0, int_stack+115704, 1.0, int_stack+117729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[13] = int_stack + 0;
 /*--- compute (gp|fd) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+113319,int_stack+82350,int_stack+79200, 2.0, int_stack+117729, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,60);
     Libderiv->ABCD[12] = int_stack + 113319;

}
