#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_hphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hp|hd) integrals */

void d12hrr_order_hphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][7][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][10] = int_stack + 1008;
 Libderiv->deriv_classes[6][7][9] = int_stack + 2016;
 Libderiv->deriv_classes[6][7][8] = int_stack + 3024;
 Libderiv->deriv_classes[6][7][7] = int_stack + 4032;
 Libderiv->dvrr_classes[6][6] = int_stack + 5040;
 Libderiv->deriv_classes[6][7][6] = int_stack + 5824;
 Libderiv->deriv_classes[6][7][2] = int_stack + 6832;
 Libderiv->deriv_classes[6][7][1] = int_stack + 7840;
 Libderiv->dvrr_classes[5][7] = int_stack + 8848;
 Libderiv->deriv_classes[6][7][0] = int_stack + 9604;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 10612;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 11053;
 Libderiv->deriv2_classes[5][7][143] = int_stack + 11641;
 Libderiv->deriv2_classes[6][5][143] = int_stack + 12397;
 Libderiv->deriv2_classes[6][6][143] = int_stack + 12985;
 Libderiv->deriv2_classes[6][7][143] = int_stack + 13769;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 14777;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 15218;
 Libderiv->deriv2_classes[5][7][131] = int_stack + 15806;
 Libderiv->deriv2_classes[6][5][131] = int_stack + 16562;
 Libderiv->deriv2_classes[6][6][131] = int_stack + 17150;
 Libderiv->deriv2_classes[6][7][131] = int_stack + 17934;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 18942;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 19383;
 Libderiv->deriv2_classes[5][7][130] = int_stack + 19971;
 Libderiv->deriv2_classes[6][5][130] = int_stack + 20727;
 Libderiv->deriv2_classes[6][6][130] = int_stack + 21315;
 Libderiv->deriv2_classes[6][7][130] = int_stack + 22099;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 23107;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 23548;
 Libderiv->deriv2_classes[5][7][119] = int_stack + 24136;
 Libderiv->deriv2_classes[6][5][119] = int_stack + 24892;
 Libderiv->deriv2_classes[6][6][119] = int_stack + 25480;
 Libderiv->deriv2_classes[6][7][119] = int_stack + 26264;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 27272;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 27713;
 Libderiv->deriv2_classes[5][7][118] = int_stack + 28301;
 Libderiv->deriv2_classes[6][5][118] = int_stack + 29057;
 Libderiv->deriv2_classes[6][6][118] = int_stack + 29645;
 Libderiv->deriv2_classes[6][7][118] = int_stack + 30429;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 31437;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 31878;
 Libderiv->deriv2_classes[5][7][117] = int_stack + 32466;
 Libderiv->deriv2_classes[6][5][117] = int_stack + 33222;
 Libderiv->deriv2_classes[6][6][117] = int_stack + 33810;
 Libderiv->deriv2_classes[6][7][117] = int_stack + 34594;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 35602;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 36043;
 Libderiv->deriv2_classes[5][7][107] = int_stack + 36631;
 Libderiv->deriv2_classes[6][5][107] = int_stack + 37387;
 Libderiv->deriv2_classes[6][6][107] = int_stack + 37975;
 Libderiv->deriv2_classes[6][7][107] = int_stack + 38759;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 39767;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 40208;
 Libderiv->deriv2_classes[5][7][106] = int_stack + 40796;
 Libderiv->deriv2_classes[6][5][106] = int_stack + 41552;
 Libderiv->deriv2_classes[6][6][106] = int_stack + 42140;
 Libderiv->deriv2_classes[6][7][106] = int_stack + 42924;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 43932;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 44373;
 Libderiv->deriv2_classes[5][7][105] = int_stack + 44961;
 Libderiv->deriv2_classes[6][5][105] = int_stack + 45717;
 Libderiv->deriv2_classes[6][6][105] = int_stack + 46305;
 Libderiv->deriv2_classes[6][7][105] = int_stack + 47089;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 48097;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 48538;
 Libderiv->deriv2_classes[5][7][104] = int_stack + 49126;
 Libderiv->deriv2_classes[6][5][104] = int_stack + 49882;
 Libderiv->deriv2_classes[6][6][104] = int_stack + 50470;
 Libderiv->deriv2_classes[6][7][104] = int_stack + 51254;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 52262;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 52703;
 Libderiv->deriv2_classes[5][7][95] = int_stack + 53291;
 Libderiv->deriv2_classes[6][5][95] = int_stack + 54047;
 Libderiv->deriv2_classes[6][6][95] = int_stack + 54635;
 Libderiv->deriv2_classes[6][7][95] = int_stack + 55419;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 56427;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 56868;
 Libderiv->deriv2_classes[5][7][94] = int_stack + 57456;
 Libderiv->deriv2_classes[6][5][94] = int_stack + 58212;
 Libderiv->deriv2_classes[6][6][94] = int_stack + 58800;
 Libderiv->deriv2_classes[6][7][94] = int_stack + 59584;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 60592;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 61033;
 Libderiv->deriv2_classes[5][7][93] = int_stack + 61621;
 Libderiv->deriv2_classes[6][5][93] = int_stack + 62377;
 Libderiv->deriv2_classes[6][6][93] = int_stack + 62965;
 Libderiv->deriv2_classes[6][7][93] = int_stack + 63749;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 64757;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 65198;
 Libderiv->deriv2_classes[5][7][92] = int_stack + 65786;
 Libderiv->deriv2_classes[6][5][92] = int_stack + 66542;
 Libderiv->deriv2_classes[6][6][92] = int_stack + 67130;
 Libderiv->deriv2_classes[6][7][92] = int_stack + 67914;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 68922;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 69363;
 Libderiv->deriv2_classes[5][7][91] = int_stack + 69951;
 Libderiv->deriv2_classes[6][5][91] = int_stack + 70707;
 Libderiv->deriv2_classes[6][6][91] = int_stack + 71295;
 Libderiv->deriv2_classes[6][7][91] = int_stack + 72079;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 73087;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 73528;
 Libderiv->deriv2_classes[5][7][83] = int_stack + 74116;
 Libderiv->deriv_classes[6][5][11] = int_stack + 74872;
 Libderiv->deriv2_classes[6][5][83] = int_stack + 75460;
 Libderiv->deriv_classes[6][6][11] = int_stack + 76048;
 Libderiv->deriv2_classes[6][6][83] = int_stack + 76832;
 Libderiv->deriv2_classes[6][7][83] = int_stack + 77616;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 78624;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 79065;
 Libderiv->deriv2_classes[5][7][82] = int_stack + 79653;
 Libderiv->deriv_classes[6][5][10] = int_stack + 80409;
 Libderiv->deriv2_classes[6][5][82] = int_stack + 80997;
 Libderiv->deriv_classes[6][6][10] = int_stack + 81585;
 Libderiv->deriv2_classes[6][6][82] = int_stack + 82369;
 Libderiv->deriv2_classes[6][7][82] = int_stack + 83153;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 84161;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 84602;
 Libderiv->deriv2_classes[5][7][81] = int_stack + 85190;
 Libderiv->deriv_classes[6][5][9] = int_stack + 85946;
 Libderiv->deriv2_classes[6][5][81] = int_stack + 86534;
 Libderiv->deriv_classes[6][6][9] = int_stack + 87122;
 Libderiv->deriv2_classes[6][6][81] = int_stack + 87906;
 Libderiv->deriv2_classes[6][7][81] = int_stack + 88690;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 89698;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 90139;
 Libderiv->deriv2_classes[5][7][80] = int_stack + 90727;
 Libderiv->deriv_classes[6][5][8] = int_stack + 91483;
 Libderiv->deriv2_classes[6][5][80] = int_stack + 92071;
 Libderiv->deriv_classes[6][6][8] = int_stack + 92659;
 Libderiv->deriv2_classes[6][6][80] = int_stack + 93443;
 Libderiv->deriv2_classes[6][7][80] = int_stack + 94227;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 95235;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 95676;
 Libderiv->deriv2_classes[5][7][79] = int_stack + 96264;
 Libderiv->deriv_classes[6][5][7] = int_stack + 97020;
 Libderiv->deriv2_classes[6][5][79] = int_stack + 97608;
 Libderiv->deriv_classes[6][6][7] = int_stack + 98196;
 Libderiv->deriv2_classes[6][6][79] = int_stack + 98980;
 Libderiv->deriv2_classes[6][7][79] = int_stack + 99764;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 100772;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 101213;
 Libderiv->deriv2_classes[5][7][78] = int_stack + 101801;
 Libderiv->dvrr_classes[6][5] = int_stack + 102557;
 Libderiv->deriv_classes[6][5][6] = int_stack + 103145;
 Libderiv->deriv2_classes[6][5][78] = int_stack + 103733;
 Libderiv->deriv_classes[6][6][6] = int_stack + 104321;
 Libderiv->deriv2_classes[6][6][78] = int_stack + 105105;
 Libderiv->deriv2_classes[6][7][78] = int_stack + 105889;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 106897;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 107338;
 Libderiv->deriv2_classes[5][7][35] = int_stack + 107926;
 Libderiv->deriv2_classes[6][5][35] = int_stack + 108682;
 Libderiv->deriv2_classes[6][6][35] = int_stack + 109270;
 Libderiv->deriv2_classes[6][7][35] = int_stack + 110054;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 111062;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 111503;
 Libderiv->deriv2_classes[5][7][34] = int_stack + 112091;
 Libderiv->deriv2_classes[6][5][34] = int_stack + 112847;
 Libderiv->deriv2_classes[6][6][34] = int_stack + 113435;
 Libderiv->deriv2_classes[6][7][34] = int_stack + 114219;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 115227;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 115668;
 Libderiv->deriv2_classes[5][7][33] = int_stack + 116256;
 Libderiv->deriv2_classes[6][5][33] = int_stack + 117012;
 Libderiv->deriv2_classes[6][6][33] = int_stack + 117600;
 Libderiv->deriv2_classes[6][7][33] = int_stack + 118384;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 119392;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 119833;
 Libderiv->deriv2_classes[5][7][32] = int_stack + 120421;
 Libderiv->deriv2_classes[6][5][32] = int_stack + 121177;
 Libderiv->deriv2_classes[6][6][32] = int_stack + 121765;
 Libderiv->deriv2_classes[6][7][32] = int_stack + 122549;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 123557;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 123998;
 Libderiv->deriv2_classes[5][7][31] = int_stack + 124586;
 Libderiv->deriv2_classes[6][5][31] = int_stack + 125342;
 Libderiv->deriv2_classes[6][6][31] = int_stack + 125930;
 Libderiv->deriv2_classes[6][7][31] = int_stack + 126714;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 127722;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 128163;
 Libderiv->deriv2_classes[5][7][30] = int_stack + 128751;
 Libderiv->deriv_classes[6][5][2] = int_stack + 129507;
 Libderiv->deriv2_classes[6][5][30] = int_stack + 130095;
 Libderiv->deriv_classes[6][6][2] = int_stack + 130683;
 Libderiv->deriv2_classes[6][6][30] = int_stack + 131467;
 Libderiv->deriv2_classes[6][7][30] = int_stack + 132251;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 133259;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 133700;
 Libderiv->deriv2_classes[5][7][26] = int_stack + 134288;
 Libderiv->deriv2_classes[6][5][26] = int_stack + 135044;
 Libderiv->deriv2_classes[6][6][26] = int_stack + 135632;
 Libderiv->deriv2_classes[6][7][26] = int_stack + 136416;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 137424;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 137865;
 Libderiv->deriv2_classes[5][7][23] = int_stack + 138453;
 Libderiv->deriv2_classes[6][5][23] = int_stack + 139209;
 Libderiv->deriv2_classes[6][6][23] = int_stack + 139797;
 Libderiv->deriv2_classes[6][7][23] = int_stack + 140581;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 141589;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 142030;
 Libderiv->deriv2_classes[5][7][22] = int_stack + 142618;
 Libderiv->deriv2_classes[6][5][22] = int_stack + 143374;
 Libderiv->deriv2_classes[6][6][22] = int_stack + 143962;
 Libderiv->deriv2_classes[6][7][22] = int_stack + 144746;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 145754;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 146195;
 Libderiv->deriv2_classes[5][7][21] = int_stack + 146783;
 Libderiv->deriv2_classes[6][5][21] = int_stack + 147539;
 Libderiv->deriv2_classes[6][6][21] = int_stack + 148127;
 Libderiv->deriv2_classes[6][7][21] = int_stack + 148911;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 149919;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 150360;
 Libderiv->deriv2_classes[5][7][20] = int_stack + 150948;
 Libderiv->deriv2_classes[6][5][20] = int_stack + 151704;
 Libderiv->deriv2_classes[6][6][20] = int_stack + 152292;
 Libderiv->deriv2_classes[6][7][20] = int_stack + 153076;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 154084;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 154525;
 Libderiv->deriv2_classes[5][7][19] = int_stack + 155113;
 Libderiv->deriv2_classes[6][5][19] = int_stack + 155869;
 Libderiv->deriv2_classes[6][6][19] = int_stack + 156457;
 Libderiv->deriv2_classes[6][7][19] = int_stack + 157241;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 158249;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 158690;
 Libderiv->deriv2_classes[5][7][18] = int_stack + 159278;
 Libderiv->deriv_classes[6][5][1] = int_stack + 160034;
 Libderiv->deriv2_classes[6][5][18] = int_stack + 160622;
 Libderiv->deriv_classes[6][6][1] = int_stack + 161210;
 Libderiv->deriv2_classes[6][6][18] = int_stack + 161994;
 Libderiv->deriv2_classes[6][7][18] = int_stack + 162778;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 163786;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 164227;
 Libderiv->deriv2_classes[5][7][14] = int_stack + 164815;
 Libderiv->deriv2_classes[6][5][14] = int_stack + 165571;
 Libderiv->deriv2_classes[6][6][14] = int_stack + 166159;
 Libderiv->deriv2_classes[6][7][14] = int_stack + 166943;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 167951;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 168392;
 Libderiv->deriv2_classes[5][7][13] = int_stack + 168980;
 Libderiv->deriv2_classes[6][5][13] = int_stack + 169736;
 Libderiv->deriv2_classes[6][6][13] = int_stack + 170324;
 Libderiv->deriv2_classes[6][7][13] = int_stack + 171108;
 Libderiv->deriv_classes[5][5][11] = int_stack + 172116;
 Libderiv->deriv_classes[5][6][11] = int_stack + 172557;
 Libderiv->deriv_classes[5][7][11] = int_stack + 173145;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 173901;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 174342;
 Libderiv->deriv2_classes[5][7][11] = int_stack + 174930;
 Libderiv->deriv2_classes[6][5][11] = int_stack + 175686;
 Libderiv->deriv2_classes[6][6][11] = int_stack + 176274;
 Libderiv->deriv2_classes[6][7][11] = int_stack + 177058;
 Libderiv->deriv_classes[5][5][10] = int_stack + 178066;
 Libderiv->deriv_classes[5][6][10] = int_stack + 178507;
 Libderiv->deriv_classes[5][7][10] = int_stack + 179095;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 179851;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 180292;
 Libderiv->deriv2_classes[5][7][10] = int_stack + 180880;
 Libderiv->deriv2_classes[6][5][10] = int_stack + 181636;
 Libderiv->deriv2_classes[6][6][10] = int_stack + 182224;
 Libderiv->deriv2_classes[6][7][10] = int_stack + 183008;
 Libderiv->deriv_classes[5][5][9] = int_stack + 184016;
 Libderiv->deriv_classes[5][6][9] = int_stack + 184457;
 Libderiv->deriv_classes[5][7][9] = int_stack + 185045;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 185801;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 186242;
 Libderiv->deriv2_classes[5][7][9] = int_stack + 186830;
 Libderiv->deriv2_classes[6][5][9] = int_stack + 187586;
 Libderiv->deriv2_classes[6][6][9] = int_stack + 188174;
 Libderiv->deriv2_classes[6][7][9] = int_stack + 188958;
 Libderiv->deriv_classes[5][5][8] = int_stack + 189966;
 Libderiv->deriv_classes[5][6][8] = int_stack + 190407;
 Libderiv->deriv_classes[5][7][8] = int_stack + 190995;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 191751;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 192192;
 Libderiv->deriv2_classes[5][7][8] = int_stack + 192780;
 Libderiv->deriv2_classes[6][5][8] = int_stack + 193536;
 Libderiv->deriv2_classes[6][6][8] = int_stack + 194124;
 Libderiv->deriv2_classes[6][7][8] = int_stack + 194908;
 Libderiv->deriv_classes[5][5][7] = int_stack + 195916;
 Libderiv->deriv_classes[5][6][7] = int_stack + 196357;
 Libderiv->deriv_classes[5][7][7] = int_stack + 196945;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 197701;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 198142;
 Libderiv->deriv2_classes[5][7][7] = int_stack + 198730;
 Libderiv->deriv2_classes[6][5][7] = int_stack + 199486;
 Libderiv->deriv2_classes[6][6][7] = int_stack + 200074;
 Libderiv->deriv2_classes[6][7][7] = int_stack + 200858;
 Libderiv->dvrr_classes[5][5] = int_stack + 201866;
 Libderiv->deriv_classes[5][5][6] = int_stack + 202307;
 Libderiv->dvrr_classes[5][6] = int_stack + 202748;
 Libderiv->deriv_classes[5][6][6] = int_stack + 203336;
 Libderiv->deriv_classes[5][7][6] = int_stack + 203924;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 204680;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 205121;
 Libderiv->deriv2_classes[5][7][6] = int_stack + 205709;
 Libderiv->deriv_classes[6][5][0] = int_stack + 206465;
 Libderiv->deriv2_classes[6][5][6] = int_stack + 207053;
 Libderiv->deriv_classes[6][6][0] = int_stack + 207641;
 Libderiv->deriv2_classes[6][6][6] = int_stack + 208425;
 Libderiv->deriv2_classes[6][7][6] = int_stack + 209209;
 Libderiv->deriv_classes[5][5][2] = int_stack + 210217;
 Libderiv->deriv_classes[5][6][2] = int_stack + 210658;
 Libderiv->deriv_classes[5][7][2] = int_stack + 211246;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 212002;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 212443;
 Libderiv->deriv2_classes[5][7][2] = int_stack + 213031;
 Libderiv->deriv2_classes[6][5][2] = int_stack + 213787;
 Libderiv->deriv2_classes[6][6][2] = int_stack + 214375;
 Libderiv->deriv2_classes[6][7][2] = int_stack + 215159;
 Libderiv->deriv_classes[5][5][1] = int_stack + 216167;
 Libderiv->deriv_classes[5][6][1] = int_stack + 216608;
 Libderiv->deriv_classes[5][7][1] = int_stack + 217196;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 217952;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 218393;
 Libderiv->deriv2_classes[5][7][1] = int_stack + 218981;
 Libderiv->deriv2_classes[6][5][1] = int_stack + 219737;
 Libderiv->deriv2_classes[6][6][1] = int_stack + 220325;
 Libderiv->deriv2_classes[6][7][1] = int_stack + 221109;
 Libderiv->deriv_classes[5][5][0] = int_stack + 222117;
 Libderiv->deriv_classes[5][6][0] = int_stack + 222558;
 Libderiv->deriv_classes[5][7][0] = int_stack + 223146;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 223902;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 224343;
 Libderiv->deriv2_classes[5][7][0] = int_stack + 224931;
 Libderiv->deriv2_classes[6][5][0] = int_stack + 225687;
 Libderiv->deriv2_classes[6][6][0] = int_stack + 226275;
 Libderiv->deriv2_classes[6][7][0] = int_stack + 227059;
 memset(int_stack,0,1824536);

 Libderiv->dvrr_stack = int_stack + 511483;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_hphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+228067,int_stack+202748,int_stack+201866,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+172557,int_stack+172116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201866,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+230713,int_stack+173145,int_stack+172557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202748,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+232477,int_stack+230713,int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+230713,int_stack+5040,int_stack+102557,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+235123,int_stack+76048,int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102557,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+236887,int_stack+0,int_stack+76048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+239239,int_stack+236887,int_stack+235123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+236887,int_stack+178507,int_stack+178066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201866, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+242767,int_stack+179095,int_stack+178507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202748, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+244531,int_stack+242767,int_stack+236887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+242767,int_stack+81585,int_stack+80409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102557, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247177,int_stack+1008,int_stack+81585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+249529,int_stack+247177,int_stack+242767, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+247177,int_stack+184457,int_stack+184016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201866, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+185045,int_stack+184457, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202748, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+253057,int_stack+0,int_stack+247177, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+87122,int_stack+85946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102557, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+255703,int_stack+2016,int_stack+87122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+258055,int_stack+255703,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+255703,int_stack+190407,int_stack+189966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+190995,int_stack+190407, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+263347,int_stack+261583,int_stack+255703, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+261583,int_stack+92659,int_stack+91483, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+265993,int_stack+3024,int_stack+92659, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+268345,int_stack+265993,int_stack+261583, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+265993,int_stack+196357,int_stack+195916, 0.0, zero_stack, 1.0, int_stack+201866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+196945,int_stack+196357, 0.0, zero_stack, 1.0, int_stack+202748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+271873,int_stack+1764,int_stack+265993, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1764,int_stack+98196,int_stack+97020, 0.0, zero_stack, 1.0, int_stack+102557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+4032,int_stack+98196, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+276871,int_stack+274519,int_stack+1764, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+274519,int_stack+203336,int_stack+202307, 1.0, int_stack+201866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+203924,int_stack+203336, 1.0, int_stack+202748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+282163,int_stack+280399,int_stack+274519, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+104321,int_stack+103145, 1.0, int_stack+102557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+5824,int_stack+104321, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+287161,int_stack+284809,int_stack+280399, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+230713,int_stack+8848,int_stack+202748,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+230713,int_stack+228067,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+228067,int_stack+210658,int_stack+210217,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+230713,int_stack+211246,int_stack+210658,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+290689,int_stack+230713,int_stack+228067,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+230713,int_stack+130683,int_stack+129507,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+6832,int_stack+130683,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+293335,int_stack+284809,int_stack+230713,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+284809,int_stack+216608,int_stack+216167,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+296863,int_stack+217196,int_stack+216608,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+298627,int_stack+296863,int_stack+284809,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+161210,int_stack+160034,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+301273,int_stack+7840,int_stack+161210,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+303625,int_stack+301273,int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+301273,int_stack+222558,int_stack+222117,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6174,int_stack+223146,int_stack+222558,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+307153,int_stack+6174,int_stack+301273,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6174,int_stack+207641,int_stack+206465,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+9604,int_stack+207641,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+312151,int_stack+309799,int_stack+6174,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+309799,int_stack+11053,int_stack+10612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+172116,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7938,int_stack+11641,int_stack+11053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+172557,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9702,int_stack+7938,int_stack+309799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+229390,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+12985,int_stack+12397, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+74872,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+13769,int_stack+12985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+76048,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+315679,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+235123,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+15218,int_stack+14777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172116, 1.0, int_stack+178066,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+15806,int_stack+15218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172557, 1.0, int_stack+178507,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12348,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229390, 1.0, int_stack+236887,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+17150,int_stack+16562, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 1.0, int_stack+80409,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+17934,int_stack+17150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76048, 1.0, int_stack+81585,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14994,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235123, 1.0, int_stack+242767,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+19383,int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+178066, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+19971,int_stack+19383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+178507, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+319207,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+236887, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+21315,int_stack+20727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+80409, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+22099,int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+81585, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18522,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+242767, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+23548,int_stack+23107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172116, 0.0, zero_stack, 1.0, int_stack+184016,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+24136,int_stack+23548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172557, 0.0, zero_stack, 1.0, int_stack+184457,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22050,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229390, 0.0, zero_stack, 1.0, int_stack+247177,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+25480,int_stack+24892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 1.0, int_stack+85946,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+26264,int_stack+25480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76048, 0.0, zero_stack, 1.0, int_stack+87122,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+321853,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235123, 0.0, zero_stack, 1.0, int_stack+0,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+27713,int_stack+27272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178066, 1.0, int_stack+184016, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+28301,int_stack+27713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178507, 1.0, int_stack+184457, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24696,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236887, 1.0, int_stack+247177, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+29645,int_stack+29057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80409, 1.0, int_stack+85946, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+30429,int_stack+29645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81585, 1.0, int_stack+87122, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27342,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242767, 1.0, int_stack+0, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+31878,int_stack+31437, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+184016, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+32466,int_stack+31878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+184457, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+325381,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+247177, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+33810,int_stack+33222, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+85946, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+34594,int_stack+33810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+87122, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30870,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+36043,int_stack+35602, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+189966,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+36631,int_stack+36043, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172557, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190407,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+34398,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+255703,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+37975,int_stack+37387, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91483,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+38759,int_stack+37975, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92659,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+328027,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235123, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+261583,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+40208,int_stack+39767, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178066, 0.0, zero_stack, 1.0, int_stack+189966, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+40796,int_stack+40208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+178507, 0.0, zero_stack, 1.0, int_stack+190407, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37044,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236887, 0.0, zero_stack, 1.0, int_stack+255703, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+42140,int_stack+41552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80409, 0.0, zero_stack, 1.0, int_stack+91483, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+42924,int_stack+42140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81585, 0.0, zero_stack, 1.0, int_stack+92659, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39690,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242767, 0.0, zero_stack, 1.0, int_stack+261583, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+44373,int_stack+43932, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184016, 1.0, int_stack+189966, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+44961,int_stack+44373, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184457, 1.0, int_stack+190407, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+331555,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247177, 1.0, int_stack+255703, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+46305,int_stack+45717, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85946, 1.0, int_stack+91483, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+47089,int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87122, 1.0, int_stack+92659, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43218,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+261583, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+48538,int_stack+48097, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+189966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+49126,int_stack+48538, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+190407, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46746,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+255703, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+50470,int_stack+49882, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+51254,int_stack+50470, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+92659, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+334201,int_stack+309799,int_stack+7938, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+261583, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+52703,int_stack+52262, 0.0, zero_stack, 1.0, int_stack+172116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195916,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+53291,int_stack+52703, 0.0, zero_stack, 1.0, int_stack+172557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196357,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+49392,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265993,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+54635,int_stack+54047, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97020,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+55419,int_stack+54635, 0.0, zero_stack, 1.0, int_stack+76048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98196,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+52038,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+235123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+56868,int_stack+56427, 0.0, zero_stack, 1.0, int_stack+178066, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195916, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+57456,int_stack+56868, 0.0, zero_stack, 1.0, int_stack+178507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196357, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55566,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+236887, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265993, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+58800,int_stack+58212, 0.0, zero_stack, 1.0, int_stack+80409, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97020, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+59584,int_stack+58800, 0.0, zero_stack, 1.0, int_stack+81585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98196, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+337729,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+242767, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+61033,int_stack+60592, 0.0, zero_stack, 1.0, int_stack+184016, 0.0, zero_stack, 1.0, int_stack+195916, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+61621,int_stack+61033, 0.0, zero_stack, 1.0, int_stack+184457, 0.0, zero_stack, 1.0, int_stack+196357, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58212,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+247177, 0.0, zero_stack, 1.0, int_stack+265993, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+62965,int_stack+62377, 0.0, zero_stack, 1.0, int_stack+85946, 0.0, zero_stack, 1.0, int_stack+97020, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+63749,int_stack+62965, 0.0, zero_stack, 1.0, int_stack+87122, 0.0, zero_stack, 1.0, int_stack+98196, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60858,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+65198,int_stack+64757, 0.0, zero_stack, 1.0, int_stack+189966, 1.0, int_stack+195916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+65786,int_stack+65198, 0.0, zero_stack, 1.0, int_stack+190407, 1.0, int_stack+196357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+341257,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+255703, 1.0, int_stack+265993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+67130,int_stack+66542, 0.0, zero_stack, 1.0, int_stack+91483, 1.0, int_stack+97020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+67914,int_stack+67130, 0.0, zero_stack, 1.0, int_stack+92659, 1.0, int_stack+98196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+64386,int_stack+309799,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+261583, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+69363,int_stack+68922, 0.0, zero_stack, 2.0, int_stack+195916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+69951,int_stack+69363, 0.0, zero_stack, 2.0, int_stack+196357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+67914,int_stack+309799,int_stack+7938, 0.0, zero_stack, 2.0, int_stack+265993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+71295,int_stack+70707, 0.0, zero_stack, 2.0, int_stack+97020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+72079,int_stack+71295, 0.0, zero_stack, 2.0, int_stack+98196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+343903,int_stack+309799,int_stack+7938, 0.0, zero_stack, 2.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+73528,int_stack+73087, 1.0, int_stack+172116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202307,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+74116,int_stack+73528, 1.0, int_stack+172557, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203336,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70560,int_stack+309799,int_stack+7938, 1.0, int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274519,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+76832,int_stack+75460, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103145,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+77616,int_stack+76832, 1.0, int_stack+76048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104321,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+73206,int_stack+309799,int_stack+7938, 1.0, int_stack+235123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280399,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+79065,int_stack+78624, 1.0, int_stack+178066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202307, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+235123,int_stack+79653,int_stack+79065, 1.0, int_stack+178507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203336, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+76734,int_stack+235123,int_stack+229390, 1.0, int_stack+236887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274519, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+82369,int_stack+80997, 1.0, int_stack+80409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103145, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+309799,int_stack+83153,int_stack+82369, 1.0, int_stack+81585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104321, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+235123,int_stack+309799,int_stack+7938, 1.0, int_stack+242767, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280399, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+84602,int_stack+84161, 1.0, int_stack+184016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202307, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+242767,int_stack+85190,int_stack+84602, 1.0, int_stack+184457, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+203336, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+79380,int_stack+242767,int_stack+229390, 1.0, int_stack+247177, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274519, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+242767,int_stack+87906,int_stack+86534, 1.0, int_stack+85946, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103145, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+247177,int_stack+88690,int_stack+87906, 1.0, int_stack+87122, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104321, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+82026,int_stack+247177,int_stack+242767, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280399, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+90139,int_stack+89698, 1.0, int_stack+189966, 0.0, zero_stack, 1.0, int_stack+202307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+90727,int_stack+90139, 1.0, int_stack+190407, 0.0, zero_stack, 1.0, int_stack+203336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+85554,int_stack+0,int_stack+229390, 1.0, int_stack+255703, 0.0, zero_stack, 1.0, int_stack+274519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+93443,int_stack+92071, 1.0, int_stack+91483, 0.0, zero_stack, 1.0, int_stack+103145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+255703,int_stack+94227,int_stack+93443, 1.0, int_stack+92659, 0.0, zero_stack, 1.0, int_stack+104321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+88200,int_stack+255703,int_stack+0, 1.0, int_stack+261583, 0.0, zero_stack, 1.0, int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+95676,int_stack+95235, 1.0, int_stack+195916, 1.0, int_stack+202307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+96264,int_stack+95676, 1.0, int_stack+196357, 1.0, int_stack+203336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+91728,int_stack+261583,int_stack+229390, 1.0, int_stack+265993, 1.0, int_stack+274519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+261583,int_stack+98980,int_stack+97608, 1.0, int_stack+97020, 1.0, int_stack+103145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+265993,int_stack+99764,int_stack+98980, 1.0, int_stack+98196, 1.0, int_stack+104321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+94374,int_stack+265993,int_stack+261583, 1.0, int_stack+1764, 1.0, int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+101213,int_stack+100772, 2.0, int_stack+202307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+101801,int_stack+101213, 2.0, int_stack+203336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+261583,int_stack+229390, 2.0, int_stack+274519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+261583,int_stack+105105,int_stack+103733, 2.0, int_stack+103145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+105889,int_stack+105105, 2.0, int_stack+104321, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+97902,int_stack+274519,int_stack+261583, 2.0, int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+107338,int_stack+106897, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210217,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+107926,int_stack+107338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210658,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+101430,int_stack+280399,int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+109270,int_stack+108682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129507,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+110054,int_stack+109270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130683,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+104076,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+111503,int_stack+111062, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210217, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+112091,int_stack+111503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210658, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+107604,int_stack+280399,int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+113435,int_stack+112847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129507, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+114219,int_stack+113435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130683, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+110250,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+115668,int_stack+115227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210217, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+116256,int_stack+115668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210658, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+113778,int_stack+280399,int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+117600,int_stack+117012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129507, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+118384,int_stack+117600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+347431,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+119833,int_stack+119392, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210217, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+120421,int_stack+119833, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116424,int_stack+280399,int_stack+229390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+121765,int_stack+121177, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+122549,int_stack+121765, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+119070,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+123998,int_stack+123557, 0.0, zero_stack, 1.0, int_stack+210217, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+124586,int_stack+123998, 0.0, zero_stack, 1.0, int_stack+210658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+122598,int_stack+280399,int_stack+229390, 0.0, zero_stack, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+125930,int_stack+125342, 0.0, zero_stack, 1.0, int_stack+129507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+126714,int_stack+125930, 0.0, zero_stack, 1.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+350959,int_stack+274519,int_stack+280399, 0.0, zero_stack, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+229390,int_stack+128163,int_stack+127722, 1.0, int_stack+210217, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+128751,int_stack+128163, 1.0, int_stack+210658, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+125244,int_stack+280399,int_stack+229390, 1.0, int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+131467,int_stack+130095, 1.0, int_stack+129507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+132251,int_stack+131467, 1.0, int_stack+130683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+127890,int_stack+274519,int_stack+280399, 1.0, int_stack+230713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+133700,int_stack+133259,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+134288,int_stack+133700,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+228067,int_stack+261583,int_stack+280399,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+135632,int_stack+135044,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+136416,int_stack+135632,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+131418,int_stack+274519,int_stack+280399,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+137865,int_stack+137424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216167,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+138453,int_stack+137865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216608,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+134946,int_stack+261583,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284809,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+139797,int_stack+139209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160034,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+140581,int_stack+139797, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161210,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+137592,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+142030,int_stack+141589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216167, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+142618,int_stack+142030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216608, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+201866,int_stack+261583,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284809, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+143962,int_stack+143374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160034, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+144746,int_stack+143962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161210, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+141120,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296863, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+146195,int_stack+145754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216167, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+146783,int_stack+146195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216608, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+144648,int_stack+261583,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284809, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+148127,int_stack+147539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160034, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+148911,int_stack+148127, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161210, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+354487,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296863, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+150360,int_stack+149919, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+150948,int_stack+150360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+147294,int_stack+261583,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+284809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+152292,int_stack+151704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+153076,int_stack+152292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+149940,int_stack+274519,int_stack+280399, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+154525,int_stack+154084, 0.0, zero_stack, 1.0, int_stack+216167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+155113,int_stack+154525, 0.0, zero_stack, 1.0, int_stack+216608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+358015,int_stack+261583,int_stack+280399, 0.0, zero_stack, 1.0, int_stack+284809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+156457,int_stack+155869, 0.0, zero_stack, 1.0, int_stack+160034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+274519,int_stack+157241,int_stack+156457, 0.0, zero_stack, 1.0, int_stack+161210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153468,int_stack+274519,int_stack+280399, 0.0, zero_stack, 1.0, int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+158690,int_stack+158249, 1.0, int_stack+216167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+261583,int_stack+159278,int_stack+158690, 1.0, int_stack+216608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+156996,int_stack+261583,int_stack+280399, 1.0, int_stack+284809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+280399,int_stack+161994,int_stack+160622, 1.0, int_stack+160034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+162778,int_stack+161994, 1.0, int_stack+161210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+159642,int_stack+284809,int_stack+280399, 1.0, int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+164227,int_stack+163786,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+164815,int_stack+164227,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+360661,int_stack+280399,int_stack+296863,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+166159,int_stack+165571,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+166943,int_stack+166159,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+163170,int_stack+284809,int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+168392,int_stack+167951,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+168980,int_stack+168392,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+166698,int_stack+280399,int_stack+296863,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+170324,int_stack+169736,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+171108,int_stack+170324,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+169344,int_stack+284809,int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+174342,int_stack+173901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222117,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+174930,int_stack+174342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222558,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+172872,int_stack+280399,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301273,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+176274,int_stack+175686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+177058,int_stack+176274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207641,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+175518,int_stack+284809,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+180292,int_stack+179851, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222117, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+180880,int_stack+180292, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222558, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+363307,int_stack+280399,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301273, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+182224,int_stack+181636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+183008,int_stack+182224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207641, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+179046,int_stack+284809,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+186242,int_stack+185801, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222117, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+186830,int_stack+186242, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222558, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+182574,int_stack+280399,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301273, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+188174,int_stack+187586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+188958,int_stack+188174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207641, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+185220,int_stack+284809,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+192192,int_stack+191751, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222117, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+192780,int_stack+192192, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+222558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+188748,int_stack+280399,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+194124,int_stack+193536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+194908,int_stack+194124, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207641, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+191394,int_stack+284809,int_stack+296863, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+198142,int_stack+197701, 0.0, zero_stack, 1.0, int_stack+222117, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+198730,int_stack+198142, 0.0, zero_stack, 1.0, int_stack+222558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+194922,int_stack+280399,int_stack+296863, 0.0, zero_stack, 1.0, int_stack+301273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+200074,int_stack+199486, 0.0, zero_stack, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+284809,int_stack+200858,int_stack+200074, 0.0, zero_stack, 1.0, int_stack+207641, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197568,int_stack+284809,int_stack+296863, 0.0, zero_stack, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+205121,int_stack+204680, 1.0, int_stack+222117, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+205709,int_stack+205121, 1.0, int_stack+222558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+365953,int_stack+280399,int_stack+296863, 1.0, int_stack+301273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+208425,int_stack+207053, 1.0, int_stack+206465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+301273,int_stack+209209,int_stack+208425, 1.0, int_stack+207641, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+204512,int_stack+301273,int_stack+296863, 1.0, int_stack+6174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+6174,int_stack+212443,int_stack+212002,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+296863,int_stack+213031,int_stack+212443,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+208040,int_stack+296863,int_stack+6174,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+214375,int_stack+213787,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+301273,int_stack+215159,int_stack+214375,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+6174,int_stack+301273,int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+218393,int_stack+217952,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+218981,int_stack+218393,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+210686,int_stack+280399,int_stack+296863,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+220325,int_stack+219737,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+301273,int_stack+221109,int_stack+220325,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+213332,int_stack+301273,int_stack+296863,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+224343,int_stack+223902,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+280399,int_stack+224931,int_stack+224343,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+216860,int_stack+280399,int_stack+296863,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+296863,int_stack+226275,int_stack+225687,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+301273,int_stack+227059,int_stack+226275,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+219506,int_stack+301273,int_stack+296863,28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+368599,int_stack+239239,int_stack+232477,126);
     Libderiv->ABCD[11] = int_stack + 368599;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+376537,int_stack+249529,int_stack+244531,126);
     Libderiv->ABCD[10] = int_stack + 376537;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+384475,int_stack+258055,int_stack+253057,126);
     Libderiv->ABCD[9] = int_stack + 384475;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+392413,int_stack+268345,int_stack+263347,126);
     Libderiv->ABCD[8] = int_stack + 392413;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+400351,int_stack+276871,int_stack+271873,126);
     Libderiv->ABCD[7] = int_stack + 400351;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+408289,int_stack+287161,int_stack+282163,126);
     Libderiv->ABCD[6] = int_stack + 408289;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+416227,int_stack+293335,int_stack+290689, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 416227;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+424165,int_stack+303625,int_stack+298627, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 424165;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+432103,int_stack+312151,int_stack+307153, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 432103;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+440041,int_stack+315679,int_stack+9702,126);
     Libderiv->ABCD[155] = int_stack + 440041;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+309799,int_stack+14994,int_stack+12348,126);
     Libderiv->ABCD[143] = int_stack + 309799;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+9702,int_stack+18522,int_stack+319207,126);
     Libderiv->ABCD[142] = int_stack + 9702;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+447979,int_stack+321853,int_stack+22050,126);
     Libderiv->ABCD[131] = int_stack + 447979;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+455917,int_stack+27342,int_stack+24696,126);
     Libderiv->ABCD[130] = int_stack + 455917;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+17640,int_stack+30870,int_stack+325381,126);
     Libderiv->ABCD[129] = int_stack + 17640;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+25578,int_stack+328027,int_stack+34398,126);
     Libderiv->ABCD[119] = int_stack + 25578;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+317737,int_stack+39690,int_stack+37044,126);
     Libderiv->ABCD[118] = int_stack + 317737;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+33516,int_stack+43218,int_stack+331555,126);
     Libderiv->ABCD[117] = int_stack + 33516;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+325675,int_stack+334201,int_stack+46746,126);
     Libderiv->ABCD[116] = int_stack + 325675;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+41454,int_stack+52038,int_stack+49392,126);
     Libderiv->ABCD[107] = int_stack + 41454;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+463855,int_stack+337729,int_stack+55566,126);
     Libderiv->ABCD[106] = int_stack + 463855;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+49392,int_stack+60858,int_stack+58212,126);
     Libderiv->ABCD[105] = int_stack + 49392;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+471793,int_stack+64386,int_stack+341257,126);
     Libderiv->ABCD[104] = int_stack + 471793;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+57330,int_stack+343903,int_stack+67914,126);
     Libderiv->ABCD[103] = int_stack + 57330;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+333613,int_stack+73206,int_stack+70560,126);
     Libderiv->ABCD[95] = int_stack + 333613;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+65268,int_stack+235123,int_stack+76734,126);
     Libderiv->ABCD[94] = int_stack + 65268;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+235123,int_stack+82026,int_stack+79380,126);
     Libderiv->ABCD[93] = int_stack + 235123;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+73206,int_stack+88200,int_stack+85554,126);
     Libderiv->ABCD[92] = int_stack + 73206;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+81144,int_stack+94374,int_stack+91728,126);
     Libderiv->ABCD[91] = int_stack + 81144;
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+89082,int_stack+97902,int_stack+0,126);
     Libderiv->ABCD[90] = int_stack + 89082;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+479731,int_stack+104076,int_stack+101430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+232477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[47] = int_stack + 479731;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+97020,int_stack+110250,int_stack+107604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[46] = int_stack + 97020;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+104958,int_stack+347431,int_stack+113778, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[45] = int_stack + 104958;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+341551,int_stack+119070,int_stack+116424, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+263347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[44] = int_stack + 341551;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+112896,int_stack+350959,int_stack+122598, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[43] = int_stack + 112896;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+487669,int_stack+127890,int_stack+125244, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[42] = int_stack + 487669;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+120834,int_stack+131418,int_stack+228067, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+290689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[38] = int_stack + 120834;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+223034,int_stack+137592,int_stack+134946, 0.0, zero_stack, 1.0, int_stack+232477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[35] = int_stack + 223034;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+128772,int_stack+141120,int_stack+201866, 0.0, zero_stack, 1.0, int_stack+244531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[34] = int_stack + 128772;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+136710,int_stack+354487,int_stack+144648, 0.0, zero_stack, 1.0, int_stack+253057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[33] = int_stack + 136710;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+349489,int_stack+149940,int_stack+147294, 0.0, zero_stack, 1.0, int_stack+263347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[32] = int_stack + 349489;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+144648,int_stack+153468,int_stack+358015, 0.0, zero_stack, 1.0, int_stack+271873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[31] = int_stack + 144648;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+495607,int_stack+159642,int_stack+156996, 0.0, zero_stack, 1.0, int_stack+282163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[30] = int_stack + 495607;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+152586,int_stack+163170,int_stack+360661, 0.0, zero_stack, 1.0, int_stack+290689, 1.0, int_stack+298627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[26] = int_stack + 152586;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+503545,int_stack+169344,int_stack+166698, 0.0, zero_stack, 2.0, int_stack+298627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[25] = int_stack + 503545;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+160524,int_stack+175518,int_stack+172872, 1.0, int_stack+232477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[23] = int_stack + 160524;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+168462,int_stack+179046,int_stack+363307, 1.0, int_stack+244531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[22] = int_stack + 168462;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+243061,int_stack+185220,int_stack+182574, 1.0, int_stack+253057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[21] = int_stack + 243061;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+176400,int_stack+191394,int_stack+188748, 1.0, int_stack+263347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[20] = int_stack + 176400;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+184338,int_stack+197568,int_stack+194922, 1.0, int_stack+271873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[19] = int_stack + 184338;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+192276,int_stack+204512,int_stack+365953, 1.0, int_stack+282163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[18] = int_stack + 192276;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+250999,int_stack+6174,int_stack+208040, 1.0, int_stack+290689, 0.0, zero_stack, 1.0, int_stack+307153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[14] = int_stack + 250999;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+200214,int_stack+213332,int_stack+210686, 1.0, int_stack+298627, 1.0, int_stack+307153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[13] = int_stack + 200214;
 /*--- compute (hp|hd) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+208152,int_stack+219506,int_stack+216860, 2.0, int_stack+307153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[12] = int_stack + 208152;

}
