#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdi0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|i0) integrals */

void d1hrr_order_fdi0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 280;
 Libderiv->deriv_classes[5][6][11] = int_stack + 700;
 Libderiv->deriv_classes[3][6][10] = int_stack + 1288;
 Libderiv->deriv_classes[4][6][10] = int_stack + 1568;
 Libderiv->deriv_classes[5][6][10] = int_stack + 1988;
 Libderiv->deriv_classes[3][6][9] = int_stack + 2576;
 Libderiv->deriv_classes[4][6][9] = int_stack + 2856;
 Libderiv->deriv_classes[5][6][9] = int_stack + 3276;
 Libderiv->deriv_classes[3][6][8] = int_stack + 3864;
 Libderiv->deriv_classes[4][6][8] = int_stack + 4144;
 Libderiv->deriv_classes[5][6][8] = int_stack + 4564;
 Libderiv->deriv_classes[3][6][7] = int_stack + 5152;
 Libderiv->deriv_classes[4][6][7] = int_stack + 5432;
 Libderiv->deriv_classes[5][6][7] = int_stack + 5852;
 Libderiv->deriv_classes[3][6][6] = int_stack + 6440;
 Libderiv->deriv_classes[4][6][6] = int_stack + 6720;
 Libderiv->deriv_classes[5][6][6] = int_stack + 7140;
 Libderiv->deriv_classes[3][6][2] = int_stack + 7728;
 Libderiv->deriv_classes[4][6][2] = int_stack + 8008;
 Libderiv->deriv_classes[5][6][2] = int_stack + 8428;
 Libderiv->deriv_classes[3][6][1] = int_stack + 9016;
 Libderiv->deriv_classes[4][6][1] = int_stack + 9296;
 Libderiv->deriv_classes[5][6][1] = int_stack + 9716;
 Libderiv->dvrr_classes[3][6] = int_stack + 10304;
 Libderiv->deriv_classes[3][6][0] = int_stack + 10584;
 Libderiv->dvrr_classes[4][6] = int_stack + 10864;
 Libderiv->deriv_classes[4][6][0] = int_stack + 11284;
 Libderiv->deriv_classes[5][6][0] = int_stack + 11704;
 memset(int_stack,0,98336);

 Libderiv->dvrr_stack = int_stack + 21532;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdi0(Libderiv, Data);
   Data++;
 }

 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+12292,int_stack+280,int_stack+0,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13132,int_stack+700,int_stack+280,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+1568,int_stack+1288,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+14392,int_stack+1988,int_stack+1568,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+840,int_stack+2856,int_stack+2576,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15652,int_stack+3276,int_stack+2856,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1680,int_stack+4144,int_stack+3864,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+2520,int_stack+4564,int_stack+4144,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3780,int_stack+5432,int_stack+5152,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+16912,int_stack+5852,int_stack+5432,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+4620,int_stack+6720,int_stack+6440,28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+5460,int_stack+7140,int_stack+6720,28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+6720,int_stack+10864,int_stack+10304,28);
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+18172,int_stack+8008,int_stack+7728, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (gp|i0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+19012,int_stack+8428,int_stack+8008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+7560,int_stack+9296,int_stack+9016, 0.0, zero_stack, 1.0, int_stack+10304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (gp|i0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+20272,int_stack+9716,int_stack+9296, 0.0, zero_stack, 1.0, int_stack+10864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (fp|i0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+8400,int_stack+11284,int_stack+10584, 1.0, int_stack+10304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (gp|i0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+9240,int_stack+11704,int_stack+11284, 1.0, int_stack+10864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+10500,int_stack+13132,int_stack+12292,28);
     Libderiv->ABCD[11] = int_stack + 10500;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+12180,int_stack+14392,int_stack+0,28);
     Libderiv->ABCD[10] = int_stack + 12180;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+13860,int_stack+15652,int_stack+840,28);
     Libderiv->ABCD[9] = int_stack + 13860;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+2520,int_stack+1680,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+1680,int_stack+16912,int_stack+3780,28);
     Libderiv->ABCD[7] = int_stack + 1680;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+15540,int_stack+5460,int_stack+4620,28);
     Libderiv->ABCD[6] = int_stack + 15540;
 /*--- compute (fd|i0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+3360,int_stack+19012,int_stack+18172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[2] = int_stack + 3360;
 /*--- compute (fd|i0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+5040,int_stack+20272,int_stack+7560, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[1] = int_stack + 5040;
 /*--- compute (fd|i0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+17220,int_stack+9240,int_stack+8400, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[0] = int_stack + 17220;

}
