#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|ig) integrals */

void d1hrr_order_fdig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[4][6][11] = int_stack + 2300;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2720;
 Libderiv->deriv_classes[4][8][11] = int_stack + 3260;
 Libderiv->deriv_classes[4][9][11] = int_stack + 3935;
 Libderiv->deriv_classes[4][10][11] = int_stack + 4760;
 Libderiv->deriv_classes[5][6][11] = int_stack + 5750;
 Libderiv->deriv_classes[5][7][11] = int_stack + 6338;
 Libderiv->deriv_classes[5][8][11] = int_stack + 7094;
 Libderiv->deriv_classes[5][9][11] = int_stack + 8039;
 Libderiv->deriv_classes[5][10][11] = int_stack + 9194;
 Libderiv->deriv_classes[3][6][10] = int_stack + 10580;
 Libderiv->deriv_classes[3][7][10] = int_stack + 10860;
 Libderiv->deriv_classes[3][8][10] = int_stack + 11220;
 Libderiv->deriv_classes[3][9][10] = int_stack + 11670;
 Libderiv->deriv_classes[3][10][10] = int_stack + 12220;
 Libderiv->deriv_classes[4][6][10] = int_stack + 12880;
 Libderiv->deriv_classes[4][7][10] = int_stack + 13300;
 Libderiv->deriv_classes[4][8][10] = int_stack + 13840;
 Libderiv->deriv_classes[4][9][10] = int_stack + 14515;
 Libderiv->deriv_classes[4][10][10] = int_stack + 15340;
 Libderiv->deriv_classes[5][6][10] = int_stack + 16330;
 Libderiv->deriv_classes[5][7][10] = int_stack + 16918;
 Libderiv->deriv_classes[5][8][10] = int_stack + 17674;
 Libderiv->deriv_classes[5][9][10] = int_stack + 18619;
 Libderiv->deriv_classes[5][10][10] = int_stack + 19774;
 Libderiv->deriv_classes[3][6][9] = int_stack + 21160;
 Libderiv->deriv_classes[3][7][9] = int_stack + 21440;
 Libderiv->deriv_classes[3][8][9] = int_stack + 21800;
 Libderiv->deriv_classes[3][9][9] = int_stack + 22250;
 Libderiv->deriv_classes[3][10][9] = int_stack + 22800;
 Libderiv->deriv_classes[4][6][9] = int_stack + 23460;
 Libderiv->deriv_classes[4][7][9] = int_stack + 23880;
 Libderiv->deriv_classes[4][8][9] = int_stack + 24420;
 Libderiv->deriv_classes[4][9][9] = int_stack + 25095;
 Libderiv->deriv_classes[4][10][9] = int_stack + 25920;
 Libderiv->deriv_classes[5][6][9] = int_stack + 26910;
 Libderiv->deriv_classes[5][7][9] = int_stack + 27498;
 Libderiv->deriv_classes[5][8][9] = int_stack + 28254;
 Libderiv->deriv_classes[5][9][9] = int_stack + 29199;
 Libderiv->deriv_classes[5][10][9] = int_stack + 30354;
 Libderiv->deriv_classes[3][6][8] = int_stack + 31740;
 Libderiv->deriv_classes[3][7][8] = int_stack + 32020;
 Libderiv->deriv_classes[3][8][8] = int_stack + 32380;
 Libderiv->deriv_classes[3][9][8] = int_stack + 32830;
 Libderiv->deriv_classes[3][10][8] = int_stack + 33380;
 Libderiv->deriv_classes[4][6][8] = int_stack + 34040;
 Libderiv->deriv_classes[4][7][8] = int_stack + 34460;
 Libderiv->deriv_classes[4][8][8] = int_stack + 35000;
 Libderiv->deriv_classes[4][9][8] = int_stack + 35675;
 Libderiv->deriv_classes[4][10][8] = int_stack + 36500;
 Libderiv->deriv_classes[5][6][8] = int_stack + 37490;
 Libderiv->deriv_classes[5][7][8] = int_stack + 38078;
 Libderiv->deriv_classes[5][8][8] = int_stack + 38834;
 Libderiv->deriv_classes[5][9][8] = int_stack + 39779;
 Libderiv->deriv_classes[5][10][8] = int_stack + 40934;
 Libderiv->deriv_classes[3][6][7] = int_stack + 42320;
 Libderiv->deriv_classes[3][7][7] = int_stack + 42600;
 Libderiv->deriv_classes[3][8][7] = int_stack + 42960;
 Libderiv->deriv_classes[3][9][7] = int_stack + 43410;
 Libderiv->deriv_classes[3][10][7] = int_stack + 43960;
 Libderiv->deriv_classes[4][6][7] = int_stack + 44620;
 Libderiv->deriv_classes[4][7][7] = int_stack + 45040;
 Libderiv->deriv_classes[4][8][7] = int_stack + 45580;
 Libderiv->deriv_classes[4][9][7] = int_stack + 46255;
 Libderiv->deriv_classes[4][10][7] = int_stack + 47080;
 Libderiv->deriv_classes[5][6][7] = int_stack + 48070;
 Libderiv->deriv_classes[5][7][7] = int_stack + 48658;
 Libderiv->deriv_classes[5][8][7] = int_stack + 49414;
 Libderiv->deriv_classes[5][9][7] = int_stack + 50359;
 Libderiv->deriv_classes[5][10][7] = int_stack + 51514;
 Libderiv->deriv_classes[3][6][6] = int_stack + 52900;
 Libderiv->deriv_classes[3][7][6] = int_stack + 53180;
 Libderiv->deriv_classes[3][8][6] = int_stack + 53540;
 Libderiv->deriv_classes[3][9][6] = int_stack + 53990;
 Libderiv->deriv_classes[3][10][6] = int_stack + 54540;
 Libderiv->deriv_classes[4][6][6] = int_stack + 55200;
 Libderiv->deriv_classes[4][7][6] = int_stack + 55620;
 Libderiv->deriv_classes[4][8][6] = int_stack + 56160;
 Libderiv->deriv_classes[4][9][6] = int_stack + 56835;
 Libderiv->deriv_classes[4][10][6] = int_stack + 57660;
 Libderiv->dvrr_classes[5][6] = int_stack + 58650;
 Libderiv->deriv_classes[5][6][6] = int_stack + 59238;
 Libderiv->dvrr_classes[5][7] = int_stack + 59826;
 Libderiv->deriv_classes[5][7][6] = int_stack + 60582;
 Libderiv->dvrr_classes[5][8] = int_stack + 61338;
 Libderiv->deriv_classes[5][8][6] = int_stack + 62283;
 Libderiv->dvrr_classes[5][9] = int_stack + 63228;
 Libderiv->deriv_classes[5][9][6] = int_stack + 64383;
 Libderiv->deriv_classes[5][10][6] = int_stack + 65538;
 Libderiv->deriv_classes[3][6][2] = int_stack + 66924;
 Libderiv->deriv_classes[3][7][2] = int_stack + 67204;
 Libderiv->deriv_classes[3][8][2] = int_stack + 67564;
 Libderiv->deriv_classes[3][9][2] = int_stack + 68014;
 Libderiv->deriv_classes[3][10][2] = int_stack + 68564;
 Libderiv->deriv_classes[4][6][2] = int_stack + 69224;
 Libderiv->deriv_classes[4][7][2] = int_stack + 69644;
 Libderiv->deriv_classes[4][8][2] = int_stack + 70184;
 Libderiv->deriv_classes[4][9][2] = int_stack + 70859;
 Libderiv->deriv_classes[4][10][2] = int_stack + 71684;
 Libderiv->deriv_classes[5][6][2] = int_stack + 72674;
 Libderiv->deriv_classes[5][7][2] = int_stack + 73262;
 Libderiv->deriv_classes[5][8][2] = int_stack + 74018;
 Libderiv->deriv_classes[5][9][2] = int_stack + 74963;
 Libderiv->deriv_classes[5][10][2] = int_stack + 76118;
 Libderiv->deriv_classes[3][6][1] = int_stack + 77504;
 Libderiv->deriv_classes[3][7][1] = int_stack + 77784;
 Libderiv->deriv_classes[3][8][1] = int_stack + 78144;
 Libderiv->deriv_classes[3][9][1] = int_stack + 78594;
 Libderiv->deriv_classes[3][10][1] = int_stack + 79144;
 Libderiv->deriv_classes[4][6][1] = int_stack + 79804;
 Libderiv->deriv_classes[4][7][1] = int_stack + 80224;
 Libderiv->deriv_classes[4][8][1] = int_stack + 80764;
 Libderiv->deriv_classes[4][9][1] = int_stack + 81439;
 Libderiv->deriv_classes[4][10][1] = int_stack + 82264;
 Libderiv->deriv_classes[5][6][1] = int_stack + 83254;
 Libderiv->deriv_classes[5][7][1] = int_stack + 83842;
 Libderiv->deriv_classes[5][8][1] = int_stack + 84598;
 Libderiv->deriv_classes[5][9][1] = int_stack + 85543;
 Libderiv->deriv_classes[5][10][1] = int_stack + 86698;
 Libderiv->dvrr_classes[3][6] = int_stack + 88084;
 Libderiv->dvrr_classes[3][7] = int_stack + 88364;
 Libderiv->dvrr_classes[3][8] = int_stack + 88724;
 Libderiv->dvrr_classes[3][9] = int_stack + 89174;
 Libderiv->dvrr_classes[3][10] = int_stack + 89724;
 Libderiv->deriv_classes[3][6][0] = int_stack + 90384;
 Libderiv->deriv_classes[3][7][0] = int_stack + 90664;
 Libderiv->deriv_classes[3][8][0] = int_stack + 91024;
 Libderiv->deriv_classes[3][9][0] = int_stack + 91474;
 Libderiv->deriv_classes[3][10][0] = int_stack + 92024;
 Libderiv->dvrr_classes[4][6] = int_stack + 92684;
 Libderiv->dvrr_classes[4][7] = int_stack + 93104;
 Libderiv->dvrr_classes[4][8] = int_stack + 93644;
 Libderiv->dvrr_classes[4][9] = int_stack + 94319;
 Libderiv->dvrr_classes[4][10] = int_stack + 95144;
 Libderiv->deriv_classes[4][6][0] = int_stack + 96134;
 Libderiv->deriv_classes[4][7][0] = int_stack + 96554;
 Libderiv->deriv_classes[4][8][0] = int_stack + 97094;
 Libderiv->deriv_classes[4][9][0] = int_stack + 97769;
 Libderiv->deriv_classes[4][10][0] = int_stack + 98594;
 Libderiv->deriv_classes[5][6][0] = int_stack + 99584;
 Libderiv->deriv_classes[5][7][0] = int_stack + 100172;
 Libderiv->deriv_classes[5][8][0] = int_stack + 100928;
 Libderiv->deriv_classes[5][9][0] = int_stack + 101873;
 Libderiv->deriv_classes[5][10][0] = int_stack + 103028;
 memset(int_stack,0,835312);

 Libderiv->dvrr_stack = int_stack + 393490;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdig(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+104414,int_stack+88364,int_stack+88084,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+105254,int_stack+88724,int_stack+88364,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+106334,int_stack+105254,int_stack+104414,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+108014,int_stack+89174,int_stack+88724,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+109364,int_stack+108014,int_stack+105254,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+111524,int_stack+109364,int_stack+106334,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+114324,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88084,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+115164,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88364,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+116244,int_stack+115164,int_stack+114324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104414,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+117924,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88724,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+119274,int_stack+117924,int_stack+115164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105254,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+121434,int_stack+119274,int_stack+116244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106334,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+114324,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89174,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+124234,int_stack+114324,int_stack+117924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108014,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+114324,int_stack+124234,int_stack+119274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109364,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+124234,int_stack+114324,int_stack+121434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111524,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+114324,int_stack+93104,int_stack+92684,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+115584,int_stack+93644,int_stack+93104,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+117204,int_stack+115584,int_stack+114324,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+119724,int_stack+94319,int_stack+93644,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+128434,int_stack+119724,int_stack+115584,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+131674,int_stack+128434,int_stack+117204,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+121749,int_stack+2720,int_stack+2300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92684,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+3260,int_stack+2720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93104,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+135874,int_stack+0,int_stack+121749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114324,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+121749,int_stack+3935,int_stack+3260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93644,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+138394,int_stack+121749,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115584,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+141634,int_stack+138394,int_stack+135874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117204,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+135874,int_stack+4760,int_stack+3935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94319,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+135874,int_stack+121749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119724,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+145834,int_stack+0,int_stack+138394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128434,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+151234,int_stack+145834,int_stack+141634, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131674,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+135874,int_stack+151234,int_stack+124234,420);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+59826,int_stack+58650,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1764,int_stack+61338,int_stack+59826,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+121749,int_stack+1764,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+125277,int_stack+63228,int_stack+61338,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+157534,int_stack+125277,int_stack+1764,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+162070,int_stack+157534,int_stack+121749,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+148474,int_stack+6338,int_stack+5750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58650,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4032,int_stack+7094,int_stack+6338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59826,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+167950,int_stack+4032,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171478,int_stack+8039,int_stack+7094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61338,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+174313,int_stack+171478,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+178849,int_stack+174313,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121749,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+9194,int_stack+8039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63228,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4032,int_stack+167950,int_stack+171478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125277,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+184729,int_stack+4032,int_stack+174313, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157534,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+184729,int_stack+178849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162070,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+176770,int_stack+167950,int_stack+151234,420);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+10860,int_stack+10580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88084, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168790,int_stack+11220,int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88364, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169870,int_stack+168790,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171550,int_stack+11670,int_stack+11220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88724, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172900,int_stack+171550,int_stack+168790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105254, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4032,int_stack+172900,int_stack+169870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106334, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+12220,int_stack+11670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89174, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+6832,int_stack+167950,int_stack+171550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108014, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+167950,int_stack+6832,int_stack+172900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109364, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+6832,int_stack+167950,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111524, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4032,int_stack+13300,int_stack+12880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92684, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167950,int_stack+13840,int_stack+13300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93104, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169570,int_stack+167950,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114324, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4032,int_stack+14515,int_stack+13840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93644, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172090,int_stack+4032,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115584, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148474,int_stack+172090,int_stack+169570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117204, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+15340,int_stack+14515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94319, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+11032,int_stack+167950,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119724, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+195670,int_stack+11032,int_stack+172090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128434, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+195670,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131674, 0.0, zero_stack,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+195670,int_stack+167950,int_stack+6832,420);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+148474,int_stack+16918,int_stack+16330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58650, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+150238,int_stack+17674,int_stack+16918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59826, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+152506,int_stack+150238,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4032,int_stack+18619,int_stack+17674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61338, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+6867,int_stack+4032,int_stack+150238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11403,int_stack+6867,int_stack+152506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121749, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+148474,int_stack+19774,int_stack+18619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63228, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+208270,int_stack+148474,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125277, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+148474,int_stack+208270,int_stack+6867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157534, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+208270,int_stack+148474,int_stack+11403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162070, 0.0, zero_stack,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+217090,int_stack+208270,int_stack+167950,420);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+21440,int_stack+21160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88084, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168790,int_stack+21800,int_stack+21440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88364, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169870,int_stack+168790,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171550,int_stack+22250,int_stack+21800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88724, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172900,int_stack+171550,int_stack+168790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105254, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+208270,int_stack+172900,int_stack+169870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106334, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+22800,int_stack+22250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89174, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+211070,int_stack+167950,int_stack+171550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108014, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+167950,int_stack+211070,int_stack+172900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109364, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+211070,int_stack+167950,int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111524, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+208270,int_stack+23880,int_stack+23460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92684, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167950,int_stack+24420,int_stack+23880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93104, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169570,int_stack+167950,int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114324, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+208270,int_stack+25095,int_stack+24420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93644, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172090,int_stack+208270,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115584, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148474,int_stack+172090,int_stack+169570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117204, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+25920,int_stack+25095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94319, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+152674,int_stack+167950,int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119724, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4032,int_stack+152674,int_stack+172090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128434, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+4032,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131674, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+4032,int_stack+167950,int_stack+211070,420);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+148474,int_stack+27498,int_stack+26910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58650, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+150238,int_stack+28254,int_stack+27498, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59826, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+152506,int_stack+150238,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16632,int_stack+29199,int_stack+28254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61338, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19467,int_stack+16632,int_stack+150238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+208270,int_stack+19467,int_stack+152506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121749, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+148474,int_stack+30354,int_stack+29199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63228, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+24003,int_stack+148474,int_stack+16632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125277, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+148474,int_stack+24003,int_stack+19467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157534, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+16632,int_stack+148474,int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162070, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+235990,int_stack+16632,int_stack+167950,420);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+32020,int_stack+31740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168790,int_stack+32380,int_stack+32020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169870,int_stack+168790,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171550,int_stack+32830,int_stack+32380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172900,int_stack+171550,int_stack+168790, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16632,int_stack+172900,int_stack+169870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+33380,int_stack+32830, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+19432,int_stack+167950,int_stack+171550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+167950,int_stack+19432,int_stack+172900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+19432,int_stack+167950,int_stack+16632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+34460,int_stack+34040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167950,int_stack+35000,int_stack+34460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169570,int_stack+167950,int_stack+16632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16632,int_stack+35675,int_stack+35000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172090,int_stack+16632,int_stack+167950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+23632,int_stack+172090,int_stack+169570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+36500,int_stack+35675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+27832,int_stack+167950,int_stack+16632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+31882,int_stack+27832,int_stack+172090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+31882,int_stack+23632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23632,int_stack+167950,int_stack+19432,420);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16632,int_stack+38078,int_stack+37490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18396,int_stack+38834,int_stack+38078, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+59826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208270,int_stack+18396,int_stack+16632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+20664,int_stack+39779,int_stack+38834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+211798,int_stack+20664,int_stack+18396, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148474,int_stack+211798,int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+208270,int_stack+40934,int_stack+39779, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+36232,int_stack+208270,int_stack+20664, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+254890,int_stack+36232,int_stack+211798, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+208270,int_stack+254890,int_stack+148474, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+254890,int_stack+208270,int_stack+167950,420);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+42600,int_stack+42320, 0.0, zero_stack, 1.0, int_stack+88084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168790,int_stack+42960,int_stack+42600, 0.0, zero_stack, 1.0, int_stack+88364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169870,int_stack+168790,int_stack+167950, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171550,int_stack+43410,int_stack+42960, 0.0, zero_stack, 1.0, int_stack+88724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172900,int_stack+171550,int_stack+168790, 0.0, zero_stack, 1.0, int_stack+105254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+208270,int_stack+172900,int_stack+169870, 0.0, zero_stack, 1.0, int_stack+106334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+43960,int_stack+43410, 0.0, zero_stack, 1.0, int_stack+89174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+211070,int_stack+167950,int_stack+171550, 0.0, zero_stack, 1.0, int_stack+108014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+167950,int_stack+211070,int_stack+172900, 0.0, zero_stack, 1.0, int_stack+109364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+211070,int_stack+167950,int_stack+208270, 0.0, zero_stack, 1.0, int_stack+111524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+208270,int_stack+45040,int_stack+44620, 0.0, zero_stack, 1.0, int_stack+92684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+167950,int_stack+45580,int_stack+45040, 0.0, zero_stack, 1.0, int_stack+93104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169570,int_stack+167950,int_stack+208270, 0.0, zero_stack, 1.0, int_stack+114324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+208270,int_stack+46255,int_stack+45580, 0.0, zero_stack, 1.0, int_stack+93644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172090,int_stack+208270,int_stack+167950, 0.0, zero_stack, 1.0, int_stack+115584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148474,int_stack+172090,int_stack+169570, 0.0, zero_stack, 1.0, int_stack+117204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+167950,int_stack+47080,int_stack+46255, 0.0, zero_stack, 1.0, int_stack+94319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+152674,int_stack+167950,int_stack+208270, 0.0, zero_stack, 1.0, int_stack+119724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+36232,int_stack+152674,int_stack+172090, 0.0, zero_stack, 1.0, int_stack+128434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+36232,int_stack+148474, 0.0, zero_stack, 1.0, int_stack+131674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+273790,int_stack+167950,int_stack+211070,420);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+148474,int_stack+48658,int_stack+48070, 0.0, zero_stack, 1.0, int_stack+58650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+150238,int_stack+49414,int_stack+48658, 0.0, zero_stack, 1.0, int_stack+59826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+152506,int_stack+150238,int_stack+148474, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+36232,int_stack+50359,int_stack+49414, 0.0, zero_stack, 1.0, int_stack+61338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+39067,int_stack+36232,int_stack+150238, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+43603,int_stack+39067,int_stack+152506, 0.0, zero_stack, 1.0, int_stack+121749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+148474,int_stack+51514,int_stack+50359, 0.0, zero_stack, 1.0, int_stack+63228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+208270,int_stack+148474,int_stack+36232, 0.0, zero_stack, 1.0, int_stack+125277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+148474,int_stack+208270,int_stack+39067, 0.0, zero_stack, 1.0, int_stack+157534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+208270,int_stack+148474,int_stack+43603, 0.0, zero_stack, 1.0, int_stack+162070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+286390,int_stack+208270,int_stack+167950,420);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+53180,int_stack+52900, 1.0, int_stack+88084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168790,int_stack+53540,int_stack+53180, 1.0, int_stack+88364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+169870,int_stack+168790,int_stack+167950, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+171550,int_stack+53990,int_stack+53540, 1.0, int_stack+88724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172900,int_stack+171550,int_stack+168790, 1.0, int_stack+105254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+208270,int_stack+172900,int_stack+169870, 1.0, int_stack+106334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+104414,int_stack+54540,int_stack+53990, 1.0, int_stack+89174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+167950,int_stack+104414,int_stack+171550, 1.0, int_stack+108014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+104414,int_stack+167950,int_stack+172900, 1.0, int_stack+109364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+104414,int_stack+208270, 1.0, int_stack+111524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+208270,int_stack+55620,int_stack+55200, 1.0, int_stack+92684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+209530,int_stack+56160,int_stack+55620, 1.0, int_stack+93104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+211150,int_stack+209530,int_stack+208270, 1.0, int_stack+114324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+213670,int_stack+56835,int_stack+56160, 1.0, int_stack+93644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+104414,int_stack+213670,int_stack+209530, 1.0, int_stack+115584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+172150,int_stack+104414,int_stack+211150, 1.0, int_stack+117204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+114324,int_stack+57660,int_stack+56835, 1.0, int_stack+94319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+208270,int_stack+114324,int_stack+213670, 1.0, int_stack+119724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+114324,int_stack+208270,int_stack+104414, 1.0, int_stack+128434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+208270,int_stack+114324,int_stack+172150, 1.0, int_stack+131674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+36232,int_stack+208270,int_stack+167950,420);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167950,int_stack+60582,int_stack+59238, 1.0, int_stack+58650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+169714,int_stack+62283,int_stack+60582, 1.0, int_stack+59826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+171982,int_stack+169714,int_stack+167950, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+114324,int_stack+64383,int_stack+62283, 1.0, int_stack+61338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+148474,int_stack+114324,int_stack+169714, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+48832,int_stack+148474,int_stack+171982, 1.0, int_stack+121749, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+121749,int_stack+65538,int_stack+64383, 1.0, int_stack+63228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+167950,int_stack+121749,int_stack+114324, 1.0, int_stack+125277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+54712,int_stack+167950,int_stack+148474, 1.0, int_stack+157534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+167950,int_stack+54712,int_stack+48832, 1.0, int_stack+162070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+148474,int_stack+167950,int_stack+208270,420);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+208270,int_stack+89724,int_stack+89174,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+209920,int_stack+208270,int_stack+108014,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+212620,int_stack+209920,int_stack+109364,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+208270,int_stack+212620,int_stack+111524,10);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+212470,int_stack+95144,int_stack+94319,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+48832,int_stack+212470,int_stack+119724,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+52882,int_stack+48832,int_stack+128434,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+58282,int_stack+52882,int_stack+131674,15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+104414,int_stack+58282,int_stack+208270,420);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+48832,int_stack+67204,int_stack+66924,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+49672,int_stack+67564,int_stack+67204,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+50752,int_stack+49672,int_stack+48832,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+52432,int_stack+68014,int_stack+67564,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+53782,int_stack+52432,int_stack+49672,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+212470,int_stack+53782,int_stack+50752,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+48832,int_stack+68564,int_stack+68014,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+64582,int_stack+48832,int_stack+52432,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+48832,int_stack+64582,int_stack+53782,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+64582,int_stack+48832,int_stack+212470,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+212470,int_stack+69644,int_stack+69224,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+213730,int_stack+70184,int_stack+69644,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+48832,int_stack+213730,int_stack+212470,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+51352,int_stack+70859,int_stack+70184,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+53377,int_stack+51352,int_stack+213730,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+212470,int_stack+53377,int_stack+48832,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+48832,int_stack+71684,int_stack+70859,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+167374,int_stack+48832,int_stack+51352,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+117014,int_stack+167374,int_stack+53377,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+167374,int_stack+117014,int_stack+212470,15);
 /*--- compute (fp|ig) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+117014,int_stack+167374,int_stack+64582, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64582,int_stack+73262,int_stack+72674,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+66346,int_stack+74018,int_stack+73262,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+68614,int_stack+66346,int_stack+64582,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+212470,int_stack+74963,int_stack+74018,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+129614,int_stack+212470,int_stack+66346,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+48832,int_stack+129614,int_stack+68614,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+64582,int_stack+76118,int_stack+74963,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+68047,int_stack+64582,int_stack+212470,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+305290,int_stack+68047,int_stack+129614,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+64582,int_stack+305290,int_stack+48832,21);
 /*--- compute (gp|ig) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+305290,int_stack+64582,int_stack+167374, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167374,int_stack+77784,int_stack+77504,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+168214,int_stack+78144,int_stack+77784,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+169294,int_stack+168214,int_stack+167374,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+170974,int_stack+78594,int_stack+78144,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+172324,int_stack+170974,int_stack+168214,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+64582,int_stack+172324,int_stack+169294,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+167374,int_stack+79144,int_stack+78594,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+67382,int_stack+167374,int_stack+170974,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+167374,int_stack+67382,int_stack+172324,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+67382,int_stack+167374,int_stack+64582,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64582,int_stack+80224,int_stack+79804,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+167374,int_stack+80764,int_stack+80224,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+168994,int_stack+167374,int_stack+64582,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64582,int_stack+81439,int_stack+80764,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+171514,int_stack+64582,int_stack+167374,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+71582,int_stack+171514,int_stack+168994,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+167374,int_stack+82264,int_stack+81439,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+75782,int_stack+167374,int_stack+64582,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+48832,int_stack+75782,int_stack+171514,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+75782,int_stack+48832,int_stack+71582,15);
 /*--- compute (fp|ig) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+324190,int_stack+75782,int_stack+67382, 0.0, zero_stack, 1.0, int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+48832,int_stack+83842,int_stack+83254,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50596,int_stack+84598,int_stack+83842,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+52864,int_stack+50596,int_stack+48832,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64582,int_stack+85543,int_stack+84598,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+67417,int_stack+64582,int_stack+50596,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+167374,int_stack+67417,int_stack+52864,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+48832,int_stack+86698,int_stack+85543,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+52297,int_stack+48832,int_stack+64582,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+82082,int_stack+52297,int_stack+67417,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+64582,int_stack+82082,int_stack+167374,21);
 /*--- compute (gp|ig) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+336790,int_stack+64582,int_stack+75782, 0.0, zero_stack, 1.0, int_stack+58282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64582,int_stack+90664,int_stack+90384,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+65422,int_stack+91024,int_stack+90664,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+66502,int_stack+65422,int_stack+64582,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+68182,int_stack+91474,int_stack+91024,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+69532,int_stack+68182,int_stack+65422,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+71692,int_stack+69532,int_stack+66502,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+64582,int_stack+92024,int_stack+91474,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+74492,int_stack+64582,int_stack+68182,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+64582,int_stack+74492,int_stack+69532,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+74492,int_stack+64582,int_stack+71692,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64582,int_stack+96554,int_stack+96134,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+65842,int_stack+97094,int_stack+96554,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+67462,int_stack+65842,int_stack+64582,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+69982,int_stack+97769,int_stack+97094,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+78692,int_stack+69982,int_stack+65842,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+81932,int_stack+78692,int_stack+67462,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+64582,int_stack+98594,int_stack+97769,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+86132,int_stack+64582,int_stack+69982,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+64582,int_stack+86132,int_stack+78692,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+86132,int_stack+64582,int_stack+81932,15);
 /*--- compute (fp|ig) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+355690,int_stack+86132,int_stack+74492, 1.0, int_stack+208270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+208270,int_stack+100172,int_stack+99584,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+210034,int_stack+100928,int_stack+100172,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+212302,int_stack+210034,int_stack+208270,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64582,int_stack+101873,int_stack+100928,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+67417,int_stack+64582,int_stack+210034,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+71953,int_stack+67417,int_stack+212302,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+208270,int_stack+103028,int_stack+101873,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+77833,int_stack+208270,int_stack+64582,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+208270,int_stack+77833,int_stack+67417,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+92432,int_stack+208270,int_stack+71953,21);
 /*--- compute (gp|ig) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+64582,int_stack+92432,int_stack+86132, 1.0, int_stack+58282, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+368290,int_stack+176770,int_stack+135874,420);
     Libderiv->ABCD[11] = int_stack + 368290;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+167374,int_stack+217090,int_stack+195670,420);
     Libderiv->ABCD[10] = int_stack + 167374;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+192574,int_stack+235990,int_stack+4032,420);
     Libderiv->ABCD[9] = int_stack + 192574;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+217774,int_stack+254890,int_stack+23632,420);
     Libderiv->ABCD[8] = int_stack + 217774;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+242974,int_stack+286390,int_stack+273790,420);
     Libderiv->ABCD[7] = int_stack + 242974;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+268174,int_stack+148474,int_stack+36232,420);
     Libderiv->ABCD[6] = int_stack + 268174;
 /*--- compute (fd|ig) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+129614,int_stack+305290,int_stack+117014, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[2] = int_stack + 129614;
 /*--- compute (fd|ig) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+293374,int_stack+336790,int_stack+324190, 0.0, zero_stack, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[1] = int_stack + 293374;
 /*--- compute (fd|ig) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+318574,int_stack+64582,int_stack+355690, 1.0, int_stack+104414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[0] = int_stack + 318574;

}
