#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|ip) integrals */

void d1hrr_order_fdip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[4][6][11] = int_stack + 640;
 Libderiv->deriv_classes[4][7][11] = int_stack + 1060;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1600;
 Libderiv->deriv_classes[5][7][11] = int_stack + 2188;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2944;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3224;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3584;
 Libderiv->deriv_classes[4][7][10] = int_stack + 4004;
 Libderiv->deriv_classes[5][6][10] = int_stack + 4544;
 Libderiv->deriv_classes[5][7][10] = int_stack + 5132;
 Libderiv->deriv_classes[3][6][9] = int_stack + 5888;
 Libderiv->deriv_classes[3][7][9] = int_stack + 6168;
 Libderiv->deriv_classes[4][6][9] = int_stack + 6528;
 Libderiv->deriv_classes[4][7][9] = int_stack + 6948;
 Libderiv->deriv_classes[5][6][9] = int_stack + 7488;
 Libderiv->deriv_classes[5][7][9] = int_stack + 8076;
 Libderiv->deriv_classes[3][6][8] = int_stack + 8832;
 Libderiv->deriv_classes[3][7][8] = int_stack + 9112;
 Libderiv->deriv_classes[4][6][8] = int_stack + 9472;
 Libderiv->deriv_classes[4][7][8] = int_stack + 9892;
 Libderiv->deriv_classes[5][6][8] = int_stack + 10432;
 Libderiv->deriv_classes[5][7][8] = int_stack + 11020;
 Libderiv->deriv_classes[3][6][7] = int_stack + 11776;
 Libderiv->deriv_classes[3][7][7] = int_stack + 12056;
 Libderiv->deriv_classes[4][6][7] = int_stack + 12416;
 Libderiv->deriv_classes[4][7][7] = int_stack + 12836;
 Libderiv->deriv_classes[5][6][7] = int_stack + 13376;
 Libderiv->deriv_classes[5][7][7] = int_stack + 13964;
 Libderiv->deriv_classes[3][6][6] = int_stack + 14720;
 Libderiv->deriv_classes[3][7][6] = int_stack + 15000;
 Libderiv->deriv_classes[4][6][6] = int_stack + 15360;
 Libderiv->deriv_classes[4][7][6] = int_stack + 15780;
 Libderiv->dvrr_classes[5][6] = int_stack + 16320;
 Libderiv->deriv_classes[5][6][6] = int_stack + 16908;
 Libderiv->deriv_classes[5][7][6] = int_stack + 17496;
 Libderiv->deriv_classes[3][6][2] = int_stack + 18252;
 Libderiv->deriv_classes[3][7][2] = int_stack + 18532;
 Libderiv->deriv_classes[4][6][2] = int_stack + 18892;
 Libderiv->deriv_classes[4][7][2] = int_stack + 19312;
 Libderiv->deriv_classes[5][6][2] = int_stack + 19852;
 Libderiv->deriv_classes[5][7][2] = int_stack + 20440;
 Libderiv->deriv_classes[3][6][1] = int_stack + 21196;
 Libderiv->deriv_classes[3][7][1] = int_stack + 21476;
 Libderiv->deriv_classes[4][6][1] = int_stack + 21836;
 Libderiv->deriv_classes[4][7][1] = int_stack + 22256;
 Libderiv->deriv_classes[5][6][1] = int_stack + 22796;
 Libderiv->deriv_classes[5][7][1] = int_stack + 23384;
 Libderiv->dvrr_classes[3][6] = int_stack + 24140;
 Libderiv->dvrr_classes[3][7] = int_stack + 24420;
 Libderiv->deriv_classes[3][6][0] = int_stack + 24780;
 Libderiv->deriv_classes[3][7][0] = int_stack + 25060;
 Libderiv->dvrr_classes[4][6] = int_stack + 25420;
 Libderiv->dvrr_classes[4][7] = int_stack + 25840;
 Libderiv->deriv_classes[4][6][0] = int_stack + 26380;
 Libderiv->deriv_classes[4][7][0] = int_stack + 26800;
 Libderiv->deriv_classes[5][6][0] = int_stack + 27340;
 Libderiv->deriv_classes[5][7][0] = int_stack + 27928;
 memset(int_stack,0,229472);

 Libderiv->dvrr_stack = int_stack + 70348;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdip(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24140,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29524,int_stack+1060,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25420,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+30784,int_stack+29524,int_stack+28684,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+2188,int_stack+1600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16320,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+35068,int_stack+33304,int_stack+29524,84);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+3224,int_stack+2944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24140, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+4004,int_stack+3584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25420, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+28684,int_stack+33304,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+5132,int_stack+4544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16320, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+38848,int_stack+33304,int_stack+28684,84);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+6168,int_stack+5888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24140, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29524,int_stack+6948,int_stack+6528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25420, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+2520,int_stack+29524,int_stack+28684,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+8076,int_stack+7488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16320, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+5040,int_stack+33304,int_stack+29524,84);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+9112,int_stack+8832, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+9892,int_stack+9472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+42628,int_stack+28684,int_stack+33304,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+11020,int_stack+10432, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+45148,int_stack+33304,int_stack+28684,84);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+12056,int_stack+11776, 0.0, zero_stack, 1.0, int_stack+24140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29524,int_stack+12836,int_stack+12416, 0.0, zero_stack, 1.0, int_stack+25420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8820,int_stack+29524,int_stack+28684,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+13964,int_stack+13376, 0.0, zero_stack, 1.0, int_stack+16320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+48928,int_stack+33304,int_stack+29524,84);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+15000,int_stack+14720, 1.0, int_stack+24140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+15780,int_stack+15360, 1.0, int_stack+25420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+11340,int_stack+28684,int_stack+33304,84);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+17496,int_stack+16908, 1.0, int_stack+16320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13860,int_stack+33304,int_stack+28684,84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+28684,int_stack+24420,int_stack+24140,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+29524,int_stack+25840,int_stack+25420,15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+52708,int_stack+29524,int_stack+28684,84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25420,int_stack+18532,int_stack+18252,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+19312,int_stack+18892,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+55228,int_stack+33304,int_stack+25420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17640,int_stack+20440,int_stack+19852,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+57748,int_stack+17640,int_stack+33304, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+21476,int_stack+21196,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17640,int_stack+22256,int_stack+21836,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+18900,int_stack+17640,int_stack+33304, 0.0, zero_stack, 1.0, int_stack+28684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+23384,int_stack+22796,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+61528,int_stack+33304,int_stack+17640, 0.0, zero_stack, 1.0, int_stack+29524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17640,int_stack+25060,int_stack+24780,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33304,int_stack+26800,int_stack+26380,15);
 /*--- compute (fp|ip) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+21420,int_stack+33304,int_stack+17640, 1.0, int_stack+28684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+23940,int_stack+27928,int_stack+27340,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+25704,int_stack+23940,int_stack+33304, 1.0, int_stack+29524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+65308,int_stack+35068,int_stack+30784,84);
     Libderiv->ABCD[11] = int_stack + 65308;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+29484,int_stack+38848,int_stack+0,84);
     Libderiv->ABCD[10] = int_stack + 29484;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+34524,int_stack+5040,int_stack+2520,84);
     Libderiv->ABCD[9] = int_stack + 34524;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+45148,int_stack+42628,84);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+39564,int_stack+48928,int_stack+8820,84);
     Libderiv->ABCD[7] = int_stack + 39564;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+5040,int_stack+13860,int_stack+11340,84);
     Libderiv->ABCD[6] = int_stack + 5040;
 /*--- compute (fd|ip) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+10080,int_stack+57748,int_stack+55228, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[2] = int_stack + 10080;
 /*--- compute (fd|ip) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+55228,int_stack+61528,int_stack+18900, 0.0, zero_stack, 1.0, int_stack+52708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[1] = int_stack + 55228;
 /*--- compute (fd|ip) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+60268,int_stack+25704,int_stack+21420, 1.0, int_stack+52708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[0] = int_stack + 60268;

}
