#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gfif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gf|if) integrals */

void d1hrr_order_gfif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[4][8][11] = int_stack + 960;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1635;
 Libderiv->deriv_classes[5][6][11] = int_stack + 2460;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3048;
 Libderiv->deriv_classes[5][8][11] = int_stack + 3804;
 Libderiv->deriv_classes[5][9][11] = int_stack + 4749;
 Libderiv->deriv_classes[6][6][11] = int_stack + 5904;
 Libderiv->deriv_classes[6][7][11] = int_stack + 6688;
 Libderiv->deriv_classes[6][8][11] = int_stack + 7696;
 Libderiv->deriv_classes[6][9][11] = int_stack + 8956;
 Libderiv->deriv_classes[7][6][11] = int_stack + 10496;
 Libderiv->deriv_classes[7][7][11] = int_stack + 11504;
 Libderiv->deriv_classes[7][8][11] = int_stack + 12800;
 Libderiv->deriv_classes[7][9][11] = int_stack + 14420;
 Libderiv->deriv_classes[4][6][10] = int_stack + 16400;
 Libderiv->deriv_classes[4][7][10] = int_stack + 16820;
 Libderiv->deriv_classes[4][8][10] = int_stack + 17360;
 Libderiv->deriv_classes[4][9][10] = int_stack + 18035;
 Libderiv->deriv_classes[5][6][10] = int_stack + 18860;
 Libderiv->deriv_classes[5][7][10] = int_stack + 19448;
 Libderiv->deriv_classes[5][8][10] = int_stack + 20204;
 Libderiv->deriv_classes[5][9][10] = int_stack + 21149;
 Libderiv->deriv_classes[6][6][10] = int_stack + 22304;
 Libderiv->deriv_classes[6][7][10] = int_stack + 23088;
 Libderiv->deriv_classes[6][8][10] = int_stack + 24096;
 Libderiv->deriv_classes[6][9][10] = int_stack + 25356;
 Libderiv->deriv_classes[7][6][10] = int_stack + 26896;
 Libderiv->deriv_classes[7][7][10] = int_stack + 27904;
 Libderiv->deriv_classes[7][8][10] = int_stack + 29200;
 Libderiv->deriv_classes[7][9][10] = int_stack + 30820;
 Libderiv->deriv_classes[4][6][9] = int_stack + 32800;
 Libderiv->deriv_classes[4][7][9] = int_stack + 33220;
 Libderiv->deriv_classes[4][8][9] = int_stack + 33760;
 Libderiv->deriv_classes[4][9][9] = int_stack + 34435;
 Libderiv->deriv_classes[5][6][9] = int_stack + 35260;
 Libderiv->deriv_classes[5][7][9] = int_stack + 35848;
 Libderiv->deriv_classes[5][8][9] = int_stack + 36604;
 Libderiv->deriv_classes[5][9][9] = int_stack + 37549;
 Libderiv->deriv_classes[6][6][9] = int_stack + 38704;
 Libderiv->deriv_classes[6][7][9] = int_stack + 39488;
 Libderiv->deriv_classes[6][8][9] = int_stack + 40496;
 Libderiv->deriv_classes[6][9][9] = int_stack + 41756;
 Libderiv->deriv_classes[7][6][9] = int_stack + 43296;
 Libderiv->deriv_classes[7][7][9] = int_stack + 44304;
 Libderiv->deriv_classes[7][8][9] = int_stack + 45600;
 Libderiv->deriv_classes[7][9][9] = int_stack + 47220;
 Libderiv->deriv_classes[4][6][8] = int_stack + 49200;
 Libderiv->deriv_classes[4][7][8] = int_stack + 49620;
 Libderiv->deriv_classes[4][8][8] = int_stack + 50160;
 Libderiv->deriv_classes[4][9][8] = int_stack + 50835;
 Libderiv->deriv_classes[5][6][8] = int_stack + 51660;
 Libderiv->deriv_classes[5][7][8] = int_stack + 52248;
 Libderiv->deriv_classes[5][8][8] = int_stack + 53004;
 Libderiv->deriv_classes[5][9][8] = int_stack + 53949;
 Libderiv->deriv_classes[6][6][8] = int_stack + 55104;
 Libderiv->deriv_classes[6][7][8] = int_stack + 55888;
 Libderiv->deriv_classes[6][8][8] = int_stack + 56896;
 Libderiv->deriv_classes[6][9][8] = int_stack + 58156;
 Libderiv->deriv_classes[7][6][8] = int_stack + 59696;
 Libderiv->deriv_classes[7][7][8] = int_stack + 60704;
 Libderiv->deriv_classes[7][8][8] = int_stack + 62000;
 Libderiv->deriv_classes[7][9][8] = int_stack + 63620;
 Libderiv->deriv_classes[4][6][7] = int_stack + 65600;
 Libderiv->deriv_classes[4][7][7] = int_stack + 66020;
 Libderiv->deriv_classes[4][8][7] = int_stack + 66560;
 Libderiv->deriv_classes[4][9][7] = int_stack + 67235;
 Libderiv->deriv_classes[5][6][7] = int_stack + 68060;
 Libderiv->deriv_classes[5][7][7] = int_stack + 68648;
 Libderiv->deriv_classes[5][8][7] = int_stack + 69404;
 Libderiv->deriv_classes[5][9][7] = int_stack + 70349;
 Libderiv->deriv_classes[6][6][7] = int_stack + 71504;
 Libderiv->deriv_classes[6][7][7] = int_stack + 72288;
 Libderiv->deriv_classes[6][8][7] = int_stack + 73296;
 Libderiv->deriv_classes[6][9][7] = int_stack + 74556;
 Libderiv->deriv_classes[7][6][7] = int_stack + 76096;
 Libderiv->deriv_classes[7][7][7] = int_stack + 77104;
 Libderiv->deriv_classes[7][8][7] = int_stack + 78400;
 Libderiv->deriv_classes[7][9][7] = int_stack + 80020;
 Libderiv->deriv_classes[4][6][6] = int_stack + 82000;
 Libderiv->deriv_classes[4][7][6] = int_stack + 82420;
 Libderiv->deriv_classes[4][8][6] = int_stack + 82960;
 Libderiv->deriv_classes[4][9][6] = int_stack + 83635;
 Libderiv->deriv_classes[5][6][6] = int_stack + 84460;
 Libderiv->deriv_classes[5][7][6] = int_stack + 85048;
 Libderiv->deriv_classes[5][8][6] = int_stack + 85804;
 Libderiv->deriv_classes[5][9][6] = int_stack + 86749;
 Libderiv->deriv_classes[6][6][6] = int_stack + 87904;
 Libderiv->deriv_classes[6][7][6] = int_stack + 88688;
 Libderiv->deriv_classes[6][8][6] = int_stack + 89696;
 Libderiv->deriv_classes[6][9][6] = int_stack + 90956;
 Libderiv->dvrr_classes[7][6] = int_stack + 92496;
 Libderiv->deriv_classes[7][6][6] = int_stack + 93504;
 Libderiv->dvrr_classes[7][7] = int_stack + 94512;
 Libderiv->deriv_classes[7][7][6] = int_stack + 95808;
 Libderiv->dvrr_classes[7][8] = int_stack + 97104;
 Libderiv->deriv_classes[7][8][6] = int_stack + 98724;
 Libderiv->deriv_classes[7][9][6] = int_stack + 100344;
 Libderiv->deriv_classes[4][6][2] = int_stack + 102324;
 Libderiv->deriv_classes[4][7][2] = int_stack + 102744;
 Libderiv->deriv_classes[4][8][2] = int_stack + 103284;
 Libderiv->deriv_classes[4][9][2] = int_stack + 103959;
 Libderiv->deriv_classes[5][6][2] = int_stack + 104784;
 Libderiv->deriv_classes[5][7][2] = int_stack + 105372;
 Libderiv->deriv_classes[5][8][2] = int_stack + 106128;
 Libderiv->deriv_classes[5][9][2] = int_stack + 107073;
 Libderiv->deriv_classes[6][6][2] = int_stack + 108228;
 Libderiv->deriv_classes[6][7][2] = int_stack + 109012;
 Libderiv->deriv_classes[6][8][2] = int_stack + 110020;
 Libderiv->deriv_classes[6][9][2] = int_stack + 111280;
 Libderiv->deriv_classes[7][6][2] = int_stack + 112820;
 Libderiv->deriv_classes[7][7][2] = int_stack + 113828;
 Libderiv->deriv_classes[7][8][2] = int_stack + 115124;
 Libderiv->deriv_classes[7][9][2] = int_stack + 116744;
 Libderiv->deriv_classes[4][6][1] = int_stack + 118724;
 Libderiv->deriv_classes[4][7][1] = int_stack + 119144;
 Libderiv->deriv_classes[4][8][1] = int_stack + 119684;
 Libderiv->deriv_classes[4][9][1] = int_stack + 120359;
 Libderiv->deriv_classes[5][6][1] = int_stack + 121184;
 Libderiv->deriv_classes[5][7][1] = int_stack + 121772;
 Libderiv->deriv_classes[5][8][1] = int_stack + 122528;
 Libderiv->deriv_classes[5][9][1] = int_stack + 123473;
 Libderiv->deriv_classes[6][6][1] = int_stack + 124628;
 Libderiv->deriv_classes[6][7][1] = int_stack + 125412;
 Libderiv->deriv_classes[6][8][1] = int_stack + 126420;
 Libderiv->deriv_classes[6][9][1] = int_stack + 127680;
 Libderiv->deriv_classes[7][6][1] = int_stack + 129220;
 Libderiv->deriv_classes[7][7][1] = int_stack + 130228;
 Libderiv->deriv_classes[7][8][1] = int_stack + 131524;
 Libderiv->deriv_classes[7][9][1] = int_stack + 133144;
 Libderiv->dvrr_classes[4][6] = int_stack + 135124;
 Libderiv->dvrr_classes[4][7] = int_stack + 135544;
 Libderiv->dvrr_classes[4][8] = int_stack + 136084;
 Libderiv->dvrr_classes[4][9] = int_stack + 136759;
 Libderiv->deriv_classes[4][6][0] = int_stack + 137584;
 Libderiv->deriv_classes[4][7][0] = int_stack + 138004;
 Libderiv->deriv_classes[4][8][0] = int_stack + 138544;
 Libderiv->deriv_classes[4][9][0] = int_stack + 139219;
 Libderiv->dvrr_classes[5][6] = int_stack + 140044;
 Libderiv->dvrr_classes[5][7] = int_stack + 140632;
 Libderiv->dvrr_classes[5][8] = int_stack + 141388;
 Libderiv->dvrr_classes[5][9] = int_stack + 142333;
 Libderiv->deriv_classes[5][6][0] = int_stack + 143488;
 Libderiv->deriv_classes[5][7][0] = int_stack + 144076;
 Libderiv->deriv_classes[5][8][0] = int_stack + 144832;
 Libderiv->deriv_classes[5][9][0] = int_stack + 145777;
 Libderiv->dvrr_classes[6][6] = int_stack + 146932;
 Libderiv->dvrr_classes[6][7] = int_stack + 147716;
 Libderiv->dvrr_classes[6][8] = int_stack + 148724;
 Libderiv->dvrr_classes[6][9] = int_stack + 149984;
 Libderiv->deriv_classes[6][6][0] = int_stack + 151524;
 Libderiv->deriv_classes[6][7][0] = int_stack + 152308;
 Libderiv->deriv_classes[6][8][0] = int_stack + 153316;
 Libderiv->deriv_classes[6][9][0] = int_stack + 154576;
 Libderiv->deriv_classes[7][6][0] = int_stack + 156116;
 Libderiv->deriv_classes[7][7][0] = int_stack + 157124;
 Libderiv->deriv_classes[7][8][0] = int_stack + 158420;
 Libderiv->deriv_classes[7][9][0] = int_stack + 160040;
 memset(int_stack,0,1296160);

 Libderiv->dvrr_stack = int_stack + 767001;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gfif(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+162020,int_stack+135544,int_stack+135124,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+163280,int_stack+136084,int_stack+135544,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+164900,int_stack+163280,int_stack+162020,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+167420,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135124,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+168680,int_stack+960,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135544,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+170300,int_stack+168680,int_stack+167420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162020,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+172820,int_stack+1635,int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136084,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+174845,int_stack+172820,int_stack+168680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163280,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+178085,int_stack+174845,int_stack+170300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164900,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+167420,int_stack+140632,int_stack+140044,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+169184,int_stack+141388,int_stack+140632,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+171452,int_stack+169184,int_stack+167420,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+174980,int_stack+3048,int_stack+2460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140044,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+3804,int_stack+3048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140632,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+182285,int_stack+0,int_stack+174980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167420,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+174980,int_stack+4749,int_stack+3804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141388,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+185813,int_stack+174980,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169184,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+185813,int_stack+182285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171452,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+182285,int_stack+0,int_stack+178085,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+174980,int_stack+147716,int_stack+146932,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+177332,int_stack+148724,int_stack+147716,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+194885,int_stack+177332,int_stack+174980,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+6688,int_stack+5904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146932,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+201941,int_stack+7696,int_stack+6688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147716,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+204965,int_stack+201941,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174980,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+209669,int_stack+8956,int_stack+7696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148724,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+213449,int_stack+209669,int_stack+201941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177332,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+219497,int_stack+213449,int_stack+204965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194885,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+199589,int_stack+219497,int_stack+0,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+227337,int_stack+199589,int_stack+182285,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+94512,int_stack+92496,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+97104,int_stack+94512,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+180356,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+11504,int_stack+10496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92496,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+186404,int_stack+12800,int_stack+11504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94512,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+252537,int_stack+186404,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6912,int_stack+14420,int_stack+12800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97104,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+258585,int_stack+6912,int_stack+186404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+266361,int_stack+258585,int_stack+252537, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180356,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+276441,int_stack+266361,int_stack+219497,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+299961,int_stack+276441,int_stack+199589,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+16820,int_stack+16400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135124, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+200849,int_stack+17360,int_stack+16820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135544, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+202469,int_stack+200849,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+204989,int_stack+18035,int_stack+17360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136084, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+207014,int_stack+204989,int_stack+200849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163280, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+210254,int_stack+207014,int_stack+202469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164900, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+19448,int_stack+18860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140044, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+201353,int_stack+20204,int_stack+19448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140632, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+203621,int_stack+201353,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167420, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+207149,int_stack+21149,int_stack+20204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141388, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+214454,int_stack+207149,int_stack+201353, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169184, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+218990,int_stack+214454,int_stack+203621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171452, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+252537,int_stack+218990,int_stack+210254,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+23088,int_stack+22304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146932, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+201941,int_stack+24096,int_stack+23088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147716, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+204965,int_stack+201941,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174980, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+209669,int_stack+25356,int_stack+24096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148724, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+265137,int_stack+209669,int_stack+201941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177332, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+209669,int_stack+265137,int_stack+204965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194885, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+265137,int_stack+209669,int_stack+218990,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+335241,int_stack+265137,int_stack+252537,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+27904,int_stack+26896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92496, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+255561,int_stack+29200,int_stack+27904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94512, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+282777,int_stack+255561,int_stack+252537, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+259449,int_stack+30820,int_stack+29200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97104, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+288825,int_stack+259449,int_stack+255561, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+199589,int_stack+288825,int_stack+282777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180356, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+6912,int_stack+199589,int_stack+209669,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+360441,int_stack+6912,int_stack+265137,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+33220,int_stack+32800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135124, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8172,int_stack+33760,int_stack+33220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135544, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9792,int_stack+8172,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12312,int_stack+34435,int_stack+33760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136084, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14337,int_stack+12312,int_stack+8172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163280, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17577,int_stack+14337,int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164900, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+35848,int_stack+35260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140044, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8676,int_stack+36604,int_stack+35848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140632, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10944,int_stack+8676,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167420, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+14472,int_stack+37549,int_stack+36604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141388, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+21777,int_stack+14472,int_stack+8676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169184, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+26313,int_stack+21777,int_stack+10944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171452, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+199589,int_stack+26313,int_stack+17577,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+39488,int_stack+38704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146932, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9264,int_stack+40496,int_stack+39488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147716, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12288,int_stack+9264,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174980, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16992,int_stack+41756,int_stack+40496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148724, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+32193,int_stack+16992,int_stack+9264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177332, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16992,int_stack+32193,int_stack+12288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194885, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+252537,int_stack+16992,int_stack+26313,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+270177,int_stack+252537,int_stack+199589,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+44304,int_stack+43296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92496, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202613,int_stack+45600,int_stack+44304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94512, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+206501,int_stack+202613,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+212549,int_stack+47220,int_stack+45600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97104, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+217409,int_stack+212549,int_stack+202613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6912,int_stack+217409,int_stack+206501, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180356, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+199589,int_stack+6912,int_stack+16992,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+6912,int_stack+199589,int_stack+252537,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+49620,int_stack+49200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+253797,int_stack+50160,int_stack+49620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255417,int_stack+253797,int_stack+252537, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+257937,int_stack+50835,int_stack+50160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+136084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+259962,int_stack+257937,int_stack+253797, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+263202,int_stack+259962,int_stack+255417, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+52248,int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+254301,int_stack+53004,int_stack+52248, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+256569,int_stack+254301,int_stack+252537, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260097,int_stack+53949,int_stack+53004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+199589,int_stack+260097,int_stack+254301, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+169184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+204125,int_stack+199589,int_stack+256569, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+210005,int_stack+204125,int_stack+263202,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+55888,int_stack+55104, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252537,int_stack+56896,int_stack+55888, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255561,int_stack+252537,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+174980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199589,int_stack+58156,int_stack+56896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+260265,int_stack+199589,int_stack+252537, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+177332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+42192,int_stack+260265,int_stack+255561, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+252537,int_stack+42192,int_stack+204125,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+395721,int_stack+252537,int_stack+210005,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+60704,int_stack+59696, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202613,int_stack+62000,int_stack+60704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+206501,int_stack+202613,int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+212549,int_stack+63620,int_stack+62000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+217409,int_stack+212549,int_stack+202613, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+50032,int_stack+217409,int_stack+206501, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+180356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+199589,int_stack+50032,int_stack+42192,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+420921,int_stack+199589,int_stack+252537,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+66020,int_stack+65600, 0.0, zero_stack, 1.0, int_stack+135124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+253797,int_stack+66560,int_stack+66020, 0.0, zero_stack, 1.0, int_stack+135544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255417,int_stack+253797,int_stack+252537, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+257937,int_stack+67235,int_stack+66560, 0.0, zero_stack, 1.0, int_stack+136084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+259962,int_stack+257937,int_stack+253797, 0.0, zero_stack, 1.0, int_stack+163280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+263202,int_stack+259962,int_stack+255417, 0.0, zero_stack, 1.0, int_stack+164900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+68648,int_stack+68060, 0.0, zero_stack, 1.0, int_stack+140044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+254301,int_stack+69404,int_stack+68648, 0.0, zero_stack, 1.0, int_stack+140632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+256569,int_stack+254301,int_stack+252537, 0.0, zero_stack, 1.0, int_stack+167420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260097,int_stack+70349,int_stack+69404, 0.0, zero_stack, 1.0, int_stack+141388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+199589,int_stack+260097,int_stack+254301, 0.0, zero_stack, 1.0, int_stack+169184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+204125,int_stack+199589,int_stack+256569, 0.0, zero_stack, 1.0, int_stack+171452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+210005,int_stack+204125,int_stack+263202,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+72288,int_stack+71504, 0.0, zero_stack, 1.0, int_stack+146932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252537,int_stack+73296,int_stack+72288, 0.0, zero_stack, 1.0, int_stack+147716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255561,int_stack+252537,int_stack+199589, 0.0, zero_stack, 1.0, int_stack+174980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199589,int_stack+74556,int_stack+73296, 0.0, zero_stack, 1.0, int_stack+148724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+260265,int_stack+199589,int_stack+252537, 0.0, zero_stack, 1.0, int_stack+177332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+42192,int_stack+260265,int_stack+255561, 0.0, zero_stack, 1.0, int_stack+194885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+252537,int_stack+42192,int_stack+204125,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+50032,int_stack+252537,int_stack+210005,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+77104,int_stack+76096, 0.0, zero_stack, 1.0, int_stack+92496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202613,int_stack+78400,int_stack+77104, 0.0, zero_stack, 1.0, int_stack+94512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+206501,int_stack+202613,int_stack+199589, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+212549,int_stack+80020,int_stack+78400, 0.0, zero_stack, 1.0, int_stack+97104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+217409,int_stack+212549,int_stack+202613, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+456201,int_stack+217409,int_stack+206501, 0.0, zero_stack, 1.0, int_stack+180356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+199589,int_stack+456201,int_stack+42192,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+456201,int_stack+199589,int_stack+252537,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+82420,int_stack+82000, 1.0, int_stack+135124, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+253797,int_stack+82960,int_stack+82420, 1.0, int_stack+135544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255417,int_stack+253797,int_stack+252537, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+257937,int_stack+83635,int_stack+82960, 1.0, int_stack+136084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+259962,int_stack+257937,int_stack+253797, 1.0, int_stack+163280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+263202,int_stack+259962,int_stack+255417, 1.0, int_stack+164900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+85048,int_stack+84460, 1.0, int_stack+140044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+254301,int_stack+85804,int_stack+85048, 1.0, int_stack+140632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+256569,int_stack+254301,int_stack+252537, 1.0, int_stack+167420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+260097,int_stack+86749,int_stack+85804, 1.0, int_stack+141388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+199589,int_stack+260097,int_stack+254301, 1.0, int_stack+169184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+204125,int_stack+199589,int_stack+256569, 1.0, int_stack+171452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+210005,int_stack+204125,int_stack+263202,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+88688,int_stack+87904, 1.0, int_stack+146932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252537,int_stack+89696,int_stack+88688, 1.0, int_stack+147716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255561,int_stack+252537,int_stack+199589, 1.0, int_stack+174980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199589,int_stack+90956,int_stack+89696, 1.0, int_stack+148724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+260265,int_stack+199589,int_stack+252537, 1.0, int_stack+177332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+42192,int_stack+260265,int_stack+255561, 1.0, int_stack+194885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+252537,int_stack+42192,int_stack+204125,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+491481,int_stack+252537,int_stack+210005,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+199589,int_stack+95808,int_stack+93504, 1.0, int_stack+92496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+202613,int_stack+98724,int_stack+95808, 1.0, int_stack+94512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+206501,int_stack+202613,int_stack+199589, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+212549,int_stack+100344,int_stack+98724, 1.0, int_stack+97104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+217409,int_stack+212549,int_stack+202613, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+75232,int_stack+217409,int_stack+206501, 1.0, int_stack+180356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+199589,int_stack+75232,int_stack+42192,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+516681,int_stack+199589,int_stack+252537,280);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+252537,int_stack+136759,int_stack+136084,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+254562,int_stack+252537,int_stack+163280,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+257802,int_stack+254562,int_stack+164900,15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+252537,int_stack+142333,int_stack+141388,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+262002,int_stack+252537,int_stack+169184,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+199589,int_stack+262002,int_stack+171452,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+205469,int_stack+199589,int_stack+257802,280);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+262002,int_stack+149984,int_stack+148724,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+218069,int_stack+262002,int_stack+177332,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+42192,int_stack+218069,int_stack+194885,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+75232,int_stack+42192,int_stack+199589,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+162020,int_stack+75232,int_stack+205469,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+218069,int_stack+102744,int_stack+102324,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+219329,int_stack+103284,int_stack+102744,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+220949,int_stack+219329,int_stack+218069,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+223469,int_stack+103959,int_stack+103284,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+262002,int_stack+223469,int_stack+219329,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+265242,int_stack+262002,int_stack+220949,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+262002,int_stack+105372,int_stack+104784,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+218069,int_stack+106128,int_stack+105372,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+220337,int_stack+218069,int_stack+262002,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+262002,int_stack+107073,int_stack+106128,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+252537,int_stack+262002,int_stack+218069,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+92872,int_stack+252537,int_stack+220337,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+551961,int_stack+92872,int_stack+265242, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+257802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+252537,int_stack+109012,int_stack+108228,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+218069,int_stack+110020,int_stack+109012,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+221093,int_stack+218069,int_stack+252537,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+252537,int_stack+111280,int_stack+110020,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+262002,int_stack+252537,int_stack+218069,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+98752,int_stack+262002,int_stack+221093,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+564561,int_stack+98752,int_stack+92872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+582201,int_stack+564561,int_stack+551961, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+551961,int_stack+113828,int_stack+112820,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+554985,int_stack+115124,int_stack+113828,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+262002,int_stack+554985,int_stack+551961,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+558873,int_stack+116744,int_stack+115124,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+218069,int_stack+558873,int_stack+554985,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+551961,int_stack+218069,int_stack+262002,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+607401,int_stack+551961,int_stack+98752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+630921,int_stack+607401,int_stack+564561, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+119144,int_stack+118724,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+608661,int_stack+119684,int_stack+119144,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+610281,int_stack+608661,int_stack+607401,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+612801,int_stack+120359,int_stack+119684,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+614826,int_stack+612801,int_stack+608661,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+618066,int_stack+614826,int_stack+610281,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+121772,int_stack+121184,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+609165,int_stack+122528,int_stack+121772,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+611433,int_stack+609165,int_stack+607401,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+614961,int_stack+123473,int_stack+122528,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+622266,int_stack+614961,int_stack+609165,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+551961,int_stack+622266,int_stack+611433,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+557841,int_stack+551961,int_stack+618066, 0.0, zero_stack, 1.0, int_stack+257802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+125412,int_stack+124628,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+609753,int_stack+126420,int_stack+125412,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+612777,int_stack+609753,int_stack+607401,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+617481,int_stack+127680,int_stack+126420,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+621261,int_stack+617481,int_stack+609753,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+570441,int_stack+621261,int_stack+612777,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+607401,int_stack+570441,int_stack+551961, 0.0, zero_stack, 1.0, int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+92872,int_stack+607401,int_stack+557841, 0.0, zero_stack, 1.0, int_stack+205469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+551961,int_stack+130228,int_stack+129220,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+554985,int_stack+131524,int_stack+130228,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+558873,int_stack+554985,int_stack+551961,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+564921,int_stack+133144,int_stack+131524,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+262002,int_stack+564921,int_stack+554985,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+118072,int_stack+262002,int_stack+558873,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+666201,int_stack+118072,int_stack+570441, 0.0, zero_stack, 1.0, int_stack+42192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+689721,int_stack+666201,int_stack+607401, 0.0, zero_stack, 1.0, int_stack+75232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+138004,int_stack+137584,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+608661,int_stack+138544,int_stack+138004,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+610281,int_stack+608661,int_stack+607401,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+612801,int_stack+139219,int_stack+138544,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+614826,int_stack+612801,int_stack+608661,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+618066,int_stack+614826,int_stack+610281,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+144076,int_stack+143488,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+609165,int_stack+144832,int_stack+144076,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+611433,int_stack+609165,int_stack+607401,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+614961,int_stack+145777,int_stack+144832,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+622266,int_stack+614961,int_stack+609165,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+666201,int_stack+622266,int_stack+611433,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+672081,int_stack+666201,int_stack+618066, 1.0, int_stack+257802, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+607401,int_stack+152308,int_stack+151524,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+609753,int_stack+153316,int_stack+152308,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+612777,int_stack+609753,int_stack+607401,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+617481,int_stack+154576,int_stack+153316,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+621261,int_stack+617481,int_stack+609753,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+118072,int_stack+621261,int_stack+612777,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+252537,int_stack+118072,int_stack+666201, 1.0, int_stack+199589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+125912,int_stack+252537,int_stack+672081, 1.0, int_stack+205469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+666201,int_stack+157124,int_stack+156116,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+669225,int_stack+158420,int_stack+157124,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+673113,int_stack+669225,int_stack+666201,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+679161,int_stack+160040,int_stack+158420,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+607401,int_stack+679161,int_stack+669225,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+679161,int_stack+607401,int_stack+673113,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+607401,int_stack+679161,int_stack+118072, 1.0, int_stack+42192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+187220,int_stack+607401,int_stack+252537, 1.0, int_stack+75232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+725001,int_stack+299961,int_stack+227337,280);
     Libderiv->ABCD[11] = int_stack + 725001;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+222500,int_stack+360441,int_stack+335241,280);
     Libderiv->ABCD[10] = int_stack + 222500;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+295377,int_stack+6912,int_stack+270177,280);
     Libderiv->ABCD[9] = int_stack + 295377;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+0,int_stack+420921,int_stack+395721,280);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+337377,int_stack+456201,int_stack+50032,280);
     Libderiv->ABCD[7] = int_stack + 337377;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+42000,int_stack+516681,int_stack+491481,280);
     Libderiv->ABCD[6] = int_stack + 42000;
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+379377,int_stack+630921,int_stack+582201, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 379377;
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+421377,int_stack+689721,int_stack+92872, 0.0, zero_stack, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 421377;
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+463377,int_stack+187220,int_stack+125912, 1.0, int_stack+162020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 463377;

}
