#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0if(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|if) integrals */

void d1hrr_order_i0if(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][6][10] = int_stack + 4592;
 Libderiv->deriv_classes[6][7][10] = int_stack + 5376;
 Libderiv->deriv_classes[6][8][10] = int_stack + 6384;
 Libderiv->deriv_classes[6][9][10] = int_stack + 7644;
 Libderiv->deriv_classes[6][6][9] = int_stack + 9184;
 Libderiv->deriv_classes[6][7][9] = int_stack + 9968;
 Libderiv->deriv_classes[6][8][9] = int_stack + 10976;
 Libderiv->deriv_classes[6][9][9] = int_stack + 12236;
 Libderiv->deriv_classes[6][6][8] = int_stack + 13776;
 Libderiv->deriv_classes[6][7][8] = int_stack + 14560;
 Libderiv->deriv_classes[6][8][8] = int_stack + 15568;
 Libderiv->deriv_classes[6][9][8] = int_stack + 16828;
 Libderiv->deriv_classes[6][6][7] = int_stack + 18368;
 Libderiv->deriv_classes[6][7][7] = int_stack + 19152;
 Libderiv->deriv_classes[6][8][7] = int_stack + 20160;
 Libderiv->deriv_classes[6][9][7] = int_stack + 21420;
 Libderiv->dvrr_classes[6][6] = int_stack + 22960;
 Libderiv->deriv_classes[6][6][6] = int_stack + 23744;
 Libderiv->dvrr_classes[6][7] = int_stack + 24528;
 Libderiv->deriv_classes[6][7][6] = int_stack + 25536;
 Libderiv->dvrr_classes[6][8] = int_stack + 26544;
 Libderiv->deriv_classes[6][8][6] = int_stack + 27804;
 Libderiv->deriv_classes[6][9][6] = int_stack + 29064;
 Libderiv->deriv_classes[6][6][2] = int_stack + 30604;
 Libderiv->deriv_classes[6][7][2] = int_stack + 31388;
 Libderiv->deriv_classes[6][8][2] = int_stack + 32396;
 Libderiv->deriv_classes[6][9][2] = int_stack + 33656;
 Libderiv->deriv_classes[6][6][1] = int_stack + 35196;
 Libderiv->deriv_classes[6][7][1] = int_stack + 35980;
 Libderiv->deriv_classes[6][8][1] = int_stack + 36988;
 Libderiv->deriv_classes[6][9][1] = int_stack + 38248;
 Libderiv->deriv_classes[6][6][0] = int_stack + 39788;
 Libderiv->deriv_classes[6][7][0] = int_stack + 40572;
 Libderiv->deriv_classes[6][8][0] = int_stack + 41580;
 Libderiv->deriv_classes[6][9][0] = int_stack + 42840;
 memset(int_stack,0,355040);

 Libderiv->dvrr_stack = int_stack + 124544;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0if(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44380,int_stack+24528,int_stack+22960,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+46732,int_stack+26544,int_stack+24528,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+49756,int_stack+46732,int_stack+44380,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+54460,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22960,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56812,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24528,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+59836,int_stack+56812,int_stack+54460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44380,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26544,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+68320,int_stack+64540,int_stack+56812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46732,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+64540,int_stack+5376,int_stack+4592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22960, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54460,int_stack+6384,int_stack+5376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24528, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+54460,int_stack+64540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44380, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+7644,int_stack+6384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26544, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+74368,int_stack+64540,int_stack+54460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46732, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+54460,int_stack+9968,int_stack+9184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22960, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56812,int_stack+10976,int_stack+9968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24528, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4704,int_stack+56812,int_stack+54460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44380, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+12236,int_stack+10976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26544, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+80416,int_stack+64540,int_stack+56812, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46732, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+64540,int_stack+14560,int_stack+13776, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54460,int_stack+15568,int_stack+14560, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9408,int_stack+54460,int_stack+64540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+16828,int_stack+15568, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+86464,int_stack+64540,int_stack+54460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+54460,int_stack+19152,int_stack+18368, 0.0, zero_stack, 1.0, int_stack+22960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+56812,int_stack+20160,int_stack+19152, 0.0, zero_stack, 1.0, int_stack+24528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14112,int_stack+56812,int_stack+54460, 0.0, zero_stack, 1.0, int_stack+44380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+21420,int_stack+20160, 0.0, zero_stack, 1.0, int_stack+26544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+92512,int_stack+64540,int_stack+56812, 0.0, zero_stack, 1.0, int_stack+46732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+64540,int_stack+25536,int_stack+23744, 1.0, int_stack+22960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54460,int_stack+27804,int_stack+25536, 1.0, int_stack+24528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18816,int_stack+54460,int_stack+64540, 1.0, int_stack+44380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+29064,int_stack+27804, 1.0, int_stack+26544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+23520,int_stack+64540,int_stack+54460, 1.0, int_stack+46732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54460,int_stack+31388,int_stack+30604,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+56812,int_stack+32396,int_stack+31388,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+44380,int_stack+56812,int_stack+54460,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+33656,int_stack+32396,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+98560,int_stack+64540,int_stack+56812,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64540,int_stack+35980,int_stack+35196,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+54460,int_stack+36988,int_stack+35980,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+29568,int_stack+54460,int_stack+64540,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+38248,int_stack+36988,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+104608,int_stack+64540,int_stack+54460,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54460,int_stack+40572,int_stack+39788,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+56812,int_stack+41580,int_stack+40572,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+34272,int_stack+56812,int_stack+54460,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+64540,int_stack+42840,int_stack+41580,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+110656,int_stack+64540,int_stack+56812,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+116704,int_stack+68320,int_stack+59836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49756,28);
     Libderiv->ABCD[11] = int_stack + 116704;
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+54460,int_stack+74368,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49756, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 54460;
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+62300,int_stack+80416,int_stack+4704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49756, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 62300;
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+86464,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+70140,int_stack+92512,int_stack+14112, 0.0, zero_stack, 1.0, int_stack+49756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 70140;
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+7840,int_stack+23520,int_stack+18816, 1.0, int_stack+49756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 7840;
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+15680,int_stack+98560,int_stack+44380,28);
     Libderiv->ABCD[2] = int_stack + 15680;
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+77980,int_stack+104608,int_stack+29568,28);
     Libderiv->ABCD[1] = int_stack + 77980;
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+23520,int_stack+110656,int_stack+34272,28);
     Libderiv->ABCD[0] = int_stack + 23520;

}
