#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0kk(Libint_t*, prim_data*);

  /* Computes quartets of (f0|kk) integrals */

REALTYPE *hrr_order_f0kk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[3][9] = int_stack + 810;
 Libint->vrr_classes[3][10] = int_stack + 1360;
 Libint->vrr_classes[3][11] = int_stack + 2020;
 Libint->vrr_classes[3][12] = int_stack + 2800;
 Libint->vrr_classes[3][13] = int_stack + 3710;
 Libint->vrr_classes[3][14] = int_stack + 4760;
 memset(int_stack,0,5960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0kk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5960,int_stack+360,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7040,int_stack+810,int_stack+360,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8390,int_stack+7040,int_stack+5960,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10550,int_stack+1360,int_stack+810,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12200,int_stack+10550,int_stack+7040,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+14900,int_stack+12200,int_stack+8390,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5960,int_stack+2020,int_stack+1360,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18500,int_stack+5960,int_stack+10550,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+21800,int_stack+18500,int_stack+12200,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+7940,int_stack+21800,int_stack+14900,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13340,int_stack+2800,int_stack+2020,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+26300,int_stack+13340,int_stack+5960,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+30260,int_stack+26300,int_stack+18500,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+35760,int_stack+30260,int_stack+21800,10);
 /*--- compute (f0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+15680,int_stack+35760,int_stack+7940,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5960,int_stack+3710,int_stack+2800,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+42510,int_stack+5960,int_stack+13340,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+8690,int_stack+42510,int_stack+26300,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+47190,int_stack+8690,int_stack+30260,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+23240,int_stack+47190,int_stack+35760,10);
 /*--- compute (f0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+55440,int_stack+23240,int_stack+15680,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+15290,int_stack+4760,int_stack+3710,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+32690,int_stack+15290,int_stack+5960,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+15290,int_stack+32690,int_stack+42510,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+32690,int_stack+15290,int_stack+8690,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+32690,int_stack+47190,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+32690,int_stack+0,int_stack+23240,10);
 /*--- compute (f0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+32690,int_stack+55440,10);
 return int_stack+0;}
