#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0nn(Libint_t*, prim_data*);

  /* Computes quartets of (f0|nn) integrals */

REALTYPE *hrr_order_f0nn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[3][18] = int_stack + 9200;
 Libint->vrr_classes[3][19] = int_stack + 11100;
 Libint->vrr_classes[3][20] = int_stack + 13200;
 memset(int_stack,0,15510*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15510;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0nn(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15510,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17490,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19830,int_stack+17490,int_stack+15510,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23790,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+26520,int_stack+23790,int_stack+17490,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+31200,int_stack+26520,int_stack+19830,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+15510,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+37800,int_stack+15510,int_stack+23790,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+18660,int_stack+37800,int_stack+26520,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+43260,int_stack+18660,int_stack+31200,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+26460,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+30060,int_stack+26460,int_stack+15510,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+53160,int_stack+30060,int_stack+37800,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+62260,int_stack+53160,int_stack+18660,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+73960,int_stack+62260,int_stack+43260,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+15510,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+36360,int_stack+15510,int_stack+26460,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+87820,int_stack+36360,int_stack+30060,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+19590,int_stack+87820,int_stack+53160,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+43560,int_stack+19590,int_stack+62260,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+98320,int_stack+43560,int_stack+73960,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+59940,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+64530,int_stack+59940,int_stack+15510,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+72690,int_stack+64530,int_stack+36360,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+116800,int_stack+72690,int_stack+87820,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+132550,int_stack+116800,int_stack+19590,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+15510,int_stack+132550,int_stack+43560,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+151660,int_stack+15510,int_stack+98320,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+37350,int_stack+9200,int_stack+7490,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+42480,int_stack+37350,int_stack+59940,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+84690,int_stack+42480,int_stack+64530,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+51660,int_stack+84690,int_stack+72690,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+175420,int_stack+51660,int_stack+116800,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+98290,int_stack+175420,int_stack+132550,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+197470,int_stack+98290,int_stack+15510,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+225550,int_stack+197470,int_stack+151660,10);
 /*--- compute (f0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+15510,int_stack+11100,int_stack+9200,10);
 /*--- compute (f0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+21210,int_stack+15510,int_stack+37350,10);
 /*--- compute (f0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+123770,int_stack+21210,int_stack+42480,10);
 /*--- compute (f0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+139070,int_stack+123770,int_stack+84690,10);
 /*--- compute (f0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+69660,int_stack+139070,int_stack+51660,10);
 /*--- compute (f0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+31470,int_stack+69660,int_stack+175420,10);
 /*--- compute (f0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+159470,int_stack+31470,int_stack+98290,10);
 /*--- compute (f0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+255250,int_stack+159470,int_stack+197470,10);
 /*--- compute (f0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+290350,int_stack+255250,int_stack+225550,10);
 /*--- compute (f0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+60870,int_stack+13200,int_stack+11100,10);
 /*--- compute (f0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+94860,int_stack+60870,int_stack+15510,10);
 /*--- compute (f0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+106260,int_stack+94860,int_stack+21210,10);
 /*--- compute (f0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+192230,int_stack+106260,int_stack+123770,10);
 /*--- compute (f0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+94860,int_stack+192230,int_stack+139070,10);
 /*--- compute (f0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+192230,int_stack+94860,int_stack+69660,10);
 /*--- compute (f0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+60870,int_stack+192230,int_stack+31470,10);
 /*--- compute (f0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+192230,int_stack+60870,int_stack+159470,10);
 /*--- compute (f0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+192230,int_stack+255250,10);
 /*--- compute (f0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+42900,int_stack+0,int_stack+290350,10);
 return int_stack+42900;}
