#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpnk(Libint_t*, prim_data*);

  /* Computes quartets of (fp|nk) integrals */

REALTYPE *hrr_order_fpnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[4][10] = int_stack + 9200;
 Libint->vrr_classes[4][11] = int_stack + 10190;
 Libint->vrr_classes[4][12] = int_stack + 11360;
 Libint->vrr_classes[4][13] = int_stack + 12725;
 Libint->vrr_classes[4][14] = int_stack + 14300;
 Libint->vrr_classes[4][15] = int_stack + 16100;
 Libint->vrr_classes[4][16] = int_stack + 18140;
 Libint->vrr_classes[4][17] = int_stack + 20435;
 memset(int_stack,0,23000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpnk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23000,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+24980,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27320,int_stack+24980,int_stack+23000,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+31280,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+34010,int_stack+31280,int_stack+24980,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+38690,int_stack+34010,int_stack+27320,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+23000,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+45290,int_stack+23000,int_stack+31280,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+26150,int_stack+45290,int_stack+34010,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+50750,int_stack+26150,int_stack+38690,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+33950,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37550,int_stack+33950,int_stack+23000,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+60650,int_stack+37550,int_stack+45290,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+69750,int_stack+60650,int_stack+26150,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+81450,int_stack+69750,int_stack+50750,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23000,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+43850,int_stack+23000,int_stack+33950,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+95310,int_stack+43850,int_stack+37550,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+27080,int_stack+95310,int_stack+60650,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+51050,int_stack+27080,int_stack+69750,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+105810,int_stack+51050,int_stack+81450,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+67430,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+72020,int_stack+67430,int_stack+23000,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+80180,int_stack+72020,int_stack+43850,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+124290,int_stack+80180,int_stack+95310,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+67430,int_stack+124290,int_stack+27080,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+23000,int_stack+67430,int_stack+51050,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+44840,int_stack+23000,int_stack+105810,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23000,int_stack+10190,int_stack+9200,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25970,int_stack+11360,int_stack+10190,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29480,int_stack+25970,int_stack+23000,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+35420,int_stack+12725,int_stack+11360,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+68600,int_stack+35420,int_stack+25970,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+75620,int_stack+68600,int_stack+29480,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+23000,int_stack+14300,int_stack+12725,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+85520,int_stack+23000,int_stack+35420,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+27725,int_stack+85520,int_stack+68600,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+93710,int_stack+27725,int_stack+75620,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+68600,int_stack+16100,int_stack+14300,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+74000,int_stack+68600,int_stack+23000,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+108560,int_stack+74000,int_stack+85520,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+122210,int_stack+108560,int_stack+27725,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+23000,int_stack+122210,int_stack+93710,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+83450,int_stack+18140,int_stack+16100,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+89570,int_stack+83450,int_stack+68600,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+89570,int_stack+74000,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+139760,int_stack+0,int_stack+108560,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+160235,int_stack+139760,int_stack+122210,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+100370,int_stack+160235,int_stack+23000,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+23000,int_stack+20435,int_stack+18140,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+29885,int_stack+23000,int_stack+83450,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+68600,int_stack+29885,int_stack+89570,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+15750,int_stack+68600,int_stack+0,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+68600,int_stack+15750,int_stack+139760,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+68600,int_stack+160235,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+128090,int_stack+0,int_stack+100370,15);
 /*--- compute (fp|nk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+163730,int_stack+128090,int_stack+44840,2376);
 return int_stack+163730;}
