#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0nn(Libint_t*, prim_data*);

  /* Computes quartets of (g0|nn) integrals */

REALTYPE *hrr_order_g0nn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[4][19] = int_stack + 16650;
 Libint->vrr_classes[4][20] = int_stack + 19800;
 memset(int_stack,0,23265*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23265;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0nn(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23265,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26235,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29745,int_stack+26235,int_stack+23265,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+35685,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+39780,int_stack+35685,int_stack+26235,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+46800,int_stack+39780,int_stack+29745,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+23265,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+56700,int_stack+23265,int_stack+35685,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+27990,int_stack+56700,int_stack+39780,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+64890,int_stack+27990,int_stack+46800,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+39690,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+45090,int_stack+39690,int_stack+23265,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+79740,int_stack+45090,int_stack+56700,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+93390,int_stack+79740,int_stack+27990,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+110940,int_stack+93390,int_stack+64890,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23265,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+54540,int_stack+23265,int_stack+39690,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+131730,int_stack+54540,int_stack+45090,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+29385,int_stack+131730,int_stack+79740,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+65340,int_stack+29385,int_stack+93390,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+147480,int_stack+65340,int_stack+110940,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+89910,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+96795,int_stack+89910,int_stack+23265,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+109035,int_stack+96795,int_stack+54540,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+175200,int_stack+109035,int_stack+131730,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+198825,int_stack+175200,int_stack+29385,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+23265,int_stack+198825,int_stack+65340,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+227490,int_stack+23265,int_stack+147480,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+56025,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+63720,int_stack+56025,int_stack+89910,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+127035,int_stack+63720,int_stack+96795,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+77490,int_stack+127035,int_stack+109035,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+263130,int_stack+77490,int_stack+175200,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+147435,int_stack+263130,int_stack+198825,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+296205,int_stack+147435,int_stack+23265,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+338325,int_stack+296205,int_stack+227490,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+23265,int_stack+16650,int_stack+13800,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+31815,int_stack+23265,int_stack+56025,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+185655,int_stack+31815,int_stack+63720,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+208605,int_stack+185655,int_stack+127035,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+104490,int_stack+208605,int_stack+77490,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+47205,int_stack+104490,int_stack+263130,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+239205,int_stack+47205,int_stack+147435,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+382875,int_stack+239205,int_stack+296205,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+435525,int_stack+382875,int_stack+338325,15);
 /*--- compute (g0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+91305,int_stack+19800,int_stack+16650,15);
 /*--- compute (g0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+142290,int_stack+91305,int_stack+23265,15);
 /*--- compute (g0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+159390,int_stack+142290,int_stack+31815,15);
 /*--- compute (g0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+288345,int_stack+159390,int_stack+185655,15);
 /*--- compute (g0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+142290,int_stack+288345,int_stack+208605,15);
 /*--- compute (g0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+288345,int_stack+142290,int_stack+104490,15);
 /*--- compute (g0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+91305,int_stack+288345,int_stack+47205,15);
 /*--- compute (g0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+288345,int_stack+91305,int_stack+239205,15);
 /*--- compute (g0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+288345,int_stack+382875,15);
 /*--- compute (g0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+64350,int_stack+0,int_stack+435525,15);
 return int_stack+64350;}
