#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdkh(Libint_t*, prim_data*);

  /* Computes quartets of (gd|kh) integrals */

REALTYPE *hrr_order_gdkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[5][7] = int_stack + 5565;
 Libint->vrr_classes[5][8] = int_stack + 6321;
 Libint->vrr_classes[5][9] = int_stack + 7266;
 Libint->vrr_classes[5][10] = int_stack + 8421;
 Libint->vrr_classes[5][11] = int_stack + 9807;
 Libint->vrr_classes[5][12] = int_stack + 11445;
 Libint->vrr_classes[6][7] = int_stack + 13356;
 Libint->vrr_classes[6][8] = int_stack + 14364;
 Libint->vrr_classes[6][9] = int_stack + 15624;
 Libint->vrr_classes[6][10] = int_stack + 17164;
 Libint->vrr_classes[6][11] = int_stack + 19012;
 Libint->vrr_classes[6][12] = int_stack + 21196;
 memset(int_stack,0,23744*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdkh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23744,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25364,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27389,int_stack+25364,int_stack+23744,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30629,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+33104,int_stack+30629,int_stack+25364,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+37154,int_stack+33104,int_stack+27389,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23744,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42554,int_stack+23744,int_stack+30629,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+47504,int_stack+42554,int_stack+33104,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+26714,int_stack+47504,int_stack+37154,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+34814,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+54254,int_stack+34814,int_stack+23744,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+60194,int_stack+54254,int_stack+42554,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+34814,int_stack+60194,int_stack+47504,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+44939,int_stack+34814,int_stack+26714,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23744,int_stack+6321,int_stack+5565,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26012,int_stack+7266,int_stack+6321,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28847,int_stack+26012,int_stack+23744,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+33383,int_stack+8421,int_stack+7266,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+36848,int_stack+33383,int_stack+26012,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+56279,int_stack+36848,int_stack+28847,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23744,int_stack+9807,int_stack+8421,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+23744,int_stack+33383,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+63839,int_stack+0,int_stack+36848,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+27902,int_stack+63839,int_stack+56279,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56279,int_stack+11445,int_stack+9807,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+73289,int_stack+56279,int_stack+23744,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+81605,int_stack+73289,int_stack+0,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+93155,int_stack+81605,int_stack+63839,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+56279,int_stack+93155,int_stack+27902,21);
 /*--- compute (gp|kh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+72155,int_stack+56279,int_stack+44939,756);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+14364,int_stack+13356,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+15624,int_stack+14364,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6804,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23744,int_stack+17164,int_stack+15624,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28364,int_stack+23744,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+35924,int_stack+28364,int_stack+6804,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+19012,int_stack+17164,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5544,int_stack+0,int_stack+23744,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+106175,int_stack+5544,int_stack+28364,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+118775,int_stack+106175,int_stack+35924,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23744,int_stack+21196,int_stack+19012,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+30296,int_stack+23744,int_stack+0,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+14784,int_stack+30296,int_stack+5544,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+30184,int_stack+14784,int_stack+106175,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+30184,int_stack+118775,28);
 /*--- compute (hp|kh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+106175,int_stack+0,int_stack+56279,756);
 /*--- compute (gd|kh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+106175,int_stack+72155,756);
 return int_stack+0;}
