#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gflf(Libint_t*, prim_data*);

  /* Computes quartets of (gf|lf) integrals */

REALTYPE *hrr_order_gflf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[5][8] = int_stack + 3660;
 Libint->vrr_classes[5][9] = int_stack + 4605;
 Libint->vrr_classes[5][10] = int_stack + 5760;
 Libint->vrr_classes[5][11] = int_stack + 7146;
 Libint->vrr_classes[6][8] = int_stack + 8784;
 Libint->vrr_classes[6][9] = int_stack + 10044;
 Libint->vrr_classes[6][10] = int_stack + 11584;
 Libint->vrr_classes[6][11] = int_stack + 13432;
 Libint->vrr_classes[7][8] = int_stack + 15616;
 Libint->vrr_classes[7][9] = int_stack + 17236;
 Libint->vrr_classes[7][10] = int_stack + 19216;
 Libint->vrr_classes[7][11] = int_stack + 21592;
 memset(int_stack,0,24400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gflf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24400,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26425,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28900,int_stack+26425,int_stack+24400,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+32950,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+35920,int_stack+32950,int_stack+26425,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+40870,int_stack+35920,int_stack+28900,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24400,int_stack+4605,int_stack+3660,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27235,int_stack+5760,int_stack+4605,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+30700,int_stack+27235,int_stack+24400,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36370,int_stack+7146,int_stack+5760,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+36370,int_stack+27235,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+47620,int_stack+0,int_stack+30700,21);
 /*--- compute (gp|lf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+57070,int_stack+47620,int_stack+40870,450);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+10044,int_stack+8784,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3780,int_stack+11584,int_stack+10044,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24400,int_stack+3780,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31960,int_stack+13432,int_stack+11584,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37504,int_stack+31960,int_stack+3780,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+37504,int_stack+24400,28);
 /*--- compute (hp|lf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+77320,int_stack+0,int_stack+47620,450);
 /*--- compute (gd|lf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+105670,int_stack+77320,int_stack+57070,450);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24400,int_stack+17236,int_stack+15616,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29260,int_stack+19216,int_stack+17236,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35200,int_stack+29260,int_stack+24400,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44920,int_stack+21592,int_stack+19216,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+52048,int_stack+44920,int_stack+29260,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+12600,int_stack+52048,int_stack+35200,36);
 /*--- compute (ip|lf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+28800,int_stack+12600,int_stack+0,450);
 /*--- compute (hd|lf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+146170,int_stack+28800,int_stack+77320,450);
 /*--- compute (gf|lf) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+146170,int_stack+105670,450);
 return int_stack+0;}
