#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggkf(Libint_t*, prim_data*);

  /* Computes quartets of (gg|kf) integrals */

REALTYPE *hrr_order_ggkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[5][7] = int_stack + 3030;
 Libint->vrr_classes[5][8] = int_stack + 3786;
 Libint->vrr_classes[5][9] = int_stack + 4731;
 Libint->vrr_classes[5][10] = int_stack + 5886;
 Libint->vrr_classes[6][7] = int_stack + 7272;
 Libint->vrr_classes[6][8] = int_stack + 8280;
 Libint->vrr_classes[6][9] = int_stack + 9540;
 Libint->vrr_classes[6][10] = int_stack + 11080;
 Libint->vrr_classes[7][7] = int_stack + 12928;
 Libint->vrr_classes[7][8] = int_stack + 14224;
 Libint->vrr_classes[7][9] = int_stack + 15844;
 Libint->vrr_classes[7][10] = int_stack + 17824;
 Libint->vrr_classes[8][7] = int_stack + 20200;
 Libint->vrr_classes[8][8] = int_stack + 21820;
 Libint->vrr_classes[8][9] = int_stack + 23845;
 Libint->vrr_classes[8][10] = int_stack + 26320;
 memset(int_stack,0,29290*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 29290;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggkf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+29290,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+30910,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32935,int_stack+30910,int_stack+29290,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+36175,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+38650,int_stack+36175,int_stack+30910,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42700,int_stack+38650,int_stack+32935,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+29290,int_stack+3786,int_stack+3030,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31558,int_stack+4731,int_stack+3786,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+34393,int_stack+31558,int_stack+29290,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+38929,int_stack+5886,int_stack+4731,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+38929,int_stack+31558,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+48100,int_stack+0,int_stack+34393,21);
 /*--- compute (gp|kf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+55660,int_stack+48100,int_stack+42700,360);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+8280,int_stack+7272,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+9540,int_stack+8280,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+29290,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35338,int_stack+11080,int_stack+9540,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+39958,int_stack+35338,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+39958,int_stack+29290,28);
 /*--- compute (hp|kf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+71860,int_stack+0,int_stack+48100,360);
 /*--- compute (gd|kf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+94540,int_stack+71860,int_stack+55660,360);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+29290,int_stack+14224,int_stack+12928,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33178,int_stack+15844,int_stack+14224,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+38038,int_stack+33178,int_stack+29290,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+45814,int_stack+17824,int_stack+15844,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+51754,int_stack+45814,int_stack+33178,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+126940,int_stack+51754,int_stack+38038,36);
 /*--- compute (ip|kf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+29290,int_stack+126940,int_stack+0,360);
 /*--- compute (hd|kf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+139900,int_stack+29290,int_stack+71860,360);
 /*--- compute (gf|kf) ---*/
 hrr1_build_gf(Libint->AB,int_stack+185260,int_stack+139900,int_stack+94540,360);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+21820,int_stack+20200,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+23845,int_stack+21820,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10935,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+59530,int_stack+26320,int_stack+23845,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+66955,int_stack+59530,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+79105,int_stack+66955,int_stack+10935,45);
 /*--- compute (kp|kf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+239260,int_stack+79105,int_stack+126940,360);
 /*--- compute (id|kf) ---*/
 hrr1_build_id(Libint->AB,int_stack+59530,int_stack+239260,int_stack+29290,360);
 /*--- compute (hf|kf) ---*/
 hrr1_build_hf(Libint->AB,int_stack+239260,int_stack+59530,int_stack+139900,360);
 /*--- compute (gg|kf) ---*/
 hrr1_build_gg(Libint->AB,int_stack+0,int_stack+239260,int_stack+185260,360);
 return int_stack+0;}
