#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0ml(Libint_t*, prim_data*);

  /* Computes quartets of (i0|ml) integrals */

REALTYPE *hrr_order_i0ml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 memset(int_stack,0,27300*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 27300;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0ml(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27300,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31920,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37464,int_stack+31920,int_stack+27300,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+46704,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53256,int_stack+46704,int_stack+31920,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+64344,int_stack+53256,int_stack+37464,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+27300,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+79744,int_stack+27300,int_stack+46704,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+92848,int_stack+79744,int_stack+53256,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+34944,int_stack+92848,int_stack+64344,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58044,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+111328,int_stack+58044,int_stack+27300,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+126616,int_stack+111328,int_stack+79744,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+148456,int_stack+126616,int_stack+92848,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+66864,int_stack+148456,int_stack+34944,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+27300,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37380,int_stack+27300,int_stack+58044,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+176176,int_stack+37380,int_stack+111328,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+201656,int_stack+176176,int_stack+126616,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+99204,int_stack+201656,int_stack+148456,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+234416,int_stack+99204,int_stack+66864,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+55020,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+66444,int_stack+55020,int_stack+27300,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+138012,int_stack+66444,int_stack+37380,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+277536,int_stack+138012,int_stack+176176,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+315756,int_stack+277536,int_stack+201656,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+167412,int_stack+315756,int_stack+99204,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+361620,int_stack+167412,int_stack+234416,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+27300,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+86604,int_stack+27300,int_stack+55020,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+219156,int_stack+86604,int_stack+66444,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+219156,int_stack+138012,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+219156,int_stack+0,int_stack+277536,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+219156,int_stack+315756,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+219156,int_stack+0,int_stack+167412,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+219156,int_stack+361620,28);
 return int_stack+0;}
