#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idkh(Libint_t*, prim_data*);

  /* Computes quartets of (id|kh) integrals */

REALTYPE *hrr_order_idkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 Libint->vrr_classes[7][7] = int_stack + 10388;
 Libint->vrr_classes[7][8] = int_stack + 11684;
 Libint->vrr_classes[7][9] = int_stack + 13304;
 Libint->vrr_classes[7][10] = int_stack + 15284;
 Libint->vrr_classes[7][11] = int_stack + 17660;
 Libint->vrr_classes[7][12] = int_stack + 20468;
 Libint->vrr_classes[8][7] = int_stack + 23744;
 Libint->vrr_classes[8][8] = int_stack + 25364;
 Libint->vrr_classes[8][9] = int_stack + 27389;
 Libint->vrr_classes[8][10] = int_stack + 29864;
 Libint->vrr_classes[8][11] = int_stack + 32834;
 Libint->vrr_classes[8][12] = int_stack + 36344;
 memset(int_stack,0,40439*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 40439;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idkh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+40439,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+43463,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+47243,int_stack+43463,int_stack+40439,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+53291,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+57911,int_stack+53291,int_stack+43463,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+65471,int_stack+57911,int_stack+47243,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40439,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75551,int_stack+40439,int_stack+53291,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+84791,int_stack+75551,int_stack+57911,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+45983,int_stack+84791,int_stack+65471,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61103,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97391,int_stack+61103,int_stack+40439,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+108479,int_stack+97391,int_stack+75551,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+61103,int_stack+108479,int_stack+84791,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+80003,int_stack+61103,int_stack+45983,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+40439,int_stack+11684,int_stack+10388,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+44327,int_stack+13304,int_stack+11684,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+49187,int_stack+44327,int_stack+40439,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+56963,int_stack+15284,int_stack+13304,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+62903,int_stack+56963,int_stack+44327,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+101171,int_stack+62903,int_stack+49187,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40439,int_stack+17660,int_stack+15284,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+40439,int_stack+56963,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+114131,int_stack+0,int_stack+62903,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+47567,int_stack+114131,int_stack+101171,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101171,int_stack+20468,int_stack+17660,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+130331,int_stack+101171,int_stack+40439,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+144587,int_stack+130331,int_stack+0,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+164387,int_stack+144587,int_stack+114131,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+101171,int_stack+164387,int_stack+47567,36);
 /*--- compute (ip|kh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+128387,int_stack+101171,int_stack+80003,756);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+25364,int_stack+23744,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+27389,int_stack+25364,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10935,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+40439,int_stack+29864,int_stack+27389,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+47864,int_stack+40439,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+60014,int_stack+47864,int_stack+10935,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+32834,int_stack+29864,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+8910,int_stack+0,int_stack+40439,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+76214,int_stack+8910,int_stack+47864,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+191891,int_stack+76214,int_stack+60014,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40439,int_stack+36344,int_stack+32834,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50969,int_stack+40439,int_stack+0,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+23760,int_stack+50969,int_stack+8910,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+216191,int_stack+23760,int_stack+76214,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+216191,int_stack+191891,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+191891,int_stack+0,int_stack+101171,756);
 /*--- compute (id|kh) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+191891,int_stack+128387,756);
 return int_stack+0;}
