#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdki(Libint_t*, prim_data*);

  /* Computes quartets of (kd|ki) integrals */

REALTYPE *hrr_order_kdki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[7][13] = int_stack + 13356;
 Libint->vrr_classes[8][7] = int_stack + 17136;
 Libint->vrr_classes[8][8] = int_stack + 18756;
 Libint->vrr_classes[8][9] = int_stack + 20781;
 Libint->vrr_classes[8][10] = int_stack + 23256;
 Libint->vrr_classes[8][11] = int_stack + 26226;
 Libint->vrr_classes[8][12] = int_stack + 29736;
 Libint->vrr_classes[8][13] = int_stack + 33831;
 Libint->vrr_classes[9][7] = int_stack + 38556;
 Libint->vrr_classes[9][8] = int_stack + 40536;
 Libint->vrr_classes[9][9] = int_stack + 43011;
 Libint->vrr_classes[9][10] = int_stack + 46036;
 Libint->vrr_classes[9][11] = int_stack + 49666;
 Libint->vrr_classes[9][12] = int_stack + 53956;
 Libint->vrr_classes[9][13] = int_stack + 58961;
 memset(int_stack,0,64736*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 64736;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdki(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64736,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+68624,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+73484,int_stack+68624,int_stack+64736,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+81260,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+87200,int_stack+81260,int_stack+68624,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+96920,int_stack+87200,int_stack+73484,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64736,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+109880,int_stack+64736,int_stack+81260,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+121760,int_stack+109880,int_stack+87200,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+71864,int_stack+121760,int_stack+96920,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+91304,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+137960,int_stack+91304,int_stack+64736,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+152216,int_stack+137960,int_stack+109880,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+172016,int_stack+152216,int_stack+121760,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+99728,int_stack+172016,int_stack+71864,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64736,int_stack+13356,int_stack+10080,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+64736,int_stack+91304,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64736,int_stack+0,int_stack+137960,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+196316,int_stack+64736,int_stack+152216,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+64736,int_stack+196316,int_stack+172016,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+126944,int_stack+64736,int_stack+99728,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64736,int_stack+18756,int_stack+17136,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+69596,int_stack+20781,int_stack+18756,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+75671,int_stack+69596,int_stack+64736,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+85391,int_stack+23256,int_stack+20781,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+92816,int_stack+85391,int_stack+69596,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+104966,int_stack+92816,int_stack+75671,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64736,int_stack+26226,int_stack+23256,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+64736,int_stack+85391,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+163232,int_stack+0,int_stack+92816,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+73646,int_stack+163232,int_stack+104966,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+97946,int_stack+29736,int_stack+26226,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+108476,int_stack+97946,int_stack+64736,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+183482,int_stack+108476,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+208232,int_stack+183482,int_stack+163232,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+238607,int_stack+208232,int_stack+73646,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+163232,int_stack+33831,int_stack+29736,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+163232,int_stack+97946,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64736,int_stack+0,int_stack+108476,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+64736,int_stack+183482,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+64736,int_stack+0,int_stack+208232,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+163232,int_stack+64736,int_stack+238607,45);
 /*--- compute (kp|ki) ---*/
 hrr1_build_kp(Libint->AB,int_stack+208592,int_stack+163232,int_stack+126944,1008);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64736,int_stack+40536,int_stack+38556,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+70676,int_stack+43011,int_stack+40536,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+78101,int_stack+70676,int_stack+64736,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+89981,int_stack+46036,int_stack+43011,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+99056,int_stack+89981,int_stack+70676,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+113906,int_stack+99056,int_stack+78101,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64736,int_stack+49666,int_stack+46036,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+133706,int_stack+64736,int_stack+89981,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+133706,int_stack+99056,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+75626,int_stack+0,int_stack+113906,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+105326,int_stack+53956,int_stack+49666,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+24750,int_stack+105326,int_stack+64736,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+317456,int_stack+24750,int_stack+133706,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+118196,int_stack+317456,int_stack+0,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+347706,int_stack+118196,int_stack+75626,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+58961,int_stack+53956,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+46530,int_stack+0,int_stack+105326,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+72270,int_stack+46530,int_stack+24750,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+72270,int_stack+317456,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+45375,int_stack+0,int_stack+118196,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+97350,int_stack+45375,int_stack+347706,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+317456,int_stack+97350,int_stack+163232,1008);
 /*--- compute (kd|ki) ---*/
 hrr1_build_kd(Libint->AB,int_stack+453536,int_stack+317456,int_stack+208592,1008);
 return int_stack+453536;}
