#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdmh(Libint_t*, prim_data*);

  /* Computes quartets of (kd|mh) integrals */

REALTYPE *hrr_order_kdmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[8][9] = int_stack + 18540;
 Libint->vrr_classes[8][10] = int_stack + 21015;
 Libint->vrr_classes[8][11] = int_stack + 23985;
 Libint->vrr_classes[8][12] = int_stack + 27495;
 Libint->vrr_classes[8][13] = int_stack + 31590;
 Libint->vrr_classes[8][14] = int_stack + 36315;
 Libint->vrr_classes[9][9] = int_stack + 41715;
 Libint->vrr_classes[9][10] = int_stack + 44740;
 Libint->vrr_classes[9][11] = int_stack + 48370;
 Libint->vrr_classes[9][12] = int_stack + 52660;
 Libint->vrr_classes[9][13] = int_stack + 57665;
 Libint->vrr_classes[9][14] = int_stack + 63440;
 memset(int_stack,0,70040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 70040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdmh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70040,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75980,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+83108,int_stack+75980,int_stack+70040,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94988,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+103412,int_stack+94988,int_stack+75980,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+117668,int_stack+103412,int_stack+83108,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70040,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+137468,int_stack+70040,int_stack+94988,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+154316,int_stack+137468,int_stack+103412,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+79868,int_stack+154316,int_stack+117668,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+109568,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+178076,int_stack+109568,int_stack+70040,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+197732,int_stack+178076,int_stack+137468,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+109568,int_stack+197732,int_stack+154316,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+145208,int_stack+109568,int_stack+79868,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70040,int_stack+21015,int_stack+18540,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+77465,int_stack+23985,int_stack+21015,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+86375,int_stack+77465,int_stack+70040,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101225,int_stack+27495,int_stack+23985,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111755,int_stack+101225,int_stack+77465,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+186788,int_stack+111755,int_stack+86375,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70040,int_stack+31590,int_stack+27495,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+70040,int_stack+101225,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+211538,int_stack+0,int_stack+111755,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+82325,int_stack+211538,int_stack+186788,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+186788,int_stack+36315,int_stack+31590,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+119450,int_stack+186788,int_stack+70040,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+241238,int_stack+119450,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+276338,int_stack+241238,int_stack+211538,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+186788,int_stack+276338,int_stack+82325,45);
 /*--- compute (kp|mh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+238763,int_stack+186788,int_stack+145208,1155);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+44740,int_stack+41715,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+48370,int_stack+44740,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70040,int_stack+52660,int_stack+48370,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+82910,int_stack+70040,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+104690,int_stack+82910,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+57665,int_stack+52660,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+15015,int_stack+0,int_stack+70040,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+134940,int_stack+15015,int_stack+82910,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+363503,int_stack+134940,int_stack+104690,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+70040,int_stack+63440,int_stack+57665,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+87365,int_stack+70040,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+40755,int_stack+87365,int_stack+15015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+408878,int_stack+40755,int_stack+134940,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+408878,int_stack+363503,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+363503,int_stack+0,int_stack+186788,1155);
 /*--- compute (kd|mh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+519428,int_stack+363503,int_stack+238763,1155);
 return int_stack+519428;}
