#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdnh(Libint_t*, prim_data*);

  /* Computes quartets of (kd|nh) integrals */

REALTYPE *hrr_order_kdnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[8][10] = int_stack + 21456;
 Libint->vrr_classes[8][11] = int_stack + 24426;
 Libint->vrr_classes[8][12] = int_stack + 27936;
 Libint->vrr_classes[8][13] = int_stack + 32031;
 Libint->vrr_classes[8][14] = int_stack + 36756;
 Libint->vrr_classes[8][15] = int_stack + 42156;
 Libint->vrr_classes[9][10] = int_stack + 48276;
 Libint->vrr_classes[9][11] = int_stack + 51906;
 Libint->vrr_classes[9][12] = int_stack + 56196;
 Libint->vrr_classes[9][13] = int_stack + 61201;
 Libint->vrr_classes[9][14] = int_stack + 66976;
 Libint->vrr_classes[9][15] = int_stack + 73576;
 memset(int_stack,0,81056*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 81056;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdnh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81056,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+88184,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+96608,int_stack+88184,int_stack+81056,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+110864,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120692,int_stack+110864,int_stack+88184,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+137540,int_stack+120692,int_stack+96608,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81056,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+161300,int_stack+81056,int_stack+110864,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+92396,int_stack+161300,int_stack+120692,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+180956,int_stack+92396,int_stack+137540,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+120476,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+133436,int_stack+120476,int_stack+81056,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+216596,int_stack+133436,int_stack+161300,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+120476,int_stack+216596,int_stack+92396,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+216596,int_stack+120476,int_stack+180956,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81056,int_stack+24426,int_stack+21456,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+89966,int_stack+27936,int_stack+24426,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+100496,int_stack+89966,int_stack+81056,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+118316,int_stack+32031,int_stack+27936,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+130601,int_stack+118316,int_stack+89966,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+151661,int_stack+130601,int_stack+100496,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+81056,int_stack+36756,int_stack+32031,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+181361,int_stack+81056,int_stack+118316,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+95231,int_stack+181361,int_stack+130601,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266492,int_stack+95231,int_stack+151661,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+130331,int_stack+42156,int_stack+36756,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+146531,int_stack+130331,int_stack+81056,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+146531,int_stack+181361,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+130331,int_stack+0,int_stack+95231,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+311042,int_stack+130331,int_stack+266492,45);
 /*--- compute (kp|nh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+373412,int_stack+311042,int_stack+216596,1386);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+51906,int_stack+48276,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+56196,int_stack+51906,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+81056,int_stack+61201,int_stack+56196,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+96071,int_stack+81056,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121811,int_stack+96071,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+66976,int_stack+61201,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+81056,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+158111,int_stack+17325,int_stack+96071,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+201011,int_stack+158111,int_stack+121811,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+81056,int_stack+73576,int_stack+66976,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+100856,int_stack+81056,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+47355,int_stack+100856,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+523100,int_stack+47355,int_stack+158111,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+523100,int_stack+201011,55);
 /*--- compute (lp|nh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+76230,int_stack+0,int_stack+311042,1386);
 /*--- compute (kd|nh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+523100,int_stack+76230,int_stack+373412,1386);
 return int_stack+523100;}
