#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khmm(Libint_t*, prim_data*);

  /* Computes quartets of (kh|mm) integrals */

REALTYPE *hrr_order_khmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[7][17] = int_stack + 28944;
 Libint->vrr_classes[7][18] = int_stack + 35100;
 Libint->vrr_classes[8][9] = int_stack + 41940;
 Libint->vrr_classes[8][10] = int_stack + 44415;
 Libint->vrr_classes[8][11] = int_stack + 47385;
 Libint->vrr_classes[8][12] = int_stack + 50895;
 Libint->vrr_classes[8][13] = int_stack + 54990;
 Libint->vrr_classes[8][14] = int_stack + 59715;
 Libint->vrr_classes[8][15] = int_stack + 65115;
 Libint->vrr_classes[8][16] = int_stack + 71235;
 Libint->vrr_classes[8][17] = int_stack + 78120;
 Libint->vrr_classes[8][18] = int_stack + 85815;
 Libint->vrr_classes[9][9] = int_stack + 94365;
 Libint->vrr_classes[9][10] = int_stack + 97390;
 Libint->vrr_classes[9][11] = int_stack + 101020;
 Libint->vrr_classes[9][12] = int_stack + 105310;
 Libint->vrr_classes[9][13] = int_stack + 110315;
 Libint->vrr_classes[9][14] = int_stack + 116090;
 Libint->vrr_classes[9][15] = int_stack + 122690;
 Libint->vrr_classes[9][16] = int_stack + 130170;
 Libint->vrr_classes[9][17] = int_stack + 138585;
 Libint->vrr_classes[9][18] = int_stack + 147990;
 Libint->vrr_classes[10][9] = int_stack + 158440;
 Libint->vrr_classes[10][10] = int_stack + 162070;
 Libint->vrr_classes[10][11] = int_stack + 166426;
 Libint->vrr_classes[10][12] = int_stack + 171574;
 Libint->vrr_classes[10][13] = int_stack + 177580;
 Libint->vrr_classes[10][14] = int_stack + 184510;
 Libint->vrr_classes[10][15] = int_stack + 192430;
 Libint->vrr_classes[10][16] = int_stack + 201406;
 Libint->vrr_classes[10][17] = int_stack + 211504;
 Libint->vrr_classes[10][18] = int_stack + 222790;
 Libint->vrr_classes[11][9] = int_stack + 235330;
 Libint->vrr_classes[11][10] = int_stack + 239620;
 Libint->vrr_classes[11][11] = int_stack + 244768;
 Libint->vrr_classes[11][12] = int_stack + 250852;
 Libint->vrr_classes[11][13] = int_stack + 257950;
 Libint->vrr_classes[11][14] = int_stack + 266140;
 Libint->vrr_classes[11][15] = int_stack + 275500;
 Libint->vrr_classes[11][16] = int_stack + 286108;
 Libint->vrr_classes[11][17] = int_stack + 298042;
 Libint->vrr_classes[11][18] = int_stack + 311380;
 Libint->vrr_classes[12][9] = int_stack + 326200;
 Libint->vrr_classes[12][10] = int_stack + 331205;
 Libint->vrr_classes[12][11] = int_stack + 337211;
 Libint->vrr_classes[12][12] = int_stack + 344309;
 Libint->vrr_classes[12][13] = int_stack + 352590;
 Libint->vrr_classes[12][14] = int_stack + 362145;
 Libint->vrr_classes[12][15] = int_stack + 373065;
 Libint->vrr_classes[12][16] = int_stack + 385441;
 Libint->vrr_classes[12][17] = int_stack + 399364;
 Libint->vrr_classes[12][18] = int_stack + 414925;
 memset(int_stack,0,432215*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 432215;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khmm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+432215,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+438155,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+445283,int_stack+438155,int_stack+432215,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+457163,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+465587,int_stack+457163,int_stack+438155,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+479843,int_stack+465587,int_stack+445283,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+432215,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+499643,int_stack+432215,int_stack+457163,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+516491,int_stack+499643,int_stack+465587,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+442043,int_stack+516491,int_stack+479843,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+471743,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+540251,int_stack+471743,int_stack+432215,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+559907,int_stack+540251,int_stack+499643,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+587987,int_stack+559907,int_stack+516491,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+483083,int_stack+587987,int_stack+442043,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+432215,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+445175,int_stack+432215,int_stack+471743,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+623627,int_stack+445175,int_stack+540251,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+656387,int_stack+623627,int_stack+559907,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+524663,int_stack+656387,int_stack+587987,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+698507,int_stack+524663,int_stack+483083,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+467855,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+482543,int_stack+467855,int_stack+432215,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+574559,int_stack+482543,int_stack+445175,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+753947,int_stack+574559,int_stack+623627,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+803087,int_stack+753947,int_stack+656387,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+612359,int_stack+803087,int_stack+524663,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+862055,int_stack+612359,int_stack+698507,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+432215,int_stack+28944,int_stack+23436,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+508463,int_stack+432215,int_stack+467855,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+678887,int_stack+508463,int_stack+482543,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+448739,int_stack+678887,int_stack+574559,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+537839,int_stack+448739,int_stack+753947,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+722087,int_stack+537839,int_stack+803087,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+933335,int_stack+722087,int_stack+612359,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1018871,int_stack+933335,int_stack+862055,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+606635,int_stack+35100,int_stack+28944,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+625103,int_stack+606635,int_stack+432215,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+800711,int_stack+625103,int_stack+508463,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+606635,int_stack+800711,int_stack+678887,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+800711,int_stack+606635,int_stack+448739,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+606635,int_stack+800711,int_stack+537839,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+800711,int_stack+606635,int_stack+722087,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+432215,int_stack+800711,int_stack+933335,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+539135,int_stack+432215,int_stack+1018871,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+432215,int_stack+44415,int_stack+41940,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+439640,int_stack+47385,int_stack+44415,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+448550,int_stack+439640,int_stack+432215,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+463400,int_stack+50895,int_stack+47385,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+473930,int_stack+463400,int_stack+439640,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+491750,int_stack+473930,int_stack+448550,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+432215,int_stack+54990,int_stack+50895,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+516500,int_stack+432215,int_stack+463400,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+648035,int_stack+516500,int_stack+473930,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+444500,int_stack+648035,int_stack+491750,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+481625,int_stack+59715,int_stack+54990,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+677735,int_stack+481625,int_stack+432215,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+702305,int_stack+677735,int_stack+516500,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+737405,int_stack+702305,int_stack+648035,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+781955,int_stack+737405,int_stack+444500,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+648035,int_stack+65115,int_stack+59715,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+432215,int_stack+648035,int_stack+481625,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+460565,int_stack+432215,int_stack+677735,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+833930,int_stack+460565,int_stack+702305,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+664235,int_stack+833930,int_stack+737405,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+886580,int_stack+664235,int_stack+781955,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+726605,int_stack+71235,int_stack+65115,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+744965,int_stack+726605,int_stack+648035,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+777365,int_stack+744965,int_stack+432215,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+955880,int_stack+777365,int_stack+460565,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+432215,int_stack+955880,int_stack+833930,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1017305,int_stack+432215,int_stack+664235,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1100465,int_stack+1017305,int_stack+886580,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+505925,int_stack+78120,int_stack+71235,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+648035,int_stack+505925,int_stack+726605,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+684755,int_stack+648035,int_stack+744965,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+824615,int_stack+684755,int_stack+777365,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1189565,int_stack+824615,int_stack+955880,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+895490,int_stack+1189565,int_stack+432215,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1275560,int_stack+895490,int_stack+1017305,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1382480,int_stack+1275560,int_stack+1100465,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+432215,int_stack+85815,int_stack+78120,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+455300,int_stack+432215,int_stack+505925,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+738755,int_stack+455300,int_stack+648035,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+432215,int_stack+738755,int_stack+684755,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+648035,int_stack+432215,int_stack+824615,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+747260,int_stack+648035,int_stack+1189565,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+993770,int_stack+747260,int_stack+895490,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+648035,int_stack+993770,int_stack+1275560,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+781685,int_stack+648035,int_stack+1382480,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+917810,int_stack+781685,int_stack+539135,3025);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1244510,int_stack+97390,int_stack+94365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1253585,int_stack+101020,int_stack+97390,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1264475,int_stack+1253585,int_stack+1244510,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1282625,int_stack+105310,int_stack+101020,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1295495,int_stack+1282625,int_stack+1253585,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1317275,int_stack+1295495,int_stack+1264475,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1244510,int_stack+110315,int_stack+105310,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1347525,int_stack+1244510,int_stack+1282625,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1373265,int_stack+1347525,int_stack+1295495,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1259525,int_stack+1373265,int_stack+1317275,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1304900,int_stack+116090,int_stack+110315,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1409565,int_stack+1304900,int_stack+1244510,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1439595,int_stack+1409565,int_stack+1347525,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+432215,int_stack+1439595,int_stack+1373265,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1322225,int_stack+432215,int_stack+1259525,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1244510,int_stack+122690,int_stack+116090,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1264310,int_stack+1244510,int_stack+1304900,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+486665,int_stack+1264310,int_stack+1409565,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+536715,int_stack+486665,int_stack+1439595,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1385750,int_stack+536715,int_stack+432215,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+601065,int_stack+1385750,int_stack+1322225,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+432215,int_stack+130170,int_stack+122690,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1298960,int_stack+432215,int_stack+1244510,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+685765,int_stack+1298960,int_stack+1264310,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+685765,int_stack+486665,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1461980,int_stack+0,int_stack+536715,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+454655,int_stack+1461980,int_stack+1385750,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1338560,int_stack+454655,int_stack+601065,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1244510,int_stack+138585,int_stack+130170,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+556295,int_stack+1244510,int_stack+432215,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+601175,int_stack+556295,int_stack+1298960,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1552070,int_stack+601175,int_stack+685765,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+667175,int_stack+1552070,int_stack+0,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+667175,int_stack+1461980,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1638695,int_stack+0,int_stack+454655,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1769375,int_stack+1638695,int_stack+1338560,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+432215,int_stack+147990,int_stack+138585,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+460430,int_stack+432215,int_stack+1244510,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1244510,int_stack+460430,int_stack+556295,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1319310,int_stack+1244510,int_stack+601175,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1418310,int_stack+1319310,int_stack+1552070,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1244510,int_stack+1418310,int_stack+667175,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1384650,int_stack+1244510,int_stack+0,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+432215,int_stack+1384650,int_stack+1638695,55);
 /*--- compute (m0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1244510,int_stack+432215,int_stack+1769375,55);
 /*--- compute (lp|mm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1410885,int_stack+1244510,int_stack+781685,3025);
 /*--- compute (kd|mm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1819260,int_stack+1410885,int_stack+917810,3025);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+432215,int_stack+162070,int_stack+158440,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+443105,int_stack+166426,int_stack+162070,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+456173,int_stack+443105,int_stack+432215,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+477953,int_stack+171574,int_stack+166426,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+493397,int_stack+477953,int_stack+443105,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+519533,int_stack+493397,int_stack+456173,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+432215,int_stack+177580,int_stack+171574,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+555833,int_stack+432215,int_stack+477953,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+586721,int_stack+555833,int_stack+493397,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+450233,int_stack+586721,int_stack+519533,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+504683,int_stack+184510,int_stack+177580,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+630281,int_stack+504683,int_stack+432215,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+666317,int_stack+630281,int_stack+555833,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+717797,int_stack+666317,int_stack+586721,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+525473,int_stack+717797,int_stack+450233,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+432215,int_stack+192430,int_stack+184510,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+455975,int_stack+432215,int_stack+504683,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+783137,int_stack+455975,int_stack+630281,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+843197,int_stack+783137,int_stack+666317,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+601703,int_stack+843197,int_stack+717797,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+920417,int_stack+601703,int_stack+525473,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+497555,int_stack+201406,int_stack+192430,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+524483,int_stack+497555,int_stack+432215,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+693179,int_stack+524483,int_stack+455975,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1022057,int_stack+693179,int_stack+783137,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1112147,int_stack+1022057,int_stack+843197,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+762479,int_stack+1112147,int_stack+601703,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+762479,int_stack+920417,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+432215,int_stack+211504,int_stack+201406,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+572003,int_stack+432215,int_stack+497555,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+884447,int_stack+572003,int_stack+524483,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+462509,int_stack+884447,int_stack+693179,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+625859,int_stack+462509,int_stack+1022057,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+963647,int_stack+625859,int_stack+1112147,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2472660,int_stack+963647,int_stack+762479,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2629476,int_stack+2472660,int_stack+0,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+222790,int_stack+211504,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+33858,int_stack+0,int_stack+432215,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+94446,int_stack+33858,int_stack+572003,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+751985,int_stack+94446,int_stack+884447,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+751985,int_stack+462509,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+751985,int_stack+0,int_stack+625859,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+751985,int_stack+963647,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+432215,int_stack+0,int_stack+2472660,66);
 /*--- compute (n0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+0,int_stack+432215,int_stack+2629476,66);
 /*--- compute (mp|mm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+432215,int_stack+0,int_stack+1244510,3025);
 /*--- compute (ld|mm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2472660,int_stack+432215,int_stack+1410885,3025);
 /*--- compute (kf|mm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3289410,int_stack+2472660,int_stack+1819260,3025);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+931340,int_stack+239620,int_stack+235330,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+944210,int_stack+244768,int_stack+239620,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+959654,int_stack+944210,int_stack+931340,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+985394,int_stack+250852,int_stack+244768,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1003646,int_stack+985394,int_stack+944210,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1034534,int_stack+1003646,int_stack+959654,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+931340,int_stack+257950,int_stack+250852,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1077434,int_stack+931340,int_stack+985394,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1113938,int_stack+1077434,int_stack+1003646,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+952634,int_stack+1113938,int_stack+1034534,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1016984,int_stack+266140,int_stack+257950,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1165418,int_stack+1016984,int_stack+931340,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1208006,int_stack+1165418,int_stack+1077434,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1268846,int_stack+1208006,int_stack+1113938,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1041554,int_stack+1268846,int_stack+952634,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+931340,int_stack+275500,int_stack+266140,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+959420,int_stack+931340,int_stack+1016984,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1346066,int_stack+959420,int_stack+1165418,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1417046,int_stack+1346066,int_stack+1208006,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1131644,int_stack+1417046,int_stack+1268846,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1508306,int_stack+1131644,int_stack+1041554,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1008560,int_stack+286108,int_stack+275500,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1040384,int_stack+1008560,int_stack+931340,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1239752,int_stack+1040384,int_stack+959420,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1628426,int_stack+1239752,int_stack+1346066,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1734896,int_stack+1628426,int_stack+1417046,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1321652,int_stack+1734896,int_stack+1131644,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1862660,int_stack+1321652,int_stack+1508306,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+931340,int_stack+298042,int_stack+286108,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1096544,int_stack+931340,int_stack+1008560,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1465796,int_stack+1096544,int_stack+1040384,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+967142,int_stack+1465796,int_stack+1239752,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1160192,int_stack+967142,int_stack+1628426,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1559396,int_stack+1160192,int_stack+1734896,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2017100,int_stack+1559396,int_stack+1321652,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2202428,int_stack+2017100,int_stack+1862660,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1309250,int_stack+311380,int_stack+298042,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1349264,int_stack+1309250,int_stack+931340,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1729748,int_stack+1349264,int_stack+1096544,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1309250,int_stack+1729748,int_stack+1465796,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1729748,int_stack+1309250,int_stack+967142,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1309250,int_stack+1729748,int_stack+1160192,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1729748,int_stack+1309250,int_stack+1559396,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+931340,int_stack+1729748,int_stack+2017100,78);
 /*--- compute (o0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1163000,int_stack+931340,int_stack+2202428,78);
 /*--- compute (np|mm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1398950,int_stack+1163000,int_stack+0,3025);
 /*--- compute (md|mm) ---*/
 hrr1_build_md(Libint->AB,int_stack+4378410,int_stack+1398950,int_stack+432215,3025);
 /*--- compute (lf|mm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5376660,int_stack+4378410,int_stack+2472660,3025);
 /*--- compute (kg|mm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+6737910,int_stack+5376660,int_stack+3289410,3025);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+432215,int_stack+331205,int_stack+326200,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+447230,int_stack+337211,int_stack+331205,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+465248,int_stack+447230,int_stack+432215,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+495278,int_stack+344309,int_stack+337211,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+516572,int_stack+495278,int_stack+447230,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+552608,int_stack+516572,int_stack+465248,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+432215,int_stack+352590,int_stack+344309,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+602658,int_stack+432215,int_stack+495278,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+645246,int_stack+602658,int_stack+516572,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+457058,int_stack+645246,int_stack+552608,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+532133,int_stack+362145,int_stack+352590,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+705306,int_stack+532133,int_stack+432215,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+754992,int_stack+705306,int_stack+602658,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+825972,int_stack+754992,int_stack+645246,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+560798,int_stack+825972,int_stack+457058,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+432215,int_stack+373065,int_stack+362145,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+464975,int_stack+432215,int_stack+532133,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+916062,int_stack+464975,int_stack+705306,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+998872,int_stack+916062,int_stack+754992,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+665903,int_stack+998872,int_stack+825972,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+665903,int_stack+560798,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+522305,int_stack+385441,int_stack+373065,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+559433,int_stack+522305,int_stack+432215,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+792029,int_stack+559433,int_stack+464975,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+140140,int_stack+792029,int_stack+916062,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1997900,int_stack+140140,int_stack+998872,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+887579,int_stack+1997900,int_stack+665903,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2146958,int_stack+887579,int_stack+0,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+399364,int_stack+385441,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+41769,int_stack+0,int_stack+522305,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+432215,int_stack+41769,int_stack+559433,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+541415,int_stack+432215,int_stack+792029,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+684740,int_stack+541415,int_stack+140140,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+116025,int_stack+684740,int_stack+1997900,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2327138,int_stack+116025,int_stack+887579,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+858641,int_stack+2327138,int_stack+2146958,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1997900,int_stack+414925,int_stack+399364,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2044583,int_stack+1997900,int_stack+0,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2128121,int_stack+2044583,int_stack+41769,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2543354,int_stack+2128121,int_stack+432215,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1997900,int_stack+2543354,int_stack+541415,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2543354,int_stack+1997900,int_stack+684740,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1997900,int_stack+2543354,int_stack+116025,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2543354,int_stack+1997900,int_stack+2327138,91);
 /*--- compute (q0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1997900,int_stack+2543354,int_stack+858641,91);
 /*--- compute (op|mm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2273175,int_stack+1997900,int_stack+1163000,3025);
 /*--- compute (nd|mm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2981025,int_stack+2273175,int_stack+1398950,3025);
 /*--- compute (mf|mm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+2981025,int_stack+4378410,3025);
 /*--- compute (lg|mm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1663750,int_stack+0,int_stack+5376660,3025);
 /*--- compute (kh|mm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+3705625,int_stack+1663750,int_stack+6737910,3025);
 return int_stack+3705625;}
