#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khnm(Libint_t*, prim_data*);

  /* Computes quartets of (kh|nm) integrals */

REALTYPE *hrr_order_khnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[8][10] = int_stack + 47520;
 Libint->vrr_classes[8][11] = int_stack + 50490;
 Libint->vrr_classes[8][12] = int_stack + 54000;
 Libint->vrr_classes[8][13] = int_stack + 58095;
 Libint->vrr_classes[8][14] = int_stack + 62820;
 Libint->vrr_classes[8][15] = int_stack + 68220;
 Libint->vrr_classes[8][16] = int_stack + 74340;
 Libint->vrr_classes[8][17] = int_stack + 81225;
 Libint->vrr_classes[8][18] = int_stack + 88920;
 Libint->vrr_classes[8][19] = int_stack + 97470;
 Libint->vrr_classes[9][10] = int_stack + 106920;
 Libint->vrr_classes[9][11] = int_stack + 110550;
 Libint->vrr_classes[9][12] = int_stack + 114840;
 Libint->vrr_classes[9][13] = int_stack + 119845;
 Libint->vrr_classes[9][14] = int_stack + 125620;
 Libint->vrr_classes[9][15] = int_stack + 132220;
 Libint->vrr_classes[9][16] = int_stack + 139700;
 Libint->vrr_classes[9][17] = int_stack + 148115;
 Libint->vrr_classes[9][18] = int_stack + 157520;
 Libint->vrr_classes[9][19] = int_stack + 167970;
 Libint->vrr_classes[10][10] = int_stack + 179520;
 Libint->vrr_classes[10][11] = int_stack + 183876;
 Libint->vrr_classes[10][12] = int_stack + 189024;
 Libint->vrr_classes[10][13] = int_stack + 195030;
 Libint->vrr_classes[10][14] = int_stack + 201960;
 Libint->vrr_classes[10][15] = int_stack + 209880;
 Libint->vrr_classes[10][16] = int_stack + 218856;
 Libint->vrr_classes[10][17] = int_stack + 228954;
 Libint->vrr_classes[10][18] = int_stack + 240240;
 Libint->vrr_classes[10][19] = int_stack + 252780;
 Libint->vrr_classes[11][10] = int_stack + 266640;
 Libint->vrr_classes[11][11] = int_stack + 271788;
 Libint->vrr_classes[11][12] = int_stack + 277872;
 Libint->vrr_classes[11][13] = int_stack + 284970;
 Libint->vrr_classes[11][14] = int_stack + 293160;
 Libint->vrr_classes[11][15] = int_stack + 302520;
 Libint->vrr_classes[11][16] = int_stack + 313128;
 Libint->vrr_classes[11][17] = int_stack + 325062;
 Libint->vrr_classes[11][18] = int_stack + 338400;
 Libint->vrr_classes[11][19] = int_stack + 353220;
 Libint->vrr_classes[12][10] = int_stack + 369600;
 Libint->vrr_classes[12][11] = int_stack + 375606;
 Libint->vrr_classes[12][12] = int_stack + 382704;
 Libint->vrr_classes[12][13] = int_stack + 390985;
 Libint->vrr_classes[12][14] = int_stack + 400540;
 Libint->vrr_classes[12][15] = int_stack + 411460;
 Libint->vrr_classes[12][16] = int_stack + 423836;
 Libint->vrr_classes[12][17] = int_stack + 437759;
 Libint->vrr_classes[12][18] = int_stack + 453320;
 Libint->vrr_classes[12][19] = int_stack + 470610;
 memset(int_stack,0,489720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 489720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khnm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+489720,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+496848,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+505272,int_stack+496848,int_stack+489720,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+519528,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+529356,int_stack+519528,int_stack+496848,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+546204,int_stack+529356,int_stack+505272,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+489720,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+569964,int_stack+489720,int_stack+519528,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+501060,int_stack+569964,int_stack+529356,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+589620,int_stack+501060,int_stack+546204,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+529140,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+542100,int_stack+529140,int_stack+489720,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+625260,int_stack+542100,int_stack+569964,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+658020,int_stack+625260,int_stack+501060,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+700140,int_stack+658020,int_stack+589620,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+489720,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+564780,int_stack+489720,int_stack+529140,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+750036,int_stack+564780,int_stack+542100,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+504408,int_stack+750036,int_stack+625260,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+590700,int_stack+504408,int_stack+658020,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+787836,int_stack+590700,int_stack+700140,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+649668,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+666192,int_stack+649668,int_stack+489720,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+695568,int_stack+666192,int_stack+564780,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+854364,int_stack+695568,int_stack+750036,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+911064,int_stack+854364,int_stack+504408,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+489720,int_stack+911064,int_stack+590700,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+979860,int_stack+489720,int_stack+787836,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+568344,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+586812,int_stack+568344,int_stack+649668,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+738768,int_stack+586812,int_stack+666192,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+619860,int_stack+738768,int_stack+695568,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1065396,int_stack+619860,int_stack+854364,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+787728,int_stack+1065396,int_stack+911064,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1144776,int_stack+787728,int_stack+489720,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1245864,int_stack+1144776,int_stack+979860,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+489720,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+510240,int_stack+489720,int_stack+568344,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+879456,int_stack+510240,int_stack+586812,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+489720,int_stack+879456,int_stack+738768,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+879456,int_stack+489720,int_stack+619860,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+489720,int_stack+879456,int_stack+1065396,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+879456,int_stack+489720,int_stack+787728,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+489720,int_stack+879456,int_stack+1144776,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+616080,int_stack+489720,int_stack+1245864,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+489720,int_stack+50490,int_stack+47520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+498630,int_stack+54000,int_stack+50490,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+509160,int_stack+498630,int_stack+489720,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+526980,int_stack+58095,int_stack+54000,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+539265,int_stack+526980,int_stack+498630,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+560325,int_stack+539265,int_stack+509160,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+489720,int_stack+62820,int_stack+58095,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+590025,int_stack+489720,int_stack+526980,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+503895,int_stack+590025,int_stack+539265,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+746760,int_stack+503895,int_stack+560325,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+538995,int_stack+68220,int_stack+62820,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+555195,int_stack+538995,int_stack+489720,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+791310,int_stack+555195,int_stack+590025,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+832260,int_stack+791310,int_stack+503895,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+884910,int_stack+832260,int_stack+746760,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+746760,int_stack+74340,int_stack+68220,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+489720,int_stack+746760,int_stack+538995,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+947280,int_stack+489720,int_stack+555195,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+522120,int_stack+947280,int_stack+791310,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+994530,int_stack+522120,int_stack+832260,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+765120,int_stack+994530,int_stack+884910,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+848280,int_stack+81225,int_stack+74340,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+868935,int_stack+848280,int_stack+746760,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1068240,int_stack+868935,int_stack+489720,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1122240,int_stack+1068240,int_stack+947280,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+905655,int_stack+1122240,int_stack+522120,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+489720,int_stack+905655,int_stack+994530,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1193115,int_stack+489720,int_stack+765120,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+588000,int_stack+88920,int_stack+81225,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+746760,int_stack+588000,int_stack+848280,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+788070,int_stack+746760,int_stack+868935,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+788070,int_stack+1068240,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+991650,int_stack+0,int_stack+1122240,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1300035,int_stack+991650,int_stack+905655,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+849270,int_stack+1300035,int_stack+489720,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1414695,int_stack+849270,int_stack+1193115,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+489720,int_stack+97470,int_stack+88920,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+515370,int_stack+489720,int_stack+588000,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1090875,int_stack+515370,int_stack+746760,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+489720,int_stack+1090875,int_stack+788070,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1090875,int_stack+489720,int_stack+0,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1548345,int_stack+1090875,int_stack+991650,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+975630,int_stack+1548345,int_stack+1300035,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1123050,int_stack+975630,int_stack+849270,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+746760,int_stack+1123050,int_stack+1414695,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+910110,int_stack+746760,int_stack+616080,3630);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+110550,int_stack+106920,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+114840,int_stack+110550,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+119845,int_stack+114840,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+489720,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125620,int_stack+119845,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+526020,int_stack+17325,int_stack+489720,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+489720,int_stack+132220,int_stack+125620,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+580470,int_stack+489720,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+615120,int_stack+580470,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+615120,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+665170,int_stack+60225,int_stack+526020,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+139700,int_stack+132220,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+509520,int_stack+0,int_stack+489720,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1302150,int_stack+509520,int_stack+580470,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1359900,int_stack+1302150,int_stack+615120,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+549120,int_stack+1359900,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+549120,int_stack+665170,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+639210,int_stack+148115,int_stack+139700,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+664455,int_stack+639210,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1434975,int_stack+664455,int_stack+509520,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1500975,int_stack+1434975,int_stack+1302150,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1587600,int_stack+1500975,int_stack+1359900,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1302150,int_stack+1587600,int_stack+549120,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+489720,int_stack+1302150,int_stack+22440,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+157520,int_stack+148115,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+28215,int_stack+0,int_stack+639210,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+78705,int_stack+28215,int_stack+664455,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+620400,int_stack+78705,int_stack+1434975,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1692705,int_stack+620400,int_stack+1500975,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1422270,int_stack+1692705,int_stack+1587600,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1813980,int_stack+1422270,int_stack+1302150,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1968420,int_stack+1813980,int_stack+489720,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+489720,int_stack+167970,int_stack+157520,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+521070,int_stack+489720,int_stack+0,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1302150,int_stack+521070,int_stack+28215,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+489720,int_stack+1302150,int_stack+78705,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+489720,int_stack+620400,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+489720,int_stack+0,int_stack+1692705,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1562410,int_stack+489720,int_stack+1422270,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+489720,int_stack+1562410,int_stack+1813980,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1302150,int_stack+489720,int_stack+1968420,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1501800,int_stack+1302150,int_stack+746760,3630);
 /*--- compute (kd|nm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1991850,int_stack+1501800,int_stack+910110,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+489720,int_stack+183876,int_stack+179520,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+502788,int_stack+189024,int_stack+183876,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+518232,int_stack+502788,int_stack+489720,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+544368,int_stack+195030,int_stack+189024,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+562386,int_stack+544368,int_stack+502788,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+593274,int_stack+562386,int_stack+518232,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+489720,int_stack+201960,int_stack+195030,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+636834,int_stack+489720,int_stack+544368,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+510510,int_stack+636834,int_stack+562386,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+672870,int_stack+510510,int_stack+593274,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+561990,int_stack+209880,int_stack+201960,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+585750,int_stack+561990,int_stack+489720,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+738210,int_stack+585750,int_stack+636834,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+798270,int_stack+738210,int_stack+510510,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+875490,int_stack+798270,int_stack+672870,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+489720,int_stack+218856,int_stack+209880,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+627330,int_stack+489720,int_stack+561990,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+966966,int_stack+627330,int_stack+585750,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+516648,int_stack+966966,int_stack+738210,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+674850,int_stack+516648,int_stack+798270,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1036266,int_stack+674850,int_stack+875490,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+782958,int_stack+228954,int_stack+218856,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+813252,int_stack+782958,int_stack+489720,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+867108,int_stack+813252,int_stack+627330,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1158234,int_stack+867108,int_stack+966966,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1158234,int_stack+516648,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+489720,int_stack+0,int_stack+674850,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2775930,int_stack+489720,int_stack+1036266,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+633864,int_stack+240240,int_stack+228954,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+667722,int_stack+633864,int_stack+782958,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+946308,int_stack+667722,int_stack+813252,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+728310,int_stack+946308,int_stack+867108,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2932746,int_stack+728310,int_stack+1158234,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1036068,int_stack+2932746,int_stack+0,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1036068,int_stack+489720,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3078276,int_stack+0,int_stack+2775930,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2775930,int_stack+252780,int_stack+240240,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2813550,int_stack+2775930,int_stack+633864,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+489720,int_stack+2813550,int_stack+667722,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2775930,int_stack+489720,int_stack+946308,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+489720,int_stack+2775930,int_stack+728310,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+656040,int_stack+489720,int_stack+2932746,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2775930,int_stack+656040,int_stack+1036068,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+489720,int_stack+2775930,int_stack+0,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+489720,int_stack+3078276,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+489720,int_stack+0,int_stack+1302150,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2775930,int_stack+489720,int_stack+1501800,3630);
 /*--- compute (kf|nm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3756030,int_stack+2775930,int_stack+1991850,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1088670,int_stack+271788,int_stack+266640,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1104114,int_stack+277872,int_stack+271788,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1122366,int_stack+1104114,int_stack+1088670,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1153254,int_stack+284970,int_stack+277872,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1174548,int_stack+1153254,int_stack+1104114,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1211052,int_stack+1174548,int_stack+1122366,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1088670,int_stack+293160,int_stack+284970,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1262532,int_stack+1088670,int_stack+1153254,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1113240,int_stack+1262532,int_stack+1174548,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1305120,int_stack+1113240,int_stack+1211052,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1174080,int_stack+302520,int_stack+293160,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1202160,int_stack+1174080,int_stack+1088670,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1382340,int_stack+1202160,int_stack+1262532,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1453320,int_stack+1382340,int_stack+1113240,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1544580,int_stack+1453320,int_stack+1305120,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1088670,int_stack+313128,int_stack+302520,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1251300,int_stack+1088670,int_stack+1174080,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1652688,int_stack+1251300,int_stack+1202160,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1120494,int_stack+1652688,int_stack+1382340,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1307460,int_stack+1120494,int_stack+1453320,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1734588,int_stack+1307460,int_stack+1544580,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1435224,int_stack+325062,int_stack+313128,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1471026,int_stack+1435224,int_stack+1088670,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1534674,int_stack+1471026,int_stack+1251300,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1878732,int_stack+1534674,int_stack+1652688,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2001582,int_stack+1878732,int_stack+1120494,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1088670,int_stack+2001582,int_stack+1307460,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2150640,int_stack+1088670,int_stack+1734588,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1259022,int_stack+338400,int_stack+325062,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1299036,int_stack+1259022,int_stack+1435224,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1628274,int_stack+1299036,int_stack+1471026,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1370640,int_stack+1628274,int_stack+1534674,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2335968,int_stack+1370640,int_stack+1878732,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1734354,int_stack+2335968,int_stack+2001582,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2507958,int_stack+1734354,int_stack+1088670,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5062830,int_stack+2507958,int_stack+2150640,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1088670,int_stack+353220,int_stack+338400,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1133130,int_stack+1088670,int_stack+1259022,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1933098,int_stack+1133130,int_stack+1299036,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1088670,int_stack+1933098,int_stack+1628274,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1933098,int_stack+1088670,int_stack+1370640,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1088670,int_stack+1933098,int_stack+2335968,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1933098,int_stack+1088670,int_stack+1734354,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1088670,int_stack+1933098,int_stack+2507958,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1362450,int_stack+1088670,int_stack+5062830,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1645590,int_stack+1362450,int_stack+0,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+5062830,int_stack+1645590,int_stack+489720,3630);
 /*--- compute (lf|nm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+6260730,int_stack+5062830,int_stack+2775930,3630);
 /*--- compute (kg|nm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+7894230,int_stack+6260730,int_stack+3756030,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+489720,int_stack+375606,int_stack+369600,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+507738,int_stack+382704,int_stack+375606,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+529032,int_stack+507738,int_stack+489720,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+565068,int_stack+390985,int_stack+382704,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+589911,int_stack+565068,int_stack+507738,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+632499,int_stack+589911,int_stack+529032,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+489720,int_stack+400540,int_stack+390985,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+692559,int_stack+489720,int_stack+565068,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+518385,int_stack+692559,int_stack+589911,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+742245,int_stack+518385,int_stack+632499,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+589365,int_stack+411460,int_stack+400540,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+622125,int_stack+589365,int_stack+489720,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+832335,int_stack+622125,int_stack+692559,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+915145,int_stack+832335,int_stack+518385,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1021615,int_stack+915145,int_stack+742245,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+489720,int_stack+423836,int_stack+411460,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+679455,int_stack+489720,int_stack+589365,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1147741,int_stack+679455,int_stack+622125,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+526848,int_stack+1147741,int_stack+832335,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+744975,int_stack+526848,int_stack+915145,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+744975,int_stack+1021615,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+894033,int_stack+437759,int_stack+423836,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+935802,int_stack+894033,int_stack+489720,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1010058,int_stack+935802,int_stack+679455,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+168168,int_stack+1010058,int_stack+1147741,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1119258,int_stack+168168,int_stack+526848,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+489720,int_stack+1119258,int_stack+744975,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2364330,int_stack+489720,int_stack+0,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+453320,int_stack+437759,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+46683,int_stack+0,int_stack+894033,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+688464,int_stack+46683,int_stack+935802,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+812224,int_stack+688464,int_stack+1010058,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2580546,int_stack+812224,int_stack+168168,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+130221,int_stack+2580546,int_stack+1119258,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+976024,int_stack+130221,int_stack+489720,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2781201,int_stack+976024,int_stack+2364330,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2364330,int_stack+470610,int_stack+453320,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2416200,int_stack+2364330,int_stack+0,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+362089,int_stack+2416200,int_stack+46683,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2364330,int_stack+362089,int_stack+688464,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+362089,int_stack+2364330,int_stack+812224,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+591409,int_stack+362089,int_stack+2580546,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2364330,int_stack+591409,int_stack+130221,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+2364330,int_stack+976024,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2364330,int_stack+0,int_stack+2781201,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+0,int_stack+2364330,int_stack+1362450,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2364330,int_stack+0,int_stack+1645590,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+2364330,int_stack+5062830,3630);
 /*--- compute (lg|nm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1996500,int_stack+0,int_stack+6260730,3630);
 /*--- compute (kh|nm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4446750,int_stack+1996500,int_stack+7894230,3630);
 return int_stack+4446750;}
