#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kplk(Libint_t*, prim_data*);

  /* Computes quartets of (kp|lk) integrals */

REALTYPE *hrr_order_kplk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[8][8] = int_stack + 25056;
 Libint->vrr_classes[8][9] = int_stack + 27081;
 Libint->vrr_classes[8][10] = int_stack + 29556;
 Libint->vrr_classes[8][11] = int_stack + 32526;
 Libint->vrr_classes[8][12] = int_stack + 36036;
 Libint->vrr_classes[8][13] = int_stack + 40131;
 Libint->vrr_classes[8][14] = int_stack + 44856;
 Libint->vrr_classes[8][15] = int_stack + 50256;
 memset(int_stack,0,56376*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 56376;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kplk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56376,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61236,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+67176,int_stack+61236,int_stack+56376,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+76896,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84024,int_stack+76896,int_stack+61236,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+95904,int_stack+84024,int_stack+67176,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56376,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+112104,int_stack+56376,int_stack+76896,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+126360,int_stack+112104,int_stack+84024,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+64800,int_stack+126360,int_stack+95904,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+89100,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146160,int_stack+89100,int_stack+56376,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+163008,int_stack+146160,int_stack+112104,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+186768,int_stack+163008,int_stack+126360,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+98928,int_stack+186768,int_stack+64800,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+56376,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+67716,int_stack+56376,int_stack+89100,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+216468,int_stack+67716,int_stack+146160,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+244548,int_stack+216468,int_stack+163008,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+132948,int_stack+244548,int_stack+186768,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+280188,int_stack+132948,int_stack+98928,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+87372,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+100332,int_stack+87372,int_stack+56376,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+174528,int_stack+100332,int_stack+67716,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+56376,int_stack+174528,int_stack+216468,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+174528,int_stack+56376,int_stack+244548,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+56376,int_stack+174528,int_stack+132948,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+111816,int_stack+56376,int_stack+280188,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56376,int_stack+27081,int_stack+25056,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+62451,int_stack+29556,int_stack+27081,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+69876,int_stack+62451,int_stack+56376,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+82026,int_stack+32526,int_stack+29556,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+90936,int_stack+82026,int_stack+62451,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+170136,int_stack+90936,int_stack+69876,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56376,int_stack+36036,int_stack+32526,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+190386,int_stack+56376,int_stack+82026,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+208206,int_stack+190386,int_stack+90936,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+66906,int_stack+208206,int_stack+170136,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+170136,int_stack+40131,int_stack+36036,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+232956,int_stack+170136,int_stack+56376,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+254016,int_stack+232956,int_stack+190386,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+283716,int_stack+254016,int_stack+208206,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+182421,int_stack+283716,int_stack+66906,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+56376,int_stack+44856,int_stack+40131,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+70551,int_stack+56376,int_stack+170136,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+70551,int_stack+232956,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+320841,int_stack+0,int_stack+254016,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+224946,int_stack+320841,int_stack+283716,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+365391,int_stack+224946,int_stack+182421,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+170136,int_stack+50256,int_stack+44856,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+186336,int_stack+170136,int_stack+56376,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+276921,int_stack+186336,int_stack+70551,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+170136,int_stack+276921,int_stack+0,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+170136,int_stack+320841,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+276921,int_stack+0,int_stack+224946,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+276921,int_stack+365391,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+170136,int_stack+0,int_stack+111816,1620);
 return int_stack+170136;}
