#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0kk(Libint_t*, prim_data*);

  /* Computes quartets of (l0|kk) integrals */

REALTYPE *hrr_order_l0kk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[8][13] = int_stack + 16695;
 Libint->vrr_classes[8][14] = int_stack + 21420;
 memset(int_stack,0,26820*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 26820;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0kk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+26820,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31680,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+37755,int_stack+31680,int_stack+26820,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+47475,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+54900,int_stack+47475,int_stack+31680,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+67050,int_stack+54900,int_stack+37755,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26820,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+83250,int_stack+26820,int_stack+47475,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+98100,int_stack+83250,int_stack+54900,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+35730,int_stack+98100,int_stack+67050,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+60030,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+118350,int_stack+60030,int_stack+26820,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+136170,int_stack+118350,int_stack+83250,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+160920,int_stack+136170,int_stack+98100,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+70560,int_stack+160920,int_stack+35730,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26820,int_stack+16695,int_stack+12600,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+191295,int_stack+26820,int_stack+60030,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+39105,int_stack+191295,int_stack+118350,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+212355,int_stack+39105,int_stack+136170,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+104580,int_stack+212355,int_stack+160920,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+249480,int_stack+104580,int_stack+70560,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+68805,int_stack+21420,int_stack+16695,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+147105,int_stack+68805,int_stack+26820,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+68805,int_stack+147105,int_stack+191295,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+147105,int_stack+68805,int_stack+39105,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+147105,int_stack+212355,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+147105,int_stack+0,int_stack+104580,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+147105,int_stack+249480,45);
 return int_stack+0;}
