#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0lk(Libint_t*, prim_data*);

  /* Computes quartets of (l0|lk) integrals */

REALTYPE *hrr_order_l0lk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[8][14] = int_stack + 19800;
 Libint->vrr_classes[8][15] = int_stack + 25200;
 memset(int_stack,0,31320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 31320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0lk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31320,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37395,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+44820,int_stack+37395,int_stack+31320,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56970,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+65880,int_stack+56970,int_stack+37395,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+80730,int_stack+65880,int_stack+44820,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+31320,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+100980,int_stack+31320,int_stack+56970,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+118800,int_stack+100980,int_stack+65880,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+41850,int_stack+118800,int_stack+80730,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72225,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+143550,int_stack+72225,int_stack+31320,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164610,int_stack+143550,int_stack+100980,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+194310,int_stack+164610,int_stack+118800,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+84510,int_stack+194310,int_stack+41850,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+31320,int_stack+19800,int_stack+15075,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+45495,int_stack+31320,int_stack+72225,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+231435,int_stack+45495,int_stack+143550,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+266535,int_stack+231435,int_stack+164610,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+127035,int_stack+266535,int_stack+194310,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+311085,int_stack+127035,int_stack+84510,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+70065,int_stack+25200,int_stack+19800,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+86265,int_stack+70065,int_stack+31320,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+179010,int_stack+86265,int_stack+45495,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+179010,int_stack+231435,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+179010,int_stack+0,int_stack+266535,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+179010,int_stack+127035,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+69300,int_stack+0,int_stack+311085,45);
 return int_stack+69300;}
