#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0ll(Libint_t*, prim_data*);

  /* Computes quartets of (l0|ll) integrals */

REALTYPE *hrr_order_l0ll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[8][14] = int_stack + 19800;
 Libint->vrr_classes[8][15] = int_stack + 25200;
 Libint->vrr_classes[8][16] = int_stack + 31320;
 memset(int_stack,0,38205*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 38205;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0ll(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+38205,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+44280,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+51705,int_stack+44280,int_stack+38205,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+63855,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+72765,int_stack+63855,int_stack+44280,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+87615,int_stack+72765,int_stack+51705,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38205,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+107865,int_stack+38205,int_stack+63855,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+125685,int_stack+107865,int_stack+72765,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+48735,int_stack+125685,int_stack+87615,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+79110,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+150435,int_stack+79110,int_stack+38205,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+171495,int_stack+150435,int_stack+107865,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+201195,int_stack+171495,int_stack+125685,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+91395,int_stack+201195,int_stack+48735,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+38205,int_stack+19800,int_stack+15075,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+52380,int_stack+38205,int_stack+79110,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+238320,int_stack+52380,int_stack+150435,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+273420,int_stack+238320,int_stack+171495,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+133920,int_stack+273420,int_stack+201195,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+317970,int_stack+133920,int_stack+91395,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+76950,int_stack+25200,int_stack+19800,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+93150,int_stack+76950,int_stack+38205,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+185895,int_stack+93150,int_stack+52380,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+374670,int_stack+185895,int_stack+238320,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+427320,int_stack+374670,int_stack+273420,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+226845,int_stack+427320,int_stack+133920,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+489690,int_stack+226845,int_stack+317970,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+38205,int_stack+31320,int_stack+25200,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+121500,int_stack+38205,int_stack+76950,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+296145,int_stack+121500,int_stack+93150,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+296145,int_stack+185895,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+296145,int_stack+0,int_stack+374670,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+296145,int_stack+427320,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+296145,int_stack+0,int_stack+226845,45);
 /*--- compute (l0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+296145,int_stack+489690,45);
 return int_stack+0;}
