#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldki(Libint_t*, prim_data*);

  /* Computes quartets of (ld|ki) integrals */

REALTYPE *hrr_order_ldki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[8][13] = int_stack + 16695;
 Libint->vrr_classes[9][7] = int_stack + 21420;
 Libint->vrr_classes[9][8] = int_stack + 23400;
 Libint->vrr_classes[9][9] = int_stack + 25875;
 Libint->vrr_classes[9][10] = int_stack + 28900;
 Libint->vrr_classes[9][11] = int_stack + 32530;
 Libint->vrr_classes[9][12] = int_stack + 36820;
 Libint->vrr_classes[9][13] = int_stack + 41825;
 Libint->vrr_classes[10][7] = int_stack + 47600;
 Libint->vrr_classes[10][8] = int_stack + 49976;
 Libint->vrr_classes[10][9] = int_stack + 52946;
 Libint->vrr_classes[10][10] = int_stack + 56576;
 Libint->vrr_classes[10][11] = int_stack + 60932;
 Libint->vrr_classes[10][12] = int_stack + 66080;
 Libint->vrr_classes[10][13] = int_stack + 72086;
 memset(int_stack,0,79016*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 79016;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldki(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+79016,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+83876,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+89951,int_stack+83876,int_stack+79016,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99671,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+107096,int_stack+99671,int_stack+83876,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+119246,int_stack+107096,int_stack+89951,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79016,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+135446,int_stack+79016,int_stack+99671,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+150296,int_stack+135446,int_stack+107096,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+87926,int_stack+150296,int_stack+119246,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+112226,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+170546,int_stack+112226,int_stack+79016,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+188366,int_stack+170546,int_stack+135446,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+213116,int_stack+188366,int_stack+150296,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+122756,int_stack+213116,int_stack+87926,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+79016,int_stack+16695,int_stack+12600,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+79016,int_stack+112226,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+79016,int_stack+0,int_stack+170546,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+243491,int_stack+79016,int_stack+188366,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+79016,int_stack+243491,int_stack+213116,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+156776,int_stack+79016,int_stack+122756,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+79016,int_stack+23400,int_stack+21420,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+84956,int_stack+25875,int_stack+23400,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+92381,int_stack+84956,int_stack+79016,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104261,int_stack+28900,int_stack+25875,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+113336,int_stack+104261,int_stack+84956,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+128186,int_stack+113336,int_stack+92381,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79016,int_stack+32530,int_stack+28900,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+79016,int_stack+104261,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+202136,int_stack+0,int_stack+113336,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+89906,int_stack+202136,int_stack+128186,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+119606,int_stack+36820,int_stack+32530,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+132476,int_stack+119606,int_stack+79016,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+226886,int_stack+132476,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+257136,int_stack+226886,int_stack+202136,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+294261,int_stack+257136,int_stack+89906,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+202136,int_stack+41825,int_stack+36820,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+202136,int_stack+119606,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+79016,int_stack+0,int_stack+132476,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+79016,int_stack+226886,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+79016,int_stack+0,int_stack+257136,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+202136,int_stack+79016,int_stack+294261,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+257576,int_stack+202136,int_stack+156776,1008);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+79016,int_stack+49976,int_stack+47600,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+86144,int_stack+52946,int_stack+49976,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+95054,int_stack+86144,int_stack+79016,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+109310,int_stack+56576,int_stack+52946,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+120200,int_stack+109310,int_stack+86144,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+138020,int_stack+120200,int_stack+95054,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79016,int_stack+60932,int_stack+56576,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+161780,int_stack+79016,int_stack+109310,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+161780,int_stack+120200,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+92084,int_stack+0,int_stack+138020,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+127724,int_stack+66080,int_stack+60932,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29700,int_stack+127724,int_stack+79016,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+393656,int_stack+29700,int_stack+161780,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+143168,int_stack+393656,int_stack+0,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+429956,int_stack+143168,int_stack+92084,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+72086,int_stack+66080,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+55836,int_stack+0,int_stack+127724,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86724,int_stack+55836,int_stack+29700,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+86724,int_stack+393656,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+54450,int_stack+0,int_stack+143168,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+116820,int_stack+54450,int_stack+429956,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+393656,int_stack+116820,int_stack+202136,1008);
 /*--- compute (ld|ki) ---*/
 hrr1_build_ld(Libint->AB,int_stack+559976,int_stack+393656,int_stack+257576,1008);
 return int_stack+559976;}
