#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfmh(Libint_t*, prim_data*);

  /* Computes quartets of (lf|mh) integrals */

REALTYPE *hrr_order_lfmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[9][9] = int_stack + 23175;
 Libint->vrr_classes[9][10] = int_stack + 26200;
 Libint->vrr_classes[9][11] = int_stack + 29830;
 Libint->vrr_classes[9][12] = int_stack + 34120;
 Libint->vrr_classes[9][13] = int_stack + 39125;
 Libint->vrr_classes[9][14] = int_stack + 44900;
 Libint->vrr_classes[10][9] = int_stack + 51500;
 Libint->vrr_classes[10][10] = int_stack + 55130;
 Libint->vrr_classes[10][11] = int_stack + 59486;
 Libint->vrr_classes[10][12] = int_stack + 64634;
 Libint->vrr_classes[10][13] = int_stack + 70640;
 Libint->vrr_classes[10][14] = int_stack + 77570;
 Libint->vrr_classes[11][9] = int_stack + 85490;
 Libint->vrr_classes[11][10] = int_stack + 89780;
 Libint->vrr_classes[11][11] = int_stack + 94928;
 Libint->vrr_classes[11][12] = int_stack + 101012;
 Libint->vrr_classes[11][13] = int_stack + 108110;
 Libint->vrr_classes[11][14] = int_stack + 116300;
 memset(int_stack,0,125660*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 125660;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfmh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+125660,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+133085,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+141995,int_stack+133085,int_stack+125660,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+156845,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+167375,int_stack+156845,int_stack+133085,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+185195,int_stack+167375,int_stack+141995,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+125660,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+209945,int_stack+125660,int_stack+156845,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+231005,int_stack+209945,int_stack+167375,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+137945,int_stack+231005,int_stack+185195,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+175070,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+260705,int_stack+175070,int_stack+125660,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+285275,int_stack+260705,int_stack+209945,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+175070,int_stack+285275,int_stack+231005,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+219620,int_stack+175070,int_stack+137945,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+125660,int_stack+26200,int_stack+23175,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134735,int_stack+29830,int_stack+26200,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+145625,int_stack+134735,int_stack+125660,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163775,int_stack+34120,int_stack+29830,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+176645,int_stack+163775,int_stack+134735,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+271595,int_stack+176645,int_stack+145625,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+125660,int_stack+39125,int_stack+34120,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+125660,int_stack+163775,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+301845,int_stack+0,int_stack+176645,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+140675,int_stack+301845,int_stack+271595,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+271595,int_stack+44900,int_stack+39125,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+186050,int_stack+271595,int_stack+125660,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+338145,int_stack+186050,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+381045,int_stack+338145,int_stack+301845,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+271595,int_stack+381045,int_stack+140675,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+335120,int_stack+271595,int_stack+219620,1155);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+55130,int_stack+51500,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+59486,int_stack+55130,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+125660,int_stack+64634,int_stack+59486,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+141104,int_stack+125660,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+167240,int_stack+141104,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+70640,int_stack+64634,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+18018,int_stack+0,int_stack+125660,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+203540,int_stack+18018,int_stack+141104,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+491045,int_stack+203540,int_stack+167240,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+125660,int_stack+77570,int_stack+70640,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+146450,int_stack+125660,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+545495,int_stack+146450,int_stack+18018,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+545495,int_stack+203540,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+125660,int_stack+0,int_stack+491045,66);
 /*--- compute (mp|mh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+491045,int_stack+125660,int_stack+271595,1155);
 /*--- compute (ld|mh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+681620,int_stack+491045,int_stack+335120,1155);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+89780,int_stack+85490,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+94928,int_stack+89780,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+101012,int_stack+94928,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+201890,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+232778,int_stack+201890,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+108110,int_stack+101012,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+275678,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21294,int_stack+275678,int_stack+201890,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+312182,int_stack+21294,int_stack+232778,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+201890,int_stack+116300,int_stack+108110,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+226460,int_stack+201890,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+376532,int_stack+226460,int_stack+275678,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+201890,int_stack+376532,int_stack+21294,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+376532,int_stack+201890,int_stack+312182,78);
 /*--- compute (np|mh) ---*/
 hrr1_build_np(Libint->AB,int_stack+993470,int_stack+376532,int_stack+125660,1155);
 /*--- compute (md|mh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+993470,int_stack+491045,1155);
 /*--- compute (lf|mh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+993470,int_stack+0,int_stack+681620,1155);
 return int_stack+993470;}
