#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpki(Libint_t*, prim_data*);

  /* Computes quartets of (lp|ki) integrals */

REALTYPE *hrr_order_lpki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[8][10] = int_stack + 6120;
 Libint->vrr_classes[8][11] = int_stack + 9090;
 Libint->vrr_classes[8][12] = int_stack + 12600;
 Libint->vrr_classes[8][13] = int_stack + 16695;
 Libint->vrr_classes[9][7] = int_stack + 21420;
 Libint->vrr_classes[9][8] = int_stack + 23400;
 Libint->vrr_classes[9][9] = int_stack + 25875;
 Libint->vrr_classes[9][10] = int_stack + 28900;
 Libint->vrr_classes[9][11] = int_stack + 32530;
 Libint->vrr_classes[9][12] = int_stack + 36820;
 Libint->vrr_classes[9][13] = int_stack + 41825;
 memset(int_stack,0,47600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 47600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpki(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+47600,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+52460,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+58535,int_stack+52460,int_stack+47600,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68255,int_stack+6120,int_stack+3645,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+75680,int_stack+68255,int_stack+52460,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+87830,int_stack+75680,int_stack+58535,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47600,int_stack+9090,int_stack+6120,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+104030,int_stack+47600,int_stack+68255,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+118880,int_stack+104030,int_stack+75680,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+56510,int_stack+118880,int_stack+87830,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+80810,int_stack+12600,int_stack+9090,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+139130,int_stack+80810,int_stack+47600,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+156950,int_stack+139130,int_stack+104030,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181700,int_stack+156950,int_stack+118880,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+91340,int_stack+181700,int_stack+56510,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+47600,int_stack+16695,int_stack+12600,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+47600,int_stack+80810,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+47600,int_stack+0,int_stack+139130,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+212075,int_stack+47600,int_stack+156950,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+47600,int_stack+212075,int_stack+181700,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+125360,int_stack+47600,int_stack+91340,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+47600,int_stack+23400,int_stack+21420,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+53540,int_stack+25875,int_stack+23400,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+60965,int_stack+53540,int_stack+47600,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72845,int_stack+28900,int_stack+25875,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81920,int_stack+72845,int_stack+53540,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+96770,int_stack+81920,int_stack+60965,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47600,int_stack+32530,int_stack+28900,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+47600,int_stack+72845,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+170720,int_stack+0,int_stack+81920,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+58490,int_stack+170720,int_stack+96770,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+88190,int_stack+36820,int_stack+32530,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+101060,int_stack+88190,int_stack+47600,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+195470,int_stack+101060,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+225720,int_stack+195470,int_stack+170720,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+262845,int_stack+225720,int_stack+58490,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+170720,int_stack+41825,int_stack+36820,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+170720,int_stack+88190,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25740,int_stack+0,int_stack+101060,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+62040,int_stack+25740,int_stack+195470,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+62040,int_stack+225720,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+51975,int_stack+0,int_stack+262845,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+170720,int_stack+51975,int_stack+125360,1008);
 return int_stack+170720;}
