#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpmi(Libint_t*, prim_data*);

  /* Computes quartets of (lp|mi) integrals */

REALTYPE *hrr_order_lpmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[9][9] = int_stack + 29295;
 Libint->vrr_classes[9][10] = int_stack + 32320;
 Libint->vrr_classes[9][11] = int_stack + 35950;
 Libint->vrr_classes[9][12] = int_stack + 40240;
 Libint->vrr_classes[9][13] = int_stack + 45245;
 Libint->vrr_classes[9][14] = int_stack + 51020;
 Libint->vrr_classes[9][15] = int_stack + 57620;
 memset(int_stack,0,65100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 65100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpmi(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+65100,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72525,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81435,int_stack+72525,int_stack+65100,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+96285,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106815,int_stack+96285,int_stack+72525,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+124635,int_stack+106815,int_stack+81435,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+65100,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+149385,int_stack+65100,int_stack+96285,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+170445,int_stack+149385,int_stack+106815,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+77385,int_stack+170445,int_stack+124635,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+114510,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+200145,int_stack+114510,int_stack+65100,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+224715,int_stack+200145,int_stack+149385,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+259815,int_stack+224715,int_stack+170445,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+128685,int_stack+259815,int_stack+77385,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+65100,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+81300,int_stack+65100,int_stack+114510,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+304365,int_stack+81300,int_stack+200145,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+65100,int_stack+304365,int_stack+224715,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+180660,int_stack+65100,int_stack+259815,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+243030,int_stack+180660,int_stack+128685,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+65100,int_stack+32320,int_stack+29295,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74175,int_stack+35950,int_stack+32320,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+85065,int_stack+74175,int_stack+65100,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103215,int_stack+40240,int_stack+35950,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116085,int_stack+103215,int_stack+74175,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+137865,int_stack+116085,int_stack+85065,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+65100,int_stack+45245,int_stack+40240,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+168115,int_stack+65100,int_stack+103215,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+193855,int_stack+168115,int_stack+116085,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+80115,int_stack+193855,int_stack+137865,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+125490,int_stack+51020,int_stack+45245,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+312330,int_stack+125490,int_stack+65100,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+312330,int_stack+168115,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+342360,int_stack+0,int_stack+193855,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+142815,int_stack+342360,int_stack+80115,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+65100,int_stack+57620,int_stack+51020,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+84900,int_stack+65100,int_stack+125490,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+396810,int_stack+84900,int_stack+312330,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+42900,int_stack+396810,int_stack+0,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+396810,int_stack+42900,int_stack+342360,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+396810,int_stack+142815,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+312330,int_stack+0,int_stack+243030,1540);
 return int_stack+312330;}
