#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpmk(Libint_t*, prim_data*);

  /* Computes quartets of (lp|mk) integrals */

REALTYPE *hrr_order_lpmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 Libint->vrr_classes[9][9] = int_stack + 36180;
 Libint->vrr_classes[9][10] = int_stack + 39205;
 Libint->vrr_classes[9][11] = int_stack + 42835;
 Libint->vrr_classes[9][12] = int_stack + 47125;
 Libint->vrr_classes[9][13] = int_stack + 52130;
 Libint->vrr_classes[9][14] = int_stack + 57905;
 Libint->vrr_classes[9][15] = int_stack + 64505;
 Libint->vrr_classes[9][16] = int_stack + 71985;
 memset(int_stack,0,80400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 80400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpmk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80400,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+87825,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+96735,int_stack+87825,int_stack+80400,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+111585,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+122115,int_stack+111585,int_stack+87825,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+139935,int_stack+122115,int_stack+96735,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+80400,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+164685,int_stack+80400,int_stack+111585,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+185745,int_stack+164685,int_stack+122115,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+92685,int_stack+185745,int_stack+139935,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+129810,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+215445,int_stack+129810,int_stack+80400,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+240015,int_stack+215445,int_stack+164685,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+275115,int_stack+240015,int_stack+185745,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+143985,int_stack+275115,int_stack+92685,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+80400,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+96600,int_stack+80400,int_stack+129810,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+319665,int_stack+96600,int_stack+215445,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+360615,int_stack+319665,int_stack+240015,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+195960,int_stack+360615,int_stack+275115,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+413265,int_stack+195960,int_stack+143985,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+124950,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+143310,int_stack+124950,int_stack+80400,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+258330,int_stack+143310,int_stack+96600,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+80400,int_stack+258330,int_stack+319665,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+258330,int_stack+80400,int_stack+360615,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+80400,int_stack+258330,int_stack+195960,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+163560,int_stack+80400,int_stack+413265,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80400,int_stack+39205,int_stack+36180,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+89475,int_stack+42835,int_stack+39205,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+100365,int_stack+89475,int_stack+80400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+118515,int_stack+47125,int_stack+42835,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+131385,int_stack+118515,int_stack+89475,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+252660,int_stack+131385,int_stack+100365,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+80400,int_stack+52130,int_stack+47125,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+282910,int_stack+80400,int_stack+118515,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+308650,int_stack+282910,int_stack+131385,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+95415,int_stack+308650,int_stack+252660,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+252660,int_stack+57905,int_stack+52130,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+344950,int_stack+252660,int_stack+80400,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+374980,int_stack+344950,int_stack+282910,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+417880,int_stack+374980,int_stack+308650,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+269985,int_stack+417880,int_stack+95415,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+80400,int_stack+64505,int_stack+57905,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+100200,int_stack+80400,int_stack+252660,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+100200,int_stack+344950,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+472330,int_stack+0,int_stack+374980,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+333510,int_stack+472330,int_stack+417880,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+536680,int_stack+333510,int_stack+269985,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+252660,int_stack+71985,int_stack+64505,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+275100,int_stack+252660,int_stack+80400,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+409740,int_stack+275100,int_stack+100200,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+252660,int_stack+409740,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+252660,int_stack+472330,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+409740,int_stack+0,int_stack+333510,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+409740,int_stack+536680,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+252660,int_stack+0,int_stack+163560,1980);
 return int_stack+252660;}
