#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpnk(Libint_t*, prim_data*);

  /* Computes quartets of (lp|nk) integrals */

REALTYPE *hrr_order_lpnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[9][10] = int_stack + 41400;
 Libint->vrr_classes[9][11] = int_stack + 45030;
 Libint->vrr_classes[9][12] = int_stack + 49320;
 Libint->vrr_classes[9][13] = int_stack + 54325;
 Libint->vrr_classes[9][14] = int_stack + 60100;
 Libint->vrr_classes[9][15] = int_stack + 66700;
 Libint->vrr_classes[9][16] = int_stack + 74180;
 Libint->vrr_classes[9][17] = int_stack + 82595;
 memset(int_stack,0,92000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 92000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpnk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+92000,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+100910,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111440,int_stack+100910,int_stack+92000,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+129260,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+141545,int_stack+129260,int_stack+100910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+162605,int_stack+141545,int_stack+111440,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92000,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+192305,int_stack+92000,int_stack+129260,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+106175,int_stack+192305,int_stack+141545,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+216875,int_stack+106175,int_stack+162605,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+141275,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+157475,int_stack+141275,int_stack+92000,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+261425,int_stack+157475,int_stack+192305,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+302375,int_stack+261425,int_stack+106175,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+355025,int_stack+302375,int_stack+216875,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+92000,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+185825,int_stack+92000,int_stack+141275,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+417395,int_stack+185825,int_stack+157475,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+110360,int_stack+417395,int_stack+261425,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+218225,int_stack+110360,int_stack+302375,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+464645,int_stack+218225,int_stack+355025,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+291935,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+312590,int_stack+291935,int_stack+92000,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+349310,int_stack+312590,int_stack+185825,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+547805,int_stack+349310,int_stack+417395,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+291935,int_stack+547805,int_stack+110360,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+92000,int_stack+291935,int_stack+218225,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+190280,int_stack+92000,int_stack+464645,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+92000,int_stack+45030,int_stack+41400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102890,int_stack+49320,int_stack+45030,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115760,int_stack+102890,int_stack+92000,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+137540,int_stack+54325,int_stack+49320,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+152555,int_stack+137540,int_stack+102890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+297200,int_stack+152555,int_stack+115760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+92000,int_stack+60100,int_stack+54325,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+333500,int_stack+92000,int_stack+137540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+109325,int_stack+333500,int_stack+152555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+363530,int_stack+109325,int_stack+297200,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+297200,int_stack+66700,int_stack+60100,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152225,int_stack+297200,int_stack+92000,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+417980,int_stack+152225,int_stack+333500,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+468030,int_stack+417980,int_stack+109325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+532380,int_stack+468030,int_stack+363530,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+92000,int_stack+74180,int_stack+66700,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+317000,int_stack+92000,int_stack+297200,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+356600,int_stack+317000,int_stack+152225,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+114440,int_stack+356600,int_stack+417980,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+608610,int_stack+114440,int_stack+468030,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+414350,int_stack+608610,int_stack+532380,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+515990,int_stack+82595,int_stack+74180,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+541235,int_stack+515990,int_stack+92000,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+541235,int_stack+317000,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+515990,int_stack+0,int_stack+356600,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+515990,int_stack+114440,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+698700,int_stack+0,int_stack+608610,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+698700,int_stack+414350,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+297200,int_stack+0,int_stack+190280,2376);
 return int_stack+297200;}
