#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mhli(Libint_t*, prim_data*);

  /* Computes quartets of (mh|li) integrals */

REALTYPE *hrr_order_mhli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[10][8] = int_stack + 30800;
 Libint->vrr_classes[10][9] = int_stack + 33770;
 Libint->vrr_classes[10][10] = int_stack + 37400;
 Libint->vrr_classes[10][11] = int_stack + 41756;
 Libint->vrr_classes[10][12] = int_stack + 46904;
 Libint->vrr_classes[10][13] = int_stack + 52910;
 Libint->vrr_classes[10][14] = int_stack + 59840;
 Libint->vrr_classes[11][8] = int_stack + 67760;
 Libint->vrr_classes[11][9] = int_stack + 71270;
 Libint->vrr_classes[11][10] = int_stack + 75560;
 Libint->vrr_classes[11][11] = int_stack + 80708;
 Libint->vrr_classes[11][12] = int_stack + 86792;
 Libint->vrr_classes[11][13] = int_stack + 93890;
 Libint->vrr_classes[11][14] = int_stack + 102080;
 Libint->vrr_classes[12][8] = int_stack + 111440;
 Libint->vrr_classes[12][9] = int_stack + 115535;
 Libint->vrr_classes[12][10] = int_stack + 120540;
 Libint->vrr_classes[12][11] = int_stack + 126546;
 Libint->vrr_classes[12][12] = int_stack + 133644;
 Libint->vrr_classes[12][13] = int_stack + 141925;
 Libint->vrr_classes[12][14] = int_stack + 151480;
 Libint->vrr_classes[13][8] = int_stack + 162400;
 Libint->vrr_classes[13][9] = int_stack + 167125;
 Libint->vrr_classes[13][10] = int_stack + 172900;
 Libint->vrr_classes[13][11] = int_stack + 179830;
 Libint->vrr_classes[13][12] = int_stack + 188020;
 Libint->vrr_classes[13][13] = int_stack + 197575;
 Libint->vrr_classes[13][14] = int_stack + 208600;
 Libint->vrr_classes[14][8] = int_stack + 221200;
 Libint->vrr_classes[14][9] = int_stack + 226600;
 Libint->vrr_classes[14][10] = int_stack + 233200;
 Libint->vrr_classes[14][11] = int_stack + 241120;
 Libint->vrr_classes[14][12] = int_stack + 250480;
 Libint->vrr_classes[14][13] = int_stack + 261400;
 Libint->vrr_classes[14][14] = int_stack + 274000;
 memset(int_stack,0,288400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 288400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mhli(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+288400,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+295825,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+304900,int_stack+295825,int_stack+288400,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+319750,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+330640,int_stack+319750,int_stack+295825,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+348790,int_stack+330640,int_stack+304900,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+288400,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+373540,int_stack+288400,int_stack+319750,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+395320,int_stack+373540,int_stack+330640,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+301270,int_stack+395320,int_stack+348790,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+338395,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+425570,int_stack+338395,int_stack+288400,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+451310,int_stack+425570,int_stack+373540,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+487610,int_stack+451310,int_stack+395320,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+353410,int_stack+487610,int_stack+301270,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+288400,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+305725,int_stack+288400,int_stack+338395,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+532985,int_stack+305725,int_stack+425570,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+288400,int_stack+532985,int_stack+451310,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+405385,int_stack+288400,int_stack+487610,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+468910,int_stack+405385,int_stack+353410,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+288400,int_stack+33770,int_stack+30800,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+297310,int_stack+37400,int_stack+33770,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+308200,int_stack+297310,int_stack+288400,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+326020,int_stack+41756,int_stack+37400,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+339088,int_stack+326020,int_stack+297310,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+360868,int_stack+339088,int_stack+308200,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+288400,int_stack+46904,int_stack+41756,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+390568,int_stack+288400,int_stack+326020,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+416704,int_stack+390568,int_stack+339088,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+303844,int_stack+416704,int_stack+360868,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+348394,int_stack+52910,int_stack+46904,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+538210,int_stack+348394,int_stack+288400,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+538210,int_stack+390568,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+569098,int_stack+0,int_stack+416704,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+366412,int_stack+569098,int_stack+303844,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+288400,int_stack+59840,int_stack+52910,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+309190,int_stack+288400,int_stack+348394,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+623548,int_stack+309190,int_stack+538210,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+288400,int_stack+623548,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+623548,int_stack+288400,int_stack+569098,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+538210,int_stack+623548,int_stack+366412,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+621370,int_stack+538210,int_stack+468910,1260);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+288400,int_stack+71270,int_stack+67760,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+298930,int_stack+75560,int_stack+71270,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+311800,int_stack+298930,int_stack+288400,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+332860,int_stack+80708,int_stack+75560,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+348304,int_stack+332860,int_stack+298930,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+374044,int_stack+348304,int_stack+311800,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+288400,int_stack+86792,int_stack+80708,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+409144,int_stack+288400,int_stack+332860,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+440032,int_stack+409144,int_stack+348304,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+306652,int_stack+440032,int_stack+374044,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+359302,int_stack+93890,int_stack+86792,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+482932,int_stack+359302,int_stack+288400,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+482932,int_stack+409144,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+829270,int_stack+0,int_stack+440032,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+380596,int_stack+829270,int_stack+306652,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+288400,int_stack+102080,int_stack+93890,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+312970,int_stack+288400,int_stack+359302,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+893620,int_stack+312970,int_stack+482932,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+288400,int_stack+893620,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+288400,int_stack+829270,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+829270,int_stack+0,int_stack+380596,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+288400,int_stack+829270,int_stack+538210,1260);
 /*--- compute (md|li) ---*/
 hrr1_build_md(Libint->AB,int_stack+927550,int_stack+288400,int_stack+621370,1260);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+115535,int_stack+111440,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12285,int_stack+120540,int_stack+115535,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27300,int_stack+12285,int_stack+0,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51870,int_stack+126546,int_stack+120540,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+69888,int_stack+51870,int_stack+12285,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+537880,int_stack+69888,int_stack+27300,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+133644,int_stack+126546,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+578830,int_stack+0,int_stack+51870,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+614866,int_stack+578830,int_stack+69888,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+21294,int_stack+614866,int_stack+537880,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+537880,int_stack+141925,int_stack+133644,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+82719,int_stack+537880,int_stack+0,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+664916,int_stack+82719,int_stack+578830,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+724976,int_stack+664916,int_stack+614866,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+562723,int_stack+724976,int_stack+21294,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+151480,int_stack+141925,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+28665,int_stack+0,int_stack+537880,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1343350,int_stack+28665,int_stack+82719,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+1343350,int_stack+664916,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1343350,int_stack+0,int_stack+724976,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+1343350,int_stack+562723,91);
 /*--- compute (op|li) ---*/
 hrr1_build_op(Libint->AB,int_stack+1343350,int_stack+0,int_stack+829270,1260);
 /*--- compute (nd|li) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1638190,int_stack+1343350,int_stack+288400,1260);
 /*--- compute (mf|li) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2137150,int_stack+1638190,int_stack+927550,1260);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+288400,int_stack+167125,int_stack+162400,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+302575,int_stack+172900,int_stack+167125,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+319900,int_stack+302575,int_stack+288400,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+348250,int_stack+179830,int_stack+172900,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+369040,int_stack+348250,int_stack+302575,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+403690,int_stack+369040,int_stack+319900,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+288400,int_stack+188020,int_stack+179830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+450940,int_stack+288400,int_stack+348250,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+492520,int_stack+450940,int_stack+369040,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+312970,int_stack+492520,int_stack+403690,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+383845,int_stack+197575,int_stack+188020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+550270,int_stack+383845,int_stack+288400,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+599410,int_stack+550270,int_stack+450940,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+668710,int_stack+599410,int_stack+492520,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+412510,int_stack+668710,int_stack+312970,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+288400,int_stack+208600,int_stack+197575,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+321475,int_stack+288400,int_stack+383845,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+755335,int_stack+321475,int_stack+550270,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+288400,int_stack+755335,int_stack+599410,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+755335,int_stack+288400,int_stack+668710,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+876610,int_stack+755335,int_stack+412510,105);
 /*--- compute (qp|li) ---*/
 hrr1_build_qp(Libint->AB,int_stack+288400,int_stack+876610,int_stack+0,1260);
 /*--- compute (od|li) ---*/
 hrr1_build_od(Libint->AB,int_stack+2830150,int_stack+288400,int_stack+1343350,1260);
 /*--- compute (nf|li) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3419830,int_stack+2830150,int_stack+1638190,1260);
 /*--- compute (mg|li) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1008910,int_stack+3419830,int_stack+2137150,1260);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+226600,int_stack+221200,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16200,int_stack+233200,int_stack+226600,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+36000,int_stack+16200,int_stack+0,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68400,int_stack+241120,int_stack+233200,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+92160,int_stack+68400,int_stack+16200,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+131760,int_stack+92160,int_stack+36000,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+250480,int_stack+241120,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+185760,int_stack+0,int_stack+68400,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+632380,int_stack+185760,int_stack+92160,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+28080,int_stack+632380,int_stack+131760,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+109080,int_stack+261400,int_stack+250480,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+698380,int_stack+109080,int_stack+0,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+754540,int_stack+698380,int_stack+185760,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+141840,int_stack+754540,int_stack+632380,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+2048410,int_stack+141840,int_stack+28080,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+632380,int_stack+274000,int_stack+261400,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+632380,int_stack+109080,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2161810,int_stack+0,int_stack+698380,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+2161810,int_stack+754540,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2161810,int_stack+0,int_stack+141840,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+2161810,int_stack+2048410,120);
 /*--- compute (rp|li) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2048410,int_stack+0,int_stack+876610,1260);
 /*--- compute (qd|li) ---*/
 hrr1_build_qd(Libint->AB,int_stack+4251430,int_stack+2048410,int_stack+288400,1260);
 /*--- compute (of|li) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+4251430,int_stack+2830150,1260);
 /*--- compute (ng|li) ---*/
 hrr1_build_ng(Libint->AB,int_stack+2048410,int_stack+0,int_stack+3419830,1260);
 /*--- compute (mh|li) ---*/
 hrr1_build_mh(Libint->AB,int_stack+3295810,int_stack+2048410,int_stack+1008910,1260);
 return int_stack+3295810;}
