#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mhnn(Libint_t*, prim_data*);

  /* Computes quartets of (mh|nn) integrals */

REALTYPE *hrr_order_mhnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 Libint->vrr_classes[9][20] = int_stack + 72600;
 Libint->vrr_classes[10][10] = int_stack + 85305;
 Libint->vrr_classes[10][11] = int_stack + 89661;
 Libint->vrr_classes[10][12] = int_stack + 94809;
 Libint->vrr_classes[10][13] = int_stack + 100815;
 Libint->vrr_classes[10][14] = int_stack + 107745;
 Libint->vrr_classes[10][15] = int_stack + 115665;
 Libint->vrr_classes[10][16] = int_stack + 124641;
 Libint->vrr_classes[10][17] = int_stack + 134739;
 Libint->vrr_classes[10][18] = int_stack + 146025;
 Libint->vrr_classes[10][19] = int_stack + 158565;
 Libint->vrr_classes[10][20] = int_stack + 172425;
 Libint->vrr_classes[11][10] = int_stack + 187671;
 Libint->vrr_classes[11][11] = int_stack + 192819;
 Libint->vrr_classes[11][12] = int_stack + 198903;
 Libint->vrr_classes[11][13] = int_stack + 206001;
 Libint->vrr_classes[11][14] = int_stack + 214191;
 Libint->vrr_classes[11][15] = int_stack + 223551;
 Libint->vrr_classes[11][16] = int_stack + 234159;
 Libint->vrr_classes[11][17] = int_stack + 246093;
 Libint->vrr_classes[11][18] = int_stack + 259431;
 Libint->vrr_classes[11][19] = int_stack + 274251;
 Libint->vrr_classes[11][20] = int_stack + 290631;
 Libint->vrr_classes[12][10] = int_stack + 308649;
 Libint->vrr_classes[12][11] = int_stack + 314655;
 Libint->vrr_classes[12][12] = int_stack + 321753;
 Libint->vrr_classes[12][13] = int_stack + 330034;
 Libint->vrr_classes[12][14] = int_stack + 339589;
 Libint->vrr_classes[12][15] = int_stack + 350509;
 Libint->vrr_classes[12][16] = int_stack + 362885;
 Libint->vrr_classes[12][17] = int_stack + 376808;
 Libint->vrr_classes[12][18] = int_stack + 392369;
 Libint->vrr_classes[12][19] = int_stack + 409659;
 Libint->vrr_classes[12][20] = int_stack + 428769;
 Libint->vrr_classes[13][10] = int_stack + 449790;
 Libint->vrr_classes[13][11] = int_stack + 456720;
 Libint->vrr_classes[13][12] = int_stack + 464910;
 Libint->vrr_classes[13][13] = int_stack + 474465;
 Libint->vrr_classes[13][14] = int_stack + 485490;
 Libint->vrr_classes[13][15] = int_stack + 498090;
 Libint->vrr_classes[13][16] = int_stack + 512370;
 Libint->vrr_classes[13][17] = int_stack + 528435;
 Libint->vrr_classes[13][18] = int_stack + 546390;
 Libint->vrr_classes[13][19] = int_stack + 566340;
 Libint->vrr_classes[13][20] = int_stack + 588390;
 Libint->vrr_classes[14][10] = int_stack + 612645;
 Libint->vrr_classes[14][11] = int_stack + 620565;
 Libint->vrr_classes[14][12] = int_stack + 629925;
 Libint->vrr_classes[14][13] = int_stack + 640845;
 Libint->vrr_classes[14][14] = int_stack + 653445;
 Libint->vrr_classes[14][15] = int_stack + 667845;
 Libint->vrr_classes[14][16] = int_stack + 684165;
 Libint->vrr_classes[14][17] = int_stack + 702525;
 Libint->vrr_classes[14][18] = int_stack + 723045;
 Libint->vrr_classes[14][19] = int_stack + 745845;
 Libint->vrr_classes[14][20] = int_stack + 771045;
 memset(int_stack,0,798765*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 798765;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mhnn(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+798765,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+809655,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+822525,int_stack+809655,int_stack+798765,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+844305,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+859320,int_stack+844305,int_stack+809655,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+885060,int_stack+859320,int_stack+822525,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+798765,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+921360,int_stack+798765,int_stack+844305,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+816090,int_stack+921360,int_stack+859320,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+951390,int_stack+816090,int_stack+885060,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+858990,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+878790,int_stack+858990,int_stack+798765,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1005840,int_stack+878790,int_stack+921360,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1055890,int_stack+1005840,int_stack+816090,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1120240,int_stack+1055890,int_stack+951390,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+798765,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+913440,int_stack+798765,int_stack+858990,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1196470,int_stack+913440,int_stack+878790,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+821205,int_stack+1196470,int_stack+1005840,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+953040,int_stack+821205,int_stack+1055890,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1254220,int_stack+953040,int_stack+1120240,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1043130,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1068375,int_stack+1043130,int_stack+798765,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1113255,int_stack+1068375,int_stack+913440,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1355860,int_stack+1113255,int_stack+1196470,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1442485,int_stack+1355860,int_stack+821205,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+798765,int_stack+1442485,int_stack+953040,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1547590,int_stack+798765,int_stack+1254220,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+918885,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+947100,int_stack+918885,int_stack+1043130,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1179255,int_stack+947100,int_stack+1068375,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+997590,int_stack+1179255,int_stack+1113255,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1678270,int_stack+997590,int_stack+1355860,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1254055,int_stack+1678270,int_stack+1442485,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1799545,int_stack+1254055,int_stack+798765,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1953985,int_stack+1799545,int_stack+1547590,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+798765,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+830115,int_stack+798765,int_stack+918885,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1394195,int_stack+830115,int_stack+947100,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1478345,int_stack+1394195,int_stack+1179255,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1096590,int_stack+1478345,int_stack+997590,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+886545,int_stack+1096590,int_stack+1678270,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1590545,int_stack+886545,int_stack+1254055,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2117335,int_stack+1590545,int_stack+1799545,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2310385,int_stack+2117335,int_stack+1953985,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1048245,int_stack+72600,int_stack+61050,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1235190,int_stack+1048245,int_stack+798765,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1297890,int_stack+1235190,int_stack+830115,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1770725,int_stack+1297890,int_stack+1394195,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1235190,int_stack+1770725,int_stack+1478345,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1770725,int_stack+1235190,int_stack+1096590,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1048245,int_stack+1770725,int_stack+886545,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1770725,int_stack+1048245,int_stack+1590545,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+798765,int_stack+1770725,int_stack+2117335,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1034715,int_stack+798765,int_stack+2310385,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+798765,int_stack+89661,int_stack+85305,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+811833,int_stack+94809,int_stack+89661,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+827277,int_stack+811833,int_stack+798765,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+853413,int_stack+100815,int_stack+94809,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+871431,int_stack+853413,int_stack+811833,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+902319,int_stack+871431,int_stack+827277,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+798765,int_stack+107745,int_stack+100815,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+945879,int_stack+798765,int_stack+853413,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+819555,int_stack+945879,int_stack+871431,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1274295,int_stack+819555,int_stack+902319,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+871035,int_stack+115665,int_stack+107745,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+894795,int_stack+871035,int_stack+798765,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1339635,int_stack+894795,int_stack+945879,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+936375,int_stack+1339635,int_stack+819555,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1399695,int_stack+936375,int_stack+1274295,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1274295,int_stack+124641,int_stack+115665,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+798765,int_stack+1274295,int_stack+871035,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1491171,int_stack+798765,int_stack+894795,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+846285,int_stack+1491171,int_stack+1339635,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1560471,int_stack+846285,int_stack+936375,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1668579,int_stack+1560471,int_stack+1399695,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+936375,int_stack+134739,int_stack+124641,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+966669,int_stack+936375,int_stack+1274295,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1274295,int_stack+966669,int_stack+798765,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1353495,int_stack+1274295,int_stack+1491171,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1790547,int_stack+1353495,int_stack+846285,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1916673,int_stack+1790547,int_stack+1560471,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1457445,int_stack+1916673,int_stack+1668579,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+798765,int_stack+146025,int_stack+134739,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+832623,int_stack+798765,int_stack+936375,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1614261,int_stack+832623,int_stack+966669,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+893211,int_stack+1614261,int_stack+1274295,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2060817,int_stack+893211,int_stack+1353495,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1274295,int_stack+2060817,int_stack+1790547,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1704021,int_stack+1274295,int_stack+1916673,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2206347,int_stack+1704021,int_stack+1457445,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1442463,int_stack+158565,int_stack+146025,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1480083,int_stack+1442463,int_stack+798765,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1889349,int_stack+1480083,int_stack+832623,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+1889349,int_stack+1614261,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2402367,int_stack+0,int_stack+893211,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+798765,int_stack+2402367,int_stack+2060817,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2568687,int_stack+798765,int_stack+1274295,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2784903,int_stack+2568687,int_stack+1704021,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1547799,int_stack+2784903,int_stack+2206347,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1274295,int_stack+172425,int_stack+158565,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1315875,int_stack+1274295,int_stack+1442463,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1990329,int_stack+1315875,int_stack+1480083,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1274295,int_stack+1990329,int_stack+1889349,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1787379,int_stack+1274295,int_stack+0,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1274295,int_stack+1787379,int_stack+2402367,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1787379,int_stack+1274295,int_stack+798765,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1274295,int_stack+1787379,int_stack+2568687,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1787379,int_stack+1274295,int_stack+2784903,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2070519,int_stack+1787379,int_stack+1547799,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1274295,int_stack+2070519,int_stack+1034715,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1993035,int_stack+192819,int_stack+187671,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2008479,int_stack+198903,int_stack+192819,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2026731,int_stack+2008479,int_stack+1993035,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2358015,int_stack+206001,int_stack+198903,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2379309,int_stack+2358015,int_stack+2008479,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2415813,int_stack+2379309,int_stack+2026731,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1993035,int_stack+214191,int_stack+206001,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2017605,int_stack+1993035,int_stack+2358015,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2467293,int_stack+2017605,int_stack+2379309,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2528133,int_stack+2467293,int_stack+2415813,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2358015,int_stack+223551,int_stack+214191,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2386095,int_stack+2358015,int_stack+1993035,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2605353,int_stack+2386095,int_stack+2017605,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2676333,int_stack+2605353,int_stack+2467293,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2767593,int_stack+2676333,int_stack+2528133,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1993035,int_stack+234159,int_stack+223551,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2435235,int_stack+1993035,int_stack+2358015,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2491395,int_stack+2435235,int_stack+2386095,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2875701,int_stack+2491395,int_stack+2605353,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+798765,int_stack+2875701,int_stack+2676333,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2573295,int_stack+798765,int_stack+2767593,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2358015,int_stack+246093,int_stack+234159,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2717439,int_stack+2358015,int_stack+1993035,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2781087,int_stack+2717439,int_stack+2435235,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+926529,int_stack+2781087,int_stack+2491395,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2393817,int_stack+926529,int_stack+2875701,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1049379,int_stack+2393817,int_stack+798765,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1049379,int_stack+2573295,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+798765,int_stack+259431,int_stack+246093,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+838779,int_stack+798765,int_stack+2358015,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2542875,int_stack+838779,int_stack+2717439,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2874687,int_stack+2542875,int_stack+2781087,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2648955,int_stack+2874687,int_stack+926529,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3015087,int_stack+2648955,int_stack+2393817,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3213831,int_stack+3015087,int_stack+1049379,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+910383,int_stack+3213831,int_stack+0,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+274251,int_stack+259431,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+44460,int_stack+0,int_stack+798765,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+124488,int_stack+44460,int_stack+838779,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2358015,int_stack+124488,int_stack+2542875,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3432855,int_stack+2358015,int_stack+2874687,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+3629415,int_stack+3432855,int_stack+2648955,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2517135,int_stack+3629415,int_stack+3015087,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2772663,int_stack+2517135,int_stack+3213831,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3046443,int_stack+2772663,int_stack+910383,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+798765,int_stack+290631,int_stack+274251,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+847905,int_stack+798765,int_stack+0,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+936825,int_stack+847905,int_stack+44460,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1070205,int_stack+936825,int_stack+124488,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1070205,int_stack+2358015,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+798765,int_stack+0,int_stack+3432855,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+798765,int_stack+3629415,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+798765,int_stack+0,int_stack+2517135,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2358015,int_stack+798765,int_stack+2772663,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+798765,int_stack+2358015,int_stack+3046443,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+2358015,int_stack+798765,int_stack+2070519,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+3220503,int_stack+2358015,int_stack+1274295,4356);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1138533,int_stack+314655,int_stack+308649,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1156551,int_stack+321753,int_stack+314655,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1177845,int_stack+1156551,int_stack+1138533,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1213881,int_stack+330034,int_stack+321753,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1238724,int_stack+1213881,int_stack+1156551,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1281312,int_stack+1238724,int_stack+1177845,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1138533,int_stack+339589,int_stack+330034,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1341372,int_stack+1138533,int_stack+1213881,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1167198,int_stack+1341372,int_stack+1238724,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1391058,int_stack+1167198,int_stack+1281312,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1238178,int_stack+350509,int_stack+339589,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1270938,int_stack+1238178,int_stack+1138533,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1481148,int_stack+1270938,int_stack+1341372,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1563958,int_stack+1481148,int_stack+1167198,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1670428,int_stack+1563958,int_stack+1391058,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1138533,int_stack+362885,int_stack+350509,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1328268,int_stack+1138533,int_stack+1238178,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1796554,int_stack+1328268,int_stack+1270938,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1175661,int_stack+1796554,int_stack+1481148,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1393788,int_stack+1175661,int_stack+1563958,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1892104,int_stack+1393788,int_stack+1670428,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1542846,int_stack+376808,int_stack+362885,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1584615,int_stack+1542846,int_stack+1138533,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1658871,int_stack+1584615,int_stack+1328268,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2060272,int_stack+1658871,int_stack+1796554,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2060272,int_stack+1175661,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1138533,int_stack+0,int_stack+1393788,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4657983,int_stack+1138533,int_stack+1892104,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1337277,int_stack+392369,int_stack+376808,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1383960,int_stack+1337277,int_stack+1542846,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1768071,int_stack+1383960,int_stack+1584615,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1467498,int_stack+1768071,int_stack+1658871,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+173901,int_stack+1467498,int_stack+2060272,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1891831,int_stack+173901,int_stack+0,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4874199,int_stack+1891831,int_stack+1138533,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5129727,int_stack+4874199,int_stack+4657983,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+4657983,int_stack+409659,int_stack+392369,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+4709853,int_stack+4657983,int_stack+1337277,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1138533,int_stack+4709853,int_stack+1383960,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1277763,int_stack+1138533,int_stack+1768071,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1631298,int_stack+1277763,int_stack+1467498,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+5399997,int_stack+1631298,int_stack+173901,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+5399997,int_stack+1891831,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1860618,int_stack+0,int_stack+4874199,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+5667537,int_stack+1860618,int_stack+5129727,91);
 /*--- compute (q0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+4803219,int_stack+428769,int_stack+409659,91);
 /*--- compute (q0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+4860549,int_stack+4803219,int_stack+4657983,91);
 /*--- compute (q0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+4964289,int_stack+4860549,int_stack+4709853,91);
 /*--- compute (q0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+4657983,int_stack+4964289,int_stack+1138533,91);
 /*--- compute (q0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+4866828,int_stack+4657983,int_stack+1277763,91);
 /*--- compute (q0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1138533,int_stack+4866828,int_stack+1631298,91);
 /*--- compute (q0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+4657983,int_stack+1138533,int_stack+5399997,91);
 /*--- compute (q0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1138533,int_stack+4657983,int_stack+0,91);
 /*--- compute (q0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+1138533,int_stack+1860618,91);
 /*--- compute (q0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1138533,int_stack+0,int_stack+5667537,91);
 /*--- compute (op|nn) ---*/
 hrr1_build_op(Libint->AB,int_stack+4657983,int_stack+1138533,int_stack+798765,4356);
 /*--- compute (nd|nn) ---*/
 hrr1_build_nd(Libint->AB,int_stack+5677287,int_stack+4657983,int_stack+2358015,4356);
 /*--- compute (mf|nn) ---*/
 hrr1_build_mf(Libint->AB,int_stack+7402263,int_stack+5677287,int_stack+3220503,4356);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+798765,int_stack+456720,int_stack+449790,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+819555,int_stack+464910,int_stack+456720,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+844125,int_stack+819555,int_stack+798765,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+885705,int_stack+474465,int_stack+464910,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+914370,int_stack+885705,int_stack+819555,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+963510,int_stack+914370,int_stack+844125,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+798765,int_stack+485490,int_stack+474465,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1032810,int_stack+798765,int_stack+885705,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+831840,int_stack+1032810,int_stack+914370,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+831840,int_stack+963510,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+913740,int_stack+498090,int_stack+485490,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+951540,int_stack+913740,int_stack+798765,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+103950,int_stack+951540,int_stack+1032810,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+199500,int_stack+103950,int_stack+831840,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+322350,int_stack+199500,int_stack+0,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+512370,int_stack+498090,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+798765,int_stack+0,int_stack+913740,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1017690,int_stack+798765,int_stack+951540,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+874365,int_stack+1017690,int_stack+103950,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1534929,int_stack+874365,int_stack+199500,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+42840,int_stack+1534929,int_stack+322350,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+236880,int_stack+528435,int_stack+512370,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+285075,int_stack+236880,int_stack+0,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+370755,int_stack+285075,int_stack+798765,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1706919,int_stack+370755,int_stack+1017690,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1872294,int_stack+1706919,int_stack+874365,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+798765,int_stack+1872294,int_stack+1534929,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2072949,int_stack+798765,int_stack+42840,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1534929,int_stack+546390,int_stack+528435,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1588794,int_stack+1534929,int_stack+236880,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+1588794,int_stack+285075,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+142800,int_stack+0,int_stack+370755,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2322429,int_stack+142800,int_stack+1706919,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2553954,int_stack+2322429,int_stack+1872294,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1685184,int_stack+2553954,int_stack+798765,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+798765,int_stack+1685184,int_stack+2072949,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1980024,int_stack+566340,int_stack+546390,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2039874,int_stack+1980024,int_stack+1534929,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2147604,int_stack+2039874,int_stack+1588794,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+331800,int_stack+2147604,int_stack+0,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2821494,int_stack+331800,int_stack+142800,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+2821494,int_stack+2322429,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3086094,int_stack+0,int_stack+2553954,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2308254,int_stack+3086094,int_stack+1685184,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1534929,int_stack+2308254,int_stack+798765,105);
 /*--- compute (r0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+798765,int_stack+588390,int_stack+566340,105);
 /*--- compute (r0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+864915,int_stack+798765,int_stack+1980024,105);
 /*--- compute (r0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+3430074,int_stack+864915,int_stack+2039874,105);
 /*--- compute (r0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+798765,int_stack+3430074,int_stack+2147604,105);
 /*--- compute (r0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+3430074,int_stack+798765,int_stack+331800,105);
 /*--- compute (r0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+3729954,int_stack+3430074,int_stack+2821494,105);
 /*--- compute (r0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+4082754,int_stack+3729954,int_stack+0,105);
 /*--- compute (r0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+0,int_stack+4082754,int_stack+3086094,105);
 /*--- compute (r0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2676804,int_stack+0,int_stack+2308254,105);
 /*--- compute (r0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+0,int_stack+2676804,int_stack+1534929,105);
 /*--- compute (qp|nn) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1534929,int_stack+0,int_stack+1138533,4356);
 /*--- compute (od|nn) ---*/
 hrr1_build_od(Libint->AB,int_stack+9798063,int_stack+1534929,int_stack+4657983,4356);
 /*--- compute (nf|nn) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2724117,int_stack+9798063,int_stack+5677287,4356);
 /*--- compute (mg|nn) ---*/
 hrr1_build_mg(Libint->AB,int_stack+11836671,int_stack+2724117,int_stack+7402263,4356);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5599077,int_stack+620565,int_stack+612645,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5622837,int_stack+629925,int_stack+620565,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+5650917,int_stack+5622837,int_stack+5599077,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5698437,int_stack+640845,int_stack+629925,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+5731197,int_stack+5698437,int_stack+5622837,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+5787357,int_stack+5731197,int_stack+5650917,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+5599077,int_stack+653445,int_stack+640845,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+5866557,int_stack+5599077,int_stack+5698437,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+5636877,int_stack+5866557,int_stack+5731197,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+5932077,int_stack+5636877,int_stack+5787357,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+5730477,int_stack+667845,int_stack+653445,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+5773677,int_stack+5730477,int_stack+5599077,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+6050877,int_stack+5773677,int_stack+5866557,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+6160077,int_stack+6050877,int_stack+5636877,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+6300477,int_stack+6160077,int_stack+5932077,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+5599077,int_stack+684165,int_stack+667845,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+5849277,int_stack+5599077,int_stack+5730477,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+6466797,int_stack+5849277,int_stack+5773677,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5648037,int_stack+6466797,int_stack+6050877,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+5935677,int_stack+5648037,int_stack+6160077,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+6592797,int_stack+5935677,int_stack+6300477,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+6132237,int_stack+702525,int_stack+684165,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6187317,int_stack+6132237,int_stack+5599077,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+6285237,int_stack+6187317,int_stack+5849277,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+6814557,int_stack+6285237,int_stack+6466797,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+7003557,int_stack+6814557,int_stack+5648037,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+5599077,int_stack+7003557,int_stack+5935677,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7232877,int_stack+5599077,int_stack+6592797,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+5861157,int_stack+723045,int_stack+702525,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+5922717,int_stack+5861157,int_stack+6132237,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+6429237,int_stack+5922717,int_stack+6187317,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+6032877,int_stack+6429237,int_stack+6285237,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7517997,int_stack+6032877,int_stack+6814557,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+6592437,int_stack+7517997,int_stack+7003557,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+7782597,int_stack+6592437,int_stack+5599077,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8119557,int_stack+7782597,int_stack+7232877,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+5599077,int_stack+745845,int_stack+723045,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+5667477,int_stack+5599077,int_stack+5861157,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+6898197,int_stack+5667477,int_stack+5922717,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+7081797,int_stack+6898197,int_stack+6429237,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+6248877,int_stack+7081797,int_stack+6032877,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+5790597,int_stack+6248877,int_stack+7517997,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+7326597,int_stack+5790597,int_stack+6592437,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+8475957,int_stack+7326597,int_stack+7782597,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+8897157,int_stack+8475957,int_stack+8119557,120);
 /*--- compute (t0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+6143397,int_stack+771045,int_stack+745845,120);
 /*--- compute (t0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+6551277,int_stack+6143397,int_stack+5599077,120);
 /*--- compute (t0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+6688077,int_stack+6551277,int_stack+5667477,120);
 /*--- compute (t0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+7719717,int_stack+6688077,int_stack+6898197,120);
 /*--- compute (t0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+6551277,int_stack+7719717,int_stack+7081797,120);
 /*--- compute (t0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+7719717,int_stack+6551277,int_stack+6248877,120);
 /*--- compute (t0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+6143397,int_stack+7719717,int_stack+5790597,120);
 /*--- compute (t0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+7719717,int_stack+6143397,int_stack+7326597,120);
 /*--- compute (t0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+5599077,int_stack+7719717,int_stack+8475957,120);
 /*--- compute (t0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+6113877,int_stack+5599077,int_stack+8897157,120);
 /*--- compute (rp|nn) ---*/
 hrr1_build_rp(Libint->AB,int_stack+6636597,int_stack+6113877,int_stack+0,4356);
 /*--- compute (qd|nn) ---*/
 hrr1_build_qd(Libint->AB,int_stack+15430371,int_stack+6636597,int_stack+1534929,4356);
 /*--- compute (of|nn) ---*/
 hrr1_build_of(Libint->AB,int_stack+5599077,int_stack+15430371,int_stack+9798063,4356);
 /*--- compute (ng|nn) ---*/
 hrr1_build_ng(Libint->AB,int_stack+15430371,int_stack+5599077,int_stack+2724117,4356);
 /*--- compute (mh|nn) ---*/
 hrr1_build_mh(Libint->AB,int_stack+0,int_stack+15430371,int_stack+11836671,4356);
 return int_stack+0;}
