#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndng(Libint_t*, prim_data*);

  /* Computes quartets of (nd|ng) integrals */

REALTYPE *hrr_order_ndng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[11][10] = int_stack + 30360;
 Libint->vrr_classes[11][11] = int_stack + 35508;
 Libint->vrr_classes[11][12] = int_stack + 41592;
 Libint->vrr_classes[11][13] = int_stack + 48690;
 Libint->vrr_classes[11][14] = int_stack + 56880;
 Libint->vrr_classes[12][10] = int_stack + 66240;
 Libint->vrr_classes[12][11] = int_stack + 72246;
 Libint->vrr_classes[12][12] = int_stack + 79344;
 Libint->vrr_classes[12][13] = int_stack + 87625;
 Libint->vrr_classes[12][14] = int_stack + 97180;
 memset(int_stack,0,108100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 108100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndng(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108100,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+121168,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+136612,int_stack+121168,int_stack+108100,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+162748,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+180766,int_stack+162748,int_stack+121168,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+211654,int_stack+180766,int_stack+136612,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+108100,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+255214,int_stack+108100,int_stack+162748,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+108100,int_stack+255214,int_stack+180766,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+255214,int_stack+108100,int_stack+211654,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108100,int_stack+35508,int_stack+30360,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+123544,int_stack+41592,int_stack+35508,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+141796,int_stack+123544,int_stack+108100,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+172684,int_stack+48690,int_stack+41592,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+193978,int_stack+172684,int_stack+123544,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+320554,int_stack+193978,int_stack+141796,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+108100,int_stack+56880,int_stack+48690,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+108100,int_stack+172684,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+108100,int_stack+0,int_stack+193978,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+168940,int_stack+108100,int_stack+320554,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+320554,int_stack+168940,int_stack+255214,990);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+108100,int_stack+72246,int_stack+66240,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+126118,int_stack+79344,int_stack+72246,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+126118,int_stack+108100,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36036,int_stack+87625,int_stack+79344,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+246160,int_stack+36036,int_stack+126118,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+108100,int_stack+246160,int_stack+0,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+97180,int_stack+87625,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+516574,int_stack+0,int_stack+36036,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+516574,int_stack+246160,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+516574,int_stack+0,int_stack+108100,91);
 /*--- compute (op|ng) ---*/
 hrr1_build_op(Libint->AB,int_stack+606664,int_stack+516574,int_stack+168940,990);
 /*--- compute (nd|ng) ---*/
 hrr1_build_nd(Libint->AB,int_stack+838324,int_stack+606664,int_stack+320554,990);
 return int_stack+838324;}
