#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ngkk(Libint_t*, prim_data*);

  /* Computes quartets of (ng|kk) integrals */

REALTYPE *hrr_order_ngkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[10][14] = int_stack + 31416;
 Libint->vrr_classes[11][7] = int_stack + 39336;
 Libint->vrr_classes[11][8] = int_stack + 42144;
 Libint->vrr_classes[11][9] = int_stack + 45654;
 Libint->vrr_classes[11][10] = int_stack + 49944;
 Libint->vrr_classes[11][11] = int_stack + 55092;
 Libint->vrr_classes[11][12] = int_stack + 61176;
 Libint->vrr_classes[11][13] = int_stack + 68274;
 Libint->vrr_classes[11][14] = int_stack + 76464;
 Libint->vrr_classes[12][7] = int_stack + 85824;
 Libint->vrr_classes[12][8] = int_stack + 89100;
 Libint->vrr_classes[12][9] = int_stack + 93195;
 Libint->vrr_classes[12][10] = int_stack + 98200;
 Libint->vrr_classes[12][11] = int_stack + 104206;
 Libint->vrr_classes[12][12] = int_stack + 111304;
 Libint->vrr_classes[12][13] = int_stack + 119585;
 Libint->vrr_classes[12][14] = int_stack + 129140;
 Libint->vrr_classes[13][7] = int_stack + 140060;
 Libint->vrr_classes[13][8] = int_stack + 143840;
 Libint->vrr_classes[13][9] = int_stack + 148565;
 Libint->vrr_classes[13][10] = int_stack + 154340;
 Libint->vrr_classes[13][11] = int_stack + 161270;
 Libint->vrr_classes[13][12] = int_stack + 169460;
 Libint->vrr_classes[13][13] = int_stack + 179015;
 Libint->vrr_classes[13][14] = int_stack + 190040;
 Libint->vrr_classes[14][7] = int_stack + 202640;
 Libint->vrr_classes[14][8] = int_stack + 206960;
 Libint->vrr_classes[14][9] = int_stack + 212360;
 Libint->vrr_classes[14][10] = int_stack + 218960;
 Libint->vrr_classes[14][11] = int_stack + 226880;
 Libint->vrr_classes[14][12] = int_stack + 236240;
 Libint->vrr_classes[14][13] = int_stack + 247160;
 Libint->vrr_classes[14][14] = int_stack + 259760;
 memset(int_stack,0,274160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 274160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ngkk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+274160,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+281288,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+290198,int_stack+281288,int_stack+274160,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+304454,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+315344,int_stack+304454,int_stack+281288,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+333164,int_stack+315344,int_stack+290198,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+274160,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+356924,int_stack+274160,int_stack+304454,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+378704,int_stack+356924,int_stack+315344,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+287228,int_stack+378704,int_stack+333164,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+322868,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+408404,int_stack+322868,int_stack+274160,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+434540,int_stack+408404,int_stack+356924,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+470840,int_stack+434540,int_stack+378704,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+338312,int_stack+470840,int_stack+287228,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+274160,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+515390,int_stack+274160,int_stack+322868,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+292178,int_stack+515390,int_stack+408404,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+546278,int_stack+292178,int_stack+434540,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+388208,int_stack+546278,int_stack+470840,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+600728,int_stack+388208,int_stack+338312,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+335738,int_stack+31416,int_stack+24486,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+450578,int_stack+335738,int_stack+274160,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+335738,int_stack+450578,int_stack+515390,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+450578,int_stack+335738,int_stack+292178,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+274160,int_stack+450578,int_stack+546278,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+450578,int_stack+274160,int_stack+388208,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+274160,int_stack+450578,int_stack+600728,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+359696,int_stack+42144,int_stack+39336,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+368120,int_stack+45654,int_stack+42144,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+378650,int_stack+368120,int_stack+359696,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+395498,int_stack+49944,int_stack+45654,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+408368,int_stack+395498,int_stack+368120,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+429428,int_stack+408368,int_stack+378650,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+359696,int_stack+55092,int_stack+49944,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+457508,int_stack+359696,int_stack+395498,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+483248,int_stack+457508,int_stack+408368,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+375140,int_stack+483248,int_stack+429428,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+417260,int_stack+61176,int_stack+55092,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+518348,int_stack+417260,int_stack+359696,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+549236,int_stack+518348,int_stack+457508,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+592136,int_stack+549236,int_stack+483248,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+435512,int_stack+592136,int_stack+375140,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+359696,int_stack+68274,int_stack+61176,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+359696,int_stack+417260,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+380990,int_stack+0,int_stack+518348,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+644786,int_stack+380990,int_stack+549236,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+494480,int_stack+644786,int_stack+592136,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+709136,int_stack+494480,int_stack+435512,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+432470,int_stack+76464,int_stack+68274,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+568190,int_stack+432470,int_stack+359696,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+432470,int_stack+568190,int_stack+0,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+432470,int_stack+380990,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+359696,int_stack+0,int_stack+644786,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+568190,int_stack+359696,int_stack+494480,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+359696,int_stack+568190,int_stack+709136,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+460784,int_stack+359696,int_stack+274160,1296);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+274160,int_stack+89100,int_stack+85824,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+283988,int_stack+93195,int_stack+89100,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+296273,int_stack+283988,int_stack+274160,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+315929,int_stack+98200,int_stack+93195,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+330944,int_stack+315929,int_stack+283988,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+717392,int_stack+330944,int_stack+296273,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+274160,int_stack+104206,int_stack+98200,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+750152,int_stack+274160,int_stack+315929,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+750152,int_stack+330944,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+292178,int_stack+0,int_stack+717392,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+717392,int_stack+111304,int_stack+104206,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+717392,int_stack+274160,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+780182,int_stack+40950,int_stack+750152,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+830232,int_stack+780182,int_stack+0,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+891657,int_stack+830232,int_stack+292178,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+119585,int_stack+111304,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+274160,int_stack+0,int_stack+717392,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+717392,int_stack+274160,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+717392,int_stack+780182,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+960453,int_stack+24843,int_stack+830232,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+777452,int_stack+960453,int_stack+891657,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+869180,int_stack+129140,int_stack+119585,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+897845,int_stack+869180,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1046448,int_stack+897845,int_stack+274160,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+869180,int_stack+1046448,int_stack+717392,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1046448,int_stack+869180,int_stack+24843,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+1046448,int_stack+960453,91);
 /*--- compute (q0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+869180,int_stack+0,int_stack+777452,91);
 /*--- compute (op|kk) ---*/
 hrr1_build_op(Libint->AB,int_stack+987116,int_stack+869180,int_stack+359696,1296);
 /*--- compute (nd|kk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1290380,int_stack+987116,int_stack+460784,1296);
 /*--- compute (r0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+143840,int_stack+140060,105);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11340,int_stack+148565,int_stack+143840,105);
 /*--- compute (r0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25515,int_stack+11340,int_stack+0,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+48195,int_stack+154340,int_stack+148565,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65520,int_stack+48195,int_stack+11340,105);
 /*--- compute (r0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+93870,int_stack+65520,int_stack+25515,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+161270,int_stack+154340,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+274160,int_stack+0,int_stack+48195,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+308810,int_stack+274160,int_stack+65520,105);
 /*--- compute (r0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20790,int_stack+308810,int_stack+93870,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77490,int_stack+169460,int_stack+161270,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102060,int_stack+77490,int_stack+0,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+356060,int_stack+102060,int_stack+274160,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+413810,int_stack+356060,int_stack+308810,105);
 /*--- compute (r0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+274160,int_stack+413810,int_stack+20790,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+179015,int_stack+169460,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+484685,int_stack+0,int_stack+77490,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+28665,int_stack+484685,int_stack+102060,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+533825,int_stack+28665,int_stack+356060,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+620450,int_stack+533825,int_stack+413810,105);
 /*--- compute (r0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+353540,int_stack+620450,int_stack+274160,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+274160,int_stack+190040,int_stack+179015,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+97965,int_stack+274160,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+719675,int_stack+97965,int_stack+484685,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+97965,int_stack+719675,int_stack+28665,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+719675,int_stack+97965,int_stack+533825,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+719675,int_stack+620450,105);
 /*--- compute (r0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+459380,int_stack+0,int_stack+353540,105);
 /*--- compute (qp|kk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1803596,int_stack+459380,int_stack+869180,1296);
 /*--- compute (od|kk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2157404,int_stack+1803596,int_stack+987116,1296);
 /*--- compute (nf|kk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2763932,int_stack+2157404,int_stack+1290380,1296);
 /*--- compute (t0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+206960,int_stack+202640,120);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+12960,int_stack+212360,int_stack+206960,120);
 /*--- compute (t0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+29160,int_stack+12960,int_stack+0,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+55080,int_stack+218960,int_stack+212360,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74880,int_stack+55080,int_stack+12960,120);
 /*--- compute (t0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+107280,int_stack+74880,int_stack+29160,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+226880,int_stack+218960,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+150480,int_stack+0,int_stack+55080,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+274160,int_stack+150480,int_stack+74880,120);
 /*--- compute (t0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+23760,int_stack+274160,int_stack+107280,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+88560,int_stack+236240,int_stack+226880,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+328160,int_stack+88560,int_stack+0,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+375680,int_stack+328160,int_stack+150480,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+116640,int_stack+375680,int_stack+274160,120);
 /*--- compute (t0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+595460,int_stack+116640,int_stack+23760,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+274160,int_stack+247160,int_stack+236240,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+274160,int_stack+88560,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+686180,int_stack+0,int_stack+328160,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+765380,int_stack+686180,int_stack+375680,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+306920,int_stack+765380,int_stack+116640,120);
 /*--- compute (t0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+56160,int_stack+306920,int_stack+595460,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+595460,int_stack+259760,int_stack+247160,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+177120,int_stack+595460,int_stack+274160,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+864380,int_stack+177120,int_stack+0,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+177120,int_stack+864380,int_stack+686180,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+864380,int_stack+177120,int_stack+765380,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1002980,int_stack+864380,int_stack+306920,120);
 /*--- compute (t0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+177120,int_stack+1002980,int_stack+56160,120);
 /*--- compute (rp|kk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+595460,int_stack+177120,int_stack+459380,1296);
 /*--- compute (qd|kk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1003700,int_stack+595460,int_stack+1803596,1296);
 /*--- compute (of|kk) ---*/
 hrr1_build_of(Libint->AB,int_stack+3619292,int_stack+1003700,int_stack+2157404,1296);
 /*--- compute (ng|kk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+0,int_stack+3619292,int_stack+2763932,1296);
 return int_stack+0;}
