#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npll(Libint_t*, prim_data*);

  /* Computes quartets of (np|ll) integrals */

REALTYPE *hrr_order_npll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[10][15] = int_stack + 36960;
 Libint->vrr_classes[10][16] = int_stack + 45936;
 Libint->vrr_classes[11][8] = int_stack + 56034;
 Libint->vrr_classes[11][9] = int_stack + 59544;
 Libint->vrr_classes[11][10] = int_stack + 63834;
 Libint->vrr_classes[11][11] = int_stack + 68982;
 Libint->vrr_classes[11][12] = int_stack + 75066;
 Libint->vrr_classes[11][13] = int_stack + 82164;
 Libint->vrr_classes[11][14] = int_stack + 90354;
 Libint->vrr_classes[11][15] = int_stack + 99714;
 Libint->vrr_classes[11][16] = int_stack + 110322;
 memset(int_stack,0,122256*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 122256;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npll(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+122256,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+131166,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+142056,int_stack+131166,int_stack+122256,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159876,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+172944,int_stack+159876,int_stack+131166,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+194724,int_stack+172944,int_stack+142056,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+122256,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+224424,int_stack+122256,int_stack+159876,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+250560,int_stack+224424,int_stack+172944,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+137700,int_stack+250560,int_stack+194724,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+182250,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+286860,int_stack+182250,int_stack+122256,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+317748,int_stack+286860,int_stack+224424,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+361308,int_stack+317748,int_stack+250560,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+200268,int_stack+361308,int_stack+137700,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+122256,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+143046,int_stack+122256,int_stack+182250,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+415758,int_stack+143046,int_stack+286860,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+467238,int_stack+415758,int_stack+317748,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+262638,int_stack+467238,int_stack+361308,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+532578,int_stack+262638,int_stack+200268,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+179082,int_stack+36960,int_stack+29040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+202842,int_stack+179082,int_stack+122256,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+338868,int_stack+202842,int_stack+143046,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+615738,int_stack+338868,int_stack+415758,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+692958,int_stack+615738,int_stack+467238,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+398928,int_stack+692958,int_stack+262638,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+784434,int_stack+398928,int_stack+532578,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+122256,int_stack+45936,int_stack+36960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+244422,int_stack+122256,int_stack+179082,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+122256,int_stack+244422,int_stack+202842,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+191556,int_stack+122256,int_stack+338868,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+281646,int_stack+191556,int_stack+615738,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+122256,int_stack+281646,int_stack+692958,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+244224,int_stack+122256,int_stack+398928,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+374904,int_stack+244224,int_stack+784434,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+122256,int_stack+59544,int_stack+56034,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132786,int_stack+63834,int_stack+59544,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+145656,int_stack+132786,int_stack+122256,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+166716,int_stack+68982,int_stack+63834,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+182160,int_stack+166716,int_stack+132786,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+207900,int_stack+182160,int_stack+145656,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+122256,int_stack+75066,int_stack+68982,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+243000,int_stack+122256,int_stack+166716,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+273888,int_stack+243000,int_stack+182160,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+140508,int_stack+273888,int_stack+207900,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+193158,int_stack+82164,int_stack+75066,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+316788,int_stack+193158,int_stack+122256,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+508554,int_stack+316788,int_stack+243000,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+560034,int_stack+508554,int_stack+273888,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+214452,int_stack+560034,int_stack+140508,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+122256,int_stack+90354,int_stack+82164,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+146826,int_stack+122256,int_stack+193158,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+624384,int_stack+146826,int_stack+316788,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+288162,int_stack+624384,int_stack+508554,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+685224,int_stack+288162,int_stack+560034,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+508554,int_stack+685224,int_stack+214452,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+189414,int_stack+99714,int_stack+90354,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+217494,int_stack+189414,int_stack+122256,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+775314,int_stack+217494,int_stack+146826,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+775314,int_stack+624384,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+846294,int_stack+0,int_stack+288162,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+954402,int_stack+846294,int_stack+685224,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+606834,int_stack+954402,int_stack+508554,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+508554,int_stack+110322,int_stack+99714,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+540378,int_stack+508554,int_stack+189414,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+266634,int_stack+540378,int_stack+217494,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+91260,int_stack+266634,int_stack+775314,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+197730,int_stack+91260,int_stack+0,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+197730,int_stack+846294,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+144144,int_stack+0,int_stack+954402,78);
 /*--- compute (o0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+733194,int_stack+144144,int_stack+606834,78);
 /*--- compute (np|ll) ---*/
 hrr1_build_np(Libint->AB,int_stack+891144,int_stack+733194,int_stack+374904,2025);
 return int_stack+891144;}
