#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dddd(Libr12_t *, prim_data *);

  /* Computes (dd|dd) integrals for linear R12-methods */

void hrr_grt_order_dddd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][2] = int_stack + 0;
 Libr12->t2vrr_classes[2][3] = int_stack + 36;
 Libr12->t2vrr_classes[2][4] = int_stack + 96;
 Libr12->t2vrr_classes[3][2] = int_stack + 186;
 Libr12->t2vrr_classes[3][3] = int_stack + 246;
 Libr12->t2vrr_classes[3][4] = int_stack + 346;
 Libr12->gvrr_classes[5][2] = int_stack + 496;
 Libr12->t2vrr_classes[4][2] = int_stack + 622;
 Libr12->gvrr_classes[5][3] = int_stack + 712;
 Libr12->t2vrr_classes[4][3] = int_stack + 922;
 Libr12->t2vrr_classes[4][4] = int_stack + 1072;
 Libr12->gvrr_classes[2][5] = int_stack + 1297;
 Libr12->t1vrr_classes[2][2] = int_stack + 1423;
 Libr12->t1vrr_classes[2][3] = int_stack + 1459;
 Libr12->t1vrr_classes[2][4] = int_stack + 1519;
 Libr12->gvrr_classes[3][5] = int_stack + 1609;
 Libr12->t1vrr_classes[3][2] = int_stack + 1819;
 Libr12->t1vrr_classes[3][3] = int_stack + 1879;
 Libr12->t1vrr_classes[3][4] = int_stack + 1979;
 Libr12->t1vrr_classes[4][2] = int_stack + 2129;
 Libr12->t1vrr_classes[4][3] = int_stack + 2219;
 Libr12->t1vrr_classes[4][4] = int_stack + 2369;
 Libr12->rvrr_classes[2][2] = int_stack + 2594;
 Libr12->rvrr_classes[2][3] = int_stack + 2630;
 Libr12->rvrr_classes[2][4] = int_stack + 2690;
 Libr12->rvrr_classes[3][2] = int_stack + 2780;
 Libr12->rvrr_classes[3][3] = int_stack + 2840;
 Libr12->rvrr_classes[3][4] = int_stack + 2940;
 Libr12->rvrr_classes[4][2] = int_stack + 3090;
 Libr12->rvrr_classes[4][3] = int_stack + 3180;
 Libr12->rvrr_classes[4][4] = int_stack + 3330;
 Libr12->gvrr_classes[2][2] = int_stack + 3555;
 Libr12->gvrr_classes[2][3] = int_stack + 3591;
 Libr12->gvrr_classes[2][4] = int_stack + 3651;
 Libr12->gvrr_classes[3][2] = int_stack + 3741;
 Libr12->gvrr_classes[3][3] = int_stack + 3801;
 Libr12->gvrr_classes[3][4] = int_stack + 3901;
 Libr12->gvrr_classes[4][2] = int_stack + 4051;
 Libr12->gvrr_classes[4][3] = int_stack + 4141;
 Libr12->gvrr_classes[4][4] = int_stack + 4291;
 memset(int_stack,0,4516*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4516;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dddd(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+4516, int_stack+3591, int_stack+3555, 6);
 /*--- compute (f0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+4624, int_stack+3801, int_stack+3741, 10);
 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+4804, int_stack+3651, int_stack+3591, 6);
 /*--- compute (d0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4984, int_stack+36, int_stack+0, int_stack+3591, int_stack+3741, int_stack+3555, 2, 0);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5092, int_stack+96, int_stack+36, int_stack+3651, int_stack+3801, int_stack+3591, 2, 0);
 /*--- compute (d0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5272, int_stack+5092, int_stack+4984, int_stack+4804, int_stack+4624, int_stack+4516, 2, 0);
 /*--- compute (g0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+4984, int_stack+4141, int_stack+4051, 15);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5488, int_stack+3901, int_stack+3801, 10);
 /*--- compute (f0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+246, int_stack+186, int_stack+3801, int_stack+4051, int_stack+3741, 3, 0);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5788, int_stack+346, int_stack+246, int_stack+3901, int_stack+4141, int_stack+3801, 3, 0);
 /*--- compute (f0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6088, int_stack+5788, int_stack+0, int_stack+5488, int_stack+4984, int_stack+4624, 3, 0);
 /*--- compute (dp|[r12,T2]|dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+6448, int_stack+6088, int_stack+5272, 36);
 /*--- compute (h0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+712, int_stack+496, 21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7096, int_stack+4291, int_stack+4141, 15);
 /*--- compute (g0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5788, int_stack+922, int_stack+622, int_stack+4141, int_stack+496, int_stack+4051, 4, 0);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7546, int_stack+1072, int_stack+922, int_stack+4291, int_stack+712, int_stack+4141, 4, 0);
 /*--- compute (g0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+378, int_stack+7546, int_stack+5788, int_stack+7096, int_stack+0, int_stack+4984, 4, 0);
 /*--- compute (fp|[r12,T2]|dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+7546, int_stack+378, int_stack+6088, 36);
 /*--- compute (d0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4804, int_stack+4516, 6);
 /*--- compute (f0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+216, int_stack+5488, int_stack+4624, 10);
 /*--- compute (dp|dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+576, int_stack+216, int_stack+0, 36);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5788, int_stack+1297, int_stack+3651, 6);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6058, int_stack+5788, int_stack+4804, 6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4051, int_stack+1609, int_stack+3901, 10);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8626, int_stack+4051, int_stack+5488, 10);
 /*--- compute (dp|fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+3555, int_stack+8626, int_stack+6058, 60);
 /*--- compute (g0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+9226, int_stack+7096, int_stack+4984, 15);
 /*--- compute (fp|dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4635, int_stack+9226, int_stack+216, 36);
 /*--- compute (d0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+7096, int_stack+1459, int_stack+1423, 6);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7204, int_stack+1519, int_stack+1459, 6);
 /*--- compute (d0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+1224, int_stack+7204, int_stack+7096, 6);
 /*--- compute (f0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+7096, int_stack+1879, int_stack+1819, 10);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+1440, int_stack+1979, int_stack+1879, 10);
 /*--- compute (f0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+1740, int_stack+1440, int_stack+7096, 10);
 /*--- compute (dp|[r12,T1]|dd) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+9766, int_stack+1740, int_stack+1224, int_stack+216, int_stack+6058, int_stack+0, 2, 2);
 /*--- compute (g0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+1224, int_stack+2219, int_stack+2129, 15);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7096, int_stack+2369, int_stack+2219, 15);
 /*--- compute (g0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+10414, int_stack+7096, int_stack+1224, 15);
 /*--- compute (fp|[r12,T1]|dd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+10954, int_stack+10414, int_stack+1740, int_stack+9226, int_stack+8626, int_stack+216, 2, 2);
 /*--- compute (d0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+8626, int_stack+2630, int_stack+2594, 6);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+8734, int_stack+2690, int_stack+2630, 6);
 /*--- compute (d0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+8914, int_stack+8734, int_stack+8626, 6);
 /*--- compute (f0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+8626, int_stack+2840, int_stack+2780, 10);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9130, int_stack+2940, int_stack+2840, 10);
 /*--- compute (f0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+10414, int_stack+9130, int_stack+8626, 10);
 /*--- compute (dp||dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1224, int_stack+10414, int_stack+8914, 36);
 /*--- compute (g0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+8626, int_stack+3180, int_stack+3090, 15);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7096, int_stack+3330, int_stack+3180, 15);
 /*--- compute (g0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+8896, int_stack+7096, int_stack+8626, 15);
 /*--- compute (fp||dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+1872, int_stack+8896, int_stack+10414, 36);
 /*--- compute (dd|[r12,T2]|dd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+12034, int_stack+7546, int_stack+6448, 36);
     Libr12->te_ptr[3] = int_stack + 12034;
 /*--- compute (dd|[r12,T1]|dd) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5715, int_stack+10954, int_stack+9766, int_stack+4635, int_stack+3555, int_stack+576, 2, 2);
     Libr12->te_ptr[2] = int_stack + 5715;
 /*--- compute (dd||dd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+2952, int_stack+1872, int_stack+1224, 36);
     Libr12->te_ptr[1] = int_stack + 2952;
 /*--- compute (dd|dd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+1224, int_stack+4635, int_stack+576, 36);
     Libr12->te_ptr[0] = int_stack + 1224;

}
