#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddhp(Libr12_t *, prim_data *);

  /* Computes (dd|hp) integrals for linear R12-methods */

void hrr_grt_order_ddhp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 126;
 Libr12->t2vrr_classes[3][5] = int_stack + 294;
 Libr12->t2vrr_classes[3][6] = int_stack + 504;
 Libr12->gvrr_classes[5][5] = int_stack + 784;
 Libr12->t2vrr_classes[4][5] = int_stack + 1225;
 Libr12->t2vrr_classes[4][6] = int_stack + 1540;
 Libr12->gvrr_classes[2][7] = int_stack + 1960;
 Libr12->t1vrr_classes[2][5] = int_stack + 2176;
 Libr12->t1vrr_classes[2][6] = int_stack + 2302;
 Libr12->gvrr_classes[3][7] = int_stack + 2470;
 Libr12->t1vrr_classes[3][5] = int_stack + 2830;
 Libr12->t1vrr_classes[3][6] = int_stack + 3040;
 Libr12->t1vrr_classes[4][5] = int_stack + 3320;
 Libr12->t1vrr_classes[4][6] = int_stack + 3635;
 Libr12->rvrr_classes[2][5] = int_stack + 4055;
 Libr12->rvrr_classes[2][6] = int_stack + 4181;
 Libr12->rvrr_classes[3][5] = int_stack + 4349;
 Libr12->rvrr_classes[3][6] = int_stack + 4559;
 Libr12->rvrr_classes[4][5] = int_stack + 4839;
 Libr12->rvrr_classes[4][6] = int_stack + 5154;
 Libr12->gvrr_classes[2][5] = int_stack + 5574;
 Libr12->gvrr_classes[2][6] = int_stack + 5700;
 Libr12->gvrr_classes[3][5] = int_stack + 5868;
 Libr12->gvrr_classes[3][6] = int_stack + 6078;
 Libr12->gvrr_classes[4][5] = int_stack + 6358;
 Libr12->gvrr_classes[4][6] = int_stack + 6673;
 memset(int_stack,0,7093*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7093;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddhp(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7093, int_stack+126, int_stack+0, int_stack+5700, int_stack+5868, int_stack+5574, 2, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7471, int_stack+504, int_stack+294, int_stack+6078, int_stack+6358, int_stack+5868, 3, 0);
 /*--- compute (dp|[r12,T2]|hp) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+8101, int_stack+7471, int_stack+7093, 63);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9235, int_stack+1540, int_stack+1225, int_stack+6673, int_stack+784, int_stack+6358, 4, 0);
 /*--- compute (fp|[r12,T2]|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+9235, int_stack+7471, 63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9235, int_stack+5700, int_stack+5574, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9613, int_stack+6078, int_stack+5868, 10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+10243, int_stack+9613, int_stack+9235, 63);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11377, int_stack+1960, int_stack+5700, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7093, int_stack+2470, int_stack+6078, 10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+11881, int_stack+7093, int_stack+11377, 84);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13393, int_stack+6673, int_stack+6358, 15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+14338, int_stack+13393, int_stack+9613, 63);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5574, int_stack+2302, int_stack+2176, 6);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5952, int_stack+3040, int_stack+2830, 10);
 /*--- compute (dp|[r12,T1]|hp) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1890, int_stack+5952, int_stack+5574, int_stack+9613, int_stack+11377, int_stack+9235, 5, 1);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16228, int_stack+3635, int_stack+3320, 15);
 /*--- compute (fp|[r12,T1]|hp) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+17173, int_stack+16228, int_stack+5952, int_stack+13393, int_stack+7093, int_stack+9613, 5, 1);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13393, int_stack+4181, int_stack+4055, 6);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16228, int_stack+4559, int_stack+4349, 10);
 /*--- compute (dp||hp) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+5574, int_stack+16228, int_stack+13393, 63);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13393, int_stack+5154, int_stack+4839, 15);
 /*--- compute (fp||hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+3024, int_stack+13393, int_stack+16228, 63);
 /*--- compute (dd|[r12,T2]|hp) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+19063, int_stack+0, int_stack+8101, 63);
     Libr12->te_ptr[3] = int_stack + 19063;
 /*--- compute (dd|[r12,T1]|hp) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6708, int_stack+17173, int_stack+1890, int_stack+14338, int_stack+11881, int_stack+10243, 5, 1);
     Libr12->te_ptr[2] = int_stack + 6708;
 /*--- compute (dd||hp) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+3024, int_stack+5574, 63);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+2268, int_stack+14338, int_stack+10243, 63);
     Libr12->te_ptr[0] = int_stack + 2268;

}
