#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpdd(Libr12_t *, prim_data *);

  /* Computes (dp|dd) integrals for linear R12-methods */

void hrr_grt_order_dpdd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][2] = int_stack + 0;
 Libr12->t2vrr_classes[2][3] = int_stack + 36;
 Libr12->t2vrr_classes[2][4] = int_stack + 96;
 Libr12->gvrr_classes[4][2] = int_stack + 186;
 Libr12->t2vrr_classes[3][2] = int_stack + 276;
 Libr12->gvrr_classes[4][3] = int_stack + 336;
 Libr12->t2vrr_classes[3][3] = int_stack + 486;
 Libr12->t2vrr_classes[3][4] = int_stack + 586;
 Libr12->gvrr_classes[2][5] = int_stack + 736;
 Libr12->t1vrr_classes[2][2] = int_stack + 862;
 Libr12->t1vrr_classes[2][3] = int_stack + 898;
 Libr12->t1vrr_classes[2][4] = int_stack + 958;
 Libr12->t1vrr_classes[3][2] = int_stack + 1048;
 Libr12->t1vrr_classes[3][3] = int_stack + 1108;
 Libr12->t1vrr_classes[3][4] = int_stack + 1208;
 Libr12->rvrr_classes[2][2] = int_stack + 1358;
 Libr12->rvrr_classes[2][3] = int_stack + 1394;
 Libr12->rvrr_classes[2][4] = int_stack + 1454;
 Libr12->rvrr_classes[3][2] = int_stack + 1544;
 Libr12->rvrr_classes[3][3] = int_stack + 1604;
 Libr12->rvrr_classes[3][4] = int_stack + 1704;
 Libr12->gvrr_classes[2][2] = int_stack + 1854;
 Libr12->gvrr_classes[2][3] = int_stack + 1890;
 Libr12->gvrr_classes[2][4] = int_stack + 1950;
 Libr12->gvrr_classes[3][2] = int_stack + 2040;
 Libr12->gvrr_classes[3][3] = int_stack + 2100;
 Libr12->gvrr_classes[3][4] = int_stack + 2200;
 memset(int_stack,0,2350*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2350;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpdd(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+2350, int_stack+1890, int_stack+1854, 6);
 /*--- compute (f0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+2458, int_stack+2100, int_stack+2040, 10);
 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2638, int_stack+1950, int_stack+1890, 6);
 /*--- compute (d0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2818, int_stack+36, int_stack+0, int_stack+1890, int_stack+2040, int_stack+1854, 2, 0);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2926, int_stack+96, int_stack+36, int_stack+1950, int_stack+2100, int_stack+1890, 2, 0);
 /*--- compute (d0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3106, int_stack+2926, int_stack+2818, int_stack+2638, int_stack+2458, int_stack+2350, 2, 0);
 /*--- compute (g0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+336, int_stack+186, 15);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+2200, int_stack+2100, 10);
 /*--- compute (f0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+486, int_stack+276, int_stack+2100, int_stack+186, int_stack+2040, 3, 0);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3622, int_stack+586, int_stack+486, int_stack+2200, int_stack+336, int_stack+2100, 3, 0);
 /*--- compute (f0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180, int_stack+3622, int_stack+0, int_stack+3322, int_stack+2818, int_stack+2458, 3, 0);
 /*--- compute (d0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+2638, int_stack+2350, 6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3622, int_stack+736, int_stack+1950, 6);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1854, int_stack+3622, int_stack+2638, 6);
 /*--- compute (f0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+3622, int_stack+3322, int_stack+2458, 10);
 /*--- compute (d0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+898, int_stack+862, 6);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+958, int_stack+898, 6);
 /*--- compute (d0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2214, int_stack+0, int_stack+3322, 6);
 /*--- compute (f0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1108, int_stack+1048, 10);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+1208, int_stack+1108, 10);
 /*--- compute (f0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2430, int_stack+3322, int_stack+0, 10);
 /*--- compute (d0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1394, int_stack+1358, 6);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+1454, int_stack+1394, 6);
 /*--- compute (d0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+540, int_stack+3322, int_stack+0, 6);
 /*--- compute (f0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1604, int_stack+1544, 10);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+1704, int_stack+1604, 10);
 /*--- compute (f0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+756, int_stack+3322, int_stack+0, 10);
 /*--- compute (dp|[r12,T2]|dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1116, int_stack+180, int_stack+3106, 36);
     Libr12->te_ptr[3] = int_stack + 1116;
 /*--- compute (dp|[r12,T1]|dd) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3982, int_stack+2430, int_stack+2214, int_stack+3622, int_stack+1854, int_stack+2818, 2, 2);
     Libr12->te_ptr[2] = int_stack + 3982;
 /*--- compute (dp||dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1764, int_stack+756, int_stack+540, 36);
     Libr12->te_ptr[1] = int_stack + 1764;
 /*--- compute (dp|dd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+3622, int_stack+2818, 36);
     Libr12->te_ptr[0] = int_stack + 0;

}
