#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0dd(Libr12_t *, prim_data *);

  /* Computes (f0|dd) integrals for linear R12-methods */

void hrr_grt_order_f0dd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][2] = int_stack + 0;
 Libr12->t2vrr_classes[3][2] = int_stack + 90;
 Libr12->gvrr_classes[4][3] = int_stack + 150;
 Libr12->t2vrr_classes[3][3] = int_stack + 300;
 Libr12->t2vrr_classes[3][4] = int_stack + 400;
 Libr12->t1vrr_classes[3][2] = int_stack + 550;
 Libr12->t1vrr_classes[3][3] = int_stack + 610;
 Libr12->t1vrr_classes[3][4] = int_stack + 710;
 Libr12->rvrr_classes[3][2] = int_stack + 860;
 Libr12->rvrr_classes[3][3] = int_stack + 920;
 Libr12->rvrr_classes[3][4] = int_stack + 1020;
 Libr12->gvrr_classes[3][2] = int_stack + 1170;
 Libr12->gvrr_classes[3][3] = int_stack + 1230;
 Libr12->gvrr_classes[3][4] = int_stack + 1330;
 memset(int_stack,0,1480*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1480;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0dd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+1480, int_stack+1230, int_stack+1170, 10);
 /*--- compute (g0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+1660, int_stack+150, int_stack+0, 15);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+1930, int_stack+1330, int_stack+1230, 10);
 /*--- compute (f0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2230, int_stack+300, int_stack+90, int_stack+1230, int_stack+0, int_stack+1170, 3, 0);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2410, int_stack+400, int_stack+300, int_stack+1330, int_stack+150, int_stack+1230, 3, 0);
 /*--- compute (f0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+1170, int_stack+610, int_stack+550, 10);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+710, int_stack+610, 10);
 /*--- compute (f0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+300, int_stack+920, int_stack+860, 10);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+480, int_stack+1020, int_stack+920, 10);
 /*--- compute (f0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+780, int_stack+2410, int_stack+2230, int_stack+1930, int_stack+1660, int_stack+1480, 3, 0);
     Libr12->te_ptr[3] = int_stack + 780;
 /*--- compute (f0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2230, int_stack+0, int_stack+1170, 10);
     Libr12->te_ptr[2] = int_stack + 2230;
 /*--- compute (f0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2590, int_stack+480, int_stack+300, 10);
     Libr12->te_ptr[1] = int_stack + 2590;
 /*--- compute (f0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1930, int_stack+1480, 10);
     Libr12->te_ptr[0] = int_stack + 0;

}
