#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffhg(Libr12_t *, prim_data *);

  /* Computes (ff|hg) integrals for linear R12-methods */

void hrr_grt_order_ffhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[3][7] = int_stack + 490;
 Libr12->t2vrr_classes[3][8] = int_stack + 850;
 Libr12->t2vrr_classes[3][9] = int_stack + 1300;
 Libr12->t2vrr_classes[4][5] = int_stack + 1850;
 Libr12->t2vrr_classes[4][6] = int_stack + 2165;
 Libr12->t2vrr_classes[4][7] = int_stack + 2585;
 Libr12->t2vrr_classes[4][8] = int_stack + 3125;
 Libr12->t2vrr_classes[4][9] = int_stack + 3800;
 Libr12->t2vrr_classes[5][5] = int_stack + 4625;
 Libr12->t2vrr_classes[5][6] = int_stack + 5066;
 Libr12->t2vrr_classes[5][7] = int_stack + 5654;
 Libr12->t2vrr_classes[5][8] = int_stack + 6410;
 Libr12->t2vrr_classes[5][9] = int_stack + 7355;
 Libr12->gvrr_classes[7][5] = int_stack + 8510;
 Libr12->t2vrr_classes[6][5] = int_stack + 9266;
 Libr12->gvrr_classes[7][6] = int_stack + 9854;
 Libr12->t2vrr_classes[6][6] = int_stack + 10862;
 Libr12->gvrr_classes[7][7] = int_stack + 11646;
 Libr12->t2vrr_classes[6][7] = int_stack + 12942;
 Libr12->gvrr_classes[7][8] = int_stack + 13950;
 Libr12->t2vrr_classes[6][8] = int_stack + 15570;
 Libr12->t2vrr_classes[6][9] = int_stack + 16830;
 Libr12->gvrr_classes[3][10] = int_stack + 18370;
 Libr12->t1vrr_classes[3][5] = int_stack + 19030;
 Libr12->t1vrr_classes[3][6] = int_stack + 19240;
 Libr12->t1vrr_classes[3][7] = int_stack + 19520;
 Libr12->t1vrr_classes[3][8] = int_stack + 19880;
 Libr12->t1vrr_classes[3][9] = int_stack + 20330;
 Libr12->gvrr_classes[4][10] = int_stack + 20880;
 Libr12->t1vrr_classes[4][5] = int_stack + 21870;
 Libr12->t1vrr_classes[4][6] = int_stack + 22185;
 Libr12->t1vrr_classes[4][7] = int_stack + 22605;
 Libr12->t1vrr_classes[4][8] = int_stack + 23145;
 Libr12->t1vrr_classes[4][9] = int_stack + 23820;
 Libr12->gvrr_classes[5][10] = int_stack + 24645;
 Libr12->t1vrr_classes[5][5] = int_stack + 26031;
 Libr12->t1vrr_classes[5][6] = int_stack + 26472;
 Libr12->t1vrr_classes[5][7] = int_stack + 27060;
 Libr12->t1vrr_classes[5][8] = int_stack + 27816;
 Libr12->t1vrr_classes[5][9] = int_stack + 28761;
 Libr12->t1vrr_classes[6][5] = int_stack + 29916;
 Libr12->t1vrr_classes[6][6] = int_stack + 30504;
 Libr12->t1vrr_classes[6][7] = int_stack + 31288;
 Libr12->t1vrr_classes[6][8] = int_stack + 32296;
 Libr12->t1vrr_classes[6][9] = int_stack + 33556;
 Libr12->rvrr_classes[3][5] = int_stack + 35096;
 Libr12->rvrr_classes[3][6] = int_stack + 35306;
 Libr12->rvrr_classes[3][7] = int_stack + 35586;
 Libr12->rvrr_classes[3][8] = int_stack + 35946;
 Libr12->rvrr_classes[3][9] = int_stack + 36396;
 Libr12->rvrr_classes[4][5] = int_stack + 36946;
 Libr12->rvrr_classes[4][6] = int_stack + 37261;
 Libr12->rvrr_classes[4][7] = int_stack + 37681;
 Libr12->rvrr_classes[4][8] = int_stack + 38221;
 Libr12->rvrr_classes[4][9] = int_stack + 38896;
 Libr12->rvrr_classes[5][5] = int_stack + 39721;
 Libr12->rvrr_classes[5][6] = int_stack + 40162;
 Libr12->rvrr_classes[5][7] = int_stack + 40750;
 Libr12->rvrr_classes[5][8] = int_stack + 41506;
 Libr12->rvrr_classes[5][9] = int_stack + 42451;
 Libr12->rvrr_classes[6][5] = int_stack + 43606;
 Libr12->rvrr_classes[6][6] = int_stack + 44194;
 Libr12->rvrr_classes[6][7] = int_stack + 44978;
 Libr12->rvrr_classes[6][8] = int_stack + 45986;
 Libr12->rvrr_classes[6][9] = int_stack + 47246;
 Libr12->gvrr_classes[3][5] = int_stack + 48786;
 Libr12->gvrr_classes[3][6] = int_stack + 48996;
 Libr12->gvrr_classes[3][7] = int_stack + 49276;
 Libr12->gvrr_classes[3][8] = int_stack + 49636;
 Libr12->gvrr_classes[3][9] = int_stack + 50086;
 Libr12->gvrr_classes[4][5] = int_stack + 50636;
 Libr12->gvrr_classes[4][6] = int_stack + 50951;
 Libr12->gvrr_classes[4][7] = int_stack + 51371;
 Libr12->gvrr_classes[4][8] = int_stack + 51911;
 Libr12->gvrr_classes[4][9] = int_stack + 52586;
 Libr12->gvrr_classes[5][5] = int_stack + 53411;
 Libr12->gvrr_classes[5][6] = int_stack + 53852;
 Libr12->gvrr_classes[5][7] = int_stack + 54440;
 Libr12->gvrr_classes[5][8] = int_stack + 55196;
 Libr12->gvrr_classes[5][9] = int_stack + 56141;
 Libr12->gvrr_classes[6][5] = int_stack + 57296;
 Libr12->gvrr_classes[6][6] = int_stack + 57884;
 Libr12->gvrr_classes[6][7] = int_stack + 58668;
 Libr12->gvrr_classes[6][8] = int_stack + 59676;
 Libr12->gvrr_classes[6][9] = int_stack + 60936;
 memset(int_stack,0,62476*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 62476;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffhg(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+62476, int_stack+48996, int_stack+48786, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63106, int_stack+49276, int_stack+48996, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+63946, int_stack+63106, int_stack+62476, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65206, int_stack+49636, int_stack+49276, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66286, int_stack+65206, int_stack+63106, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+67966, int_stack+66286, int_stack+63946, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+70066, int_stack+50951, int_stack+50636, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+71011, int_stack+51371, int_stack+50951, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+72271, int_stack+71011, int_stack+70066, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74161, int_stack+51911, int_stack+51371, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+75781, int_stack+74161, int_stack+71011, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+78301, int_stack+75781, int_stack+72271, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+81451, int_stack+50086, int_stack+49636, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82801, int_stack+81451, int_stack+65206, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+84961, int_stack+82801, int_stack+66286, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87761, int_stack+210, int_stack+0, int_stack+48996, int_stack+50636, int_stack+48786, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88391, int_stack+490, int_stack+210, int_stack+49276, int_stack+50951, int_stack+48996, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89231, int_stack+88391, int_stack+87761, int_stack+63106, int_stack+70066, int_stack+62476, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90491, int_stack+850, int_stack+490, int_stack+49636, int_stack+51371, int_stack+49276, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91571, int_stack+90491, int_stack+88391, int_stack+65206, int_stack+71011, int_stack+63106, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93251, int_stack+91571, int_stack+89231, int_stack+66286, int_stack+72271, int_stack+63946, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62476, int_stack+1300, int_stack+850, int_stack+50086, int_stack+51911, int_stack+49636, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87761, int_stack+62476, int_stack+90491, int_stack+81451, int_stack+74161, int_stack+65206, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62476, int_stack+87761, int_stack+91571, int_stack+82801, int_stack+75781, int_stack+66286, 3, 0);
 /*--- compute (f0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87761, int_stack+62476, int_stack+93251, int_stack+84961, int_stack+78301, int_stack+67966, 3, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+62476, int_stack+53852, int_stack+53411, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63799, int_stack+54440, int_stack+53852, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+90911, int_stack+63799, int_stack+62476, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65563, int_stack+55196, int_stack+54440, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93557, int_stack+65563, int_stack+63799, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+97085, int_stack+93557, int_stack+90911, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+101495, int_stack+52586, int_stack+51911, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+103520, int_stack+101495, int_stack+74161, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+106760, int_stack+103520, int_stack+75781, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48786, int_stack+2165, int_stack+1850, int_stack+50951, int_stack+53411, int_stack+50636, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2585, int_stack+2165, int_stack+51371, int_stack+53852, int_stack+50951, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110960, int_stack+0, int_stack+48786, int_stack+71011, int_stack+62476, int_stack+70066, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112850, int_stack+3125, int_stack+2585, int_stack+51911, int_stack+54440, int_stack+51371, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114470, int_stack+112850, int_stack+0, int_stack+74161, int_stack+63799, int_stack+71011, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116990, int_stack+114470, int_stack+110960, int_stack+75781, int_stack+90911, int_stack+72271, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3800, int_stack+3125, int_stack+52586, int_stack+55196, int_stack+51911, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70066, int_stack+0, int_stack+112850, int_stack+101495, int_stack+65563, int_stack+74161, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+70066, int_stack+114470, int_stack+103520, int_stack+93557, int_stack+75781, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70066, int_stack+0, int_stack+116990, int_stack+106760, int_stack+97085, int_stack+78301, 4, 0);
 /*--- compute (fp|[r12,T2]|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+110960, int_stack+70066, int_stack+87761, 315);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+87761, int_stack+57884, int_stack+57296, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+58668, int_stack+57884, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+120410, int_stack+0, int_stack+87761, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74791, int_stack+59676, int_stack+58668, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123938, int_stack+74791, int_stack+0, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+128642, int_stack+123938, int_stack+120410, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+134522, int_stack+56141, int_stack+55196, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+137357, int_stack+134522, int_stack+65563, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+141893, int_stack+137357, int_stack+93557, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89525, int_stack+5066, int_stack+4625, int_stack+53852, int_stack+57296, int_stack+53411, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2352, int_stack+5654, int_stack+5066, int_stack+54440, int_stack+57884, int_stack+53852, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147773, int_stack+2352, int_stack+89525, int_stack+63799, int_stack+87761, int_stack+62476, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150419, int_stack+6410, int_stack+5654, int_stack+55196, int_stack+58668, int_stack+54440, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+152687, int_stack+150419, int_stack+2352, int_stack+65563, int_stack+0, int_stack+63799, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156215, int_stack+152687, int_stack+147773, int_stack+93557, int_stack+120410, int_stack+90911, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2352, int_stack+7355, int_stack+6410, int_stack+56141, int_stack+59676, int_stack+55196, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160625, int_stack+2352, int_stack+150419, int_stack+134522, int_stack+74791, int_stack+65563, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2352, int_stack+160625, int_stack+152687, int_stack+137357, int_stack+123938, int_stack+93557, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147773, int_stack+2352, int_stack+156215, int_stack+141893, int_stack+128642, int_stack+97085, 5, 0);
 /*--- compute (gp|[r12,T2]|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+154388, int_stack+147773, int_stack+70066, 315);
 /*--- compute (fd|[r12,T2]|hg) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+168563, int_stack+154388, int_stack+110960, 315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+110960, int_stack+9854, int_stack+8510, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113228, int_stack+11646, int_stack+9854, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+70066, int_stack+113228, int_stack+110960, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+116252, int_stack+13950, int_stack+11646, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+116252, int_stack+113228, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+89525, int_stack+2352, int_stack+70066, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+62476, int_stack+60936, int_stack+59676, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+62476, int_stack+74791, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+193511, int_stack+187463, int_stack+123938, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53411, int_stack+10862, int_stack+9266, int_stack+57884, int_stack+8510, int_stack+57296, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+201351, int_stack+12942, int_stack+10862, int_stack+58668, int_stack+9854, int_stack+57884, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203703, int_stack+201351, int_stack+53411, int_stack+0, int_stack+110960, int_stack+87761, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8400, int_stack+15570, int_stack+12942, int_stack+59676, int_stack+11646, int_stack+58668, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207231, int_stack+8400, int_stack+201351, int_stack+74791, int_stack+113228, int_stack+0, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+211935, int_stack+207231, int_stack+203703, int_stack+123938, int_stack+70066, int_stack+120410, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70066, int_stack+16830, int_stack+15570, int_stack+60936, int_stack+13950, int_stack+59676, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11424, int_stack+70066, int_stack+8400, int_stack+62476, int_stack+116252, int_stack+74791, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70066, int_stack+11424, int_stack+207231, int_stack+187463, int_stack+2352, int_stack+123938, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+70066, int_stack+211935, int_stack+193511, int_stack+89525, int_stack+128642, 6, 0);
 /*--- compute (hp|[r12,T2]|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+201351, int_stack+0, int_stack+147773, 315);
 /*--- compute (gd|[r12,T2]|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+221196, int_stack+201351, int_stack+154388, 315);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+201351, int_stack+84961, int_stack+67966, 10);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+204501, int_stack+106760, int_stack+78301, 15);
 /*--- compute (fp|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+209226, int_stack+204501, int_stack+201351, 315);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+147773, int_stack+141893, int_stack+97085, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+154388, int_stack+147773, int_stack+204501, 315);
 /*--- compute (fd|hg) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+57296, int_stack+154388, int_stack+209226, 315);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+218676, int_stack+18370, int_stack+50086, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+0, int_stack+218676, int_stack+81451, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2700, int_stack+0, int_stack+82801, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+2700, int_stack+84961, 10);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20880, int_stack+52586, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10500, int_stack+0, int_stack+101495, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10500, int_stack+103520, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10500, int_stack+0, int_stack+106760, 15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+76196, int_stack+10500, int_stack+6300, 420);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24645, int_stack+56141, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+0, int_stack+134522, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+187463, int_stack+137357, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+96356, int_stack+88796, int_stack+141893, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+105176, int_stack+96356, int_stack+10500, 420);
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+249546, int_stack+105176, int_stack+76196, 420);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+134522, int_stack+193511, int_stack+128642, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+274746, int_stack+134522, int_stack+147773, 315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+294591, int_stack+274746, int_stack+154388, 315);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+19240, int_stack+19030, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+89426, int_stack+19520, int_stack+19240, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+90266, int_stack+89426, int_stack+88796, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91526, int_stack+19880, int_stack+19520, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+92606, int_stack+91526, int_stack+89426, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+92606, int_stack+90266, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+20330, int_stack+19880, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+189563, int_stack+88796, int_stack+91526, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+189563, int_stack+92606, 10);
 /*--- compute (f0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+189563, int_stack+88796, int_stack+187463, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+22185, int_stack+21870, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+22605, int_stack+22185, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+90056, int_stack+88796, int_stack+187463, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+23145, int_stack+22605, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+218676, int_stack+187463, int_stack+88796, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+91946, int_stack+218676, int_stack+90056, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+23820, int_stack+23145, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+192713, int_stack+88796, int_stack+187463, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+195953, int_stack+192713, int_stack+218676, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+195953, int_stack+91946, 15);
 /*--- compute (fp|[r12,T1]|hg) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+124076, int_stack+0, int_stack+189563, int_stack+204501, int_stack+6300, int_stack+201351, 5, 4);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+218676, int_stack+26472, int_stack+26031, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+27060, int_stack+26472, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+189227, int_stack+187463, int_stack+218676, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+218676, int_stack+27816, int_stack+27060, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+191873, int_stack+218676, int_stack+187463, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+195401, int_stack+191873, int_stack+189227, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+28761, int_stack+27816, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+199811, int_stack+187463, int_stack+218676, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+88796, int_stack+199811, int_stack+191873, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+187463, int_stack+88796, int_stack+195401, 21);
 /*--- compute (gp|[r12,T1]|hg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+322941, int_stack+187463, int_stack+0, int_stack+147773, int_stack+10500, int_stack+204501, 5, 4);
 /*--- compute (fd|[r12,T1]|hg) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+322941, int_stack+124076, int_stack+154388, int_stack+76196, int_stack+209226, 5, 4);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76196, int_stack+30504, int_stack+29916, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77960, int_stack+31288, int_stack+30504, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+80312, int_stack+77960, int_stack+76196, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+83840, int_stack+32296, int_stack+31288, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+86864, int_stack+83840, int_stack+77960, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+124076, int_stack+86864, int_stack+80312, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+76196, int_stack+33556, int_stack+32296, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+76196, int_stack+83840, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+76196, int_stack+18900, int_stack+86864, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+76196, int_stack+124076, 28);
 /*--- compute (hp|[r12,T1]|hg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+76196, int_stack+18900, int_stack+187463, int_stack+134522, int_stack+96356, int_stack+147773, 5, 4);
 /*--- compute (gd|[r12,T1]|hg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+187463, int_stack+76196, int_stack+322941, int_stack+274746, int_stack+105176, int_stack+154388, 5, 4);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+35306, int_stack+35096, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+275376, int_stack+35586, int_stack+35306, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+276216, int_stack+275376, int_stack+274746, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+277476, int_stack+35946, int_stack+35586, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+278556, int_stack+277476, int_stack+275376, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+280236, int_stack+278556, int_stack+276216, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+36396, int_stack+35946, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+282336, int_stack+274746, int_stack+277476, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+282336, int_stack+278556, 10);
 /*--- compute (f0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+282336, int_stack+274746, int_stack+280236, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+37261, int_stack+36946, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+275691, int_stack+37681, int_stack+37261, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+276951, int_stack+275691, int_stack+274746, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+278841, int_stack+38221, int_stack+37681, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+285486, int_stack+278841, int_stack+275691, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+288006, int_stack+285486, int_stack+276951, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+38896, int_stack+38221, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+291156, int_stack+274746, int_stack+278841, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+291156, int_stack+285486, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+322941, int_stack+274746, int_stack+288006, 15);
 /*--- compute (fp||hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+327666, int_stack+322941, int_stack+282336, 315);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+40162, int_stack+39721, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+276069, int_stack+40750, int_stack+40162, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+277833, int_stack+276069, int_stack+274746, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+280479, int_stack+41506, int_stack+40750, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+282747, int_stack+280479, int_stack+276069, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+286275, int_stack+282747, int_stack+277833, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+42451, int_stack+41506, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+76196, int_stack+274746, int_stack+280479, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+274746, int_stack+76196, int_stack+282747, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+76196, int_stack+274746, int_stack+286275, 21);
 /*--- compute (gp||hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+274746, int_stack+76196, int_stack+322941, 315);
 /*--- compute (fd||hg) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+82811, int_stack+274746, int_stack+327666, 315);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+322941, int_stack+44194, int_stack+43606, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+324705, int_stack+44978, int_stack+44194, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+327057, int_stack+324705, int_stack+322941, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+330585, int_stack+45986, int_stack+44978, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+288921, int_stack+330585, int_stack+324705, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+101711, int_stack+288921, int_stack+327057, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+322941, int_stack+47246, int_stack+45986, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+107591, int_stack+322941, int_stack+330585, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+322941, int_stack+107591, int_stack+288921, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+107591, int_stack+322941, int_stack+101711, 28);
 /*--- compute (hp||hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+116411, int_stack+107591, int_stack+76196, 315);
 /*--- compute (gd||hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+136256, int_stack+116411, int_stack+274746, 315);
 /*--- compute (ff|[r12,T2]|hg) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+101711, int_stack+221196, int_stack+168563, 315);
     Libr12->te_ptr[3] = int_stack + 101711;
 /*--- compute (ff|[r12,T1]|hg) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+215813, int_stack+187463, int_stack+0, int_stack+294591, int_stack+249546, int_stack+57296, 5, 4);
     Libr12->te_ptr[2] = int_stack + 215813;
 /*--- compute (ff||hg) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+136256, int_stack+82811, 315);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ff|hg) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+133211, int_stack+294591, int_stack+57296, 315);
     Libr12->te_ptr[0] = int_stack + 133211;

}
