#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0ff(Libr12_t *, prim_data *);

  /* Computes (g0|ff) integrals for linear R12-methods */

void hrr_grt_order_g0ff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][3] = int_stack + 0;
 Libr12->t2vrr_classes[4][3] = int_stack + 210;
 Libr12->gvrr_classes[5][4] = int_stack + 360;
 Libr12->t2vrr_classes[4][4] = int_stack + 675;
 Libr12->gvrr_classes[5][5] = int_stack + 900;
 Libr12->t2vrr_classes[4][5] = int_stack + 1341;
 Libr12->t2vrr_classes[4][6] = int_stack + 1656;
 Libr12->t1vrr_classes[4][3] = int_stack + 2076;
 Libr12->t1vrr_classes[4][4] = int_stack + 2226;
 Libr12->t1vrr_classes[4][5] = int_stack + 2451;
 Libr12->t1vrr_classes[4][6] = int_stack + 2766;
 Libr12->rvrr_classes[4][3] = int_stack + 3186;
 Libr12->rvrr_classes[4][4] = int_stack + 3336;
 Libr12->rvrr_classes[4][5] = int_stack + 3561;
 Libr12->rvrr_classes[4][6] = int_stack + 3876;
 Libr12->gvrr_classes[4][3] = int_stack + 4296;
 Libr12->gvrr_classes[4][4] = int_stack + 4446;
 Libr12->gvrr_classes[4][5] = int_stack + 4671;
 Libr12->gvrr_classes[4][6] = int_stack + 4986;
 memset(int_stack,0,5406*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5406;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0ff(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5406, int_stack+4446, int_stack+4296, 15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5856, int_stack+4671, int_stack+4446, 15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6531, int_stack+5856, int_stack+5406, 15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7431, int_stack+360, int_stack+0, 21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8061, int_stack+900, int_stack+360, 21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+9006, int_stack+8061, int_stack+7431, 21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10266, int_stack+4986, int_stack+4671, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+11211, int_stack+10266, int_stack+5856, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12561, int_stack+675, int_stack+210, int_stack+4446, int_stack+0, int_stack+4296, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13011, int_stack+1341, int_stack+675, int_stack+4671, int_stack+360, int_stack+4446, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+13011, int_stack+12561, int_stack+5856, int_stack+7431, int_stack+5406, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13686, int_stack+1656, int_stack+1341, int_stack+4986, int_stack+900, int_stack+4671, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4296, int_stack+13686, int_stack+13011, int_stack+10266, int_stack+8061, int_stack+5856, 4, 0);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+10266, int_stack+2226, int_stack+2076, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+900, int_stack+2451, int_stack+2226, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+7431, int_stack+900, int_stack+10266, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10266, int_stack+2766, int_stack+2451, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1575, int_stack+10266, int_stack+900, 15);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+900, int_stack+3336, int_stack+3186, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8331, int_stack+3561, int_stack+3336, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+10266, int_stack+8331, int_stack+900, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12561, int_stack+3876, int_stack+3561, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2925, int_stack+12561, int_stack+8331, 15);
 /*--- compute (g0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12561, int_stack+4296, int_stack+0, int_stack+11211, int_stack+9006, int_stack+6531, 4, 0);
     Libr12->te_ptr[3] = int_stack + 12561;
 /*--- compute (g0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1575, int_stack+7431, 15);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (g0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+7431, int_stack+2925, int_stack+10266, 15);
     Libr12->te_ptr[1] = int_stack + 7431;
 /*--- compute (g0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+8931, int_stack+11211, int_stack+6531, 15);
     Libr12->te_ptr[0] = int_stack + 8931;

}
