#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdgf(Libr12_t *, prim_data *);

  /* Computes (gd|gf) integrals for linear R12-methods */

void hrr_grt_order_gdgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->t2vrr_classes[5][4] = int_stack + 1500;
 Libr12->t2vrr_classes[5][5] = int_stack + 1815;
 Libr12->t2vrr_classes[5][6] = int_stack + 2256;
 Libr12->t2vrr_classes[5][7] = int_stack + 2844;
 Libr12->gvrr_classes[7][4] = int_stack + 3600;
 Libr12->t2vrr_classes[6][4] = int_stack + 4140;
 Libr12->gvrr_classes[7][5] = int_stack + 4560;
 Libr12->t2vrr_classes[6][5] = int_stack + 5316;
 Libr12->gvrr_classes[7][6] = int_stack + 5904;
 Libr12->t2vrr_classes[6][6] = int_stack + 6912;
 Libr12->t2vrr_classes[6][7] = int_stack + 7696;
 Libr12->gvrr_classes[4][8] = int_stack + 8704;
 Libr12->t1vrr_classes[4][4] = int_stack + 9379;
 Libr12->t1vrr_classes[4][5] = int_stack + 9604;
 Libr12->t1vrr_classes[4][6] = int_stack + 9919;
 Libr12->t1vrr_classes[4][7] = int_stack + 10339;
 Libr12->gvrr_classes[5][8] = int_stack + 10879;
 Libr12->t1vrr_classes[5][4] = int_stack + 11824;
 Libr12->t1vrr_classes[5][5] = int_stack + 12139;
 Libr12->t1vrr_classes[5][6] = int_stack + 12580;
 Libr12->t1vrr_classes[5][7] = int_stack + 13168;
 Libr12->t1vrr_classes[6][4] = int_stack + 13924;
 Libr12->t1vrr_classes[6][5] = int_stack + 14344;
 Libr12->t1vrr_classes[6][6] = int_stack + 14932;
 Libr12->t1vrr_classes[6][7] = int_stack + 15716;
 Libr12->rvrr_classes[4][4] = int_stack + 16724;
 Libr12->rvrr_classes[4][5] = int_stack + 16949;
 Libr12->rvrr_classes[4][6] = int_stack + 17264;
 Libr12->rvrr_classes[4][7] = int_stack + 17684;
 Libr12->rvrr_classes[5][4] = int_stack + 18224;
 Libr12->rvrr_classes[5][5] = int_stack + 18539;
 Libr12->rvrr_classes[5][6] = int_stack + 18980;
 Libr12->rvrr_classes[5][7] = int_stack + 19568;
 Libr12->rvrr_classes[6][4] = int_stack + 20324;
 Libr12->rvrr_classes[6][5] = int_stack + 20744;
 Libr12->rvrr_classes[6][6] = int_stack + 21332;
 Libr12->rvrr_classes[6][7] = int_stack + 22116;
 Libr12->gvrr_classes[4][4] = int_stack + 23124;
 Libr12->gvrr_classes[4][5] = int_stack + 23349;
 Libr12->gvrr_classes[4][6] = int_stack + 23664;
 Libr12->gvrr_classes[4][7] = int_stack + 24084;
 Libr12->gvrr_classes[5][4] = int_stack + 24624;
 Libr12->gvrr_classes[5][5] = int_stack + 24939;
 Libr12->gvrr_classes[5][6] = int_stack + 25380;
 Libr12->gvrr_classes[5][7] = int_stack + 25968;
 Libr12->gvrr_classes[6][4] = int_stack + 26724;
 Libr12->gvrr_classes[6][5] = int_stack + 27144;
 Libr12->gvrr_classes[6][6] = int_stack + 27732;
 Libr12->gvrr_classes[6][7] = int_stack + 28516;
 memset(int_stack,0,29524*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 29524;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdgf(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+29524, int_stack+23349, int_stack+23124, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30199, int_stack+23664, int_stack+23349, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+31144, int_stack+30199, int_stack+29524, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+32494, int_stack+24939, int_stack+24624, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33439, int_stack+25380, int_stack+24939, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+34762, int_stack+33439, int_stack+32494, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36652, int_stack+24084, int_stack+23664, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+37912, int_stack+36652, int_stack+30199, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39802, int_stack+225, int_stack+0, int_stack+23349, int_stack+24624, int_stack+23124, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40477, int_stack+540, int_stack+225, int_stack+23664, int_stack+24939, int_stack+23349, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41422, int_stack+40477, int_stack+39802, int_stack+30199, int_stack+32494, int_stack+29524, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42772, int_stack+960, int_stack+540, int_stack+24084, int_stack+25380, int_stack+23664, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44032, int_stack+42772, int_stack+40477, int_stack+36652, int_stack+33439, int_stack+30199, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45922, int_stack+44032, int_stack+41422, int_stack+37912, int_stack+34762, int_stack+31144, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+29524, int_stack+27144, int_stack+26724, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+39802, int_stack+27732, int_stack+27144, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+41566, int_stack+39802, int_stack+29524, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44086, int_stack+25968, int_stack+25380, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48172, int_stack+44086, int_stack+33439, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23124, int_stack+1815, int_stack+1500, int_stack+24939, int_stack+26724, int_stack+24624, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2256, int_stack+1815, int_stack+25380, int_stack+27144, int_stack+24939, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50818, int_stack+0, int_stack+23124, int_stack+33439, int_stack+29524, int_stack+32494, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52708, int_stack+2844, int_stack+2256, int_stack+25968, int_stack+27732, int_stack+25380, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54472, int_stack+52708, int_stack+0, int_stack+44086, int_stack+39802, int_stack+33439, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+54472, int_stack+50818, int_stack+48172, int_stack+41566, int_stack+34762, 5, 0);
 /*--- compute (gp|[r12,T2]|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+50818, int_stack+0, int_stack+45922, 150);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+32494, int_stack+4560, int_stack+3600, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+45850, int_stack+5904, int_stack+4560, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+45850, int_stack+32494, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60808, int_stack+28516, int_stack+27732, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+63160, int_stack+60808, int_stack+39802, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24624, int_stack+5316, int_stack+4140, int_stack+27144, int_stack+3600, int_stack+26724, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66688, int_stack+6912, int_stack+5316, int_stack+27732, int_stack+4560, int_stack+27144, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3150, int_stack+66688, int_stack+24624, int_stack+39802, int_stack+32494, int_stack+29524, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68452, int_stack+7696, int_stack+6912, int_stack+28516, int_stack+5904, int_stack+27732, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26724, int_stack+68452, int_stack+66688, int_stack+60808, int_stack+45850, int_stack+39802, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66688, int_stack+26724, int_stack+3150, int_stack+63160, int_stack+57568, int_stack+41566, 6, 0);
 /*--- compute (hp|[r12,T2]|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+70888, int_stack+66688, int_stack+0, 150);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37912, int_stack+31144, 15);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2250, int_stack+48172, int_stack+34762, 21);
 /*--- compute (gp|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+26724, int_stack+2250, int_stack+0, 150);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+8704, int_stack+24084, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66688, int_stack+5400, int_stack+36652, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+66688, int_stack+37912, 15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66688, int_stack+10879, int_stack+25968, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+66688, int_stack+44086, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+33474, int_stack+57568, int_stack+48172, 21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+80338, int_stack+33474, int_stack+5400, 210);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+66688, int_stack+63160, int_stack+41566, 28);
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+37884, int_stack+66688, int_stack+2250, 150);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+9604, int_stack+9379, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10879, int_stack+9919, int_stack+9604, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+58243, int_stack+10879, int_stack+57568, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+59593, int_stack+10339, int_stack+9919, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+60853, int_stack+59593, int_stack+10879, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+62743, int_stack+60853, int_stack+58243, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+12139, int_stack+11824, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+58513, int_stack+12580, int_stack+12139, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+59836, int_stack+58513, int_stack+57568, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8550, int_stack+13168, int_stack+12580, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10314, int_stack+8550, int_stack+58513, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+47334, int_stack+10314, int_stack+59836, 21);
 /*--- compute (gp|[r12,T1]|gf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+89788, int_stack+47334, int_stack+62743, int_stack+2250, int_stack+5400, int_stack+0, 4, 3);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14344, int_stack+13924, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+14932, int_stack+14344, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7164, int_stack+5400, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9684, int_stack+15716, int_stack+14932, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+12036, int_stack+9684, int_stack+5400, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+12036, int_stack+7164, 28);
 /*--- compute (hp|[r12,T1]|gf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5400, int_stack+57568, int_stack+47334, int_stack+66688, int_stack+33474, int_stack+2250, 4, 3);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+33474, int_stack+16949, int_stack+16724, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34149, int_stack+17264, int_stack+16949, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+35094, int_stack+34149, int_stack+33474, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36444, int_stack+17684, int_stack+17264, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+47334, int_stack+36444, int_stack+34149, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+47334, int_stack+35094, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+47334, int_stack+18539, int_stack+18224, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48279, int_stack+18980, int_stack+18539, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+33474, int_stack+48279, int_stack+47334, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+35364, int_stack+19568, int_stack+18980, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+59818, int_stack+35364, int_stack+48279, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+47334, int_stack+59818, int_stack+33474, 21);
 /*--- compute (gp||gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+59818, int_stack+47334, int_stack+57568, 150);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+57568, int_stack+20744, int_stack+20324, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33474, int_stack+21332, int_stack+20744, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+35238, int_stack+33474, int_stack+57568, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66568, int_stack+22116, int_stack+21332, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14850, int_stack+66568, int_stack+33474, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+66568, int_stack+14850, int_stack+35238, 28);
 /*--- compute (hp||gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+14850, int_stack+66568, int_stack+47334, 150);
 /*--- compute (gd|[r12,T2]|gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+96538, int_stack+70888, int_stack+50818, 150);
     Libr12->te_ptr[3] = int_stack + 96538;
 /*--- compute (gd|[r12,T1]|gf) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+66568, int_stack+5400, int_stack+89788, int_stack+37884, int_stack+80338, int_stack+26724, 4, 3);
     Libr12->te_ptr[2] = int_stack + 66568;
 /*--- compute (gd||gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+80068, int_stack+14850, int_stack+59818, 150);
     Libr12->te_ptr[1] = int_stack + 80068;
 /*--- compute (gd|gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+47334, int_stack+37884, int_stack+26724, 150);
     Libr12->te_ptr[0] = int_stack + 47334;

}
