#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdhf(Libr12_t *, prim_data *);

  /* Computes (gd|hf) integrals for linear R12-methods */

void hrr_grt_order_gdhf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[5][5] = int_stack + 1950;
 Libr12->t2vrr_classes[5][6] = int_stack + 2391;
 Libr12->t2vrr_classes[5][7] = int_stack + 2979;
 Libr12->t2vrr_classes[5][8] = int_stack + 3735;
 Libr12->gvrr_classes[7][5] = int_stack + 4680;
 Libr12->t2vrr_classes[6][5] = int_stack + 5436;
 Libr12->gvrr_classes[7][6] = int_stack + 6024;
 Libr12->t2vrr_classes[6][6] = int_stack + 7032;
 Libr12->gvrr_classes[7][7] = int_stack + 7816;
 Libr12->t2vrr_classes[6][7] = int_stack + 9112;
 Libr12->t2vrr_classes[6][8] = int_stack + 10120;
 Libr12->gvrr_classes[4][9] = int_stack + 11380;
 Libr12->t1vrr_classes[4][5] = int_stack + 12205;
 Libr12->t1vrr_classes[4][6] = int_stack + 12520;
 Libr12->t1vrr_classes[4][7] = int_stack + 12940;
 Libr12->t1vrr_classes[4][8] = int_stack + 13480;
 Libr12->gvrr_classes[5][9] = int_stack + 14155;
 Libr12->t1vrr_classes[5][5] = int_stack + 15310;
 Libr12->t1vrr_classes[5][6] = int_stack + 15751;
 Libr12->t1vrr_classes[5][7] = int_stack + 16339;
 Libr12->t1vrr_classes[5][8] = int_stack + 17095;
 Libr12->t1vrr_classes[6][5] = int_stack + 18040;
 Libr12->t1vrr_classes[6][6] = int_stack + 18628;
 Libr12->t1vrr_classes[6][7] = int_stack + 19412;
 Libr12->t1vrr_classes[6][8] = int_stack + 20420;
 Libr12->rvrr_classes[4][5] = int_stack + 21680;
 Libr12->rvrr_classes[4][6] = int_stack + 21995;
 Libr12->rvrr_classes[4][7] = int_stack + 22415;
 Libr12->rvrr_classes[4][8] = int_stack + 22955;
 Libr12->rvrr_classes[5][5] = int_stack + 23630;
 Libr12->rvrr_classes[5][6] = int_stack + 24071;
 Libr12->rvrr_classes[5][7] = int_stack + 24659;
 Libr12->rvrr_classes[5][8] = int_stack + 25415;
 Libr12->rvrr_classes[6][5] = int_stack + 26360;
 Libr12->rvrr_classes[6][6] = int_stack + 26948;
 Libr12->rvrr_classes[6][7] = int_stack + 27732;
 Libr12->rvrr_classes[6][8] = int_stack + 28740;
 Libr12->gvrr_classes[4][5] = int_stack + 30000;
 Libr12->gvrr_classes[4][6] = int_stack + 30315;
 Libr12->gvrr_classes[4][7] = int_stack + 30735;
 Libr12->gvrr_classes[4][8] = int_stack + 31275;
 Libr12->gvrr_classes[5][5] = int_stack + 31950;
 Libr12->gvrr_classes[5][6] = int_stack + 32391;
 Libr12->gvrr_classes[5][7] = int_stack + 32979;
 Libr12->gvrr_classes[5][8] = int_stack + 33735;
 Libr12->gvrr_classes[6][5] = int_stack + 34680;
 Libr12->gvrr_classes[6][6] = int_stack + 35268;
 Libr12->gvrr_classes[6][7] = int_stack + 36052;
 Libr12->gvrr_classes[6][8] = int_stack + 37060;
 memset(int_stack,0,38320*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 38320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdhf(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+38320, int_stack+30315, int_stack+30000, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39265, int_stack+30735, int_stack+30315, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+40525, int_stack+39265, int_stack+38320, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42415, int_stack+32391, int_stack+31950, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43738, int_stack+32979, int_stack+32391, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+45502, int_stack+43738, int_stack+42415, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48148, int_stack+31275, int_stack+30735, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49768, int_stack+48148, int_stack+39265, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52288, int_stack+315, int_stack+0, int_stack+30315, int_stack+31950, int_stack+30000, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53233, int_stack+735, int_stack+315, int_stack+30735, int_stack+32391, int_stack+30315, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54493, int_stack+53233, int_stack+52288, int_stack+39265, int_stack+42415, int_stack+38320, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56383, int_stack+1275, int_stack+735, int_stack+31275, int_stack+32979, int_stack+30735, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58003, int_stack+56383, int_stack+53233, int_stack+48148, int_stack+43738, int_stack+39265, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60523, int_stack+58003, int_stack+54493, int_stack+49768, int_stack+45502, int_stack+40525, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+38320, int_stack+35268, int_stack+34680, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52288, int_stack+36052, int_stack+35268, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+54640, int_stack+52288, int_stack+38320, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58168, int_stack+33735, int_stack+32979, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+63673, int_stack+58168, int_stack+43738, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2391, int_stack+1950, int_stack+32391, int_stack+34680, int_stack+31950, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67201, int_stack+2979, int_stack+2391, int_stack+32979, int_stack+35268, int_stack+32391, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68965, int_stack+67201, int_stack+0, int_stack+43738, int_stack+38320, int_stack+42415, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3735, int_stack+2979, int_stack+33735, int_stack+36052, int_stack+32979, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71611, int_stack+0, int_stack+67201, int_stack+58168, int_stack+52288, int_stack+43738, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+71611, int_stack+68965, int_stack+63673, int_stack+54640, int_stack+45502, 5, 0);
 /*--- compute (gp|[r12,T2]|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+67201, int_stack+0, int_stack+60523, 210);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42415, int_stack+6024, int_stack+4680, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60436, int_stack+7816, int_stack+6024, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+76651, int_stack+60436, int_stack+42415, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+81187, int_stack+37060, int_stack+36052, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84211, int_stack+81187, int_stack+52288, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31950, int_stack+7032, int_stack+5436, int_stack+35268, int_stack+4680, int_stack+34680, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88915, int_stack+9112, int_stack+7032, int_stack+36052, int_stack+6024, int_stack+35268, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91267, int_stack+88915, int_stack+31950, int_stack+52288, int_stack+42415, int_stack+38320, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42415, int_stack+10120, int_stack+9112, int_stack+37060, int_stack+7816, int_stack+36052, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34680, int_stack+42415, int_stack+88915, int_stack+81187, int_stack+60436, int_stack+52288, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4410, int_stack+34680, int_stack+91267, int_stack+84211, int_stack+76651, int_stack+54640, 6, 0);
 /*--- compute (hp|[r12,T2]|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+88915, int_stack+4410, int_stack+0, 210);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49768, int_stack+40525, 15);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+63673, int_stack+45502, 21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+34680, int_stack+3150, int_stack+0, 210);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+11380, int_stack+31275, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+76651, int_stack+7560, int_stack+48148, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+76651, int_stack+49768, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+76651, int_stack+14155, int_stack+33735, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+79486, int_stack+76651, int_stack+58168, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44130, int_stack+79486, int_stack+63673, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+102145, int_stack+44130, int_stack+7560, 280);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+58168, int_stack+84211, int_stack+54640, 28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+114745, int_stack+58168, int_stack+3150, 210);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+64048, int_stack+12520, int_stack+12205, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64993, int_stack+12940, int_stack+12520, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+76651, int_stack+64993, int_stack+64048, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+78541, int_stack+13480, int_stack+12940, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+80161, int_stack+78541, int_stack+64993, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+64048, int_stack+80161, int_stack+76651, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76651, int_stack+15751, int_stack+15310, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77974, int_stack+16339, int_stack+15751, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+79738, int_stack+77974, int_stack+76651, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82384, int_stack+17095, int_stack+16339, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84652, int_stack+82384, int_stack+77974, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+84652, int_stack+79738, 21);
 /*--- compute (gp|[r12,T1]|hf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+76651, int_stack+11760, int_stack+64048, int_stack+3150, int_stack+7560, int_stack+0, 5, 3);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18628, int_stack+18040, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+19412, int_stack+18628, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+50010, int_stack+7560, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20420, int_stack+19412, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16170, int_stack+0, int_stack+7560, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+127975, int_stack+16170, int_stack+50010, 28);
 /*--- compute (hp|[r12,T1]|hf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+133855, int_stack+127975, int_stack+11760, int_stack+58168, int_stack+44130, int_stack+3150, 5, 3);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+44130, int_stack+21995, int_stack+21680, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45075, int_stack+22415, int_stack+21995, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+46335, int_stack+45075, int_stack+44130, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48225, int_stack+22955, int_stack+22415, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49845, int_stack+48225, int_stack+45075, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+52365, int_stack+49845, int_stack+46335, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+44130, int_stack+24071, int_stack+23630, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45453, int_stack+24659, int_stack+24071, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+47217, int_stack+45453, int_stack+44130, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49863, int_stack+25415, int_stack+24659, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55515, int_stack+49863, int_stack+45453, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+59043, int_stack+55515, int_stack+47217, 21);
 /*--- compute (gp||hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+59043, int_stack+52365, 210);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+44130, int_stack+26948, int_stack+26360, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45894, int_stack+27732, int_stack+26948, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48246, int_stack+45894, int_stack+44130, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+51774, int_stack+28740, int_stack+27732, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+127975, int_stack+51774, int_stack+45894, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+51774, int_stack+127975, int_stack+48246, 28);
 /*--- compute (hp||hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+9450, int_stack+51774, int_stack+59043, 210);
 /*--- compute (gd|[r12,T2]|hf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+44130, int_stack+88915, int_stack+67201, 210);
     Libr12->te_ptr[3] = int_stack + 44130;
 /*--- compute (gd|[r12,T1]|hf) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+147085, int_stack+133855, int_stack+76651, int_stack+114745, int_stack+102145, int_stack+34680, 5, 3);
     Libr12->te_ptr[2] = int_stack + 147085;
 /*--- compute (gd||hf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+127975, int_stack+9450, int_stack+0, 210);
     Libr12->te_ptr[1] = int_stack + 127975;
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+114745, int_stack+34680, 210);
     Libr12->te_ptr[0] = int_stack + 0;

}
