#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0hd(Libr12_t *, prim_data *);

  /* Computes (h0|hd) integrals for linear R12-methods */

void hrr_grt_order_h0hd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 588;
 Libr12->gvrr_classes[6][6] = int_stack + 1029;
 Libr12->t2vrr_classes[5][6] = int_stack + 1813;
 Libr12->t2vrr_classes[5][7] = int_stack + 2401;
 Libr12->t1vrr_classes[5][5] = int_stack + 3157;
 Libr12->t1vrr_classes[5][6] = int_stack + 3598;
 Libr12->t1vrr_classes[5][7] = int_stack + 4186;
 Libr12->rvrr_classes[5][5] = int_stack + 4942;
 Libr12->rvrr_classes[5][6] = int_stack + 5383;
 Libr12->rvrr_classes[5][7] = int_stack + 5971;
 Libr12->gvrr_classes[5][5] = int_stack + 6727;
 Libr12->gvrr_classes[5][6] = int_stack + 7168;
 Libr12->gvrr_classes[5][7] = int_stack + 7756;
 memset(int_stack,0,8512*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8512;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0hd(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8512, int_stack+7168, int_stack+6727, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9835, int_stack+1029, int_stack+0, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11599, int_stack+7756, int_stack+7168, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13363, int_stack+1813, int_stack+588, int_stack+7168, int_stack+0, int_stack+6727, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14686, int_stack+2401, int_stack+1813, int_stack+7756, int_stack+1029, int_stack+7168, 5, 0);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6727, int_stack+3598, int_stack+3157, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4186, int_stack+3598, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+5383, int_stack+4942, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3087, int_stack+5971, int_stack+5383, 21);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16450, int_stack+14686, int_stack+13363, int_stack+11599, int_stack+9835, int_stack+8512, 5, 0);
     Libr12->te_ptr[3] = int_stack + 16450;
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+13363, int_stack+0, int_stack+6727, 21);
     Libr12->te_ptr[2] = int_stack + 13363;
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4851, int_stack+3087, int_stack+1764, 21);
     Libr12->te_ptr[1] = int_stack + 4851;
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11599, int_stack+8512, 21);
     Libr12->te_ptr[0] = int_stack + 0;

}
