#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdhd(Libr12_t *, prim_data *);

  /* Computes (hd|hd) integrals for linear R12-methods */

void hrr_grt_order_hdhd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[6][5] = int_stack + 1785;
 Libr12->t2vrr_classes[6][6] = int_stack + 2373;
 Libr12->t2vrr_classes[6][7] = int_stack + 3157;
 Libr12->gvrr_classes[8][5] = int_stack + 4165;
 Libr12->t2vrr_classes[7][5] = int_stack + 5110;
 Libr12->gvrr_classes[8][6] = int_stack + 5866;
 Libr12->t2vrr_classes[7][6] = int_stack + 7126;
 Libr12->t2vrr_classes[7][7] = int_stack + 8134;
 Libr12->gvrr_classes[5][8] = int_stack + 9430;
 Libr12->t1vrr_classes[5][5] = int_stack + 10375;
 Libr12->t1vrr_classes[5][6] = int_stack + 10816;
 Libr12->t1vrr_classes[5][7] = int_stack + 11404;
 Libr12->gvrr_classes[6][8] = int_stack + 12160;
 Libr12->t1vrr_classes[6][5] = int_stack + 13420;
 Libr12->t1vrr_classes[6][6] = int_stack + 14008;
 Libr12->t1vrr_classes[6][7] = int_stack + 14792;
 Libr12->t1vrr_classes[7][5] = int_stack + 15800;
 Libr12->t1vrr_classes[7][6] = int_stack + 16556;
 Libr12->t1vrr_classes[7][7] = int_stack + 17564;
 Libr12->rvrr_classes[5][5] = int_stack + 18860;
 Libr12->rvrr_classes[5][6] = int_stack + 19301;
 Libr12->rvrr_classes[5][7] = int_stack + 19889;
 Libr12->rvrr_classes[6][5] = int_stack + 20645;
 Libr12->rvrr_classes[6][6] = int_stack + 21233;
 Libr12->rvrr_classes[6][7] = int_stack + 22017;
 Libr12->rvrr_classes[7][5] = int_stack + 23025;
 Libr12->rvrr_classes[7][6] = int_stack + 23781;
 Libr12->rvrr_classes[7][7] = int_stack + 24789;
 Libr12->gvrr_classes[5][5] = int_stack + 26085;
 Libr12->gvrr_classes[5][6] = int_stack + 26526;
 Libr12->gvrr_classes[5][7] = int_stack + 27114;
 Libr12->gvrr_classes[6][5] = int_stack + 27870;
 Libr12->gvrr_classes[6][6] = int_stack + 28458;
 Libr12->gvrr_classes[6][7] = int_stack + 29242;
 Libr12->gvrr_classes[7][5] = int_stack + 30250;
 Libr12->gvrr_classes[7][6] = int_stack + 31006;
 Libr12->gvrr_classes[7][7] = int_stack + 32014;
 memset(int_stack,0,33310*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 33310;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdhd(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33310, int_stack+26526, int_stack+26085, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34633, int_stack+28458, int_stack+27870, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36397, int_stack+27114, int_stack+26526, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38161, int_stack+441, int_stack+0, int_stack+26526, int_stack+27870, int_stack+26085, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39484, int_stack+1029, int_stack+441, int_stack+27114, int_stack+28458, int_stack+26526, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41248, int_stack+39484, int_stack+38161, int_stack+36397, int_stack+34633, int_stack+33310, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+38161, int_stack+31006, int_stack+30250, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43894, int_stack+29242, int_stack+28458, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2373, int_stack+1785, int_stack+28458, int_stack+30250, int_stack+27870, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46246, int_stack+3157, int_stack+2373, int_stack+29242, int_stack+31006, int_stack+28458, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48598, int_stack+46246, int_stack+0, int_stack+43894, int_stack+38161, int_stack+34633, 6, 0);
 /*--- compute (hp|[r12,T2]|hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+52126, int_stack+48598, int_stack+41248, 126);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5866, int_stack+4165, 45);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40429, int_stack+32014, int_stack+31006, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46246, int_stack+7126, int_stack+5110, int_stack+31006, int_stack+4165, int_stack+30250, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+8134, int_stack+7126, int_stack+32014, int_stack+5866, int_stack+31006, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60064, int_stack+2835, int_stack+46246, int_stack+40429, int_stack+0, int_stack+38161, 7, 0);
 /*--- compute (ip|[r12,T2]|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+64600, int_stack+60064, int_stack+48598, 126);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+60064, int_stack+36397, int_stack+33310, 21);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43894, int_stack+34633, 28);
 /*--- compute (hp|hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+75184, int_stack+0, int_stack+60064, 126);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+9430, int_stack+27114, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5796, int_stack+3528, int_stack+36397, 21);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+46246, int_stack+12160, int_stack+29242, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26085, int_stack+46246, int_stack+43894, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+83122, int_stack+26085, int_stack+5796, 168);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+43453, int_stack+40429, int_stack+38161, 36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+30789, int_stack+43453, int_stack+0, 126);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+10816, int_stack+10375, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+62710, int_stack+11404, int_stack+10816, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+9324, int_stack+62710, int_stack+3528, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+14008, int_stack+13420, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+47989, int_stack+14792, int_stack+14008, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11970, int_stack+47989, int_stack+3528, 28);
 /*--- compute (hp|[r12,T1]|hd) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+93706, int_stack+11970, int_stack+9324, int_stack+0, int_stack+5796, int_stack+60064, 5, 2);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+60064, int_stack+16556, int_stack+15800, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+17564, int_stack+16556, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+3528, int_stack+60064, 36);
 /*--- compute (ip|[r12,T1]|hd) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+101644, int_stack+6552, int_stack+11970, int_stack+43453, int_stack+26085, int_stack+0, 5, 2);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19301, int_stack+18860, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1323, int_stack+19889, int_stack+19301, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3087, int_stack+1323, int_stack+0, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21233, int_stack+20645, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5733, int_stack+22017, int_stack+21233, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8085, int_stack+5733, int_stack+0, 28);
 /*--- compute (hp||hd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+11613, int_stack+8085, int_stack+3087, 126);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23781, int_stack+23025, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+24789, int_stack+23781, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+60064, int_stack+2268, int_stack+0, 36);
 /*--- compute (ip||hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+19551, int_stack+60064, int_stack+8085, 126);
 /*--- compute (hd|[r12,T2]|hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+112228, int_stack+64600, int_stack+52126, 126);
     Libr12->te_ptr[3] = int_stack + 112228;
 /*--- compute (hd|[r12,T1]|hd) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+41373, int_stack+101644, int_stack+93706, int_stack+30789, int_stack+83122, int_stack+75184, 5, 2);
     Libr12->te_ptr[2] = int_stack + 41373;
 /*--- compute (hd||hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+83122, int_stack+19551, int_stack+11613, 126);
     Libr12->te_ptr[1] = int_stack + 83122;
 /*--- compute (hd|hd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+30789, int_stack+75184, 126);
     Libr12->te_ptr[0] = int_stack + 0;

}
