#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hfhf(Libr12_t *, prim_data *);

  /* Computes (hf|hf) integrals for linear R12-methods */

void hrr_grt_order_hfhf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[5][8] = int_stack + 1785;
 Libr12->t2vrr_classes[6][5] = int_stack + 2730;
 Libr12->t2vrr_classes[6][6] = int_stack + 3318;
 Libr12->t2vrr_classes[6][7] = int_stack + 4102;
 Libr12->t2vrr_classes[6][8] = int_stack + 5110;
 Libr12->t2vrr_classes[7][5] = int_stack + 6370;
 Libr12->t2vrr_classes[7][6] = int_stack + 7126;
 Libr12->t2vrr_classes[7][7] = int_stack + 8134;
 Libr12->t2vrr_classes[7][8] = int_stack + 9430;
 Libr12->gvrr_classes[9][5] = int_stack + 11050;
 Libr12->t2vrr_classes[8][5] = int_stack + 12205;
 Libr12->gvrr_classes[9][6] = int_stack + 13150;
 Libr12->t2vrr_classes[8][6] = int_stack + 14690;
 Libr12->gvrr_classes[9][7] = int_stack + 15950;
 Libr12->t2vrr_classes[8][7] = int_stack + 17930;
 Libr12->t2vrr_classes[8][8] = int_stack + 19550;
 Libr12->gvrr_classes[5][9] = int_stack + 21575;
 Libr12->t1vrr_classes[5][5] = int_stack + 22730;
 Libr12->t1vrr_classes[5][6] = int_stack + 23171;
 Libr12->t1vrr_classes[5][7] = int_stack + 23759;
 Libr12->t1vrr_classes[5][8] = int_stack + 24515;
 Libr12->gvrr_classes[6][9] = int_stack + 25460;
 Libr12->t1vrr_classes[6][5] = int_stack + 27000;
 Libr12->t1vrr_classes[6][6] = int_stack + 27588;
 Libr12->t1vrr_classes[6][7] = int_stack + 28372;
 Libr12->t1vrr_classes[6][8] = int_stack + 29380;
 Libr12->gvrr_classes[7][9] = int_stack + 30640;
 Libr12->t1vrr_classes[7][5] = int_stack + 32620;
 Libr12->t1vrr_classes[7][6] = int_stack + 33376;
 Libr12->t1vrr_classes[7][7] = int_stack + 34384;
 Libr12->t1vrr_classes[7][8] = int_stack + 35680;
 Libr12->t1vrr_classes[8][5] = int_stack + 37300;
 Libr12->t1vrr_classes[8][6] = int_stack + 38245;
 Libr12->t1vrr_classes[8][7] = int_stack + 39505;
 Libr12->t1vrr_classes[8][8] = int_stack + 41125;
 Libr12->rvrr_classes[5][5] = int_stack + 43150;
 Libr12->rvrr_classes[5][6] = int_stack + 43591;
 Libr12->rvrr_classes[5][7] = int_stack + 44179;
 Libr12->rvrr_classes[5][8] = int_stack + 44935;
 Libr12->rvrr_classes[6][5] = int_stack + 45880;
 Libr12->rvrr_classes[6][6] = int_stack + 46468;
 Libr12->rvrr_classes[6][7] = int_stack + 47252;
 Libr12->rvrr_classes[6][8] = int_stack + 48260;
 Libr12->rvrr_classes[7][5] = int_stack + 49520;
 Libr12->rvrr_classes[7][6] = int_stack + 50276;
 Libr12->rvrr_classes[7][7] = int_stack + 51284;
 Libr12->rvrr_classes[7][8] = int_stack + 52580;
 Libr12->rvrr_classes[8][5] = int_stack + 54200;
 Libr12->rvrr_classes[8][6] = int_stack + 55145;
 Libr12->rvrr_classes[8][7] = int_stack + 56405;
 Libr12->rvrr_classes[8][8] = int_stack + 58025;
 Libr12->gvrr_classes[5][5] = int_stack + 60050;
 Libr12->gvrr_classes[5][6] = int_stack + 60491;
 Libr12->gvrr_classes[5][7] = int_stack + 61079;
 Libr12->gvrr_classes[5][8] = int_stack + 61835;
 Libr12->gvrr_classes[6][5] = int_stack + 62780;
 Libr12->gvrr_classes[6][6] = int_stack + 63368;
 Libr12->gvrr_classes[6][7] = int_stack + 64152;
 Libr12->gvrr_classes[6][8] = int_stack + 65160;
 Libr12->gvrr_classes[7][5] = int_stack + 66420;
 Libr12->gvrr_classes[7][6] = int_stack + 67176;
 Libr12->gvrr_classes[7][7] = int_stack + 68184;
 Libr12->gvrr_classes[7][8] = int_stack + 69480;
 Libr12->gvrr_classes[8][5] = int_stack + 71100;
 Libr12->gvrr_classes[8][6] = int_stack + 72045;
 Libr12->gvrr_classes[8][7] = int_stack + 73305;
 Libr12->gvrr_classes[8][8] = int_stack + 74925;
 memset(int_stack,0,76950*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 76950;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hfhf(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76950, int_stack+60491, int_stack+60050, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78273, int_stack+61079, int_stack+60491, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+80037, int_stack+78273, int_stack+76950, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+82683, int_stack+63368, int_stack+62780, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+84447, int_stack+64152, int_stack+63368, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+86799, int_stack+84447, int_stack+82683, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+90327, int_stack+61835, int_stack+61079, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+92595, int_stack+90327, int_stack+78273, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96123, int_stack+441, int_stack+0, int_stack+60491, int_stack+62780, int_stack+60050, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97446, int_stack+1029, int_stack+441, int_stack+61079, int_stack+63368, int_stack+60491, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99210, int_stack+97446, int_stack+96123, int_stack+78273, int_stack+82683, int_stack+76950, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101856, int_stack+1785, int_stack+1029, int_stack+61835, int_stack+64152, int_stack+61079, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104124, int_stack+101856, int_stack+97446, int_stack+90327, int_stack+84447, int_stack+78273, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107652, int_stack+104124, int_stack+99210, int_stack+92595, int_stack+86799, int_stack+80037, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76950, int_stack+67176, int_stack+66420, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96123, int_stack+68184, int_stack+67176, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+99147, int_stack+96123, int_stack+76950, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+103683, int_stack+65160, int_stack+64152, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+112062, int_stack+103683, int_stack+84447, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60050, int_stack+3318, int_stack+2730, int_stack+63368, int_stack+66420, int_stack+62780, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4102, int_stack+3318, int_stack+64152, int_stack+67176, int_stack+63368, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116766, int_stack+0, int_stack+60050, int_stack+84447, int_stack+76950, int_stack+82683, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120294, int_stack+5110, int_stack+4102, int_stack+65160, int_stack+68184, int_stack+64152, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123318, int_stack+120294, int_stack+0, int_stack+103683, int_stack+96123, int_stack+84447, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+123318, int_stack+116766, int_stack+112062, int_stack+99147, int_stack+86799, 6, 0);
 /*--- compute (hp|[r12,T2]|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+116766, int_stack+0, int_stack+107652, 210);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+82683, int_stack+72045, int_stack+71100, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+106707, int_stack+73305, int_stack+72045, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+129996, int_stack+106707, int_stack+82683, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+135666, int_stack+69480, int_stack+68184, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+139554, int_stack+135666, int_stack+96123, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62780, int_stack+7126, int_stack+6370, int_stack+67176, int_stack+71100, int_stack+66420, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145602, int_stack+8134, int_stack+7126, int_stack+68184, int_stack+72045, int_stack+67176, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148626, int_stack+145602, int_stack+62780, int_stack+96123, int_stack+82683, int_stack+76950, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153162, int_stack+9430, int_stack+8134, int_stack+69480, int_stack+73305, int_stack+68184, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157050, int_stack+153162, int_stack+145602, int_stack+135666, int_stack+106707, int_stack+96123, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163098, int_stack+157050, int_stack+148626, int_stack+139554, int_stack+129996, int_stack+99147, 7, 0);
 /*--- compute (ip|[r12,T2]|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+170658, int_stack+163098, int_stack+0, 210);
 /*--- compute (hd|[r12,T2]|hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+188298, int_stack+170658, int_stack+116766, 210);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+116766, int_stack+13150, int_stack+11050, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+120231, int_stack+15950, int_stack+13150, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+120231, int_stack+116766, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+124851, int_stack+74925, int_stack+73305, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+145602, int_stack+124851, int_stack+106707, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6930, int_stack+14690, int_stack+12205, int_stack+72045, int_stack+11050, int_stack+71100, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153162, int_stack+17930, int_stack+14690, int_stack+73305, int_stack+13150, int_stack+72045, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9765, int_stack+153162, int_stack+6930, int_stack+106707, int_stack+116766, int_stack+82683, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156942, int_stack+19550, int_stack+17930, int_stack+74925, int_stack+15950, int_stack+73305, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71100, int_stack+156942, int_stack+153162, int_stack+124851, int_stack+120231, int_stack+106707, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153162, int_stack+71100, int_stack+9765, int_stack+145602, int_stack+0, int_stack+129996, 8, 0);
 /*--- compute (kp|[r12,T2]|hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+214758, int_stack+153162, int_stack+163098, 210);
 /*--- compute (id|[r12,T2]|hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+237438, int_stack+214758, int_stack+170658, 210);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+214758, int_stack+92595, int_stack+80037, 21);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+219168, int_stack+112062, int_stack+86799, 28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+116766, int_stack+219168, int_stack+214758, 210);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+225048, int_stack+139554, int_stack+99147, 36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+153162, int_stack+225048, int_stack+219168, 210);
 /*--- compute (hd|hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+272718, int_stack+153162, int_stack+116766, 210);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+232608, int_stack+21575, int_stack+61835, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+170802, int_stack+232608, int_stack+90327, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+175338, int_stack+170802, int_stack+92595, 21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+170802, int_stack+25460, int_stack+65160, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+181218, int_stack+170802, int_stack+103683, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+181218, int_stack+112062, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+71100, int_stack+0, int_stack+175338, 280);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+181218, int_stack+30640, int_stack+69480, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+181218, int_stack+135666, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+88740, int_stack+7840, int_stack+139554, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+299178, int_stack+88740, int_stack+0, 280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+322698, int_stack+299178, int_stack+71100, 280);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+145602, int_stack+129996, 45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+129996, int_stack+7840, int_stack+225048, 210);
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+357978, int_stack+129996, int_stack+153162, 210);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17290, int_stack+23171, int_stack+22730, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18613, int_stack+23759, int_stack+23171, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+20377, int_stack+18613, int_stack+17290, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+181218, int_stack+24515, int_stack+23759, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+23023, int_stack+181218, int_stack+18613, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+181218, int_stack+23023, int_stack+20377, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+185628, int_stack+27588, int_stack+27000, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17290, int_stack+28372, int_stack+27588, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+19642, int_stack+17290, int_stack+185628, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23170, int_stack+29380, int_stack+28372, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26194, int_stack+23170, int_stack+17290, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+98820, int_stack+26194, int_stack+19642, 28);
 /*--- compute (hp|[r12,T1]|hf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+17290, int_stack+98820, int_stack+181218, int_stack+219168, int_stack+175338, int_stack+214758, 5, 3);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+214758, int_stack+33376, int_stack+32620, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+170802, int_stack+34384, int_stack+33376, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+173826, int_stack+170802, int_stack+214758, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+214758, int_stack+35680, int_stack+34384, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30520, int_stack+214758, int_stack+170802, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+178362, int_stack+30520, int_stack+173826, 36);
 /*--- compute (ip|[r12,T1]|hf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+393258, int_stack+178362, int_stack+98820, int_stack+225048, int_stack+0, int_stack+219168, 5, 3);
 /*--- compute (hd|[r12,T1]|hf) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+410898, int_stack+393258, int_stack+17290, int_stack+153162, int_stack+71100, int_stack+116766, 5, 3);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17290, int_stack+38245, int_stack+37300, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20125, int_stack+39505, int_stack+38245, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+23905, int_stack+20125, int_stack+17290, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29575, int_stack+41125, int_stack+39505, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+170802, int_stack+29575, int_stack+20125, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+29575, int_stack+170802, int_stack+23905, 45);
 /*--- compute (kp|[r12,T1]|hf) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+98820, int_stack+29575, int_stack+178362, int_stack+7840, int_stack+88740, int_stack+225048, 5, 3);
 /*--- compute (id|[r12,T1]|hf) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+98820, int_stack+393258, int_stack+129996, int_stack+299178, int_stack+153162, 5, 3);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+299178, int_stack+43591, int_stack+43150, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+300501, int_stack+44179, int_stack+43591, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+302265, int_stack+300501, int_stack+299178, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+304911, int_stack+44935, int_stack+44179, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+307179, int_stack+304911, int_stack+300501, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+310707, int_stack+307179, int_stack+302265, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+299178, int_stack+46468, int_stack+45880, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+300942, int_stack+47252, int_stack+46468, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+303294, int_stack+300942, int_stack+299178, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+306822, int_stack+48260, int_stack+47252, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+315117, int_stack+306822, int_stack+300942, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+393258, int_stack+315117, int_stack+303294, 28);
 /*--- compute (hp||hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+35280, int_stack+393258, int_stack+310707, 210);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+299178, int_stack+50276, int_stack+49520, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+301446, int_stack+51284, int_stack+50276, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+304470, int_stack+301446, int_stack+299178, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+309006, int_stack+52580, int_stack+51284, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+312894, int_stack+309006, int_stack+301446, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+399138, int_stack+312894, int_stack+304470, 36);
 /*--- compute (ip||hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+299178, int_stack+399138, int_stack+393258, 210);
 /*--- compute (hd||hf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+60050, int_stack+299178, int_stack+35280, 210);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35280, int_stack+55145, int_stack+54200, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38115, int_stack+56405, int_stack+55145, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+41895, int_stack+38115, int_stack+35280, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+47565, int_stack+58025, int_stack+56405, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+52425, int_stack+47565, int_stack+38115, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+214758, int_stack+52425, int_stack+41895, 45);
 /*--- compute (kp||hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+35280, int_stack+214758, int_stack+399138, 210);
 /*--- compute (id||hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+86510, int_stack+35280, int_stack+299178, 210);
 /*--- compute (hf|[r12,T2]|hf) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+121790, int_stack+237438, int_stack+188298, 210);
     Libr12->te_ptr[3] = int_stack + 121790;
 /*--- compute (hf|[r12,T1]|hf) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+165890, int_stack+0, int_stack+410898, int_stack+357978, int_stack+322698, int_stack+272718, 5, 3);
     Libr12->te_ptr[2] = int_stack + 165890;
 /*--- compute (hf||hf) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+86510, int_stack+60050, 210);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (hf|hf) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+44100, int_stack+357978, int_stack+272718, 210);
     Libr12->te_ptr[0] = int_stack + 44100;

}
