#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hphg(Libr12_t *, prim_data *);

  /* Computes (hp|hg) integrals for linear R12-methods */

void hrr_grt_order_hphg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[5][8] = int_stack + 1785;
 Libr12->t2vrr_classes[5][9] = int_stack + 2730;
 Libr12->gvrr_classes[7][5] = int_stack + 3885;
 Libr12->t2vrr_classes[6][5] = int_stack + 4641;
 Libr12->gvrr_classes[7][6] = int_stack + 5229;
 Libr12->t2vrr_classes[6][6] = int_stack + 6237;
 Libr12->gvrr_classes[7][7] = int_stack + 7021;
 Libr12->t2vrr_classes[6][7] = int_stack + 8317;
 Libr12->gvrr_classes[7][8] = int_stack + 9325;
 Libr12->t2vrr_classes[6][8] = int_stack + 10945;
 Libr12->t2vrr_classes[6][9] = int_stack + 12205;
 Libr12->gvrr_classes[5][10] = int_stack + 13745;
 Libr12->t1vrr_classes[5][5] = int_stack + 15131;
 Libr12->t1vrr_classes[5][6] = int_stack + 15572;
 Libr12->t1vrr_classes[5][7] = int_stack + 16160;
 Libr12->t1vrr_classes[5][8] = int_stack + 16916;
 Libr12->t1vrr_classes[5][9] = int_stack + 17861;
 Libr12->t1vrr_classes[6][5] = int_stack + 19016;
 Libr12->t1vrr_classes[6][6] = int_stack + 19604;
 Libr12->t1vrr_classes[6][7] = int_stack + 20388;
 Libr12->t1vrr_classes[6][8] = int_stack + 21396;
 Libr12->t1vrr_classes[6][9] = int_stack + 22656;
 Libr12->rvrr_classes[5][5] = int_stack + 24196;
 Libr12->rvrr_classes[5][6] = int_stack + 24637;
 Libr12->rvrr_classes[5][7] = int_stack + 25225;
 Libr12->rvrr_classes[5][8] = int_stack + 25981;
 Libr12->rvrr_classes[5][9] = int_stack + 26926;
 Libr12->rvrr_classes[6][5] = int_stack + 28081;
 Libr12->rvrr_classes[6][6] = int_stack + 28669;
 Libr12->rvrr_classes[6][7] = int_stack + 29453;
 Libr12->rvrr_classes[6][8] = int_stack + 30461;
 Libr12->rvrr_classes[6][9] = int_stack + 31721;
 Libr12->gvrr_classes[5][5] = int_stack + 33261;
 Libr12->gvrr_classes[5][6] = int_stack + 33702;
 Libr12->gvrr_classes[5][7] = int_stack + 34290;
 Libr12->gvrr_classes[5][8] = int_stack + 35046;
 Libr12->gvrr_classes[5][9] = int_stack + 35991;
 Libr12->gvrr_classes[6][5] = int_stack + 37146;
 Libr12->gvrr_classes[6][6] = int_stack + 37734;
 Libr12->gvrr_classes[6][7] = int_stack + 38518;
 Libr12->gvrr_classes[6][8] = int_stack + 39526;
 Libr12->gvrr_classes[6][9] = int_stack + 40786;
 memset(int_stack,0,42326*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42326;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hphg(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42326, int_stack+33702, int_stack+33261, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43649, int_stack+34290, int_stack+33702, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+45413, int_stack+43649, int_stack+42326, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48059, int_stack+35046, int_stack+34290, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50327, int_stack+48059, int_stack+43649, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+53855, int_stack+50327, int_stack+45413, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+58265, int_stack+37734, int_stack+37146, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60029, int_stack+38518, int_stack+37734, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+62381, int_stack+60029, int_stack+58265, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65909, int_stack+39526, int_stack+38518, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+68933, int_stack+65909, int_stack+60029, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+73637, int_stack+68933, int_stack+62381, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+79517, int_stack+35991, int_stack+35046, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82352, int_stack+79517, int_stack+48059, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+86888, int_stack+82352, int_stack+50327, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92768, int_stack+441, int_stack+0, int_stack+33702, int_stack+37146, int_stack+33261, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94091, int_stack+1029, int_stack+441, int_stack+34290, int_stack+37734, int_stack+33702, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95855, int_stack+94091, int_stack+92768, int_stack+43649, int_stack+58265, int_stack+42326, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+98501, int_stack+1785, int_stack+1029, int_stack+35046, int_stack+38518, int_stack+34290, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100769, int_stack+98501, int_stack+94091, int_stack+48059, int_stack+60029, int_stack+43649, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104297, int_stack+100769, int_stack+95855, int_stack+50327, int_stack+62381, int_stack+45413, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42326, int_stack+2730, int_stack+1785, int_stack+35991, int_stack+39526, int_stack+35046, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92768, int_stack+42326, int_stack+98501, int_stack+79517, int_stack+65909, int_stack+48059, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42326, int_stack+92768, int_stack+100769, int_stack+82352, int_stack+68933, int_stack+50327, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92768, int_stack+42326, int_stack+104297, int_stack+86888, int_stack+73637, int_stack+53855, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42326, int_stack+5229, int_stack+3885, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44594, int_stack+7021, int_stack+5229, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+47618, int_stack+44594, int_stack+42326, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99383, int_stack+9325, int_stack+7021, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103271, int_stack+99383, int_stack+44594, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+109319, int_stack+103271, int_stack+47618, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40786, int_stack+39526, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+116879, int_stack+0, int_stack+65909, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+122927, int_stack+116879, int_stack+68933, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33261, int_stack+6237, int_stack+4641, int_stack+37734, int_stack+3885, int_stack+37146, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130767, int_stack+8317, int_stack+6237, int_stack+38518, int_stack+5229, int_stack+37734, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133119, int_stack+130767, int_stack+33261, int_stack+60029, int_stack+42326, int_stack+58265, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+10945, int_stack+8317, int_stack+39526, int_stack+7021, int_stack+38518, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136647, int_stack+3780, int_stack+130767, int_stack+65909, int_stack+44594, int_stack+60029, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141351, int_stack+136647, int_stack+133119, int_stack+68933, int_stack+47618, int_stack+62381, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130767, int_stack+12205, int_stack+10945, int_stack+40786, int_stack+9325, int_stack+39526, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58265, int_stack+130767, int_stack+3780, int_stack+0, int_stack+99383, int_stack+65909, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+58265, int_stack+136647, int_stack+116879, int_stack+103271, int_stack+68933, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58265, int_stack+0, int_stack+141351, int_stack+122927, int_stack+109319, int_stack+73637, 6, 0);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+86888, int_stack+53855, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+13745, int_stack+35991, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+67085, int_stack+6615, int_stack+79517, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+67085, int_stack+82352, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+99383, int_stack+6615, int_stack+86888, 21);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+79517, int_stack+122927, int_stack+73637, 28);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+15572, int_stack+15131, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7938, int_stack+16160, int_stack+15572, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+9702, int_stack+7938, int_stack+6615, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+16916, int_stack+16160, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67085, int_stack+12348, int_stack+7938, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+70613, int_stack+67085, int_stack+9702, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+17861, int_stack+16916, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108203, int_stack+6615, int_stack+12348, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+108203, int_stack+67085, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+108203, int_stack+6615, int_stack+70613, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+19604, int_stack+19016, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+20388, int_stack+19604, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10731, int_stack+8379, int_stack+6615, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14259, int_stack+21396, int_stack+20388, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67085, int_stack+14259, int_stack+8379, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+71789, int_stack+67085, int_stack+10731, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+22656, int_stack+21396, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17283, int_stack+6615, int_stack+14259, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+17283, int_stack+67085, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+14455, int_stack+6615, int_stack+71789, 28);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+24637, int_stack+24196, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7938, int_stack+25225, int_stack+24637, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+9702, int_stack+7938, int_stack+6615, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+67085, int_stack+25981, int_stack+25225, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69353, int_stack+67085, int_stack+7938, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+72881, int_stack+69353, int_stack+9702, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+26926, int_stack+25981, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+6615, int_stack+67085, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+114818, int_stack+9450, int_stack+69353, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+114818, int_stack+72881, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+114818, int_stack+28669, int_stack+28081, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+116582, int_stack+29453, int_stack+28669, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+118934, int_stack+116582, int_stack+114818, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+122462, int_stack+30461, int_stack+29453, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+125486, int_stack+122462, int_stack+116582, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+130190, int_stack+125486, int_stack+118934, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+114818, int_stack+31721, int_stack+30461, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+136070, int_stack+114818, int_stack+122462, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+114818, int_stack+136070, int_stack+125486, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+136070, int_stack+114818, int_stack+130190, 28);
 /*--- compute (hp|[r12,T2]|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+114818, int_stack+58265, int_stack+92768, 315);
     Libr12->te_ptr[3] = int_stack + 114818;
 /*--- compute (hp|[r12,T1]|hg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+23275, int_stack+14455, int_stack+108203, int_stack+79517, int_stack+99383, int_stack+0, 5, 4);
     Libr12->te_ptr[2] = int_stack + 23275;
 /*--- compute (hp||hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+43120, int_stack+136070, int_stack+6615, 315);
     Libr12->te_ptr[1] = int_stack + 43120;
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+88337, int_stack+79517, int_stack+0, 315);
     Libr12->te_ptr[0] = int_stack + 88337;

}
