#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hphp(Libr12_t *, prim_data *);

  /* Computes (hp|hp) integrals for linear R12-methods */

void hrr_grt_order_hphp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->gvrr_classes[7][5] = int_stack + 1029;
 Libr12->t2vrr_classes[6][5] = int_stack + 1785;
 Libr12->t2vrr_classes[6][6] = int_stack + 2373;
 Libr12->gvrr_classes[5][7] = int_stack + 3157;
 Libr12->t1vrr_classes[5][5] = int_stack + 3913;
 Libr12->t1vrr_classes[5][6] = int_stack + 4354;
 Libr12->t1vrr_classes[6][5] = int_stack + 4942;
 Libr12->t1vrr_classes[6][6] = int_stack + 5530;
 Libr12->rvrr_classes[5][5] = int_stack + 6314;
 Libr12->rvrr_classes[5][6] = int_stack + 6755;
 Libr12->rvrr_classes[6][5] = int_stack + 7343;
 Libr12->rvrr_classes[6][6] = int_stack + 7931;
 Libr12->gvrr_classes[5][5] = int_stack + 8715;
 Libr12->gvrr_classes[5][6] = int_stack + 9156;
 Libr12->gvrr_classes[6][5] = int_stack + 9744;
 Libr12->gvrr_classes[6][6] = int_stack + 10332;
 memset(int_stack,0,11116*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11116;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hphp(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11116, int_stack+441, int_stack+0, int_stack+9156, int_stack+9744, int_stack+8715, 5, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12439, int_stack+2373, int_stack+1785, int_stack+10332, int_stack+1029, int_stack+9744, 6, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9156, int_stack+8715, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1323, int_stack+3157, int_stack+9156, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14203, int_stack+10332, int_stack+9744, 28);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8715, int_stack+4354, int_stack+3913, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3087, int_stack+5530, int_stack+4942, 28);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4851, int_stack+6755, int_stack+6314, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15967, int_stack+7931, int_stack+7343, 28);
 /*--- compute (hp|[r12,T2]|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+17731, int_stack+12439, int_stack+11116, 63);
     Libr12->te_ptr[3] = int_stack + 17731;
 /*--- compute (hp|[r12,T1]|hp) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+10038, int_stack+3087, int_stack+8715, int_stack+14203, int_stack+1323, int_stack+0, 5, 1);
     Libr12->te_ptr[2] = int_stack + 10038;
 /*--- compute (hp||hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+21700, int_stack+15967, int_stack+4851, 63);
     Libr12->te_ptr[1] = int_stack + 21700;
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1323, int_stack+14203, int_stack+0, 63);
     Libr12->te_ptr[0] = int_stack + 1323;

}
