#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0hf(Libr12_t *, prim_data *);

  /* Computes (p0|hf) integrals for linear R12-methods */

void hrr_grt_order_p0hf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[1][5] = int_stack + 126;
 Libr12->gvrr_classes[2][6] = int_stack + 189;
 Libr12->t2vrr_classes[1][6] = int_stack + 357;
 Libr12->gvrr_classes[2][7] = int_stack + 441;
 Libr12->t2vrr_classes[1][7] = int_stack + 657;
 Libr12->t2vrr_classes[1][8] = int_stack + 765;
 Libr12->t1vrr_classes[1][5] = int_stack + 900;
 Libr12->t1vrr_classes[1][6] = int_stack + 963;
 Libr12->t1vrr_classes[1][7] = int_stack + 1047;
 Libr12->t1vrr_classes[1][8] = int_stack + 1155;
 Libr12->rvrr_classes[1][5] = int_stack + 1290;
 Libr12->rvrr_classes[1][6] = int_stack + 1353;
 Libr12->rvrr_classes[1][7] = int_stack + 1437;
 Libr12->rvrr_classes[1][8] = int_stack + 1545;
 Libr12->gvrr_classes[1][5] = int_stack + 1680;
 Libr12->gvrr_classes[1][6] = int_stack + 1743;
 Libr12->gvrr_classes[1][7] = int_stack + 1827;
 Libr12->gvrr_classes[1][8] = int_stack + 1935;
 memset(int_stack,0,2070*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2070;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0hf(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2070, int_stack+1743, int_stack+1680, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2259, int_stack+1827, int_stack+1743, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2511, int_stack+2259, int_stack+2070, 3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2889, int_stack+189, int_stack+0, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3267, int_stack+441, int_stack+189, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3771, int_stack+3267, int_stack+2889, 6);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4527, int_stack+1935, int_stack+1827, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4851, int_stack+4527, int_stack+2259, 3);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5355, int_stack+357, int_stack+126, int_stack+1743, int_stack+0, int_stack+1680, 1, 0);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5544, int_stack+657, int_stack+357, int_stack+1827, int_stack+189, int_stack+1743, 1, 0);
 /*--- compute (p0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5544, int_stack+5355, int_stack+2259, int_stack+2889, int_stack+2070, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2889, int_stack+765, int_stack+657, int_stack+1935, int_stack+441, int_stack+1827, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+2889, int_stack+5544, int_stack+4527, int_stack+3267, int_stack+2259, 1, 0);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4527, int_stack+963, int_stack+900, 3);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2889, int_stack+1047, int_stack+963, 3);
 /*--- compute (p0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3141, int_stack+2889, int_stack+4527, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4527, int_stack+1155, int_stack+1047, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5355, int_stack+4527, int_stack+2889, 3);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2889, int_stack+1353, int_stack+1290, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3519, int_stack+1437, int_stack+1353, 3);
 /*--- compute (p0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+378, int_stack+3519, int_stack+2889, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4527, int_stack+1545, int_stack+1437, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+756, int_stack+4527, int_stack+3519, 3);
 /*--- compute (p0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5859, int_stack+1680, int_stack+0, int_stack+4851, int_stack+3771, int_stack+2511, 1, 0);
     Libr12->te_ptr[3] = int_stack + 5859;
 /*--- compute (p0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+3519, int_stack+5355, int_stack+3141, 3);
     Libr12->te_ptr[2] = int_stack + 3519;
 /*--- compute (p0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+2889, int_stack+756, int_stack+378, 3);
     Libr12->te_ptr[1] = int_stack + 2889;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4851, int_stack+2511, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
