#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppff(Libr12_t *, prim_data *);

  /* Computes (pp|ff) integrals for linear R12-methods */

void hrr_grt_order_ppff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][3] = int_stack + 0;
 Libr12->t2vrr_classes[1][4] = int_stack + 30;
 Libr12->t2vrr_classes[1][5] = int_stack + 75;
 Libr12->t2vrr_classes[1][6] = int_stack + 138;
 Libr12->gvrr_classes[3][3] = int_stack + 222;
 Libr12->t2vrr_classes[2][3] = int_stack + 322;
 Libr12->gvrr_classes[3][4] = int_stack + 382;
 Libr12->t2vrr_classes[2][4] = int_stack + 532;
 Libr12->gvrr_classes[3][5] = int_stack + 622;
 Libr12->t2vrr_classes[2][5] = int_stack + 832;
 Libr12->t2vrr_classes[2][6] = int_stack + 958;
 Libr12->gvrr_classes[1][7] = int_stack + 1126;
 Libr12->t1vrr_classes[1][3] = int_stack + 1234;
 Libr12->t1vrr_classes[1][4] = int_stack + 1264;
 Libr12->t1vrr_classes[1][5] = int_stack + 1309;
 Libr12->t1vrr_classes[1][6] = int_stack + 1372;
 Libr12->t1vrr_classes[2][3] = int_stack + 1456;
 Libr12->t1vrr_classes[2][4] = int_stack + 1516;
 Libr12->t1vrr_classes[2][5] = int_stack + 1606;
 Libr12->t1vrr_classes[2][6] = int_stack + 1732;
 Libr12->rvrr_classes[1][3] = int_stack + 1900;
 Libr12->rvrr_classes[1][4] = int_stack + 1930;
 Libr12->rvrr_classes[1][5] = int_stack + 1975;
 Libr12->rvrr_classes[1][6] = int_stack + 2038;
 Libr12->rvrr_classes[2][3] = int_stack + 2122;
 Libr12->rvrr_classes[2][4] = int_stack + 2182;
 Libr12->rvrr_classes[2][5] = int_stack + 2272;
 Libr12->rvrr_classes[2][6] = int_stack + 2398;
 Libr12->gvrr_classes[1][3] = int_stack + 2566;
 Libr12->gvrr_classes[1][4] = int_stack + 2596;
 Libr12->gvrr_classes[1][5] = int_stack + 2641;
 Libr12->gvrr_classes[1][6] = int_stack + 2704;
 Libr12->gvrr_classes[2][3] = int_stack + 2788;
 Libr12->gvrr_classes[2][4] = int_stack + 2848;
 Libr12->gvrr_classes[2][5] = int_stack + 2938;
 Libr12->gvrr_classes[2][6] = int_stack + 3064;
 memset(int_stack,0,3232*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3232;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppff(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3232, int_stack+2596, int_stack+2566, 3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3322, int_stack+2641, int_stack+2596, 3);
 /*--- compute (p0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+3457, int_stack+3322, int_stack+3232, 3);
 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3637, int_stack+2848, int_stack+2788, 6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3817, int_stack+2938, int_stack+2848, 6);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+4087, int_stack+3817, int_stack+3637, 6);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4447, int_stack+2704, int_stack+2641, 3);
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4636, int_stack+4447, int_stack+3322, 3);
 /*--- compute (p0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4906, int_stack+30, int_stack+0, int_stack+2596, int_stack+2788, int_stack+2566, 1, 0);
 /*--- compute (p0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4996, int_stack+75, int_stack+30, int_stack+2641, int_stack+2848, int_stack+2596, 1, 0);
 /*--- compute (p0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5131, int_stack+4996, int_stack+4906, int_stack+3322, int_stack+3637, int_stack+3232, 1, 0);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5311, int_stack+138, int_stack+75, int_stack+2704, int_stack+2938, int_stack+2641, 1, 0);
 /*--- compute (p0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5500, int_stack+5311, int_stack+4996, int_stack+4447, int_stack+3817, int_stack+3322, 1, 0);
 /*--- compute (p0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5770, int_stack+5500, int_stack+5131, int_stack+4636, int_stack+4087, int_stack+3457, 1, 0);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+4906, int_stack+382, int_stack+222, 10);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5206, int_stack+622, int_stack+382, 10);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6070, int_stack+5206, int_stack+4906, 10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6670, int_stack+3064, int_stack+2938, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7048, int_stack+6670, int_stack+3817, 6);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3232, int_stack+532, int_stack+322, int_stack+2848, int_stack+222, int_stack+2788, 2, 0);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+832, int_stack+532, int_stack+2938, int_stack+382, int_stack+2848, 2, 0);
 /*--- compute (d0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7588, int_stack+0, int_stack+3232, int_stack+3817, int_stack+4906, int_stack+3637, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7948, int_stack+958, int_stack+832, int_stack+3064, int_stack+622, int_stack+2938, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2788, int_stack+7948, int_stack+0, int_stack+6670, int_stack+5206, int_stack+3817, 2, 0);
 /*--- compute (d0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2788, int_stack+7588, int_stack+7048, int_stack+6070, int_stack+4087, 2, 0);
 /*--- compute (p0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+6070, int_stack+4636, int_stack+3457, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6370, int_stack+1126, int_stack+2704, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6622, int_stack+6370, int_stack+4447, 3);
 /*--- compute (p0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+6622, int_stack+4636, 3);
 /*--- compute (d0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+4447, int_stack+7048, int_stack+4087, 6);
 /*--- compute (p0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+1264, int_stack+1234, 3);
 /*--- compute (p0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5137, int_stack+1309, int_stack+1264, 3);
 /*--- compute (p0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+5272, int_stack+5137, int_stack+5047, 3);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5452, int_stack+1372, int_stack+1309, 3);
 /*--- compute (p0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+6370, int_stack+5452, int_stack+5137, 3);
 /*--- compute (p0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+5452, int_stack+6370, int_stack+5272, 3);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+6370, int_stack+1516, int_stack+1456, 6);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6550, int_stack+1606, int_stack+1516, 6);
 /*--- compute (d0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6820, int_stack+6550, int_stack+6370, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7180, int_stack+1732, int_stack+1606, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8038, int_stack+7180, int_stack+6550, 6);
 /*--- compute (d0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+600, int_stack+8038, int_stack+6820, 6);
 /*--- compute (p0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+8038, int_stack+1930, int_stack+1900, 3);
 /*--- compute (p0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8128, int_stack+1975, int_stack+1930, 3);
 /*--- compute (p0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8263, int_stack+8128, int_stack+8038, 3);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8443, int_stack+2038, int_stack+1975, 3);
 /*--- compute (p0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8632, int_stack+8443, int_stack+8128, 3);
 /*--- compute (p0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+6370, int_stack+8632, int_stack+8263, 3);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+8038, int_stack+2182, int_stack+2122, 6);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8218, int_stack+2272, int_stack+2182, 6);
 /*--- compute (d0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8488, int_stack+8218, int_stack+8038, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6670, int_stack+2398, int_stack+2272, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7048, int_stack+6670, int_stack+8218, 6);
 /*--- compute (d0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+1200, int_stack+7048, int_stack+8488, 6);
 /*--- compute (pp|[r12,T2]|ff) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+6670, int_stack+0, int_stack+5770, 100);
     Libr12->te_ptr[3] = int_stack + 6670;
 /*--- compute (pp|[r12,T1]|ff) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8038, int_stack+600, int_stack+5452, int_stack+4447, int_stack+7588, int_stack+6070, 3, 3);
     Libr12->te_ptr[2] = int_stack + 8038;
 /*--- compute (pp||ff) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1200, int_stack+6370, 100);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (pp|ff) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+900, int_stack+4447, int_stack+6070, 100);
     Libr12->te_ptr[0] = int_stack + 900;

}
