#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_pphd(Libr12_t *, prim_data *);

  /* Computes (pp|hd) integrals for linear R12-methods */

void hrr_grt_order_pphd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][5] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 63;
 Libr12->t2vrr_classes[1][7] = int_stack + 147;
 Libr12->gvrr_classes[3][5] = int_stack + 255;
 Libr12->t2vrr_classes[2][5] = int_stack + 465;
 Libr12->gvrr_classes[3][6] = int_stack + 591;
 Libr12->t2vrr_classes[2][6] = int_stack + 871;
 Libr12->t2vrr_classes[2][7] = int_stack + 1039;
 Libr12->gvrr_classes[1][8] = int_stack + 1255;
 Libr12->t1vrr_classes[1][5] = int_stack + 1390;
 Libr12->t1vrr_classes[1][6] = int_stack + 1453;
 Libr12->t1vrr_classes[1][7] = int_stack + 1537;
 Libr12->t1vrr_classes[2][5] = int_stack + 1645;
 Libr12->t1vrr_classes[2][6] = int_stack + 1771;
 Libr12->t1vrr_classes[2][7] = int_stack + 1939;
 Libr12->rvrr_classes[1][5] = int_stack + 2155;
 Libr12->rvrr_classes[1][6] = int_stack + 2218;
 Libr12->rvrr_classes[1][7] = int_stack + 2302;
 Libr12->rvrr_classes[2][5] = int_stack + 2410;
 Libr12->rvrr_classes[2][6] = int_stack + 2536;
 Libr12->rvrr_classes[2][7] = int_stack + 2704;
 Libr12->gvrr_classes[1][5] = int_stack + 2920;
 Libr12->gvrr_classes[1][6] = int_stack + 2983;
 Libr12->gvrr_classes[1][7] = int_stack + 3067;
 Libr12->gvrr_classes[2][5] = int_stack + 3175;
 Libr12->gvrr_classes[2][6] = int_stack + 3301;
 Libr12->gvrr_classes[2][7] = int_stack + 3469;
 memset(int_stack,0,3685*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3685;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_pphd(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3685, int_stack+2983, int_stack+2920, 3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3874, int_stack+3301, int_stack+3175, 6);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4252, int_stack+3067, int_stack+2983, 3);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4504, int_stack+63, int_stack+0, int_stack+2983, int_stack+3175, int_stack+2920, 1, 0);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4693, int_stack+147, int_stack+63, int_stack+3067, int_stack+3301, int_stack+2983, 1, 0);
 /*--- compute (p0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4945, int_stack+4693, int_stack+4504, int_stack+4252, int_stack+3874, int_stack+3685, 1, 0);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5323, int_stack+591, int_stack+255, 10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5953, int_stack+3469, int_stack+3301, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4504, int_stack+871, int_stack+465, int_stack+3301, int_stack+255, int_stack+3175, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1039, int_stack+871, int_stack+3469, int_stack+591, int_stack+3301, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6457, int_stack+0, int_stack+4504, int_stack+5953, int_stack+5323, int_stack+3874, 2, 0);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5323, int_stack+4252, int_stack+3685, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4504, int_stack+1255, int_stack+3067, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4504, int_stack+4252, 3);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+504, int_stack+5953, int_stack+3874, 6);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5701, int_stack+1453, int_stack+1390, 3);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5890, int_stack+1537, int_stack+1453, 3);
 /*--- compute (p0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+5890, int_stack+5701, 3);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5701, int_stack+1771, int_stack+1645, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2920, int_stack+1939, int_stack+1771, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3424, int_stack+2920, int_stack+5701, 6);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5701, int_stack+2218, int_stack+2155, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5890, int_stack+2302, int_stack+2218, 3);
 /*--- compute (p0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2920, int_stack+5890, int_stack+5701, 3);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5701, int_stack+2536, int_stack+2410, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1638, int_stack+2704, int_stack+2536, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2142, int_stack+1638, int_stack+5701, 6);
 /*--- compute (pp|[r12,T2]|hd) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+7213, int_stack+6457, int_stack+4945, 126);
     Libr12->te_ptr[3] = int_stack + 7213;
 /*--- compute (pp|[r12,T1]|hd) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5701, int_stack+3424, int_stack+1260, int_stack+504, int_stack+0, int_stack+5323, 5, 2);
     Libr12->te_ptr[2] = int_stack + 5701;
 /*--- compute (pp||hd) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+3298, int_stack+2142, int_stack+2920, 126);
     Libr12->te_ptr[1] = int_stack + 3298;
 /*--- compute (pp|hd) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1260, int_stack+504, int_stack+5323, 126);
     Libr12->te_ptr[0] = int_stack + 1260;

}
