#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_pppp(Libr12_t *, prim_data *);

  /* Computes (pp|pp) integrals for linear R12-methods */

void hrr_grt_order_pppp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][1] = int_stack + 0;
 Libr12->t2vrr_classes[1][2] = int_stack + 9;
 Libr12->gvrr_classes[3][1] = int_stack + 27;
 Libr12->t2vrr_classes[2][1] = int_stack + 57;
 Libr12->t2vrr_classes[2][2] = int_stack + 75;
 Libr12->gvrr_classes[1][3] = int_stack + 111;
 Libr12->t1vrr_classes[1][1] = int_stack + 141;
 Libr12->t1vrr_classes[1][2] = int_stack + 150;
 Libr12->t1vrr_classes[2][1] = int_stack + 168;
 Libr12->t1vrr_classes[2][2] = int_stack + 186;
 Libr12->rvrr_classes[1][1] = int_stack + 222;
 Libr12->rvrr_classes[1][2] = int_stack + 231;
 Libr12->rvrr_classes[2][1] = int_stack + 249;
 Libr12->rvrr_classes[2][2] = int_stack + 267;
 Libr12->gvrr_classes[1][1] = int_stack + 303;
 Libr12->gvrr_classes[1][2] = int_stack + 312;
 Libr12->gvrr_classes[2][1] = int_stack + 330;
 Libr12->gvrr_classes[2][2] = int_stack + 348;
 memset(int_stack,0,384*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 384;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_pppp(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|pp) ---*/
   t2hrr3_build_pp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+384, int_stack+9, int_stack+0, int_stack+312, int_stack+330, int_stack+303, 1, 0);
 /*--- compute (d0|[r12,T2]|pp) ---*/
   t2hrr3_build_pp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+411, int_stack+75, int_stack+57, int_stack+348, int_stack+27, int_stack+330, 2, 0);
 /*--- compute (p0|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+312, int_stack+303, 3);
 /*--- compute (p0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+27, int_stack+111, int_stack+312, 3);
 /*--- compute (d0|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+81, int_stack+348, int_stack+330, 6);
 /*--- compute (p0|[r12,T1]|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+303, int_stack+150, int_stack+141, 3);
 /*--- compute (d0|[r12,T1]|pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+330, int_stack+186, int_stack+168, 6);
 /*--- compute (p0||pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+135, int_stack+231, int_stack+222, 3);
 /*--- compute (d0||pp) ---*/
   hrr3_build_pp(Libr12->ShellQuartet.CD,int_stack+162, int_stack+267, int_stack+249, 6);
 /*--- compute (pp|[r12,T2]|pp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+216, int_stack+411, int_stack+384, 9);
     Libr12->te_ptr[3] = int_stack + 216;
 /*--- compute (pp|[r12,T1]|pp) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+384, int_stack+330, int_stack+303, int_stack+81, int_stack+27, int_stack+0, 1, 1);
     Libr12->te_ptr[2] = int_stack + 384;
 /*--- compute (pp||pp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+465, int_stack+162, int_stack+135, 9);
     Libr12->te_ptr[1] = int_stack + 465;
 /*--- compute (pp|pp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+135, int_stack+81, int_stack+0, 9);
     Libr12->te_ptr[0] = int_stack + 135;

}
