#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dphh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+331, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+349, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+379, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+331);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+439, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+442, r12vrr_stack+31, r12vrr_stack+439, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+448, r12vrr_stack+34, r12vrr_stack+442, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+458, r12vrr_stack+126, r12vrr_stack+448, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+473, r12vrr_stack+136, r12vrr_stack+458, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+349);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+379);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+758, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+779, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+800, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+136);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+779, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+439, r12vrr_stack+40, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+947, r12vrr_stack+442, r12vrr_stack+43, r12vrr_stack+31, r12vrr_stack+439, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+957, r12vrr_stack+448, r12vrr_stack+947, r12vrr_stack+34, r12vrr_stack+442, NULL);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+972, r12vrr_stack+458, r12vrr_stack+957, r12vrr_stack+126, r12vrr_stack+448, NULL);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+993, r12vrr_stack+758, r12vrr_stack+972, NULL, NULL, r12vrr_stack+458);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1056, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+473);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+151);
 tmp = r12vrr_stack + 1182;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+518);
 tmp = r12vrr_stack + 1308;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1518, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1574, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+136, r12vrr_stack+458, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+1602, r12vrr_stack+1518, r12vrr_stack+1574, NULL, NULL, r12vrr_stack+758);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+1518, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+800);
 tmp = r12vrr_stack + 1770;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+31, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1938, r12vrr_stack+43, r12vrr_stack+80, r12vrr_stack+439, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1948, r12vrr_stack+947, r12vrr_stack+1938, r12vrr_stack+442, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1963, r12vrr_stack+957, r12vrr_stack+1948, r12vrr_stack+448, r12vrr_stack+947, NULL);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1984, r12vrr_stack+972, r12vrr_stack+1963, r12vrr_stack+458, r12vrr_stack+957, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+2012, r12vrr_stack+1574, r12vrr_stack+1984, NULL, NULL, r12vrr_stack+972);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+2096, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+993);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1056);
 tmp = r12vrr_stack + 2264;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+863, r12vrr_stack+779, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2616, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+758, r12vrr_stack+972, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2652, r12vrr_stack+2544, r12vrr_stack+2616, NULL, NULL, r12vrr_stack+1574);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+2544, NULL, NULL, r12vrr_stack+1518);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1602);
 tmp = r12vrr_stack + 2868;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+779, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+782, r12vrr_stack+31, r12vrr_stack+779, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+788, r12vrr_stack+80, r12vrr_stack+782, r12vrr_stack+40, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3084, r12vrr_stack+1938, r12vrr_stack+788, r12vrr_stack+43, r12vrr_stack+80, NULL);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3099, r12vrr_stack+1948, r12vrr_stack+3084, r12vrr_stack+947, r12vrr_stack+1938, NULL);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3120, r12vrr_stack+1963, r12vrr_stack+3099, r12vrr_stack+957, r12vrr_stack+1948, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3148, r12vrr_stack+1984, r12vrr_stack+3120, r12vrr_stack+972, r12vrr_stack+1963, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3184, r12vrr_stack+2616, r12vrr_stack+3148, NULL, NULL, r12vrr_stack+1984);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3292, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+2012);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2096);
 tmp = r12vrr_stack + 3508;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+1518, r12vrr_stack+1574, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3913, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1546, r12vrr_stack+1518, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3958, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+1574, r12vrr_stack+1984, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4003, r12vrr_stack+3868, r12vrr_stack+3958, NULL, NULL, r12vrr_stack+2616);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4138, r12vrr_stack+3913, r12vrr_stack+3868, NULL, NULL, r12vrr_stack+2544);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3913, r12vrr_stack+3868, r12vrr_stack+2652);
 tmp = r12vrr_stack + 4273;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1518, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1521, r12vrr_stack+779, r12vrr_stack+1518, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+947, r12vrr_stack+782, r12vrr_stack+1521, r12vrr_stack+31, r12vrr_stack+779, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1527, r12vrr_stack+788, r12vrr_stack+947, r12vrr_stack+80, r12vrr_stack+782, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+4543, r12vrr_stack+3084, r12vrr_stack+1527, r12vrr_stack+1938, r12vrr_stack+788, NULL);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4564, r12vrr_stack+3099, r12vrr_stack+4543, r12vrr_stack+1948, r12vrr_stack+3084, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4592, r12vrr_stack+3120, r12vrr_stack+4564, r12vrr_stack+1963, r12vrr_stack+3099, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4628, r12vrr_stack+3148, r12vrr_stack+4592, r12vrr_stack+1984, r12vrr_stack+3120, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4673, r12vrr_stack+3958, r12vrr_stack+4628, NULL, NULL, r12vrr_stack+3148);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4808, r12vrr_stack+4003, r12vrr_stack+4673, r12vrr_stack+3868, r12vrr_stack+3958, r12vrr_stack+3184);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+4808, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3292);
 tmp = r12vrr_stack + 5078;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5528, r12vrr_stack+3868, r12vrr_stack+3958, r12vrr_stack+2544, r12vrr_stack+2616, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5583, r12vrr_stack+3913, r12vrr_stack+3868, r12vrr_stack+2580, r12vrr_stack+2544, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5638, r12vrr_stack+3958, r12vrr_stack+4628, r12vrr_stack+2616, r12vrr_stack+3148, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5693, r12vrr_stack+5528, r12vrr_stack+5638, NULL, NULL, r12vrr_stack+3958);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5858, r12vrr_stack+5583, r12vrr_stack+5528, NULL, NULL, r12vrr_stack+3868);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+5693, r12vrr_stack+5583, r12vrr_stack+5528, r12vrr_stack+4003);
 tmp = r12vrr_stack + 6023;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+31, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+1521, r12vrr_stack+2544, r12vrr_stack+779, r12vrr_stack+1518, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+947, r12vrr_stack+40, r12vrr_stack+782, r12vrr_stack+1521, NULL);

 /*--- compute (00|h0)^7 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2550, r12vrr_stack+1527, r12vrr_stack+80, r12vrr_stack+788, r12vrr_stack+947, NULL);

 /*--- compute (00|i0)^6 ---*/
 _BUILD_00i0(Data,r12vrr_stack+6353, r12vrr_stack+4543, r12vrr_stack+2550, r12vrr_stack+3084, r12vrr_stack+1527, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6381, r12vrr_stack+4564, r12vrr_stack+6353, r12vrr_stack+3099, r12vrr_stack+4543, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6417, r12vrr_stack+4592, r12vrr_stack+6381, r12vrr_stack+3120, r12vrr_stack+4564, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6462, r12vrr_stack+4628, r12vrr_stack+6417, r12vrr_stack+3148, r12vrr_stack+4592, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6517, r12vrr_stack+5638, r12vrr_stack+6462, NULL, NULL, r12vrr_stack+4628);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6682, r12vrr_stack+5693, r12vrr_stack+6517, r12vrr_stack+5528, r12vrr_stack+5638, r12vrr_stack+4673);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7012, r12vrr_stack+6023, r12vrr_stack+6682, r12vrr_stack+5858, r12vrr_stack+5693, r12vrr_stack+4808);
 tmp = r12vrr_stack + 7012;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7562, r12vrr_stack+5528, r12vrr_stack+5638, r12vrr_stack+3868, r12vrr_stack+3958, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7628, r12vrr_stack+5583, r12vrr_stack+5528, r12vrr_stack+3913, r12vrr_stack+3868, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7694, r12vrr_stack+5638, r12vrr_stack+6462, r12vrr_stack+3958, r12vrr_stack+4628, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7760, r12vrr_stack+7562, r12vrr_stack+7694, NULL, NULL, r12vrr_stack+5638);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7958, r12vrr_stack+7628, r12vrr_stack+7562, NULL, NULL, r12vrr_stack+5528);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8156, r12vrr_stack+7958, r12vrr_stack+7760, r12vrr_stack+7628, r12vrr_stack+7562, r12vrr_stack+5693);
 tmp = r12vrr_stack + 8156;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3868, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3871, r12vrr_stack+31, r12vrr_stack+3868, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3877, r12vrr_stack+2544, r12vrr_stack+3871, r12vrr_stack+1518, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3887, r12vrr_stack+40, r12vrr_stack+3877, r12vrr_stack+1521, r12vrr_stack+2544, NULL);

 /*--- compute (00|h0)^8 ---*/
 _BUILD_00h0(Data,r12vrr_stack+779, r12vrr_stack+80, r12vrr_stack+3887, r12vrr_stack+947, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^7 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3084, r12vrr_stack+2550, r12vrr_stack+779, r12vrr_stack+1527, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8552, r12vrr_stack+6353, r12vrr_stack+3084, r12vrr_stack+4543, r12vrr_stack+2550, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8588, r12vrr_stack+6381, r12vrr_stack+8552, r12vrr_stack+4564, r12vrr_stack+6353, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8633, r12vrr_stack+6417, r12vrr_stack+8588, r12vrr_stack+4592, r12vrr_stack+6381, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8688, r12vrr_stack+6462, r12vrr_stack+8633, r12vrr_stack+4628, r12vrr_stack+6417, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8754, r12vrr_stack+7694, r12vrr_stack+8688, NULL, NULL, r12vrr_stack+6462);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+7760, r12vrr_stack+8754, r12vrr_stack+7562, r12vrr_stack+7694, r12vrr_stack+6517);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9348, r12vrr_stack+8156, r12vrr_stack+8952, r12vrr_stack+7958, r12vrr_stack+7760, r12vrr_stack+6682);
 tmp = r12vrr_stack + 9348;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10008, r12vrr_stack+7562, r12vrr_stack+7694, r12vrr_stack+5528, r12vrr_stack+5638, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10086, r12vrr_stack+7628, r12vrr_stack+7562, r12vrr_stack+5583, r12vrr_stack+5528, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10164, r12vrr_stack+7694, r12vrr_stack+8688, r12vrr_stack+5638, r12vrr_stack+6462, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10242, r12vrr_stack+10008, r12vrr_stack+10164, NULL, NULL, r12vrr_stack+7694);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10476, r12vrr_stack+10086, r12vrr_stack+10008, NULL, NULL, r12vrr_stack+7562);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10710, r12vrr_stack+10476, r12vrr_stack+10242, r12vrr_stack+10086, r12vrr_stack+10008, r12vrr_stack+7760);
 tmp = r12vrr_stack + 10710;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2571, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+10086, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+10104, r12vrr_stack+331, r12vrr_stack+10086, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+2571);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+7562, r12vrr_stack+126, r12vrr_stack+448, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+11178, r12vrr_stack+349, r12vrr_stack+7562, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+10086);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+11238, r12vrr_stack+379, r12vrr_stack+11178, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+10104);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+10086, r12vrr_stack+458, r12vrr_stack+957, NULL, NULL, r12vrr_stack+448);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+331, r12vrr_stack+473, r12vrr_stack+10086, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+7562);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+11338, r12vrr_stack+518, r12vrr_stack+331, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+11178);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+11488, r12vrr_stack+608, r12vrr_stack+11338, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+11238);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+11178, r12vrr_stack+972, r12vrr_stack+1963, NULL, NULL, r12vrr_stack+957);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+421, r12vrr_stack+993, r12vrr_stack+11178, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+10086);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+11713, r12vrr_stack+1056, r12vrr_stack+421, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+331);

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+11923, r12vrr_stack+1308, r12vrr_stack+11713, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+11338);
 tmp = r12vrr_stack + 11923;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+331, r12vrr_stack+1984, r12vrr_stack+3120, NULL, NULL, r12vrr_stack+1963);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+11241, r12vrr_stack+2012, r12vrr_stack+331, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+11178);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+12238, r12vrr_stack+2096, r12vrr_stack+11241, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+421);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+12518, r12vrr_stack+2264, r12vrr_stack+12238, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+11713);
 tmp = r12vrr_stack + 12518;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11713, r12vrr_stack+3148, r12vrr_stack+4592, NULL, NULL, r12vrr_stack+3120);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+3184, r12vrr_stack+11713, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+331);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12938, r12vrr_stack+3292, r12vrr_stack+947, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+11241);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13298, r12vrr_stack+3508, r12vrr_stack+12938, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+12238);
 tmp = r12vrr_stack + 13298;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12238, r12vrr_stack+4628, r12vrr_stack+6417, NULL, NULL, r12vrr_stack+4592);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+4673, r12vrr_stack+12238, r12vrr_stack+3958, r12vrr_stack+4628, r12vrr_stack+11713);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13838, r12vrr_stack+4808, r12vrr_stack+331, r12vrr_stack+4003, r12vrr_stack+4673, r12vrr_stack+947);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14288, r12vrr_stack+5078, r12vrr_stack+13838, r12vrr_stack+4273, r12vrr_stack+4808, r12vrr_stack+12938);
 tmp = r12vrr_stack + 14288;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12938, r12vrr_stack+6462, r12vrr_stack+8633, NULL, NULL, r12vrr_stack+6417);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+6517, r12vrr_stack+12938, r12vrr_stack+5638, r12vrr_stack+6462, r12vrr_stack+12238);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14963, r12vrr_stack+6682, r12vrr_stack+4543, r12vrr_stack+5693, r12vrr_stack+6517, r12vrr_stack+331);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15513, r12vrr_stack+7012, r12vrr_stack+14963, r12vrr_stack+6023, r12vrr_stack+6682, r12vrr_stack+13838);
 tmp = r12vrr_stack + 15513;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+3868, r12vrr_stack+0, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13838, r12vrr_stack+3871, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3868, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13848, r12vrr_stack+3877, r12vrr_stack+13838, r12vrr_stack+2544, r12vrr_stack+3871, NULL);

 /*--- compute (00|h0)^9 ---*/
 _BUILD_00h0(Data,r12vrr_stack+758, r12vrr_stack+3887, r12vrr_stack+13848, r12vrr_stack+40, r12vrr_stack+3877, NULL);

 /*--- compute (00|i0)^8 ---*/
 _BUILD_00i0(Data,r12vrr_stack+1518, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+80, r12vrr_stack+3887, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13838, r12vrr_stack+3084, r12vrr_stack+1518, r12vrr_stack+2550, r12vrr_stack+779, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+8552, r12vrr_stack+13838, r12vrr_stack+6353, r12vrr_stack+3084, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5528, r12vrr_stack+8588, r12vrr_stack+3868, r12vrr_stack+6381, r12vrr_stack+8552, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7562, r12vrr_stack+8633, r12vrr_stack+5528, r12vrr_stack+6417, r12vrr_stack+8588, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3084, r12vrr_stack+8688, r12vrr_stack+7562, NULL, NULL, r12vrr_stack+8633);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13838, r12vrr_stack+8754, r12vrr_stack+3084, r12vrr_stack+7694, r12vrr_stack+8688, r12vrr_stack+12938);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16338, r12vrr_stack+8952, r12vrr_stack+13838, r12vrr_stack+7760, r12vrr_stack+8754, r12vrr_stack+4543);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16998, r12vrr_stack+9348, r12vrr_stack+16338, r12vrr_stack+8156, r12vrr_stack+8952, r12vrr_stack+14963);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10086, r12vrr_stack+8688, r12vrr_stack+7562, r12vrr_stack+6462, r12vrr_stack+8633, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14963, r12vrr_stack+10164, r12vrr_stack+10086, NULL, NULL, r12vrr_stack+8688);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16338, r12vrr_stack+10242, r12vrr_stack+14963, r12vrr_stack+10008, r12vrr_stack+10164, r12vrr_stack+8754);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17988, r12vrr_stack+10710, r12vrr_stack+16338, r12vrr_stack+10476, r12vrr_stack+10242, r12vrr_stack+8952);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+16338, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+95, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+16344, r12vrr_stack+16338, r12vrr_stack+0, r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+16344, r12vrr_stack+16338, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+95, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+16344, r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+101, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+16338, r12vrr_stack+15, NULL, r12vrr_stack+884, r12vrr_stack+863, NULL, r12vrr_stack+111);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+16401, r12vrr_stack+16338, r12vrr_stack+15, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+196);
 tmp = r12vrr_stack + 16401;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+111, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+16527, r12vrr_stack+1518, NULL, r12vrr_stack+1686, r12vrr_stack+1546, NULL, r12vrr_stack+863);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+16611, r12vrr_stack+16527, r12vrr_stack+1518, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+884);
 tmp = r12vrr_stack + 16611;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+863, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+0, r12vrr_stack+2544, NULL, r12vrr_stack+2760, r12vrr_stack+2580, NULL, r12vrr_stack+1546);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+16779, r12vrr_stack+0, r12vrr_stack+2544, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+1686);
 tmp = r12vrr_stack + 16779;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+3913, r12vrr_stack+2580, r12vrr_stack+1546, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1518, r12vrr_stack+3868, NULL, r12vrr_stack+4138, r12vrr_stack+3913, NULL, r12vrr_stack+2580);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+10008, r12vrr_stack+1518, r12vrr_stack+3868, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+3913, r12vrr_stack+2760);
 tmp = r12vrr_stack + 10008;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5528, r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+5583, r12vrr_stack+3913, r12vrr_stack+2580, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+5528, NULL, r12vrr_stack+5858, r12vrr_stack+5583, NULL, r12vrr_stack+3913);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14963, r12vrr_stack+2544, r12vrr_stack+5528, r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+5583, r12vrr_stack+4138);
 tmp = r12vrr_stack + 14963;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7562, r12vrr_stack+5528, r12vrr_stack+3868, r12vrr_stack+7628, r12vrr_stack+5583, r12vrr_stack+3913, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10278, r12vrr_stack+7562, NULL, r12vrr_stack+7958, r12vrr_stack+7628, NULL, r12vrr_stack+5583);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+10278, r12vrr_stack+7562, r12vrr_stack+8156, r12vrr_stack+7958, r12vrr_stack+7628, r12vrr_stack+5858);
 tmp = r12vrr_stack + 4543;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+758, r12vrr_stack+1182, r12vrr_stack+1770, r12vrr_stack+1308, r12vrr_stack+608, r12vrr_stack+241);
 tmp = r12vrr_stack + 758;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7562, r12vrr_stack+1770, r12vrr_stack+2868, r12vrr_stack+2264, r12vrr_stack+1308, r12vrr_stack+1182);
 tmp = r12vrr_stack + 7562;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7730, r12vrr_stack+2868, r12vrr_stack+4273, r12vrr_stack+3508, r12vrr_stack+2264, r12vrr_stack+1770);
 tmp = r12vrr_stack + 7730;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3868, r12vrr_stack+4273, r12vrr_stack+6023, r12vrr_stack+5078, r12vrr_stack+3508, r12vrr_stack+2868);
 tmp = r12vrr_stack + 3868;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5528, r12vrr_stack+6023, r12vrr_stack+8156, r12vrr_stack+7012, r12vrr_stack+5078, r12vrr_stack+4273);
 tmp = r12vrr_stack + 5528;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13838, r12vrr_stack+8156, r12vrr_stack+10710, r12vrr_stack+9348, r12vrr_stack+7012, r12vrr_stack+6023);
 tmp = r12vrr_stack + 13838;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11713, r12vrr_stack+1308, r12vrr_stack+2264, r12vrr_stack+11923, r12vrr_stack+11488, r12vrr_stack+608);
 tmp = r12vrr_stack + 11713;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12238, r12vrr_stack+2264, r12vrr_stack+3508, r12vrr_stack+12518, r12vrr_stack+11923, r12vrr_stack+1308);
 tmp = r12vrr_stack + 12238;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12938, r12vrr_stack+3508, r12vrr_stack+5078, r12vrr_stack+13298, r12vrr_stack+12518, r12vrr_stack+2264);
 tmp = r12vrr_stack + 12938;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8552, r12vrr_stack+5078, r12vrr_stack+7012, r12vrr_stack+14288, r12vrr_stack+13298, r12vrr_stack+3508);
 tmp = r12vrr_stack + 8552;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6353, r12vrr_stack+7012, r12vrr_stack+9348, r12vrr_stack+15513, r12vrr_stack+14288, r12vrr_stack+5078);
 tmp = r12vrr_stack + 6353;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18768, r12vrr_stack+9348, r12vrr_stack+17988, r12vrr_stack+16998, r12vrr_stack+15513, r12vrr_stack+7012);
 tmp = r12vrr_stack + 18768;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+108, r12vrr_stack+1182, r12vrr_stack+1308, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+884);
 tmp = r12vrr_stack + 108;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15293, r12vrr_stack+1770, r12vrr_stack+2264, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1686);
 tmp = r12vrr_stack + 15293;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3084, r12vrr_stack+2868, r12vrr_stack+3508, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+2760);
 tmp = r12vrr_stack + 3084;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9002, r12vrr_stack+4273, r12vrr_stack+5078, r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+4138);
 tmp = r12vrr_stack + 9002;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+331, r12vrr_stack+6023, r12vrr_stack+7012, r12vrr_stack+8156, r12vrr_stack+7958, r12vrr_stack+5858);
 tmp = r12vrr_stack + 331;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11178, r12vrr_stack+8156, r12vrr_stack+9348, r12vrr_stack+10710, r12vrr_stack+10476, r12vrr_stack+7958);
 tmp = r12vrr_stack + 11178;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10476, r12vrr_stack+1308, r12vrr_stack+11923, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1182);
 tmp = r12vrr_stack + 10476;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11923, r12vrr_stack+2264, r12vrr_stack+12518, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+1770);
 tmp = r12vrr_stack + 11923;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12518, r12vrr_stack+3508, r12vrr_stack+13298, r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+2868);
 tmp = r12vrr_stack + 12518;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13298, r12vrr_stack+5078, r12vrr_stack+14288, r12vrr_stack+7012, r12vrr_stack+6023, r12vrr_stack+4273);
 tmp = r12vrr_stack + 13298;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14234, r12vrr_stack+7012, r12vrr_stack+15513, r12vrr_stack+9348, r12vrr_stack+8156, r12vrr_stack+6023);
 tmp = r12vrr_stack + 14234;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15461, r12vrr_stack+9348, r12vrr_stack+16998, r12vrr_stack+17988, r12vrr_stack+10710, r12vrr_stack+8156);
 tmp = r12vrr_stack + 15461;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+10686, r12vrr_stack+16401, r12vrr_stack+16338, r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+241);
 tmp = r12vrr_stack + 10686;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+884, r12vrr_stack+16611, r12vrr_stack+16527, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1182);
 tmp = r12vrr_stack + 884;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+16995, r12vrr_stack+16779, r12vrr_stack+0, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1770);
 tmp = r12vrr_stack + 16995;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+1653, r12vrr_stack+10008, r12vrr_stack+1518, r12vrr_stack+5078, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+2868);
 tmp = r12vrr_stack + 1653;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17355, r12vrr_stack+14963, r12vrr_stack+2544, r12vrr_stack+7012, r12vrr_stack+6023, r12vrr_stack+5858, r12vrr_stack+4273);
 tmp = r12vrr_stack + 17355;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2103, r12vrr_stack+4543, r12vrr_stack+10278, r12vrr_stack+9348, r12vrr_stack+8156, r12vrr_stack+7958, r12vrr_stack+6023);
 tmp = r12vrr_stack + 2103;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];


}

