#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fdgg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+3);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+476, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+479, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+488, r12vrr_stack+6, r12vrr_stack+479, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+476);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+506, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+524, r12vrr_stack+39, r12vrr_stack+506, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+479);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+560, r12vrr_stack+75, r12vrr_stack+524, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+488);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+57, r12vrr_stack+21, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63, r12vrr_stack+210, r12vrr_stack+57, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+620, r12vrr_stack+216, r12vrr_stack+63, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+650, r12vrr_stack+226, r12vrr_stack+620, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+506);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+256, r12vrr_stack+650, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+524);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+376, r12vrr_stack+710, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+560);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+990, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1005, r12vrr_stack+960, r12vrr_stack+990, NULL, NULL, r12vrr_stack+216);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1095, r12vrr_stack+1050, r12vrr_stack+1005, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+226);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1185, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1200, r12vrr_stack+1185, r12vrr_stack+975, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+1050, r12vrr_stack+1185, r12vrr_stack+975, r12vrr_stack+131);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+131, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+134, r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+144, r12vrr_stack+63, r12vrr_stack+134, r12vrr_stack+210, r12vrr_stack+57, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1335, r12vrr_stack+990, r12vrr_stack+144, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1380, r12vrr_stack+1005, r12vrr_stack+1335, r12vrr_stack+960, r12vrr_stack+990, r12vrr_stack+620);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1470, r12vrr_stack+1095, r12vrr_stack+1380, r12vrr_stack+1050, r12vrr_stack+1005, r12vrr_stack+650);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+1095, r12vrr_stack+1200, r12vrr_stack+1050, r12vrr_stack+256);
 tmp = r12vrr_stack + 1620;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+1470, r12vrr_stack+1245, r12vrr_stack+1095, r12vrr_stack+710);
 tmp = r12vrr_stack + 1770;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1995, r12vrr_stack+960, r12vrr_stack+990, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2016, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2037, r12vrr_stack+2016, r12vrr_stack+1995, NULL, NULL, r12vrr_stack+960);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2100, r12vrr_stack+1185, r12vrr_stack+975, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2121, r12vrr_stack+2100, r12vrr_stack+2016, NULL, NULL, r12vrr_stack+975);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2184, r12vrr_stack+990, r12vrr_stack+144, r12vrr_stack+216, r12vrr_stack+63, NULL);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2205, r12vrr_stack+1995, r12vrr_stack+2184, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+2268, r12vrr_stack+2037, r12vrr_stack+2205, r12vrr_stack+2016, r12vrr_stack+1995, r12vrr_stack+1005);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+2037, r12vrr_stack+2100, r12vrr_stack+2016, r12vrr_stack+1050);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+2268, r12vrr_stack+2121, r12vrr_stack+2037, r12vrr_stack+1095);
 tmp = r12vrr_stack + 2520;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1050, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+131, r12vrr_stack+1050, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1053, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+131, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1063, r12vrr_stack+134, r12vrr_stack+1053, r12vrr_stack+57, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2730, r12vrr_stack+144, r12vrr_stack+1063, r12vrr_stack+63, r12vrr_stack+134, NULL);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2751, r12vrr_stack+2184, r12vrr_stack+2730, NULL, NULL, r12vrr_stack+144);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+2814, r12vrr_stack+2205, r12vrr_stack+2751, r12vrr_stack+1995, r12vrr_stack+2184, r12vrr_stack+1335);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2940, r12vrr_stack+2268, r12vrr_stack+2814, r12vrr_stack+2037, r12vrr_stack+2205, r12vrr_stack+1380);

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+2940, r12vrr_stack+2394, r12vrr_stack+2268, r12vrr_stack+1470);
 tmp = r12vrr_stack + 3150;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3465, r12vrr_stack+1995, r12vrr_stack+2184, r12vrr_stack+960, r12vrr_stack+990, NULL);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3493, r12vrr_stack+2016, r12vrr_stack+1995, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3521, r12vrr_stack+3493, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+1995);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3605, r12vrr_stack+2100, r12vrr_stack+2016, r12vrr_stack+1185, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3633, r12vrr_stack+3605, r12vrr_stack+3493, NULL, NULL, r12vrr_stack+2016);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+960, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+990, r12vrr_stack+144, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3717, r12vrr_stack+3465, r12vrr_stack+960, NULL, NULL, r12vrr_stack+2184);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+3801, r12vrr_stack+3521, r12vrr_stack+3717, r12vrr_stack+3493, r12vrr_stack+3465, r12vrr_stack+2205);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+3521, r12vrr_stack+3605, r12vrr_stack+3493, r12vrr_stack+2037);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+3801, r12vrr_stack+3633, r12vrr_stack+3521, r12vrr_stack+2268);
 tmp = r12vrr_stack + 4137;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2037, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2040, r12vrr_stack+1050, r12vrr_stack+2037, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2046, r12vrr_stack+15, r12vrr_stack+2040, r12vrr_stack+131, r12vrr_stack+1050, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2056, r12vrr_stack+1053, r12vrr_stack+2046, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2071, r12vrr_stack+1063, r12vrr_stack+2056, r12vrr_stack+134, r12vrr_stack+1053, NULL);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4417, r12vrr_stack+2730, r12vrr_stack+2071, r12vrr_stack+144, r12vrr_stack+1063, NULL);

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4445, r12vrr_stack+960, r12vrr_stack+4417, NULL, NULL, r12vrr_stack+2730);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+4529, r12vrr_stack+3717, r12vrr_stack+4445, r12vrr_stack+3465, r12vrr_stack+960, r12vrr_stack+2751);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+4697, r12vrr_stack+3801, r12vrr_stack+4529, r12vrr_stack+3521, r12vrr_stack+3717, r12vrr_stack+2814);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+4697, r12vrr_stack+3969, r12vrr_stack+3801, r12vrr_stack+2940);
 tmp = r12vrr_stack + 4977;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5397, r12vrr_stack+3465, r12vrr_stack+960, r12vrr_stack+1995, r12vrr_stack+2184, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5433, r12vrr_stack+3493, r12vrr_stack+3465, r12vrr_stack+2016, r12vrr_stack+1995, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5469, r12vrr_stack+5433, r12vrr_stack+5397, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5577, r12vrr_stack+3605, r12vrr_stack+3493, r12vrr_stack+2100, r12vrr_stack+2016, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5613, r12vrr_stack+5577, r12vrr_stack+5433, NULL, NULL, r12vrr_stack+3493);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1995, r12vrr_stack+960, r12vrr_stack+4417, r12vrr_stack+2184, r12vrr_stack+2730, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5721, r12vrr_stack+5397, r12vrr_stack+1995, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5829, r12vrr_stack+5469, r12vrr_stack+5721, r12vrr_stack+5433, r12vrr_stack+5397, r12vrr_stack+3717);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+5469, r12vrr_stack+5577, r12vrr_stack+5433, r12vrr_stack+3521);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+5829, r12vrr_stack+5613, r12vrr_stack+5469, r12vrr_stack+3801);
 tmp = r12vrr_stack + 6261;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3521, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2031, r12vrr_stack+2037, r12vrr_stack+3521, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3524, r12vrr_stack+2040, r12vrr_stack+2031, r12vrr_stack+1050, r12vrr_stack+2037, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3534, r12vrr_stack+2046, r12vrr_stack+3524, r12vrr_stack+15, r12vrr_stack+2040, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3549, r12vrr_stack+2056, r12vrr_stack+3534, r12vrr_stack+1053, r12vrr_stack+2046, NULL);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3570, r12vrr_stack+2071, r12vrr_stack+3549, r12vrr_stack+1063, r12vrr_stack+2056, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6621, r12vrr_stack+4417, r12vrr_stack+3570, r12vrr_stack+2730, r12vrr_stack+2071, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6657, r12vrr_stack+1995, r12vrr_stack+6621, NULL, NULL, r12vrr_stack+4417);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6765, r12vrr_stack+5721, r12vrr_stack+6657, r12vrr_stack+5397, r12vrr_stack+1995, r12vrr_stack+4445);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6981, r12vrr_stack+5829, r12vrr_stack+6765, r12vrr_stack+5469, r12vrr_stack+5721, r12vrr_stack+4529);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+6981, r12vrr_stack+6045, r12vrr_stack+5829, r12vrr_stack+4697);
 tmp = r12vrr_stack + 7341;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7881, r12vrr_stack+5397, r12vrr_stack+1995, r12vrr_stack+3465, r12vrr_stack+960, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+5433, r12vrr_stack+5397, r12vrr_stack+3493, r12vrr_stack+3465, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7971, r12vrr_stack+7926, r12vrr_stack+7881, NULL, NULL, r12vrr_stack+5397);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8106, r12vrr_stack+5577, r12vrr_stack+5433, r12vrr_stack+3605, r12vrr_stack+3493, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8151, r12vrr_stack+8106, r12vrr_stack+7926, NULL, NULL, r12vrr_stack+5433);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+1995, r12vrr_stack+6621, r12vrr_stack+960, r12vrr_stack+4417, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8286, r12vrr_stack+7881, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+1995);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8421, r12vrr_stack+7971, r12vrr_stack+8286, r12vrr_stack+7926, r12vrr_stack+7881, r12vrr_stack+5721);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+7971, r12vrr_stack+8106, r12vrr_stack+7926, r12vrr_stack+5469);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+8421, r12vrr_stack+8151, r12vrr_stack+7971, r12vrr_stack+5829);
 tmp = r12vrr_stack + 8961;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1050, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3521, r12vrr_stack+1050, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5469, r12vrr_stack+2031, r12vrr_stack+15, r12vrr_stack+2037, r12vrr_stack+3521, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5479, r12vrr_stack+3524, r12vrr_stack+5469, r12vrr_stack+2040, r12vrr_stack+2031, NULL);

 /*--- compute (00|h0)^7 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5494, r12vrr_stack+3534, r12vrr_stack+5479, r12vrr_stack+2046, r12vrr_stack+3524, NULL);

 /*--- compute (00|i0)^6 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5515, r12vrr_stack+3549, r12vrr_stack+5494, r12vrr_stack+2056, r12vrr_stack+3534, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9411, r12vrr_stack+3570, r12vrr_stack+5515, r12vrr_stack+2071, r12vrr_stack+3549, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9447, r12vrr_stack+6621, r12vrr_stack+9411, r12vrr_stack+4417, r12vrr_stack+3570, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9492, r12vrr_stack+3465, r12vrr_stack+9447, NULL, NULL, r12vrr_stack+6621);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9627, r12vrr_stack+8286, r12vrr_stack+9492, r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+6657);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9897, r12vrr_stack+8421, r12vrr_stack+9627, r12vrr_stack+7971, r12vrr_stack+8286, r12vrr_stack+6765);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+9897, r12vrr_stack+8691, r12vrr_stack+8421, r12vrr_stack+6981);
 tmp = r12vrr_stack + 10347;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+5397, r12vrr_stack+1995, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11077, r12vrr_stack+7926, r12vrr_stack+7881, r12vrr_stack+5433, r12vrr_stack+5397, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11132, r12vrr_stack+11077, r12vrr_stack+11022, NULL, NULL, r12vrr_stack+7881);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11297, r12vrr_stack+8106, r12vrr_stack+7926, r12vrr_stack+5577, r12vrr_stack+5433, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11352, r12vrr_stack+11297, r12vrr_stack+11077, NULL, NULL, r12vrr_stack+7926);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+9447, r12vrr_stack+1995, r12vrr_stack+6621, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11517, r12vrr_stack+11022, r12vrr_stack+7881, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11682, r12vrr_stack+11132, r12vrr_stack+11517, r12vrr_stack+11077, r12vrr_stack+11022, r12vrr_stack+8286);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12012, r12vrr_stack+11352, r12vrr_stack+11132, r12vrr_stack+11297, r12vrr_stack+11077, r12vrr_stack+7971);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12342, r12vrr_stack+12012, r12vrr_stack+11682, r12vrr_stack+11352, r12vrr_stack+11132, r12vrr_stack+8421);
 tmp = r12vrr_stack + 12342;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+11077, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+11080, r12vrr_stack+476, r12vrr_stack+11077, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+11086, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+11095, r12vrr_stack+479, r12vrr_stack+11086, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+11077);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+11297, r12vrr_stack+488, r12vrr_stack+11095, r12vrr_stack+6, r12vrr_stack+479, r12vrr_stack+11080);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+11113, r12vrr_stack+210, r12vrr_stack+57, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+11327, r12vrr_stack+506, r12vrr_stack+11113, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+11086);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+11363, r12vrr_stack+524, r12vrr_stack+11327, r12vrr_stack+39, r12vrr_stack+506, r12vrr_stack+11095);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+11423, r12vrr_stack+560, r12vrr_stack+11363, r12vrr_stack+75, r12vrr_stack+524, r12vrr_stack+11297);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+7936, r12vrr_stack+63, r12vrr_stack+134, NULL, NULL, r12vrr_stack+57);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7966, r12vrr_stack+620, r12vrr_stack+7936, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+11113);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12892, r12vrr_stack+650, r12vrr_stack+7966, r12vrr_stack+226, r12vrr_stack+620, r12vrr_stack+11327);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12992, r12vrr_stack+710, r12vrr_stack+12892, r12vrr_stack+256, r12vrr_stack+650, r12vrr_stack+11363);

 /*--- compute (h0|f0)^0 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+13142, r12vrr_stack+810, r12vrr_stack+12992, r12vrr_stack+376, r12vrr_stack+710, r12vrr_stack+11423);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+216, r12vrr_stack+144, r12vrr_stack+1063, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+13352, r12vrr_stack+1335, r12vrr_stack+216, r12vrr_stack+990, r12vrr_stack+144, r12vrr_stack+7936);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+13442, r12vrr_stack+1380, r12vrr_stack+13352, r12vrr_stack+1005, r12vrr_stack+1335, r12vrr_stack+7966);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13592, r12vrr_stack+1470, r12vrr_stack+13442, r12vrr_stack+1095, r12vrr_stack+1380, r12vrr_stack+12892);

 /*--- compute (h0|g0)^0 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+13817, r12vrr_stack+1770, r12vrr_stack+13592, r12vrr_stack+1620, r12vrr_stack+1470, r12vrr_stack+12992);
 tmp = r12vrr_stack + 13817;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^4 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+8026, r12vrr_stack+2730, r12vrr_stack+2071, NULL, NULL, r12vrr_stack+1063);

 /*--- compute (d0|h0)^3 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+14132, r12vrr_stack+2751, r12vrr_stack+8026, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+216);

 /*--- compute (f0|h0)^2 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+14258, r12vrr_stack+2814, r12vrr_stack+14132, r12vrr_stack+2205, r12vrr_stack+2751, r12vrr_stack+13352);

 /*--- compute (g0|h0)^1 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+14468, r12vrr_stack+2940, r12vrr_stack+14258, r12vrr_stack+2268, r12vrr_stack+2814, r12vrr_stack+13442);

 /*--- compute (h0|h0)^0 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+14468, r12vrr_stack+2520, r12vrr_stack+2940, r12vrr_stack+13592);
 tmp = r12vrr_stack + 14783;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+2184, r12vrr_stack+4417, r12vrr_stack+3570, NULL, NULL, r12vrr_stack+2071);

 /*--- compute (d0|i0)^3 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+15224, r12vrr_stack+4445, r12vrr_stack+2184, r12vrr_stack+960, r12vrr_stack+4417, r12vrr_stack+8026);

 /*--- compute (f0|i0)^2 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+15392, r12vrr_stack+4529, r12vrr_stack+15224, r12vrr_stack+3717, r12vrr_stack+4445, r12vrr_stack+14132);

 /*--- compute (g0|i0)^1 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+15672, r12vrr_stack+4697, r12vrr_stack+15392, r12vrr_stack+3801, r12vrr_stack+4529, r12vrr_stack+14258);

 /*--- compute (h0|i0)^0 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+15672, r12vrr_stack+4137, r12vrr_stack+4697, r12vrr_stack+14468);
 tmp = r12vrr_stack + 16092;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3717, r12vrr_stack+6621, r12vrr_stack+9411, NULL, NULL, r12vrr_stack+3570);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16680, r12vrr_stack+6657, r12vrr_stack+3717, r12vrr_stack+1995, r12vrr_stack+6621, r12vrr_stack+2184);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16896, r12vrr_stack+6765, r12vrr_stack+16680, r12vrr_stack+5721, r12vrr_stack+6657, r12vrr_stack+15224);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17256, r12vrr_stack+6981, r12vrr_stack+16896, r12vrr_stack+5829, r12vrr_stack+6765, r12vrr_stack+15392);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+17256, r12vrr_stack+6261, r12vrr_stack+6981, r12vrr_stack+15672);
 tmp = r12vrr_stack + 17796;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5721, r12vrr_stack+1050, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5727, r12vrr_stack+15, r12vrr_stack+5721, r12vrr_stack+3521, r12vrr_stack+1050, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5737, r12vrr_stack+5469, r12vrr_stack+5727, r12vrr_stack+2031, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^8 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5752, r12vrr_stack+5479, r12vrr_stack+5737, r12vrr_stack+3524, r12vrr_stack+5469, NULL);

 /*--- compute (00|i0)^7 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5773, r12vrr_stack+5494, r12vrr_stack+5752, r12vrr_stack+3534, r12vrr_stack+5479, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5801, r12vrr_stack+5515, r12vrr_stack+5773, r12vrr_stack+3549, r12vrr_stack+5494, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5837, r12vrr_stack+9411, r12vrr_stack+5801, r12vrr_stack+3570, r12vrr_stack+5515, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5882, r12vrr_stack+9447, r12vrr_stack+5837, NULL, NULL, r12vrr_stack+9411);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18552, r12vrr_stack+9492, r12vrr_stack+5882, r12vrr_stack+3465, r12vrr_stack+9447, r12vrr_stack+3717);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18822, r12vrr_stack+9627, r12vrr_stack+18552, r12vrr_stack+8286, r12vrr_stack+9492, r12vrr_stack+16680);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19272, r12vrr_stack+9897, r12vrr_stack+18822, r12vrr_stack+8421, r12vrr_stack+9627, r12vrr_stack+16896);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+19272, r12vrr_stack+8961, r12vrr_stack+9897, r12vrr_stack+17256);
 tmp = r12vrr_stack + 19947;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+261, r12vrr_stack+9447, r12vrr_stack+5837, r12vrr_stack+6621, r12vrr_stack+9411, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8286, r12vrr_stack+7881, r12vrr_stack+261, NULL, NULL, r12vrr_stack+9447);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20892, r12vrr_stack+11517, r12vrr_stack+8286, r12vrr_stack+11022, r12vrr_stack+7881, r12vrr_stack+9492);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21222, r12vrr_stack+11682, r12vrr_stack+20892, r12vrr_stack+11132, r12vrr_stack+11517, r12vrr_stack+9627);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21772, r12vrr_stack+12342, r12vrr_stack+21222, r12vrr_stack+12012, r12vrr_stack+11682, r12vrr_stack+9897);
 tmp = r12vrr_stack + 21772;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+11022, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+11025, r12vrr_stack+11077, r12vrr_stack+11022, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+11031, r12vrr_stack+11080, r12vrr_stack+11025, r12vrr_stack+476, r12vrr_stack+11077, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+11041, r12vrr_stack+11086, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+11022);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+8451, r12vrr_stack+11095, r12vrr_stack+11041, r12vrr_stack+479, r12vrr_stack+11086, r12vrr_stack+11025);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+8481, r12vrr_stack+11297, r12vrr_stack+8451, r12vrr_stack+488, r12vrr_stack+11095, r12vrr_stack+11031);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+11022, r12vrr_stack+57, r12vrr_stack+24, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+11059, r12vrr_stack+11113, r12vrr_stack+11022, r12vrr_stack+210, r12vrr_stack+57, r12vrr_stack+6);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+8526, r12vrr_stack+11327, r12vrr_stack+11059, r12vrr_stack+506, r12vrr_stack+11113, r12vrr_stack+11041);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+960, r12vrr_stack+11363, r12vrr_stack+8526, r12vrr_stack+524, r12vrr_stack+11327, r12vrr_stack+8451);

 /*--- compute (h0|d0)^1 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+2268, r12vrr_stack+11423, r12vrr_stack+960, r12vrr_stack+560, r12vrr_stack+11363, r12vrr_stack+8481);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+8451, r12vrr_stack+134, r12vrr_stack+1053, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+476, r12vrr_stack+7936, r12vrr_stack+8451, r12vrr_stack+63, r12vrr_stack+134, r12vrr_stack+11022);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+21, r12vrr_stack+7966, r12vrr_stack+476, r12vrr_stack+620, r12vrr_stack+7936, r12vrr_stack+11059);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+11022, r12vrr_stack+12892, r12vrr_stack+21, r12vrr_stack+650, r12vrr_stack+7966, r12vrr_stack+8526);

 /*--- compute (h0|f0)^1 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+8481, r12vrr_stack+12992, r12vrr_stack+11022, r12vrr_stack+710, r12vrr_stack+12892, r12vrr_stack+960);

 /*--- compute (i0|f0)^0 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+11172, r12vrr_stack+13142, r12vrr_stack+8481, r12vrr_stack+810, r12vrr_stack+12992, r12vrr_stack+2268);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2268, r12vrr_stack+1063, r12vrr_stack+2056, NULL, NULL, r12vrr_stack+1053);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+960, r12vrr_stack+216, r12vrr_stack+2268, r12vrr_stack+144, r12vrr_stack+1063, r12vrr_stack+8451);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12892, r12vrr_stack+13352, r12vrr_stack+960, r12vrr_stack+1335, r12vrr_stack+216, r12vrr_stack+476);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+476, r12vrr_stack+13442, r12vrr_stack+12892, r12vrr_stack+1380, r12vrr_stack+13352, r12vrr_stack+21);

 /*--- compute (h0|g0)^1 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+22597, r12vrr_stack+13592, r12vrr_stack+476, r12vrr_stack+1470, r12vrr_stack+13442, r12vrr_stack+11022);

 /*--- compute (i0|g0)^0 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+22912, r12vrr_stack+13817, r12vrr_stack+22597, r12vrr_stack+1770, r12vrr_stack+13592, r12vrr_stack+8481);
 tmp = r12vrr_stack + 22912;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^5 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+11022, r12vrr_stack+2071, r12vrr_stack+3549, NULL, NULL, r12vrr_stack+2056);

 /*--- compute (d0|h0)^4 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+21, r12vrr_stack+8026, r12vrr_stack+11022, r12vrr_stack+2730, r12vrr_stack+2071, r12vrr_stack+2268);

 /*--- compute (f0|h0)^3 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+13352, r12vrr_stack+14132, r12vrr_stack+21, r12vrr_stack+2751, r12vrr_stack+8026, r12vrr_stack+960);

 /*--- compute (g0|h0)^2 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+23332, r12vrr_stack+14258, r12vrr_stack+13352, r12vrr_stack+2814, r12vrr_stack+14132, r12vrr_stack+12892);

 /*--- compute (h0|h0)^1 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+23647, r12vrr_stack+14468, r12vrr_stack+23332, r12vrr_stack+2940, r12vrr_stack+14258, r12vrr_stack+476);

 /*--- compute (i0|h0)^0 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+24088, r12vrr_stack+14783, r12vrr_stack+23647, r12vrr_stack+3150, r12vrr_stack+14468, r12vrr_stack+22597);
 tmp = r12vrr_stack + 24088;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3465, r12vrr_stack+3570, r12vrr_stack+5515, NULL, NULL, r12vrr_stack+3549);

 /*--- compute (d0|i0)^4 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+22597, r12vrr_stack+2184, r12vrr_stack+3465, r12vrr_stack+4417, r12vrr_stack+3570, r12vrr_stack+11022);

 /*--- compute (f0|i0)^3 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+476, r12vrr_stack+15224, r12vrr_stack+22597, r12vrr_stack+4445, r12vrr_stack+2184, r12vrr_stack+21);

 /*--- compute (g0|i0)^2 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+2730, r12vrr_stack+15392, r12vrr_stack+476, r12vrr_stack+4529, r12vrr_stack+15224, r12vrr_stack+13352);

 /*--- compute (h0|i0)^1 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+14132, r12vrr_stack+15672, r12vrr_stack+2730, r12vrr_stack+4697, r12vrr_stack+15392, r12vrr_stack+23332);

 /*--- compute (i0|i0)^0 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+24676, r12vrr_stack+16092, r12vrr_stack+14132, r12vrr_stack+4977, r12vrr_stack+15672, r12vrr_stack+23647);
 tmp = r12vrr_stack + 24676;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23332, r12vrr_stack+9411, r12vrr_stack+5801, NULL, NULL, r12vrr_stack+5515);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23440, r12vrr_stack+3717, r12vrr_stack+23332, r12vrr_stack+6621, r12vrr_stack+9411, r12vrr_stack+3465);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23656, r12vrr_stack+16680, r12vrr_stack+23440, r12vrr_stack+6657, r12vrr_stack+3717, r12vrr_stack+22597);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15224, r12vrr_stack+16896, r12vrr_stack+23656, r12vrr_stack+6765, r12vrr_stack+16680, r12vrr_stack+476);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25460, r12vrr_stack+17256, r12vrr_stack+15224, r12vrr_stack+6981, r12vrr_stack+16896, r12vrr_stack+2730);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26216, r12vrr_stack+17796, r12vrr_stack+25460, r12vrr_stack+7341, r12vrr_stack+17256, r12vrr_stack+14132);
 tmp = r12vrr_stack + 26216;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+14132, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14135, r12vrr_stack+0, r12vrr_stack+14132, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14141, r12vrr_stack+5721, r12vrr_stack+14135, r12vrr_stack+1050, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+5727, r12vrr_stack+14141, r12vrr_stack+15, r12vrr_stack+5721, NULL);

 /*--- compute (00|h0)^9 ---*/
 _BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+5737, r12vrr_stack+0, r12vrr_stack+5469, r12vrr_stack+5727, NULL);

 /*--- compute (00|i0)^8 ---*/
 _BUILD_00i0(Data,r12vrr_stack+6017, r12vrr_stack+5752, r12vrr_stack+15, r12vrr_stack+5479, r12vrr_stack+5737, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+5773, r12vrr_stack+6017, r12vrr_stack+5494, r12vrr_stack+5752, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36, r12vrr_stack+5801, r12vrr_stack+0, r12vrr_stack+5515, r12vrr_stack+5773, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14132, r12vrr_stack+5837, r12vrr_stack+36, NULL, NULL, r12vrr_stack+5801);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14267, r12vrr_stack+5882, r12vrr_stack+14132, r12vrr_stack+9447, r12vrr_stack+5837, r12vrr_stack+23332);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16680, r12vrr_stack+18552, r12vrr_stack+14267, r12vrr_stack+9492, r12vrr_stack+5882, r12vrr_stack+23440);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6621, r12vrr_stack+18822, r12vrr_stack+16680, r12vrr_stack+9627, r12vrr_stack+18552, r12vrr_stack+23656);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16680, r12vrr_stack+19272, r12vrr_stack+6621, r12vrr_stack+9897, r12vrr_stack+18822, r12vrr_stack+15224);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27224, r12vrr_stack+19947, r12vrr_stack+16680, r12vrr_stack+10347, r12vrr_stack+19272, r12vrr_stack+25460);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25460, r12vrr_stack+5837, r12vrr_stack+36, r12vrr_stack+9411, r12vrr_stack+5801, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9411, r12vrr_stack+261, r12vrr_stack+25460, NULL, NULL, r12vrr_stack+5837);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25460, r12vrr_stack+8286, r12vrr_stack+9411, r12vrr_stack+7881, r12vrr_stack+261, r12vrr_stack+5882);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9411, r12vrr_stack+20892, r12vrr_stack+25460, r12vrr_stack+11517, r12vrr_stack+8286, r12vrr_stack+18552);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16680, r12vrr_stack+21222, r12vrr_stack+9411, r12vrr_stack+11682, r12vrr_stack+20892, r12vrr_stack+18822);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28484, r12vrr_stack+21772, r12vrr_stack+16680, r12vrr_stack+12342, r12vrr_stack+21222, r12vrr_stack+19272);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+16680, &(Data->ss_r12_ss), NULL, r12vrr_stack+161, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+16683, r12vrr_stack+16680, &(Data->ss_r12_ss), r12vrr_stack+164, r12vrr_stack+161, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+16689, r12vrr_stack+16683, r12vrr_stack+16680, r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+161, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+16699, r12vrr_stack+16689, r12vrr_stack+16683, r12vrr_stack+1185, r12vrr_stack+170, r12vrr_stack+164, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+16714, r12vrr_stack+16699, NULL, r12vrr_stack+1200, r12vrr_stack+1185, NULL, r12vrr_stack+170);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+16759, r12vrr_stack+16714, r12vrr_stack+16699, r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+1185, r12vrr_stack+180);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+11022, r12vrr_stack+16759, r12vrr_stack+16714, r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+316);
 tmp = r12vrr_stack + 11022;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+7881, r12vrr_stack+11022, r12vrr_stack+16759, r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+376);
 tmp = r12vrr_stack + 7881;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+16714, r12vrr_stack+16699, r12vrr_stack+16689, r12vrr_stack+2100, r12vrr_stack+1185, r12vrr_stack+170, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+16735, r12vrr_stack+16714, NULL, r12vrr_stack+2121, r12vrr_stack+2100, NULL, r12vrr_stack+1185);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+16798, r12vrr_stack+16735, r12vrr_stack+16714, r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+2100, r12vrr_stack+1200);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+2184, r12vrr_stack+16798, r12vrr_stack+16735, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+1245);
 tmp = r12vrr_stack + 2184;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+22597, r12vrr_stack+2184, r12vrr_stack+16798, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+1620);
 tmp = r12vrr_stack + 22597;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+16735, r12vrr_stack+16714, r12vrr_stack+16699, r12vrr_stack+3605, r12vrr_stack+2100, r12vrr_stack+1185, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+16763, r12vrr_stack+16735, NULL, r12vrr_stack+3633, r12vrr_stack+3605, NULL, r12vrr_stack+2100);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+16847, r12vrr_stack+16763, r12vrr_stack+16735, r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+3605, r12vrr_stack+2121);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+17015, r12vrr_stack+16847, r12vrr_stack+16763, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+2394);
 tmp = r12vrr_stack + 17015;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2730, r12vrr_stack+17015, r12vrr_stack+16847, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+2520);
 tmp = r12vrr_stack + 2730;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+16763, r12vrr_stack+16735, r12vrr_stack+16714, r12vrr_stack+5577, r12vrr_stack+3605, r12vrr_stack+2100, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+16799, r12vrr_stack+16763, NULL, r12vrr_stack+5613, r12vrr_stack+5577, NULL, r12vrr_stack+3605);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+17295, r12vrr_stack+16799, r12vrr_stack+16763, r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+5577, r12vrr_stack+3633);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+20892, r12vrr_stack+17295, r12vrr_stack+16799, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+3969);
 tmp = r12vrr_stack + 20892;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+9411, r12vrr_stack+20892, r12vrr_stack+17295, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+4137);
 tmp = r12vrr_stack + 9411;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+17295, r12vrr_stack+16763, r12vrr_stack+16735, r12vrr_stack+8106, r12vrr_stack+5577, r12vrr_stack+3605, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+17340, r12vrr_stack+17295, NULL, r12vrr_stack+8151, r12vrr_stack+8106, NULL, r12vrr_stack+5577);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+17475, r12vrr_stack+17340, r12vrr_stack+17295, r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+8106, r12vrr_stack+5613);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+21252, r12vrr_stack+17475, r12vrr_stack+17340, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+6045);
 tmp = r12vrr_stack + 21252;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+18552, r12vrr_stack+21252, r12vrr_stack+17475, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+6261);
 tmp = r12vrr_stack + 18552;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8106, r12vrr_stack+1620, r12vrr_stack+2520, r12vrr_stack+1770, r12vrr_stack+810, r12vrr_stack+376);
 tmp = r12vrr_stack + 8106;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8256, r12vrr_stack+2520, r12vrr_stack+4137, r12vrr_stack+3150, r12vrr_stack+1770, r12vrr_stack+1620);
 tmp = r12vrr_stack + 8256;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17295, r12vrr_stack+4137, r12vrr_stack+6261, r12vrr_stack+4977, r12vrr_stack+3150, r12vrr_stack+2520);
 tmp = r12vrr_stack + 17295;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9951, r12vrr_stack+6261, r12vrr_stack+8961, r12vrr_stack+7341, r12vrr_stack+4977, r12vrr_stack+4137);
 tmp = r12vrr_stack + 9951;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19227, r12vrr_stack+8961, r12vrr_stack+12342, r12vrr_stack+10347, r12vrr_stack+7341, r12vrr_stack+6261);
 tmp = r12vrr_stack + 19227;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8466, r12vrr_stack+1770, r12vrr_stack+3150, r12vrr_stack+13817, r12vrr_stack+13142, r12vrr_stack+810);
 tmp = r12vrr_stack + 8466;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16680, r12vrr_stack+3150, r12vrr_stack+4977, r12vrr_stack+14783, r12vrr_stack+13817, r12vrr_stack+1770);
 tmp = r12vrr_stack + 16680;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25460, r12vrr_stack+4977, r12vrr_stack+7341, r12vrr_stack+16092, r12vrr_stack+14783, r12vrr_stack+3150);
 tmp = r12vrr_stack + 25460;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15224, r12vrr_stack+7341, r12vrr_stack+10347, r12vrr_stack+17796, r12vrr_stack+16092, r12vrr_stack+4977);
 tmp = r12vrr_stack + 15224;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6621, r12vrr_stack+10347, r12vrr_stack+21772, r12vrr_stack+19947, r12vrr_stack+17796, r12vrr_stack+7341);
 tmp = r12vrr_stack + 6621;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25880, r12vrr_stack+13817, r12vrr_stack+14783, r12vrr_stack+22912, r12vrr_stack+11172, r12vrr_stack+13142);
 tmp = r12vrr_stack + 25880;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11172, r12vrr_stack+14783, r12vrr_stack+16092, r12vrr_stack+24088, r12vrr_stack+22912, r12vrr_stack+13817);
 tmp = r12vrr_stack + 11172;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23332, r12vrr_stack+16092, r12vrr_stack+17796, r12vrr_stack+24676, r12vrr_stack+24088, r12vrr_stack+14783);
 tmp = r12vrr_stack + 23332;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+17796, r12vrr_stack+19947, r12vrr_stack+26216, r12vrr_stack+24676, r12vrr_stack+16092);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29639, r12vrr_stack+19947, r12vrr_stack+28484, r12vrr_stack+27224, r12vrr_stack+26216, r12vrr_stack+17796);
 tmp = r12vrr_stack + 29639;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11613, r12vrr_stack+1620, r12vrr_stack+1770, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+1245);
 tmp = r12vrr_stack + 11613;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11763, r12vrr_stack+2520, r12vrr_stack+3150, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+2394);
 tmp = r12vrr_stack + 11763;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15764, r12vrr_stack+4137, r12vrr_stack+4977, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+3969);
 tmp = r12vrr_stack + 15764;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14132, r12vrr_stack+6261, r12vrr_stack+7341, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+6045);
 tmp = r12vrr_stack + 14132;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+8961, r12vrr_stack+10347, r12vrr_stack+12342, r12vrr_stack+12012, r12vrr_stack+8691);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8691, r12vrr_stack+1770, r12vrr_stack+13817, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+1620);
 tmp = r12vrr_stack + 8691;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11973, r12vrr_stack+3150, r12vrr_stack+14783, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+2520);
 tmp = r12vrr_stack + 11973;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4417, r12vrr_stack+4977, r12vrr_stack+16092, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+4137);
 tmp = r12vrr_stack + 4417;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12892, r12vrr_stack+7341, r12vrr_stack+17796, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+6261);
 tmp = r12vrr_stack + 12892;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5397, r12vrr_stack+10347, r12vrr_stack+19947, r12vrr_stack+21772, r12vrr_stack+12342, r12vrr_stack+8961);
 tmp = r12vrr_stack + 5397;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12288, r12vrr_stack+13817, r12vrr_stack+22912, r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+1770);
 tmp = r12vrr_stack + 12288;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+960, r12vrr_stack+14783, r12vrr_stack+24088, r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+3150);
 tmp = r12vrr_stack + 960;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23920, r12vrr_stack+16092, r12vrr_stack+24676, r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+4977);
 tmp = r12vrr_stack + 23920;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24508, r12vrr_stack+17796, r12vrr_stack+26216, r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+7341);
 tmp = r12vrr_stack + 24508;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26195, r12vrr_stack+19947, r12vrr_stack+27224, r12vrr_stack+28484, r12vrr_stack+21772, r12vrr_stack+10347);
 tmp = r12vrr_stack + 26195;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+22912, r12vrr_stack+7881, r12vrr_stack+11022, r12vrr_stack+13817, r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+810);
 tmp = r12vrr_stack + 22912;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+21702, r12vrr_stack+22597, r12vrr_stack+2184, r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+1770);
 tmp = r12vrr_stack + 21702;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+22143, r12vrr_stack+2730, r12vrr_stack+17015, r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+3150);
 tmp = r12vrr_stack + 22143;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+27140, r12vrr_stack+9411, r12vrr_stack+20892, r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+4977);
 tmp = r12vrr_stack + 27140;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+17575, r12vrr_stack+18552, r12vrr_stack+21252, r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+7341);
 tmp = r12vrr_stack + 17575;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];


}

