#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_h0ff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+40, r12vrr_stack+31, r12vrr_stack+37, NULL, NULL, Data->F+4);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+58, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+0);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+79, r12vrr_stack+76, r12vrr_stack+34, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+76, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+106, r12vrr_stack+37, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+115, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+31, r12vrr_stack+37, r12vrr_stack+6);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+9);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+15);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+193, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+31, r12vrr_stack+37, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+34, r12vrr_stack+31, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+250, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+268, r12vrr_stack+76, r12vrr_stack+34, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+274, r12vrr_stack+268, r12vrr_stack+244, NULL, NULL, r12vrr_stack+34);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+292, r12vrr_stack+37, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+298, r12vrr_stack+238, r12vrr_stack+292, NULL, NULL, r12vrr_stack+37);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+316, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+40);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+352, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+49);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+388, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+58);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+76, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+448, r12vrr_stack+52, r12vrr_stack+268, NULL, NULL, r12vrr_stack+76);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+466, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+79);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+502, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+79, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+82, r12vrr_stack+3, r12vrr_stack+79, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+88, r12vrr_stack+292, r12vrr_stack+82, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+562, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+106);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+598, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+115);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+658, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+133);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+748, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+163);

 /*--- compute (h0|d0)^0 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+838, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+193);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+964, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+967, r12vrr_stack+6, r12vrr_stack+964, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+973, r12vrr_stack+9, r12vrr_stack+967, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+983, r12vrr_stack+21, r12vrr_stack+973, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+79, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+998, r12vrr_stack+106, r12vrr_stack+6, r12vrr_stack+37, r12vrr_stack+3, r12vrr_stack+964);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1016, r12vrr_stack+115, r12vrr_stack+998, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+967);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1046, r12vrr_stack+133, r12vrr_stack+1016, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+973);

 /*--- compute (h0|p0)^1 ---*/
 _BUILD_h0p0(Data,r12vrr_stack+1091, r12vrr_stack+193, r12vrr_stack+1046, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+983);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+0, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+106, r12vrr_stack+82, r12vrr_stack+58, NULL, NULL, r12vrr_stack+79);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+124, r12vrr_stack+88, r12vrr_stack+106, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+6);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+160, r12vrr_stack+562, r12vrr_stack+124, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+998);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1154, r12vrr_stack+598, r12vrr_stack+160, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+1016);

 /*--- compute (h0|d0)^1 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+1244, r12vrr_stack+658, r12vrr_stack+1154, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+1046);

 /*--- compute (i0|d0)^0 ---*/
 _BUILD_i0d0(Data,r12vrr_stack+1370, r12vrr_stack+838, r12vrr_stack+1244, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+1091);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+31, r12vrr_stack+37, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+16, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+64, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+37, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+964, r12vrr_stack+6, r12vrr_stack+64, NULL, NULL, r12vrr_stack+292);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+994, r12vrr_stack+16, r12vrr_stack+6, NULL, NULL, r12vrr_stack+238);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1024, r12vrr_stack+994, r12vrr_stack+964, r12vrr_stack+16, r12vrr_stack+6, r12vrr_stack+298);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+298, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+76, r12vrr_stack+34, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1084, r12vrr_stack+298, r12vrr_stack+16, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1538, r12vrr_stack+1084, r12vrr_stack+994, r12vrr_stack+298, r12vrr_stack+16, r12vrr_stack+250);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+250, r12vrr_stack+82, r12vrr_stack+58, r12vrr_stack+3, r12vrr_stack+79, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1114, r12vrr_stack+64, r12vrr_stack+250, NULL, NULL, r12vrr_stack+82);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1598, r12vrr_stack+964, r12vrr_stack+1114, r12vrr_stack+6, r12vrr_stack+64, r12vrr_stack+88);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1658, r12vrr_stack+1024, r12vrr_stack+1598, r12vrr_stack+994, r12vrr_stack+964, r12vrr_stack+562);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1758, r12vrr_stack+1538, r12vrr_stack+1024, r12vrr_stack+1084, r12vrr_stack+994, r12vrr_stack+316);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1858, r12vrr_stack+1758, r12vrr_stack+1658, r12vrr_stack+1538, r12vrr_stack+1024, r12vrr_stack+598);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1144, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+49, r12vrr_stack+76, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+562, r12vrr_stack+1144, r12vrr_stack+298, NULL, NULL, r12vrr_stack+268);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+592, r12vrr_stack+562, r12vrr_stack+1084, r12vrr_stack+1144, r12vrr_stack+298, r12vrr_stack+274);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2008, r12vrr_stack+592, r12vrr_stack+1538, r12vrr_stack+562, r12vrr_stack+1084, r12vrr_stack+352);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2108, r12vrr_stack+2008, r12vrr_stack+1758, r12vrr_stack+592, r12vrr_stack+1538, r12vrr_stack+388);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+652, r12vrr_stack+0, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+58, r12vrr_stack+652, r12vrr_stack+79, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+308, r12vrr_stack+250, r12vrr_stack+274, NULL, NULL, r12vrr_stack+58);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+338, r12vrr_stack+1114, r12vrr_stack+308, r12vrr_stack+64, r12vrr_stack+250, r12vrr_stack+106);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2258, r12vrr_stack+1598, r12vrr_stack+338, r12vrr_stack+964, r12vrr_stack+1114, r12vrr_stack+124);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2358, r12vrr_stack+1658, r12vrr_stack+2258, r12vrr_stack+1024, r12vrr_stack+1598, r12vrr_stack+160);

 /*--- compute (h0|f0)^1 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+2508, r12vrr_stack+1858, r12vrr_stack+2358, r12vrr_stack+1758, r12vrr_stack+1658, r12vrr_stack+1154);

 /*--- compute (h0|f0)^0 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+2718, r12vrr_stack+2108, r12vrr_stack+1858, r12vrr_stack+2008, r12vrr_stack+1758, r12vrr_stack+658);
 tmp = r12vrr_stack + 2718;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|f0)^0 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+2928, r12vrr_stack+2718, r12vrr_stack+2508, r12vrr_stack+2108, r12vrr_stack+1858, r12vrr_stack+1244);
 tmp = r12vrr_stack + 2928;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+658, r12vrr_stack+6, r12vrr_stack+64, r12vrr_stack+238, r12vrr_stack+292, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+673, r12vrr_stack+16, r12vrr_stack+6, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+688, r12vrr_stack+673, r12vrr_stack+658, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+733, r12vrr_stack+298, r12vrr_stack+16, r12vrr_stack+268, r12vrr_stack+244, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1154, r12vrr_stack+733, r12vrr_stack+673, NULL, NULL, r12vrr_stack+16);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1199, r12vrr_stack+64, r12vrr_stack+250, r12vrr_stack+292, r12vrr_stack+82, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1214, r12vrr_stack+658, r12vrr_stack+1199, NULL, NULL, r12vrr_stack+64);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1259, r12vrr_stack+688, r12vrr_stack+1214, r12vrr_stack+673, r12vrr_stack+658, r12vrr_stack+964);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+88, r12vrr_stack+1154, r12vrr_stack+688, r12vrr_stack+733, r12vrr_stack+673, r12vrr_stack+994);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3208, r12vrr_stack+88, r12vrr_stack+1259, r12vrr_stack+1154, r12vrr_stack+688, r12vrr_stack+1024);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+964, r12vrr_stack+1144, r12vrr_stack+298, r12vrr_stack+52, r12vrr_stack+268, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+979, r12vrr_stack+964, r12vrr_stack+733, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3358, r12vrr_stack+979, r12vrr_stack+1154, r12vrr_stack+964, r12vrr_stack+733, r12vrr_stack+1084);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3448, r12vrr_stack+3358, r12vrr_stack+88, r12vrr_stack+979, r12vrr_stack+1154, r12vrr_stack+1538);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1538, r12vrr_stack+250, r12vrr_stack+274, r12vrr_stack+82, r12vrr_stack+58, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1553, r12vrr_stack+1199, r12vrr_stack+1538, NULL, NULL, r12vrr_stack+250);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1024, r12vrr_stack+1214, r12vrr_stack+1553, r12vrr_stack+658, r12vrr_stack+1199, r12vrr_stack+1114);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3598, r12vrr_stack+1259, r12vrr_stack+1024, r12vrr_stack+688, r12vrr_stack+1214, r12vrr_stack+1598);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3748, r12vrr_stack+3208, r12vrr_stack+3598, r12vrr_stack+88, r12vrr_stack+1259, r12vrr_stack+1658);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3973, r12vrr_stack+3448, r12vrr_stack+3208, r12vrr_stack+3358, r12vrr_stack+88, r12vrr_stack+1758);

 /*--- compute (h0|g0)^0 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+4198, r12vrr_stack+3973, r12vrr_stack+3748, r12vrr_stack+3448, r12vrr_stack+3208, r12vrr_stack+1858);
 tmp = r12vrr_stack + 4198;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1598, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1601, r12vrr_stack+3, r12vrr_stack+1598, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1607, r12vrr_stack+652, r12vrr_stack+1601, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1617, r12vrr_stack+274, r12vrr_stack+1607, r12vrr_stack+58, r12vrr_stack+652, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1632, r12vrr_stack+1538, r12vrr_stack+1617, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1677, r12vrr_stack+1553, r12vrr_stack+1632, r12vrr_stack+1199, r12vrr_stack+1538, r12vrr_stack+308);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1767, r12vrr_stack+1024, r12vrr_stack+1677, r12vrr_stack+1214, r12vrr_stack+1553, r12vrr_stack+338);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4513, r12vrr_stack+3598, r12vrr_stack+1767, r12vrr_stack+1259, r12vrr_stack+1024, r12vrr_stack+2258);

 /*--- compute (h0|g0)^1 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+4738, r12vrr_stack+3748, r12vrr_stack+4513, r12vrr_stack+3208, r12vrr_stack+3598, r12vrr_stack+2358);

 /*--- compute (i0|g0)^0 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+5053, r12vrr_stack+4198, r12vrr_stack+4738, r12vrr_stack+3973, r12vrr_stack+3748, r12vrr_stack+2508);
 tmp = r12vrr_stack + 5053;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1349, r12vrr_stack+658, r12vrr_stack+1199, r12vrr_stack+6, r12vrr_stack+64, NULL);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2258, r12vrr_stack+673, r12vrr_stack+658, r12vrr_stack+16, r12vrr_stack+6, NULL);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2279, r12vrr_stack+2258, r12vrr_stack+1349, NULL, NULL, r12vrr_stack+658);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2342, r12vrr_stack+733, r12vrr_stack+673, r12vrr_stack+298, r12vrr_stack+16, NULL);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2363, r12vrr_stack+2342, r12vrr_stack+2258, NULL, NULL, r12vrr_stack+673);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+6, r12vrr_stack+1199, r12vrr_stack+1538, r12vrr_stack+64, r12vrr_stack+250, NULL);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2426, r12vrr_stack+1349, r12vrr_stack+6, NULL, NULL, r12vrr_stack+1199);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+2489, r12vrr_stack+2279, r12vrr_stack+2426, r12vrr_stack+2258, r12vrr_stack+1349, r12vrr_stack+1214);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+308, r12vrr_stack+2363, r12vrr_stack+2279, r12vrr_stack+2342, r12vrr_stack+2258, r12vrr_stack+688);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+5473, r12vrr_stack+308, r12vrr_stack+2489, r12vrr_stack+2363, r12vrr_stack+2279, r12vrr_stack+1259);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+688, r12vrr_stack+964, r12vrr_stack+733, r12vrr_stack+1144, r12vrr_stack+298, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1214, r12vrr_stack+688, r12vrr_stack+2342, NULL, NULL, r12vrr_stack+733);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+5683, r12vrr_stack+1214, r12vrr_stack+2363, r12vrr_stack+688, r12vrr_stack+2342, r12vrr_stack+1154);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+5809, r12vrr_stack+5683, r12vrr_stack+308, r12vrr_stack+1214, r12vrr_stack+2363, r12vrr_stack+88);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1154, r12vrr_stack+1538, r12vrr_stack+1617, r12vrr_stack+250, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^4 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1277, r12vrr_stack+6, r12vrr_stack+1154, NULL, NULL, r12vrr_stack+1538);

 /*--- compute (d0|h0)^3 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+58, r12vrr_stack+2426, r12vrr_stack+1277, r12vrr_stack+1349, r12vrr_stack+6, r12vrr_stack+1553);

 /*--- compute (f0|h0)^2 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+6019, r12vrr_stack+2489, r12vrr_stack+58, r12vrr_stack+2279, r12vrr_stack+2426, r12vrr_stack+1024);

 /*--- compute (g0|h0)^1 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+6229, r12vrr_stack+5473, r12vrr_stack+6019, r12vrr_stack+308, r12vrr_stack+2489, r12vrr_stack+3598);

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+6544, r12vrr_stack+5809, r12vrr_stack+5473, r12vrr_stack+5683, r12vrr_stack+308, r12vrr_stack+3208);

 /*--- compute (h0|h0)^0 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+6859, r12vrr_stack+6544, r12vrr_stack+6229, r12vrr_stack+5809, r12vrr_stack+5473, r12vrr_stack+3748);
 tmp = r12vrr_stack + 6859;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3208, r12vrr_stack+1598, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3214, r12vrr_stack+1601, r12vrr_stack+3208, r12vrr_stack+3, r12vrr_stack+1598, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3224, r12vrr_stack+1607, r12vrr_stack+3214, r12vrr_stack+652, r12vrr_stack+1601, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3239, r12vrr_stack+1617, r12vrr_stack+3224, r12vrr_stack+274, r12vrr_stack+1607, NULL);

 /*--- compute (p0|h0)^5 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+3260, r12vrr_stack+1154, r12vrr_stack+3239, NULL, NULL, r12vrr_stack+1617);

 /*--- compute (d0|h0)^4 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+3598, r12vrr_stack+1277, r12vrr_stack+3260, r12vrr_stack+6, r12vrr_stack+1154, r12vrr_stack+1632);

 /*--- compute (f0|h0)^3 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+3724, r12vrr_stack+58, r12vrr_stack+3598, r12vrr_stack+2426, r12vrr_stack+1277, r12vrr_stack+1677);

 /*--- compute (g0|h0)^2 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+7300, r12vrr_stack+6019, r12vrr_stack+3724, r12vrr_stack+2489, r12vrr_stack+58, r12vrr_stack+1767);

 /*--- compute (h0|h0)^1 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+7615, r12vrr_stack+6229, r12vrr_stack+7300, r12vrr_stack+5473, r12vrr_stack+6019, r12vrr_stack+4513);

 /*--- compute (i0|h0)^0 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+8056, r12vrr_stack+6859, r12vrr_stack+7615, r12vrr_stack+6544, r12vrr_stack+6229, r12vrr_stack+4738);
 tmp = r12vrr_stack + 8056;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4513, r12vrr_stack+1349, r12vrr_stack+6, r12vrr_stack+658, r12vrr_stack+1199, NULL);

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4541, r12vrr_stack+2258, r12vrr_stack+1349, r12vrr_stack+673, r12vrr_stack+658, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4569, r12vrr_stack+4541, r12vrr_stack+4513, NULL, NULL, r12vrr_stack+1349);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4653, r12vrr_stack+2342, r12vrr_stack+2258, r12vrr_stack+733, r12vrr_stack+673, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4681, r12vrr_stack+4653, r12vrr_stack+4541, NULL, NULL, r12vrr_stack+2258);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+4765, r12vrr_stack+6, r12vrr_stack+1154, r12vrr_stack+1199, r12vrr_stack+1538, NULL);

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+4793, r12vrr_stack+4513, r12vrr_stack+4765, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+4877, r12vrr_stack+4569, r12vrr_stack+4793, r12vrr_stack+4541, r12vrr_stack+4513, r12vrr_stack+2426);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+1632, r12vrr_stack+4681, r12vrr_stack+4569, r12vrr_stack+4653, r12vrr_stack+4541, r12vrr_stack+2279);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+8644, r12vrr_stack+1632, r12vrr_stack+4877, r12vrr_stack+4681, r12vrr_stack+4569, r12vrr_stack+2489);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2279, r12vrr_stack+688, r12vrr_stack+2342, r12vrr_stack+964, r12vrr_stack+733, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+2426, r12vrr_stack+2279, r12vrr_stack+4653, NULL, NULL, r12vrr_stack+2342);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+2510, r12vrr_stack+2426, r12vrr_stack+4681, r12vrr_stack+2279, r12vrr_stack+4653, r12vrr_stack+2363);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+8924, r12vrr_stack+2510, r12vrr_stack+1632, r12vrr_stack+2426, r12vrr_stack+4681, r12vrr_stack+308);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2363, r12vrr_stack+1154, r12vrr_stack+3239, r12vrr_stack+1538, r12vrr_stack+1617, NULL);

 /*--- compute (p0|i0)^4 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+1800, r12vrr_stack+4765, r12vrr_stack+2363, NULL, NULL, r12vrr_stack+1154);

 /*--- compute (d0|i0)^3 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+184, r12vrr_stack+4793, r12vrr_stack+1800, r12vrr_stack+4513, r12vrr_stack+4765, r12vrr_stack+1277);

 /*--- compute (f0|i0)^2 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+9204, r12vrr_stack+4877, r12vrr_stack+184, r12vrr_stack+4569, r12vrr_stack+4793, r12vrr_stack+58);

 /*--- compute (g0|i0)^1 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+9484, r12vrr_stack+8644, r12vrr_stack+9204, r12vrr_stack+1632, r12vrr_stack+4877, r12vrr_stack+6019);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+9904, r12vrr_stack+8924, r12vrr_stack+8644, r12vrr_stack+2510, r12vrr_stack+1632, r12vrr_stack+5473);

 /*--- compute (h0|i0)^0 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+10324, r12vrr_stack+9904, r12vrr_stack+9484, r12vrr_stack+8924, r12vrr_stack+8644, r12vrr_stack+6229);
 tmp = r12vrr_stack + 10324;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5473, r12vrr_stack+0, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5479, r12vrr_stack+3208, r12vrr_stack+5473, r12vrr_stack+1598, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5489, r12vrr_stack+3214, r12vrr_stack+5479, r12vrr_stack+1601, r12vrr_stack+3208, NULL);

 /*--- compute (00|h0)^7 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5504, r12vrr_stack+3224, r12vrr_stack+5489, r12vrr_stack+1607, r12vrr_stack+3214, NULL);

 /*--- compute (00|i0)^6 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5473, r12vrr_stack+3239, r12vrr_stack+5504, r12vrr_stack+1617, r12vrr_stack+3224, NULL);

 /*--- compute (p0|i0)^5 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+5501, r12vrr_stack+2363, r12vrr_stack+5473, NULL, NULL, r12vrr_stack+3239);

 /*--- compute (d0|i0)^4 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+6019, r12vrr_stack+1800, r12vrr_stack+5501, r12vrr_stack+4765, r12vrr_stack+2363, r12vrr_stack+3260);

 /*--- compute (f0|i0)^3 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+6187, r12vrr_stack+184, r12vrr_stack+6019, r12vrr_stack+4793, r12vrr_stack+1800, r12vrr_stack+3598);

 /*--- compute (g0|i0)^2 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+10912, r12vrr_stack+9204, r12vrr_stack+6187, r12vrr_stack+4877, r12vrr_stack+184, r12vrr_stack+3724);

 /*--- compute (h0|i0)^1 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+11332, r12vrr_stack+9484, r12vrr_stack+10912, r12vrr_stack+8644, r12vrr_stack+9204, r12vrr_stack+7300);

 /*--- compute (i0|i0)^0 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+11920, r12vrr_stack+10324, r12vrr_stack+11332, r12vrr_stack+9904, r12vrr_stack+9484, r12vrr_stack+7615);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+652, r12vrr_stack+4513, r12vrr_stack+4765, r12vrr_stack+1349, r12vrr_stack+6, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7300, r12vrr_stack+4541, r12vrr_stack+4513, r12vrr_stack+2258, r12vrr_stack+1349, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7336, r12vrr_stack+7300, r12vrr_stack+652, NULL, NULL, r12vrr_stack+4513);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7444, r12vrr_stack+4653, r12vrr_stack+4541, r12vrr_stack+2342, r12vrr_stack+2258, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7480, r12vrr_stack+7444, r12vrr_stack+7300, NULL, NULL, r12vrr_stack+4541);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4513, r12vrr_stack+4765, r12vrr_stack+2363, r12vrr_stack+6, r12vrr_stack+1154, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7588, r12vrr_stack+652, r12vrr_stack+4513, NULL, NULL, r12vrr_stack+4765);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7696, r12vrr_stack+7336, r12vrr_stack+7588, r12vrr_stack+7300, r12vrr_stack+652, r12vrr_stack+4793);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10912, r12vrr_stack+7480, r12vrr_stack+7336, r12vrr_stack+7444, r12vrr_stack+7300, r12vrr_stack+4569);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+10912, r12vrr_stack+7696, r12vrr_stack+7480, r12vrr_stack+7336, r12vrr_stack+4877);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7300, r12vrr_stack+2279, r12vrr_stack+4653, r12vrr_stack+688, r12vrr_stack+2342, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4765, r12vrr_stack+7300, r12vrr_stack+7444, NULL, NULL, r12vrr_stack+4653);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11488, r12vrr_stack+4765, r12vrr_stack+7480, r12vrr_stack+7300, r12vrr_stack+7444, r12vrr_stack+4681);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3598, r12vrr_stack+11488, r12vrr_stack+10912, r12vrr_stack+4765, r12vrr_stack+7480, r12vrr_stack+1632);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7300, r12vrr_stack+2363, r12vrr_stack+5473, r12vrr_stack+1154, r12vrr_stack+3239, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5473, r12vrr_stack+4513, r12vrr_stack+7300, NULL, NULL, r12vrr_stack+2363);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11704, r12vrr_stack+7588, r12vrr_stack+5473, r12vrr_stack+652, r12vrr_stack+4513, r12vrr_stack+1800);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4513, r12vrr_stack+7696, r12vrr_stack+11704, r12vrr_stack+7336, r12vrr_stack+7588, r12vrr_stack+184);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12704, r12vrr_stack+11128, r12vrr_stack+4513, r12vrr_stack+10912, r12vrr_stack+7696, r12vrr_stack+9204);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4513, r12vrr_stack+3598, r12vrr_stack+11128, r12vrr_stack+11488, r12vrr_stack+10912, r12vrr_stack+8644);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7300, r12vrr_stack+4513, r12vrr_stack+12704, r12vrr_stack+3598, r12vrr_stack+11128, r12vrr_stack+9484);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3598, &(Data->ss_r12_ss), NULL, r12vrr_stack+49, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3601, r12vrr_stack+3598, &(Data->ss_r12_ss), r12vrr_stack+52, r12vrr_stack+49, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3607, r12vrr_stack+3601, r12vrr_stack+3598, r12vrr_stack+1144, r12vrr_stack+52, r12vrr_stack+49, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+3617, r12vrr_stack+3607, NULL, r12vrr_stack+562, r12vrr_stack+1144, NULL, r12vrr_stack+52);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1154, r12vrr_stack+3617, r12vrr_stack+3607, r12vrr_stack+592, r12vrr_stack+562, r12vrr_stack+1144, r12vrr_stack+448);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+3647, r12vrr_stack+1154, r12vrr_stack+3617, r12vrr_stack+2008, r12vrr_stack+592, r12vrr_stack+562, r12vrr_stack+466);

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+3208, r12vrr_stack+3647, r12vrr_stack+1154, r12vrr_stack+2108, r12vrr_stack+2008, r12vrr_stack+592, r12vrr_stack+502);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+1154, r12vrr_stack+3607, r12vrr_stack+3601, r12vrr_stack+964, r12vrr_stack+1144, r12vrr_stack+52, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1169, r12vrr_stack+1154, NULL, r12vrr_stack+979, r12vrr_stack+964, NULL, r12vrr_stack+1144);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+3747, r12vrr_stack+1169, r12vrr_stack+1154, r12vrr_stack+3358, r12vrr_stack+979, r12vrr_stack+964, r12vrr_stack+562);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+12704, r12vrr_stack+3747, r12vrr_stack+1169, r12vrr_stack+3448, r12vrr_stack+3358, r12vrr_stack+979, r12vrr_stack+592);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+12854, r12vrr_stack+12704, r12vrr_stack+3747, r12vrr_stack+3973, r12vrr_stack+3448, r12vrr_stack+3358, r12vrr_stack+2008);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+2258, r12vrr_stack+1154, r12vrr_stack+3607, r12vrr_stack+688, r12vrr_stack+964, r12vrr_stack+1144, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+3747, r12vrr_stack+2258, NULL, r12vrr_stack+1214, r12vrr_stack+688, NULL, r12vrr_stack+964);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+3810, r12vrr_stack+3747, r12vrr_stack+2258, r12vrr_stack+5683, r12vrr_stack+1214, r12vrr_stack+688, r12vrr_stack+979);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+5473, r12vrr_stack+3810, r12vrr_stack+3747, r12vrr_stack+5809, r12vrr_stack+5683, r12vrr_stack+1214, r12vrr_stack+3358);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+13079, r12vrr_stack+5473, r12vrr_stack+3810, r12vrr_stack+6544, r12vrr_stack+5809, r12vrr_stack+5683, r12vrr_stack+3448);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+3358, r12vrr_stack+2258, r12vrr_stack+1154, r12vrr_stack+2279, r12vrr_stack+688, r12vrr_stack+964, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+964, r12vrr_stack+3358, NULL, r12vrr_stack+2426, r12vrr_stack+2279, NULL, r12vrr_stack+688);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+3747, r12vrr_stack+964, r12vrr_stack+3358, r12vrr_stack+2510, r12vrr_stack+2426, r12vrr_stack+2279, r12vrr_stack+1214);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+8644, r12vrr_stack+3747, r12vrr_stack+964, r12vrr_stack+8924, r12vrr_stack+2510, r12vrr_stack+2426, r12vrr_stack+5683);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+13394, r12vrr_stack+8644, r12vrr_stack+3747, r12vrr_stack+9904, r12vrr_stack+8924, r12vrr_stack+2510, r12vrr_stack+5809);

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3747, r12vrr_stack+2718, r12vrr_stack+4198, r12vrr_stack+2928, r12vrr_stack+1370, r12vrr_stack+838);
 tmp = r12vrr_stack + 3747;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+838, r12vrr_stack+4198, r12vrr_stack+6859, r12vrr_stack+5053, r12vrr_stack+2928, r12vrr_stack+2718);
 tmp = r12vrr_stack + 838;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1153, r12vrr_stack+6859, r12vrr_stack+10324, r12vrr_stack+8056, r12vrr_stack+5053, r12vrr_stack+4198);
 tmp = r12vrr_stack + 1153;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10912, r12vrr_stack+10324, r12vrr_stack+7300, r12vrr_stack+11920, r12vrr_stack+8056, r12vrr_stack+6859);
 tmp = r12vrr_stack + 10912;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1594, r12vrr_stack+2718, r12vrr_stack+2928, r12vrr_stack+4198, r12vrr_stack+3973, r12vrr_stack+2108);
 tmp = r12vrr_stack + 1594;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2258, r12vrr_stack+4198, r12vrr_stack+5053, r12vrr_stack+6859, r12vrr_stack+6544, r12vrr_stack+3973);
 tmp = r12vrr_stack + 2258;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9204, r12vrr_stack+6859, r12vrr_stack+8056, r12vrr_stack+10324, r12vrr_stack+9904, r12vrr_stack+6544);
 tmp = r12vrr_stack + 9204;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8056, r12vrr_stack+10324, r12vrr_stack+11920, r12vrr_stack+7300, r12vrr_stack+4513, r12vrr_stack+9904);
 tmp = r12vrr_stack + 8056;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+4513, r12vrr_stack+3208, r12vrr_stack+3647, r12vrr_stack+2718, r12vrr_stack+2108, r12vrr_stack+2008, r12vrr_stack+748);
 tmp = r12vrr_stack + 4513;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+4723, r12vrr_stack+12854, r12vrr_stack+12704, r12vrr_stack+4198, r12vrr_stack+3973, r12vrr_stack+3448, r12vrr_stack+2108);
 tmp = r12vrr_stack + 4723;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+7300, r12vrr_stack+13079, r12vrr_stack+5473, r12vrr_stack+6859, r12vrr_stack+6544, r12vrr_stack+5809, r12vrr_stack+3973);
 tmp = r12vrr_stack + 7300;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+5038, r12vrr_stack+13394, r12vrr_stack+8644, r12vrr_stack+10324, r12vrr_stack+9904, r12vrr_stack+8924, r12vrr_stack+6544);
 tmp = r12vrr_stack + 5038;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];


}

