#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dpgf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|gf) integrals */

void d12hrr_order_dpgf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][7][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][10] = int_stack + 360;
 Libderiv->deriv_classes[3][7][9] = int_stack + 720;
 Libderiv->deriv_classes[3][7][8] = int_stack + 1080;
 Libderiv->deriv_classes[3][7][7] = int_stack + 1440;
 Libderiv->dvrr_classes[3][6] = int_stack + 1800;
 Libderiv->deriv_classes[3][7][6] = int_stack + 2080;
 Libderiv->deriv_classes[3][7][2] = int_stack + 2440;
 Libderiv->deriv_classes[3][7][1] = int_stack + 2800;
 Libderiv->dvrr_classes[2][7] = int_stack + 3160;
 Libderiv->deriv_classes[3][7][0] = int_stack + 3376;
 Libderiv->deriv2_classes[2][4][143] = int_stack + 3736;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 3826;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 3952;
 Libderiv->deriv2_classes[2][7][143] = int_stack + 4120;
 Libderiv->deriv2_classes[3][4][143] = int_stack + 4336;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 4486;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 4696;
 Libderiv->deriv2_classes[3][7][143] = int_stack + 4976;
 Libderiv->deriv2_classes[2][4][131] = int_stack + 5336;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 5426;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 5552;
 Libderiv->deriv2_classes[2][7][131] = int_stack + 5720;
 Libderiv->deriv2_classes[3][4][131] = int_stack + 5936;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 6086;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 6296;
 Libderiv->deriv2_classes[3][7][131] = int_stack + 6576;
 Libderiv->deriv2_classes[2][4][130] = int_stack + 6936;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 7026;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 7152;
 Libderiv->deriv2_classes[2][7][130] = int_stack + 7320;
 Libderiv->deriv2_classes[3][4][130] = int_stack + 7536;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 7686;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 7896;
 Libderiv->deriv2_classes[3][7][130] = int_stack + 8176;
 Libderiv->deriv2_classes[2][4][119] = int_stack + 8536;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 8626;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 8752;
 Libderiv->deriv2_classes[2][7][119] = int_stack + 8920;
 Libderiv->deriv2_classes[3][4][119] = int_stack + 9136;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 9286;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 9496;
 Libderiv->deriv2_classes[3][7][119] = int_stack + 9776;
 Libderiv->deriv2_classes[2][4][118] = int_stack + 10136;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 10226;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 10352;
 Libderiv->deriv2_classes[2][7][118] = int_stack + 10520;
 Libderiv->deriv2_classes[3][4][118] = int_stack + 10736;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 10886;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 11096;
 Libderiv->deriv2_classes[3][7][118] = int_stack + 11376;
 Libderiv->deriv2_classes[2][4][117] = int_stack + 11736;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 11826;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 11952;
 Libderiv->deriv2_classes[2][7][117] = int_stack + 12120;
 Libderiv->deriv2_classes[3][4][117] = int_stack + 12336;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 12486;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 12696;
 Libderiv->deriv2_classes[3][7][117] = int_stack + 12976;
 Libderiv->deriv2_classes[2][4][107] = int_stack + 13336;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 13426;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 13552;
 Libderiv->deriv2_classes[2][7][107] = int_stack + 13720;
 Libderiv->deriv2_classes[3][4][107] = int_stack + 13936;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 14086;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 14296;
 Libderiv->deriv2_classes[3][7][107] = int_stack + 14576;
 Libderiv->deriv2_classes[2][4][106] = int_stack + 14936;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 15026;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 15152;
 Libderiv->deriv2_classes[2][7][106] = int_stack + 15320;
 Libderiv->deriv2_classes[3][4][106] = int_stack + 15536;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 15686;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 15896;
 Libderiv->deriv2_classes[3][7][106] = int_stack + 16176;
 Libderiv->deriv2_classes[2][4][105] = int_stack + 16536;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 16626;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 16752;
 Libderiv->deriv2_classes[2][7][105] = int_stack + 16920;
 Libderiv->deriv2_classes[3][4][105] = int_stack + 17136;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 17286;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 17496;
 Libderiv->deriv2_classes[3][7][105] = int_stack + 17776;
 Libderiv->deriv2_classes[2][4][104] = int_stack + 18136;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 18226;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 18352;
 Libderiv->deriv2_classes[2][7][104] = int_stack + 18520;
 Libderiv->deriv2_classes[3][4][104] = int_stack + 18736;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 18886;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 19096;
 Libderiv->deriv2_classes[3][7][104] = int_stack + 19376;
 Libderiv->deriv2_classes[2][4][95] = int_stack + 19736;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 19826;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 19952;
 Libderiv->deriv2_classes[2][7][95] = int_stack + 20120;
 Libderiv->deriv2_classes[3][4][95] = int_stack + 20336;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 20486;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 20696;
 Libderiv->deriv2_classes[3][7][95] = int_stack + 20976;
 Libderiv->deriv2_classes[2][4][94] = int_stack + 21336;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 21426;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 21552;
 Libderiv->deriv2_classes[2][7][94] = int_stack + 21720;
 Libderiv->deriv2_classes[3][4][94] = int_stack + 21936;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 22086;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 22296;
 Libderiv->deriv2_classes[3][7][94] = int_stack + 22576;
 Libderiv->deriv2_classes[2][4][93] = int_stack + 22936;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 23026;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 23152;
 Libderiv->deriv2_classes[2][7][93] = int_stack + 23320;
 Libderiv->deriv2_classes[3][4][93] = int_stack + 23536;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 23686;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 23896;
 Libderiv->deriv2_classes[3][7][93] = int_stack + 24176;
 Libderiv->deriv2_classes[2][4][92] = int_stack + 24536;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 24626;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 24752;
 Libderiv->deriv2_classes[2][7][92] = int_stack + 24920;
 Libderiv->deriv2_classes[3][4][92] = int_stack + 25136;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 25286;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 25496;
 Libderiv->deriv2_classes[3][7][92] = int_stack + 25776;
 Libderiv->deriv2_classes[2][4][91] = int_stack + 26136;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 26226;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 26352;
 Libderiv->deriv2_classes[2][7][91] = int_stack + 26520;
 Libderiv->deriv2_classes[3][4][91] = int_stack + 26736;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 26886;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 27096;
 Libderiv->deriv2_classes[3][7][91] = int_stack + 27376;
 Libderiv->deriv2_classes[2][4][83] = int_stack + 27736;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 27826;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 27952;
 Libderiv->deriv2_classes[2][7][83] = int_stack + 28120;
 Libderiv->deriv_classes[3][4][11] = int_stack + 28336;
 Libderiv->deriv2_classes[3][4][83] = int_stack + 28486;
 Libderiv->deriv_classes[3][5][11] = int_stack + 28636;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 28846;
 Libderiv->deriv_classes[3][6][11] = int_stack + 29056;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 29336;
 Libderiv->deriv2_classes[3][7][83] = int_stack + 29616;
 Libderiv->deriv2_classes[2][4][82] = int_stack + 29976;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 30066;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 30192;
 Libderiv->deriv2_classes[2][7][82] = int_stack + 30360;
 Libderiv->deriv_classes[3][4][10] = int_stack + 30576;
 Libderiv->deriv2_classes[3][4][82] = int_stack + 30726;
 Libderiv->deriv_classes[3][5][10] = int_stack + 30876;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 31086;
 Libderiv->deriv_classes[3][6][10] = int_stack + 31296;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 31576;
 Libderiv->deriv2_classes[3][7][82] = int_stack + 31856;
 Libderiv->deriv2_classes[2][4][81] = int_stack + 32216;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 32306;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 32432;
 Libderiv->deriv2_classes[2][7][81] = int_stack + 32600;
 Libderiv->deriv_classes[3][4][9] = int_stack + 32816;
 Libderiv->deriv2_classes[3][4][81] = int_stack + 32966;
 Libderiv->deriv_classes[3][5][9] = int_stack + 33116;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 33326;
 Libderiv->deriv_classes[3][6][9] = int_stack + 33536;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 33816;
 Libderiv->deriv2_classes[3][7][81] = int_stack + 34096;
 Libderiv->deriv2_classes[2][4][80] = int_stack + 34456;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 34546;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 34672;
 Libderiv->deriv2_classes[2][7][80] = int_stack + 34840;
 Libderiv->deriv_classes[3][4][8] = int_stack + 35056;
 Libderiv->deriv2_classes[3][4][80] = int_stack + 35206;
 Libderiv->deriv_classes[3][5][8] = int_stack + 35356;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 35566;
 Libderiv->deriv_classes[3][6][8] = int_stack + 35776;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 36056;
 Libderiv->deriv2_classes[3][7][80] = int_stack + 36336;
 Libderiv->deriv2_classes[2][4][79] = int_stack + 36696;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 36786;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 36912;
 Libderiv->deriv2_classes[2][7][79] = int_stack + 37080;
 Libderiv->deriv_classes[3][4][7] = int_stack + 37296;
 Libderiv->deriv2_classes[3][4][79] = int_stack + 37446;
 Libderiv->deriv_classes[3][5][7] = int_stack + 37596;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 37806;
 Libderiv->deriv_classes[3][6][7] = int_stack + 38016;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 38296;
 Libderiv->deriv2_classes[3][7][79] = int_stack + 38576;
 Libderiv->deriv2_classes[2][4][78] = int_stack + 38936;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 39026;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 39152;
 Libderiv->deriv2_classes[2][7][78] = int_stack + 39320;
 Libderiv->dvrr_classes[3][4] = int_stack + 39536;
 Libderiv->deriv_classes[3][4][6] = int_stack + 39686;
 Libderiv->deriv2_classes[3][4][78] = int_stack + 39836;
 Libderiv->dvrr_classes[3][5] = int_stack + 39986;
 Libderiv->deriv_classes[3][5][6] = int_stack + 40196;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 40406;
 Libderiv->deriv_classes[3][6][6] = int_stack + 40616;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 40896;
 Libderiv->deriv2_classes[3][7][78] = int_stack + 41176;
 Libderiv->deriv2_classes[2][4][35] = int_stack + 41536;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 41626;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 41752;
 Libderiv->deriv2_classes[2][7][35] = int_stack + 41920;
 Libderiv->deriv2_classes[3][4][35] = int_stack + 42136;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 42286;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 42496;
 Libderiv->deriv2_classes[3][7][35] = int_stack + 42776;
 Libderiv->deriv2_classes[2][4][34] = int_stack + 43136;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 43226;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 43352;
 Libderiv->deriv2_classes[2][7][34] = int_stack + 43520;
 Libderiv->deriv2_classes[3][4][34] = int_stack + 43736;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 43886;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 44096;
 Libderiv->deriv2_classes[3][7][34] = int_stack + 44376;
 Libderiv->deriv2_classes[2][4][33] = int_stack + 44736;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 44826;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 44952;
 Libderiv->deriv2_classes[2][7][33] = int_stack + 45120;
 Libderiv->deriv2_classes[3][4][33] = int_stack + 45336;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 45486;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 45696;
 Libderiv->deriv2_classes[3][7][33] = int_stack + 45976;
 Libderiv->deriv2_classes[2][4][32] = int_stack + 46336;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 46426;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 46552;
 Libderiv->deriv2_classes[2][7][32] = int_stack + 46720;
 Libderiv->deriv2_classes[3][4][32] = int_stack + 46936;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 47086;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 47296;
 Libderiv->deriv2_classes[3][7][32] = int_stack + 47576;
 Libderiv->deriv2_classes[2][4][31] = int_stack + 47936;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 48026;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 48152;
 Libderiv->deriv2_classes[2][7][31] = int_stack + 48320;
 Libderiv->deriv2_classes[3][4][31] = int_stack + 48536;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 48686;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 48896;
 Libderiv->deriv2_classes[3][7][31] = int_stack + 49176;
 Libderiv->deriv2_classes[2][4][30] = int_stack + 49536;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 49626;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 49752;
 Libderiv->deriv2_classes[2][7][30] = int_stack + 49920;
 Libderiv->deriv_classes[3][4][2] = int_stack + 50136;
 Libderiv->deriv2_classes[3][4][30] = int_stack + 50286;
 Libderiv->deriv_classes[3][5][2] = int_stack + 50436;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 50646;
 Libderiv->deriv_classes[3][6][2] = int_stack + 50856;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 51136;
 Libderiv->deriv2_classes[3][7][30] = int_stack + 51416;
 Libderiv->deriv2_classes[2][4][26] = int_stack + 51776;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 51866;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 51992;
 Libderiv->deriv2_classes[2][7][26] = int_stack + 52160;
 Libderiv->deriv2_classes[3][4][26] = int_stack + 52376;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 52526;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 52736;
 Libderiv->deriv2_classes[3][7][26] = int_stack + 53016;
 Libderiv->deriv2_classes[2][4][23] = int_stack + 53376;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 53466;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 53592;
 Libderiv->deriv2_classes[2][7][23] = int_stack + 53760;
 Libderiv->deriv2_classes[3][4][23] = int_stack + 53976;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 54126;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 54336;
 Libderiv->deriv2_classes[3][7][23] = int_stack + 54616;
 Libderiv->deriv2_classes[2][4][22] = int_stack + 54976;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 55066;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 55192;
 Libderiv->deriv2_classes[2][7][22] = int_stack + 55360;
 Libderiv->deriv2_classes[3][4][22] = int_stack + 55576;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 55726;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 55936;
 Libderiv->deriv2_classes[3][7][22] = int_stack + 56216;
 Libderiv->deriv2_classes[2][4][21] = int_stack + 56576;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 56666;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 56792;
 Libderiv->deriv2_classes[2][7][21] = int_stack + 56960;
 Libderiv->deriv2_classes[3][4][21] = int_stack + 57176;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 57326;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 57536;
 Libderiv->deriv2_classes[3][7][21] = int_stack + 57816;
 Libderiv->deriv2_classes[2][4][20] = int_stack + 58176;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 58266;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 58392;
 Libderiv->deriv2_classes[2][7][20] = int_stack + 58560;
 Libderiv->deriv2_classes[3][4][20] = int_stack + 58776;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 58926;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 59136;
 Libderiv->deriv2_classes[3][7][20] = int_stack + 59416;
 Libderiv->deriv2_classes[2][4][19] = int_stack + 59776;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 59866;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 59992;
 Libderiv->deriv2_classes[2][7][19] = int_stack + 60160;
 Libderiv->deriv2_classes[3][4][19] = int_stack + 60376;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 60526;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 60736;
 Libderiv->deriv2_classes[3][7][19] = int_stack + 61016;
 Libderiv->deriv2_classes[2][4][18] = int_stack + 61376;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 61466;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 61592;
 Libderiv->deriv2_classes[2][7][18] = int_stack + 61760;
 Libderiv->deriv_classes[3][4][1] = int_stack + 61976;
 Libderiv->deriv2_classes[3][4][18] = int_stack + 62126;
 Libderiv->deriv_classes[3][5][1] = int_stack + 62276;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 62486;
 Libderiv->deriv_classes[3][6][1] = int_stack + 62696;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 62976;
 Libderiv->deriv2_classes[3][7][18] = int_stack + 63256;
 Libderiv->deriv2_classes[2][4][14] = int_stack + 63616;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 63706;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 63832;
 Libderiv->deriv2_classes[2][7][14] = int_stack + 64000;
 Libderiv->deriv2_classes[3][4][14] = int_stack + 64216;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 64366;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 64576;
 Libderiv->deriv2_classes[3][7][14] = int_stack + 64856;
 Libderiv->deriv2_classes[2][4][13] = int_stack + 65216;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 65306;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 65432;
 Libderiv->deriv2_classes[2][7][13] = int_stack + 65600;
 Libderiv->deriv2_classes[3][4][13] = int_stack + 65816;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 65966;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 66176;
 Libderiv->deriv2_classes[3][7][13] = int_stack + 66456;
 Libderiv->deriv_classes[2][4][11] = int_stack + 66816;
 Libderiv->deriv_classes[2][5][11] = int_stack + 66906;
 Libderiv->deriv_classes[2][6][11] = int_stack + 67032;
 Libderiv->deriv_classes[2][7][11] = int_stack + 67200;
 Libderiv->deriv2_classes[2][4][11] = int_stack + 67416;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 67506;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 67632;
 Libderiv->deriv2_classes[2][7][11] = int_stack + 67800;
 Libderiv->deriv2_classes[3][4][11] = int_stack + 68016;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 68166;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 68376;
 Libderiv->deriv2_classes[3][7][11] = int_stack + 68656;
 Libderiv->deriv_classes[2][4][10] = int_stack + 69016;
 Libderiv->deriv_classes[2][5][10] = int_stack + 69106;
 Libderiv->deriv_classes[2][6][10] = int_stack + 69232;
 Libderiv->deriv_classes[2][7][10] = int_stack + 69400;
 Libderiv->deriv2_classes[2][4][10] = int_stack + 69616;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 69706;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 69832;
 Libderiv->deriv2_classes[2][7][10] = int_stack + 70000;
 Libderiv->deriv2_classes[3][4][10] = int_stack + 70216;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 70366;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 70576;
 Libderiv->deriv2_classes[3][7][10] = int_stack + 70856;
 Libderiv->deriv_classes[2][4][9] = int_stack + 71216;
 Libderiv->deriv_classes[2][5][9] = int_stack + 71306;
 Libderiv->deriv_classes[2][6][9] = int_stack + 71432;
 Libderiv->deriv_classes[2][7][9] = int_stack + 71600;
 Libderiv->deriv2_classes[2][4][9] = int_stack + 71816;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 71906;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 72032;
 Libderiv->deriv2_classes[2][7][9] = int_stack + 72200;
 Libderiv->deriv2_classes[3][4][9] = int_stack + 72416;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 72566;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 72776;
 Libderiv->deriv2_classes[3][7][9] = int_stack + 73056;
 Libderiv->deriv_classes[2][4][8] = int_stack + 73416;
 Libderiv->deriv_classes[2][5][8] = int_stack + 73506;
 Libderiv->deriv_classes[2][6][8] = int_stack + 73632;
 Libderiv->deriv_classes[2][7][8] = int_stack + 73800;
 Libderiv->deriv2_classes[2][4][8] = int_stack + 74016;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 74106;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 74232;
 Libderiv->deriv2_classes[2][7][8] = int_stack + 74400;
 Libderiv->deriv2_classes[3][4][8] = int_stack + 74616;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 74766;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 74976;
 Libderiv->deriv2_classes[3][7][8] = int_stack + 75256;
 Libderiv->deriv_classes[2][4][7] = int_stack + 75616;
 Libderiv->deriv_classes[2][5][7] = int_stack + 75706;
 Libderiv->deriv_classes[2][6][7] = int_stack + 75832;
 Libderiv->deriv_classes[2][7][7] = int_stack + 76000;
 Libderiv->deriv2_classes[2][4][7] = int_stack + 76216;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 76306;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 76432;
 Libderiv->deriv2_classes[2][7][7] = int_stack + 76600;
 Libderiv->deriv2_classes[3][4][7] = int_stack + 76816;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 76966;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 77176;
 Libderiv->deriv2_classes[3][7][7] = int_stack + 77456;
 Libderiv->dvrr_classes[2][4] = int_stack + 77816;
 Libderiv->deriv_classes[2][4][6] = int_stack + 77906;
 Libderiv->dvrr_classes[2][5] = int_stack + 77996;
 Libderiv->deriv_classes[2][5][6] = int_stack + 78122;
 Libderiv->dvrr_classes[2][6] = int_stack + 78248;
 Libderiv->deriv_classes[2][6][6] = int_stack + 78416;
 Libderiv->deriv_classes[2][7][6] = int_stack + 78584;
 Libderiv->deriv2_classes[2][4][6] = int_stack + 78800;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 78890;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 79016;
 Libderiv->deriv2_classes[2][7][6] = int_stack + 79184;
 Libderiv->deriv_classes[3][4][0] = int_stack + 79400;
 Libderiv->deriv2_classes[3][4][6] = int_stack + 79550;
 Libderiv->deriv_classes[3][5][0] = int_stack + 79700;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 79910;
 Libderiv->deriv_classes[3][6][0] = int_stack + 80120;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 80400;
 Libderiv->deriv2_classes[3][7][6] = int_stack + 80680;
 Libderiv->deriv_classes[2][4][2] = int_stack + 81040;
 Libderiv->deriv_classes[2][5][2] = int_stack + 81130;
 Libderiv->deriv_classes[2][6][2] = int_stack + 81256;
 Libderiv->deriv_classes[2][7][2] = int_stack + 81424;
 Libderiv->deriv2_classes[2][4][2] = int_stack + 81640;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 81730;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 81856;
 Libderiv->deriv2_classes[2][7][2] = int_stack + 82024;
 Libderiv->deriv2_classes[3][4][2] = int_stack + 82240;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 82390;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 82600;
 Libderiv->deriv2_classes[3][7][2] = int_stack + 82880;
 Libderiv->deriv_classes[2][4][1] = int_stack + 83240;
 Libderiv->deriv_classes[2][5][1] = int_stack + 83330;
 Libderiv->deriv_classes[2][6][1] = int_stack + 83456;
 Libderiv->deriv_classes[2][7][1] = int_stack + 83624;
 Libderiv->deriv2_classes[2][4][1] = int_stack + 83840;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 83930;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 84056;
 Libderiv->deriv2_classes[2][7][1] = int_stack + 84224;
 Libderiv->deriv2_classes[3][4][1] = int_stack + 84440;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 84590;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 84800;
 Libderiv->deriv2_classes[3][7][1] = int_stack + 85080;
 Libderiv->deriv_classes[2][4][0] = int_stack + 85440;
 Libderiv->deriv_classes[2][5][0] = int_stack + 85530;
 Libderiv->deriv_classes[2][6][0] = int_stack + 85656;
 Libderiv->deriv_classes[2][7][0] = int_stack + 85824;
 Libderiv->deriv2_classes[2][4][0] = int_stack + 86040;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 86130;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 86256;
 Libderiv->deriv2_classes[2][7][0] = int_stack + 86424;
 Libderiv->deriv2_classes[3][4][0] = int_stack + 86640;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 86790;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 87000;
 Libderiv->deriv2_classes[3][7][0] = int_stack + 87280;
 memset(int_stack,0,701120);

 Libderiv->dvrr_stack = int_stack + 188416;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dpgf(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+87640,int_stack+77996,int_stack+77816,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+87910,int_stack+78248,int_stack+77996,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+88288,int_stack+87910,int_stack+87640,6);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+88828,int_stack+66906,int_stack+66816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77816,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+89098,int_stack+67032,int_stack+66906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77996,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+89476,int_stack+89098,int_stack+88828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87640,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+90016,int_stack+67200,int_stack+67032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78248,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+90520,int_stack+90016,int_stack+89098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87910,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+91276,int_stack+90520,int_stack+89476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88288,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+90016,int_stack+39986,int_stack+39536,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+90466,int_stack+1800,int_stack+39986,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+92176,int_stack+90466,int_stack+90016,10);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+93076,int_stack+28636,int_stack+28336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39536,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+93526,int_stack+29056,int_stack+28636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39986,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+94156,int_stack+93526,int_stack+93076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+95056,int_stack+0,int_stack+29056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+95896,int_stack+95056,int_stack+93526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+97156,int_stack+95896,int_stack+94156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92176,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+95056,int_stack+69106,int_stack+69016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77816, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+95326,int_stack+69232,int_stack+69106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77996, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+95704,int_stack+95326,int_stack+95056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87640, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+96244,int_stack+69400,int_stack+69232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78248, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+98656,int_stack+96244,int_stack+95326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87910, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+96244,int_stack+98656,int_stack+95704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88288, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+98656,int_stack+30876,int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39536, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+99106,int_stack+31296,int_stack+30876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39986, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+99736,int_stack+99106,int_stack+98656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+100636,int_stack+360,int_stack+31296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+101476,int_stack+100636,int_stack+99106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+102736,int_stack+101476,int_stack+99736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+100636,int_stack+71306,int_stack+71216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77816, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+100906,int_stack+71432,int_stack+71306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77996, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+101284,int_stack+100906,int_stack+100636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87640, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+101824,int_stack+71600,int_stack+71432, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78248, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+104236,int_stack+101824,int_stack+100906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87910, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+101824,int_stack+104236,int_stack+101284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88288, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+104236,int_stack+33116,int_stack+32816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39536, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+33536,int_stack+33116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39986, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+104686,int_stack+0,int_stack+104236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+105586,int_stack+720,int_stack+33536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+106426,int_stack+105586,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+107686,int_stack+106426,int_stack+104686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105586,int_stack+73506,int_stack+73416, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105856,int_stack+73632,int_stack+73506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+106234,int_stack+105856,int_stack+105586, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+106774,int_stack+73800,int_stack+73632, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+109186,int_stack+106774,int_stack+105856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+106774,int_stack+109186,int_stack+106234, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+630,int_stack+35356,int_stack+35056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+109186,int_stack+35776,int_stack+35356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+109816,int_stack+109186,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+110716,int_stack+1080,int_stack+35776, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+111556,int_stack+110716,int_stack+109186, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+112816,int_stack+111556,int_stack+109816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+110716,int_stack+75706,int_stack+75616, 0.0, zero_stack, 1.0, int_stack+77816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+110986,int_stack+75832,int_stack+75706, 0.0, zero_stack, 1.0, int_stack+77996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+111364,int_stack+110986,int_stack+110716, 0.0, zero_stack, 1.0, int_stack+87640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+111904,int_stack+76000,int_stack+75832, 0.0, zero_stack, 1.0, int_stack+78248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+114316,int_stack+111904,int_stack+110986, 0.0, zero_stack, 1.0, int_stack+87910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+111904,int_stack+114316,int_stack+111364, 0.0, zero_stack, 1.0, int_stack+88288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+114316,int_stack+37596,int_stack+37296, 0.0, zero_stack, 1.0, int_stack+39536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+114766,int_stack+38016,int_stack+37596, 0.0, zero_stack, 1.0, int_stack+39986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+115396,int_stack+114766,int_stack+114316, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116296,int_stack+1440,int_stack+38016, 0.0, zero_stack, 1.0, int_stack+1800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+117136,int_stack+116296,int_stack+114766, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+118396,int_stack+117136,int_stack+115396, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+116296,int_stack+78122,int_stack+77906, 1.0, int_stack+77816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116566,int_stack+78416,int_stack+78122, 1.0, int_stack+77996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+116944,int_stack+116566,int_stack+116296, 1.0, int_stack+87640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117484,int_stack+78584,int_stack+78416, 1.0, int_stack+78248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+119896,int_stack+117484,int_stack+116566, 1.0, int_stack+87910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+117484,int_stack+119896,int_stack+116944, 1.0, int_stack+88288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+119896,int_stack+40196,int_stack+39686, 1.0, int_stack+39536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120346,int_stack+40616,int_stack+40196, 1.0, int_stack+39986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+120976,int_stack+120346,int_stack+119896, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+121876,int_stack+2080,int_stack+40616, 1.0, int_stack+1800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1080,int_stack+121876,int_stack+120346, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+121876,int_stack+1080,int_stack+120976, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+92176,int_stack+3160,int_stack+78248,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1080,int_stack+92176,int_stack+87910,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+92176,int_stack+1080,int_stack+88288,6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+1080,int_stack+81130,int_stack+81040,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1350,int_stack+81256,int_stack+81130,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+1728,int_stack+1350,int_stack+1080,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+123376,int_stack+81424,int_stack+81256,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+90016,int_stack+123376,int_stack+1350,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+87640,int_stack+90016,int_stack+1728,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+90016,int_stack+50436,int_stack+50136,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+90466,int_stack+50856,int_stack+50436,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+123376,int_stack+90466,int_stack+90016,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+124276,int_stack+2440,int_stack+50856,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+125116,int_stack+124276,int_stack+90466,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+126376,int_stack+125116,int_stack+123376,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+124276,int_stack+83330,int_stack+83240,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+124546,int_stack+83456,int_stack+83330,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+124924,int_stack+124546,int_stack+124276,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+125464,int_stack+83624,int_stack+83456,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+127876,int_stack+125464,int_stack+124546,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+125464,int_stack+127876,int_stack+124924,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+127876,int_stack+62276,int_stack+61976,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+128326,int_stack+62696,int_stack+62276,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+128956,int_stack+128326,int_stack+127876,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+129856,int_stack+2800,int_stack+62696,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+130696,int_stack+129856,int_stack+128326,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+131956,int_stack+130696,int_stack+128956,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+129856,int_stack+85530,int_stack+85440,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+130126,int_stack+85656,int_stack+85530,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+130504,int_stack+130126,int_stack+129856,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+131044,int_stack+85824,int_stack+85656,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+2268,int_stack+131044,int_stack+130126,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+131044,int_stack+2268,int_stack+130504,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2268,int_stack+79700,int_stack+79400,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2718,int_stack+80120,int_stack+79700,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+133456,int_stack+2718,int_stack+2268,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+134356,int_stack+3376,int_stack+80120,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+135196,int_stack+134356,int_stack+2718,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+136456,int_stack+135196,int_stack+133456,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+3826,int_stack+3736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+66816,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+3952,int_stack+3826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+66906,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+88828,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+135544,int_stack+4120,int_stack+3952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+67032,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3348,int_stack+135544,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+89098,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+135544,int_stack+3348,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+89476,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3348,int_stack+4486,int_stack+4336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28336,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3798,int_stack+4696,int_stack+4486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28636,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+3798,int_stack+3348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+93076,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137956,int_stack+4976,int_stack+4696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+29056,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+138796,int_stack+137956,int_stack+3798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+93526,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+3348,int_stack+138796,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+94156,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+5426,int_stack+5336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66816, 1.0, int_stack+69016,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+5552,int_stack+5426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66906, 1.0, int_stack+69106,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88828, 1.0, int_stack+95056,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137956,int_stack+5720,int_stack+5552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67032, 1.0, int_stack+69232,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+138460,int_stack+137956,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89098, 1.0, int_stack+95326,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+139216,int_stack+138460,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89476, 1.0, int_stack+95704,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+137956,int_stack+6086,int_stack+5936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28336, 1.0, int_stack+30576,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138406,int_stack+6296,int_stack+6086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28636, 1.0, int_stack+30876,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+138406,int_stack+137956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93076, 1.0, int_stack+98656,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140116,int_stack+6576,int_stack+6296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29056, 1.0, int_stack+31296,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4848,int_stack+140116,int_stack+138406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93526, 1.0, int_stack+99106,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+140116,int_stack+4848,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94156, 1.0, int_stack+99736,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+7026,int_stack+6936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+69016, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+7152,int_stack+7026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+69106, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95056, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4848,int_stack+7320,int_stack+7152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+69232, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5352,int_stack+4848,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95326, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+6108,int_stack+5352,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95704, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4848,int_stack+7686,int_stack+7536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30576, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5298,int_stack+7896,int_stack+7686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30876, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+5298,int_stack+4848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+98656, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7008,int_stack+8176,int_stack+7896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+31296, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+137956,int_stack+7008,int_stack+5298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+99106, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+7008,int_stack+137956,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+99736, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+8626,int_stack+8536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66816, 0.0, zero_stack, 1.0, int_stack+71216,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+8752,int_stack+8626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66906, 0.0, zero_stack, 1.0, int_stack+71306,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88828, 0.0, zero_stack, 1.0, int_stack+100636,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+137956,int_stack+8920,int_stack+8752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67032, 0.0, zero_stack, 1.0, int_stack+71432,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+138460,int_stack+137956,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89098, 0.0, zero_stack, 1.0, int_stack+100906,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+4848,int_stack+138460,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89476, 0.0, zero_stack, 1.0, int_stack+101284,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+137956,int_stack+9286,int_stack+9136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28336, 0.0, zero_stack, 1.0, int_stack+32816,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138406,int_stack+9496,int_stack+9286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28636, 0.0, zero_stack, 1.0, int_stack+33116,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+138406,int_stack+137956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93076, 0.0, zero_stack, 1.0, int_stack+104236,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8508,int_stack+9776,int_stack+9496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29056, 0.0, zero_stack, 1.0, int_stack+33536,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+141616,int_stack+8508,int_stack+138406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93526, 0.0, zero_stack, 1.0, int_stack+0,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+8508,int_stack+141616,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94156, 0.0, zero_stack, 1.0, int_stack+104686,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+10226,int_stack+10136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69016, 1.0, int_stack+71216, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+10352,int_stack+10226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69106, 1.0, int_stack+71306, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95056, 1.0, int_stack+100636, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141616,int_stack+10520,int_stack+10352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69232, 1.0, int_stack+71432, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142120,int_stack+141616,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95326, 1.0, int_stack+100906, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+137956,int_stack+142120,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95704, 1.0, int_stack+101284, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+141616,int_stack+10886,int_stack+10736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576, 1.0, int_stack+32816, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142066,int_stack+11096,int_stack+10886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30876, 1.0, int_stack+33116, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+142066,int_stack+141616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98656, 1.0, int_stack+104236, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10008,int_stack+11376,int_stack+11096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31296, 1.0, int_stack+33536, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142696,int_stack+10008,int_stack+142066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99106, 1.0, int_stack+0, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+10008,int_stack+142696,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99736, 1.0, int_stack+104686, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+11826,int_stack+11736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+71216, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+11952,int_stack+11826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+71306, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+100636, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141616,int_stack+12120,int_stack+11952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+71432, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11508,int_stack+141616,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+100906, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+141616,int_stack+11508,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+101284, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11508,int_stack+12486,int_stack+12336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32816, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142516,int_stack+12696,int_stack+12486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33116, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+142516,int_stack+11508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+104236, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11508,int_stack+12976,int_stack+12696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33536, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143146,int_stack+11508,int_stack+142516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+11508,int_stack+143146,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+104686, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+13426,int_stack+13336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73416,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+13552,int_stack+13426, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66906, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73506,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88828, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105586,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+13720,int_stack+13552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73632,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89098, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105856,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+143776,int_stack+143020,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106234,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+14086,int_stack+13936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35056,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+14296,int_stack+14086, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35356,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+142966,int_stack+142516, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93076, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13008,int_stack+14576,int_stack+14296, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35776,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+144676,int_stack+13008,int_stack+142966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93526, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109186,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+13008,int_stack+144676,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94156, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109816,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+15026,int_stack+14936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69016, 0.0, zero_stack, 1.0, int_stack+73416, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+15152,int_stack+15026, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69106, 0.0, zero_stack, 1.0, int_stack+73506, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95056, 0.0, zero_stack, 1.0, int_stack+105586, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+144676,int_stack+15320,int_stack+15152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69232, 0.0, zero_stack, 1.0, int_stack+73632, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145180,int_stack+144676,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95326, 0.0, zero_stack, 1.0, int_stack+105856, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+14508,int_stack+145180,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95704, 0.0, zero_stack, 1.0, int_stack+106234, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+144676,int_stack+15686,int_stack+15536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack, 1.0, int_stack+35056, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145126,int_stack+15896,int_stack+15686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30876, 0.0, zero_stack, 1.0, int_stack+35356, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+145126,int_stack+144676, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98656, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+16176,int_stack+15896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31296, 0.0, zero_stack, 1.0, int_stack+35776, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145756,int_stack+142516,int_stack+145126, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99106, 0.0, zero_stack, 1.0, int_stack+109186, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+147016,int_stack+145756,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99736, 0.0, zero_stack, 1.0, int_stack+109816, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+16626,int_stack+16536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71216, 1.0, int_stack+73416, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+16752,int_stack+16626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71306, 1.0, int_stack+73506, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100636, 1.0, int_stack+105586, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+16920,int_stack+16752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71432, 1.0, int_stack+73632, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100906, 1.0, int_stack+105856, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+144676,int_stack+143020,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101284, 1.0, int_stack+106234, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+17286,int_stack+17136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32816, 1.0, int_stack+35056, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+17496,int_stack+17286, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33116, 1.0, int_stack+35356, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+142966,int_stack+142516, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104236, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+145576,int_stack+17776,int_stack+17496, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33536, 1.0, int_stack+35776, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15408,int_stack+145576,int_stack+142966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+109186, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+148516,int_stack+15408,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104686, 1.0, int_stack+109816, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+18226,int_stack+18136, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+18352,int_stack+18226, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+105586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15408,int_stack+18520,int_stack+18352, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+73632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15912,int_stack+15408,int_stack+134626, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+105856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+16668,int_stack+15912,int_stack+135004, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+106234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15408,int_stack+18886,int_stack+18736, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15858,int_stack+19096,int_stack+18886, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+15858,int_stack+15408, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17568,int_stack+19376,int_stack+19096, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+17568,int_stack+15858, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+109186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+17568,int_stack+142516,int_stack+134356, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+109816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+19826,int_stack+19736, 0.0, zero_stack, 1.0, int_stack+66816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75616,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+19952,int_stack+19826, 0.0, zero_stack, 1.0, int_stack+66906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75706,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 1.0, int_stack+88828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110716,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+20120,int_stack+19952, 0.0, zero_stack, 1.0, int_stack+67032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75832,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+134626, 0.0, zero_stack, 1.0, int_stack+89098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110986,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+19068,int_stack+143020,int_stack+135004, 0.0, zero_stack, 1.0, int_stack+89476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111364,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+20486,int_stack+20336, 0.0, zero_stack, 1.0, int_stack+28336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37296,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+20696,int_stack+20486, 0.0, zero_stack, 1.0, int_stack+28636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37596,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+134356,int_stack+142966,int_stack+142516, 0.0, zero_stack, 1.0, int_stack+93076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114316,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15408,int_stack+20976,int_stack+20696, 0.0, zero_stack, 1.0, int_stack+29056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38016,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+15408,int_stack+142966, 0.0, zero_stack, 1.0, int_stack+93526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114766,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+150016,int_stack+19968,int_stack+134356, 0.0, zero_stack, 1.0, int_stack+94156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115396,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+134356,int_stack+21426,int_stack+21336, 0.0, zero_stack, 1.0, int_stack+69016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75616, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134626,int_stack+21552,int_stack+21426, 0.0, zero_stack, 1.0, int_stack+69106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75706, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+135004,int_stack+134626,int_stack+134356, 0.0, zero_stack, 1.0, int_stack+95056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110716, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19968,int_stack+21720,int_stack+21552, 0.0, zero_stack, 1.0, int_stack+69232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75832, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20472,int_stack+19968,int_stack+134626, 0.0, zero_stack, 1.0, int_stack+95326, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110986, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+15408,int_stack+20472,int_stack+135004, 0.0, zero_stack, 1.0, int_stack+95704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111364, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19968,int_stack+22086,int_stack+21936, 0.0, zero_stack, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37296, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20418,int_stack+22296,int_stack+22086, 0.0, zero_stack, 1.0, int_stack+30876, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37596, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21048,int_stack+20418,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+98656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114316, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+134356,int_stack+22576,int_stack+22296, 0.0, zero_stack, 1.0, int_stack+31296, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38016, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+134356,int_stack+20418, 0.0, zero_stack, 1.0, int_stack+99106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114766, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+151516,int_stack+142516,int_stack+21048, 0.0, zero_stack, 1.0, int_stack+99736, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115396, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+23026,int_stack+22936, 0.0, zero_stack, 1.0, int_stack+71216, 0.0, zero_stack, 1.0, int_stack+75616, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142786,int_stack+23152,int_stack+23026, 0.0, zero_stack, 1.0, int_stack+71306, 0.0, zero_stack, 1.0, int_stack+75706, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+143164,int_stack+142786,int_stack+142516, 0.0, zero_stack, 1.0, int_stack+100636, 0.0, zero_stack, 1.0, int_stack+110716, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+134356,int_stack+23320,int_stack+23152, 0.0, zero_stack, 1.0, int_stack+71432, 0.0, zero_stack, 1.0, int_stack+75832, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19968,int_stack+134356,int_stack+142786, 0.0, zero_stack, 1.0, int_stack+100906, 0.0, zero_stack, 1.0, int_stack+110986, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+134356,int_stack+19968,int_stack+143164, 0.0, zero_stack, 1.0, int_stack+101284, 0.0, zero_stack, 1.0, int_stack+111364, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19968,int_stack+23686,int_stack+23536, 0.0, zero_stack, 1.0, int_stack+32816, 0.0, zero_stack, 1.0, int_stack+37296, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20418,int_stack+23896,int_stack+23686, 0.0, zero_stack, 1.0, int_stack+33116, 0.0, zero_stack, 1.0, int_stack+37596, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21048,int_stack+20418,int_stack+19968, 0.0, zero_stack, 1.0, int_stack+104236, 0.0, zero_stack, 1.0, int_stack+114316, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21948,int_stack+24176,int_stack+23896, 0.0, zero_stack, 1.0, int_stack+33536, 0.0, zero_stack, 1.0, int_stack+38016, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+21948,int_stack+20418, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+114766, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+21948,int_stack+142516,int_stack+21048, 0.0, zero_stack, 1.0, int_stack+104686, 0.0, zero_stack, 1.0, int_stack+115396, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+24626,int_stack+24536, 0.0, zero_stack, 1.0, int_stack+73416, 1.0, int_stack+75616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142786,int_stack+24752,int_stack+24626, 0.0, zero_stack, 1.0, int_stack+73506, 1.0, int_stack+75706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+143164,int_stack+142786,int_stack+142516, 0.0, zero_stack, 1.0, int_stack+105586, 1.0, int_stack+110716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23448,int_stack+24920,int_stack+24752, 0.0, zero_stack, 1.0, int_stack+73632, 1.0, int_stack+75832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+23952,int_stack+23448,int_stack+142786, 0.0, zero_stack, 1.0, int_stack+105856, 1.0, int_stack+110986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+19968,int_stack+23952,int_stack+143164, 0.0, zero_stack, 1.0, int_stack+106234, 1.0, int_stack+111364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23448,int_stack+25286,int_stack+25136, 0.0, zero_stack, 1.0, int_stack+35056, 1.0, int_stack+37296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23898,int_stack+25496,int_stack+25286, 0.0, zero_stack, 1.0, int_stack+35356, 1.0, int_stack+37596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+24528,int_stack+23898,int_stack+23448, 0.0, zero_stack, 1.0, int_stack+630, 1.0, int_stack+114316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+25776,int_stack+25496, 0.0, zero_stack, 1.0, int_stack+35776, 1.0, int_stack+38016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145576,int_stack+142516,int_stack+23898, 0.0, zero_stack, 1.0, int_stack+109186, 1.0, int_stack+114766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+153016,int_stack+145576,int_stack+24528, 0.0, zero_stack, 1.0, int_stack+109816, 1.0, int_stack+115396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+26226,int_stack+26136, 0.0, zero_stack, 2.0, int_stack+75616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+26352,int_stack+26226, 0.0, zero_stack, 2.0, int_stack+75706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 2.0, int_stack+110716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+26520,int_stack+26352, 0.0, zero_stack, 2.0, int_stack+75832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+145846, 0.0, zero_stack, 2.0, int_stack+110986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+23448,int_stack+143020,int_stack+146224, 0.0, zero_stack, 2.0, int_stack+111364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+26886,int_stack+26736, 0.0, zero_stack, 2.0, int_stack+37296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+27096,int_stack+26886, 0.0, zero_stack, 2.0, int_stack+37596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+142966,int_stack+142516, 0.0, zero_stack, 2.0, int_stack+114316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+27376,int_stack+27096, 0.0, zero_stack, 2.0, int_stack+38016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25188,int_stack+24348,int_stack+142966, 0.0, zero_stack, 2.0, int_stack+114766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+154516,int_stack+25188,int_stack+145576, 0.0, zero_stack, 2.0, int_stack+115396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+27826,int_stack+27736, 1.0, int_stack+66816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77906,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+27952,int_stack+27826, 1.0, int_stack+66906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78122,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+88828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116296,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+28120,int_stack+27952, 1.0, int_stack+67032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78416,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24852,int_stack+24348,int_stack+145846, 1.0, int_stack+89098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116566,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+25608,int_stack+24852,int_stack+146224, 1.0, int_stack+89476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116944,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24348,int_stack+28846,int_stack+28486, 1.0, int_stack+28336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39686,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24798,int_stack+29336,int_stack+28846, 1.0, int_stack+28636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40196,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+24798,int_stack+24348, 1.0, int_stack+93076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119896,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26508,int_stack+29616,int_stack+29336, 1.0, int_stack+29056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40616,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+26508,int_stack+24798, 1.0, int_stack+93526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120346,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+26508,int_stack+142516,int_stack+145576, 1.0, int_stack+94156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120976,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+30066,int_stack+29976, 1.0, int_stack+69016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77906, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+30192,int_stack+30066, 1.0, int_stack+69106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78122, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+95056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116296, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+30360,int_stack+30192, 1.0, int_stack+69232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78416, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+145846, 1.0, int_stack+95326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116566, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+28008,int_stack+143020,int_stack+146224, 1.0, int_stack+95704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116944, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+31086,int_stack+30726, 1.0, int_stack+30576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39686, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+31576,int_stack+31086, 1.0, int_stack+30876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40196, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+142966,int_stack+142516, 1.0, int_stack+98656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119896, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28908,int_stack+31856,int_stack+31576, 1.0, int_stack+31296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40616, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24348,int_stack+28908,int_stack+142966, 1.0, int_stack+99106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120346, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+28908,int_stack+24348,int_stack+145576, 1.0, int_stack+99736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120976, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+32306,int_stack+32216, 1.0, int_stack+71216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+77906, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+32432,int_stack+32306, 1.0, int_stack+71306, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78122, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+100636, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116296, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+32600,int_stack+32432, 1.0, int_stack+71432, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78416, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24852,int_stack+24348,int_stack+145846, 1.0, int_stack+100906, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116566, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+30408,int_stack+24852,int_stack+146224, 1.0, int_stack+101284, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116944, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24348,int_stack+33326,int_stack+32966, 1.0, int_stack+32816, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39686, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24798,int_stack+33816,int_stack+33326, 1.0, int_stack+33116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40196, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+24798,int_stack+24348, 1.0, int_stack+104236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119896, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31308,int_stack+34096,int_stack+33816, 1.0, int_stack+33536, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40616, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+31308,int_stack+24798, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120346, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+31308,int_stack+142516,int_stack+145576, 1.0, int_stack+104686, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120976, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+34546,int_stack+34456, 1.0, int_stack+73416, 0.0, zero_stack, 1.0, int_stack+77906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+34672,int_stack+34546, 1.0, int_stack+73506, 0.0, zero_stack, 1.0, int_stack+78122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+105586, 0.0, zero_stack, 1.0, int_stack+116296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+34840,int_stack+34672, 1.0, int_stack+73632, 0.0, zero_stack, 1.0, int_stack+78416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+145846, 1.0, int_stack+105856, 0.0, zero_stack, 1.0, int_stack+116566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+32808,int_stack+143020,int_stack+146224, 1.0, int_stack+106234, 0.0, zero_stack, 1.0, int_stack+116944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+35566,int_stack+35206, 1.0, int_stack+35056, 0.0, zero_stack, 1.0, int_stack+39686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+36056,int_stack+35566, 1.0, int_stack+35356, 0.0, zero_stack, 1.0, int_stack+40196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+0,int_stack+142516, 1.0, int_stack+630, 0.0, zero_stack, 1.0, int_stack+119896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+36336,int_stack+36056, 1.0, int_stack+35776, 0.0, zero_stack, 1.0, int_stack+40616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24348,int_stack+142516,int_stack+0, 1.0, int_stack+109186, 0.0, zero_stack, 1.0, int_stack+120346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+33708,int_stack+24348,int_stack+145576, 1.0, int_stack+109816, 0.0, zero_stack, 1.0, int_stack+120976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+36786,int_stack+36696, 1.0, int_stack+75616, 1.0, int_stack+77906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+36912,int_stack+36786, 1.0, int_stack+75706, 1.0, int_stack+78122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+110716, 1.0, int_stack+116296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+37080,int_stack+36912, 1.0, int_stack+75832, 1.0, int_stack+78416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24852,int_stack+24348,int_stack+145846, 1.0, int_stack+110986, 1.0, int_stack+116566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+109186,int_stack+24852,int_stack+146224, 1.0, int_stack+111364, 1.0, int_stack+116944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24348,int_stack+37806,int_stack+37446, 1.0, int_stack+37296, 1.0, int_stack+39686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24798,int_stack+38296,int_stack+37806, 1.0, int_stack+37596, 1.0, int_stack+40196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+24798,int_stack+24348, 1.0, int_stack+114316, 1.0, int_stack+119896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+110086,int_stack+38576,int_stack+38296, 1.0, int_stack+38016, 1.0, int_stack+40616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+110086,int_stack+24798, 1.0, int_stack+114766, 1.0, int_stack+120346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+110086,int_stack+142516,int_stack+145576, 1.0, int_stack+115396, 1.0, int_stack+120976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+39026,int_stack+38936, 2.0, int_stack+77906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+39152,int_stack+39026, 2.0, int_stack+78122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 2.0, int_stack+116296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+39320,int_stack+39152, 2.0, int_stack+78416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+145846, 2.0, int_stack+116566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+114316,int_stack+143020,int_stack+146224, 2.0, int_stack+116944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+40406,int_stack+39836, 2.0, int_stack+39686, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+40896,int_stack+40406, 2.0, int_stack+40196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+142966,int_stack+142516, 2.0, int_stack+119896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115216,int_stack+41176,int_stack+40896, 2.0, int_stack+40616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24348,int_stack+115216,int_stack+142966, 2.0, int_stack+120346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+115216,int_stack+24348,int_stack+145576, 2.0, int_stack+120976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+41626,int_stack+41536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81040,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+41752,int_stack+41626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81130,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1080,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+41920,int_stack+41752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81256,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24852,int_stack+24348,int_stack+145846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+119896,int_stack+24852,int_stack+146224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1728,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24348,int_stack+42286,int_stack+42136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50136,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24798,int_stack+42496,int_stack+42286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50436,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+24798,int_stack+24348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+120796,int_stack+42776,int_stack+42496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50856,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+142516,int_stack+120796,int_stack+24798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+35208,int_stack+142516,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123376,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+43226,int_stack+43136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81040, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+43352,int_stack+43226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81130, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1080, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+43520,int_stack+43352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81256, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+143020,int_stack+142516,int_stack+145846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+120796,int_stack+143020,int_stack+146224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1728, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+142516,int_stack+43886,int_stack+43736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50136, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+142966,int_stack+44096,int_stack+43886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50436, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+142966,int_stack+142516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24348,int_stack+44376,int_stack+44096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50856, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36708,int_stack+24348,int_stack+142966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+37968,int_stack+36708,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123376, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+44826,int_stack+44736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81040, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+44952,int_stack+44826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81130, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+36708,int_stack+45120,int_stack+44952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81256, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37212,int_stack+36708,int_stack+145846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+24348,int_stack+37212,int_stack+146224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1728, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36708,int_stack+45486,int_stack+45336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50136, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37158,int_stack+45696,int_stack+45486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50436, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+37158,int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142516,int_stack+45976,int_stack+45696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50856, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39468,int_stack+142516,int_stack+37158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+40728,int_stack+39468,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123376, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+46426,int_stack+46336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+46552,int_stack+46426, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39468,int_stack+46720,int_stack+46552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39972,int_stack+39468,int_stack+145846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+142516,int_stack+39972,int_stack+146224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+39468,int_stack+47086,int_stack+46936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39918,int_stack+47296,int_stack+47086, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+39918,int_stack+39468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+36708,int_stack+47576,int_stack+47296, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42228,int_stack+36708,int_stack+39918, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+43488,int_stack+42228,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+48026,int_stack+47936, 0.0, zero_stack, 1.0, int_stack+81040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+48152,int_stack+48026, 0.0, zero_stack, 1.0, int_stack+81130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42228,int_stack+48320,int_stack+48152, 0.0, zero_stack, 1.0, int_stack+81256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42732,int_stack+42228,int_stack+145846, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+36708,int_stack+42732,int_stack+146224, 0.0, zero_stack, 1.0, int_stack+1728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+42228,int_stack+48686,int_stack+48536, 0.0, zero_stack, 1.0, int_stack+50136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42678,int_stack+48896,int_stack+48686, 0.0, zero_stack, 1.0, int_stack+50436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+42678,int_stack+42228, 0.0, zero_stack, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39468,int_stack+49176,int_stack+48896, 0.0, zero_stack, 1.0, int_stack+50856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+44988,int_stack+39468,int_stack+42678, 0.0, zero_stack, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+46248,int_stack+44988,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+123376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+49626,int_stack+49536, 1.0, int_stack+81040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+145846,int_stack+49752,int_stack+49626, 1.0, int_stack+81130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+146224,int_stack+145846,int_stack+145576, 1.0, int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44988,int_stack+49920,int_stack+49752, 1.0, int_stack+81256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+45492,int_stack+44988,int_stack+145846, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+39468,int_stack+45492,int_stack+146224, 1.0, int_stack+1728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+44988,int_stack+50646,int_stack+50286, 1.0, int_stack+50136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45438,int_stack+51136,int_stack+50646, 1.0, int_stack+50436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+45438,int_stack+44988, 1.0, int_stack+90016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42228,int_stack+51416,int_stack+51136, 1.0, int_stack+50856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+42228,int_stack+45438, 1.0, int_stack+90466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+47748,int_stack+0,int_stack+145576, 1.0, int_stack+123376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+123376,int_stack+51866,int_stack+51776,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+123646,int_stack+51992,int_stack+51866,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+123646,int_stack+123376,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+146116,int_stack+52160,int_stack+51992,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+146116,int_stack+123646,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+146116,int_stack+0,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+52526,int_stack+52376,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+52736,int_stack+52526,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+123376,int_stack+0,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+630,int_stack+53016,int_stack+52736,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+42228,int_stack+630,int_stack+0,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+42228,int_stack+123376,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+123376,int_stack+53466,int_stack+53376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83240,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+123646,int_stack+53592,int_stack+53466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83330,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+123646,int_stack+123376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124276,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42228,int_stack+53760,int_stack+53592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83456,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42732,int_stack+42228,int_stack+123646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124546,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+123376,int_stack+42732,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124924,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+54126,int_stack+53976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61976,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42228,int_stack+54336,int_stack+54126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62276,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+44988,int_stack+42228,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127876,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49248,int_stack+54616,int_stack+54336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62696,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50088,int_stack+49248,int_stack+42228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128326,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+51348,int_stack+50088,int_stack+44988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128956,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+44988,int_stack+55066,int_stack+54976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83240, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+45258,int_stack+55192,int_stack+55066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83330, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+45258,int_stack+44988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124276, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+45636,int_stack+55360,int_stack+55192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83456, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42228,int_stack+45636,int_stack+45258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124546, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+44988,int_stack+42228,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124924, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+55726,int_stack+55576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61976, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42228,int_stack+55936,int_stack+55726, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62276, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+49248,int_stack+42228,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127876, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50148,int_stack+56216,int_stack+55936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62696, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+52848,int_stack+50148,int_stack+42228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128326, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+54108,int_stack+52848,int_stack+49248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128956, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+49248,int_stack+56666,int_stack+56576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83240, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+49518,int_stack+56792,int_stack+56666, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83330, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+49518,int_stack+49248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124276, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+49896,int_stack+56960,int_stack+56792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83456, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50400,int_stack+49896,int_stack+49518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124546, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+49248,int_stack+50400,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124924, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+57326,int_stack+57176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61976, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50148,int_stack+57536,int_stack+57326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62276, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+52848,int_stack+50148,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127876, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42228,int_stack+57816,int_stack+57536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62696, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55608,int_stack+42228,int_stack+50148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128326, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+104236,int_stack+55608,int_stack+52848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128956, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+52848,int_stack+58266,int_stack+58176, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53118,int_stack+58392,int_stack+58266, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+53118,int_stack+52848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53496,int_stack+58560,int_stack+58392, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55608,int_stack+53496,int_stack+53118, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+52848,int_stack+55608,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+58926,int_stack+58776, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55608,int_stack+59136,int_stack+58926, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+56238,int_stack+55608,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+127876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+57138,int_stack+59416,int_stack+59136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42228,int_stack+57138,int_stack+55608, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+57138,int_stack+42228,int_stack+56238, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+42228,int_stack+59866,int_stack+59776, 0.0, zero_stack, 1.0, int_stack+83240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42498,int_stack+59992,int_stack+59866, 0.0, zero_stack, 1.0, int_stack+83330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+42498,int_stack+42228, 0.0, zero_stack, 1.0, int_stack+124276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42876,int_stack+60160,int_stack+59992, 0.0, zero_stack, 1.0, int_stack+83456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55608,int_stack+42876,int_stack+42498, 0.0, zero_stack, 1.0, int_stack+124546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+42228,int_stack+55608,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+124924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+60526,int_stack+60376, 0.0, zero_stack, 1.0, int_stack+61976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55608,int_stack+60736,int_stack+60526, 0.0, zero_stack, 1.0, int_stack+62276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+56238,int_stack+55608,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+127876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58638,int_stack+61016,int_stack+60736, 0.0, zero_stack, 1.0, int_stack+62696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+59478,int_stack+58638,int_stack+55608, 0.0, zero_stack, 1.0, int_stack+128326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+98656,int_stack+59478,int_stack+56238, 0.0, zero_stack, 1.0, int_stack+128956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+55608,int_stack+61466,int_stack+61376, 1.0, int_stack+83240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55878,int_stack+61592,int_stack+61466, 1.0, int_stack+83330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+55878,int_stack+55608, 1.0, int_stack+124276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56256,int_stack+61760,int_stack+61592, 1.0, int_stack+83456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58638,int_stack+56256,int_stack+55878, 1.0, int_stack+124546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+55608,int_stack+58638,int_stack+145576, 1.0, int_stack+124924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+62486,int_stack+62126, 1.0, int_stack+61976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+62976,int_stack+62486, 1.0, int_stack+62276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+58638,int_stack+56508,int_stack+145576, 1.0, int_stack+127876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+59538,int_stack+63256,int_stack+62976, 1.0, int_stack+62696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60378,int_stack+59538,int_stack+56508, 1.0, int_stack+128326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+61638,int_stack+60378,int_stack+58638, 1.0, int_stack+128956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+58638,int_stack+63706,int_stack+63616,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+58908,int_stack+63832,int_stack+63706,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+58908,int_stack+58638,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+59286,int_stack+64000,int_stack+63832,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+59790,int_stack+59286,int_stack+58908,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+58638,int_stack+59790,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+64366,int_stack+64216,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+64576,int_stack+64366,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+59538,int_stack+56508,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+60438,int_stack+64856,int_stack+64576,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+127876,int_stack+60438,int_stack+56508,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+63138,int_stack+127876,int_stack+59538,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+59538,int_stack+65306,int_stack+65216,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+59808,int_stack+65432,int_stack+65306,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+59808,int_stack+59538,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+60186,int_stack+65600,int_stack+65432,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+60690,int_stack+60186,int_stack+59808,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+59538,int_stack+60690,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+65966,int_stack+65816,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+66176,int_stack+65966,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+60438,int_stack+56508,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+127876,int_stack+66456,int_stack+66176,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+64638,int_stack+127876,int_stack+56508,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+127876,int_stack+64638,int_stack+60438,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+60438,int_stack+67506,int_stack+67416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85440,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60708,int_stack+67632,int_stack+67506, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85530,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+60708,int_stack+60438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129856,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+61086,int_stack+67800,int_stack+67632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85656,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+64638,int_stack+61086,int_stack+60708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130126,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+60438,int_stack+64638,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130504,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+68166,int_stack+68016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79400,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+68376,int_stack+68166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79700,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+64638,int_stack+56508,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+65538,int_stack+68656,int_stack+68376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80120,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+66378,int_stack+65538,int_stack+56508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2718,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+67638,int_stack+66378,int_stack+64638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133456,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+64638,int_stack+69706,int_stack+69616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85440, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+64908,int_stack+69832,int_stack+69706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85530, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+64908,int_stack+64638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129856, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+65286,int_stack+70000,int_stack+69832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85656, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+65790,int_stack+65286,int_stack+64908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130126, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+64638,int_stack+65790,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130504, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+70366,int_stack+70216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79400, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+70576,int_stack+70366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79700, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+65538,int_stack+56508,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+66438,int_stack+70856,int_stack+70576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80120, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69138,int_stack+66438,int_stack+56508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2718, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+100156,int_stack+69138,int_stack+65538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133456, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+65538,int_stack+71906,int_stack+71816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85440, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65808,int_stack+72032,int_stack+71906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85530, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+65808,int_stack+65538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129856, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+66186,int_stack+72200,int_stack+72032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85656, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+66690,int_stack+66186,int_stack+65808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130126, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+65538,int_stack+66690,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130504, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+72566,int_stack+72416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79400, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+72776,int_stack+72566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79700, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+66438,int_stack+56508,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+69138,int_stack+73056,int_stack+72776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80120, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69978,int_stack+69138,int_stack+56508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2718, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+71238,int_stack+69978,int_stack+66438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133456, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+66438,int_stack+74106,int_stack+74016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+66708,int_stack+74232,int_stack+74106, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+66708,int_stack+66438, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67086,int_stack+74400,int_stack+74232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69138,int_stack+67086,int_stack+66708, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+66438,int_stack+69138,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+74766,int_stack+74616, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+74976,int_stack+74766, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+79700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+69138,int_stack+56508,int_stack+145576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+70038,int_stack+75256,int_stack+74976, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+72738,int_stack+70038,int_stack+56508, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+73998,int_stack+72738,int_stack+69138, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+69138,int_stack+76306,int_stack+76216, 0.0, zero_stack, 1.0, int_stack+85440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69408,int_stack+76432,int_stack+76306, 0.0, zero_stack, 1.0, int_stack+85530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+69408,int_stack+69138, 0.0, zero_stack, 1.0, int_stack+129856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+69786,int_stack+76600,int_stack+76432, 0.0, zero_stack, 1.0, int_stack+85656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70290,int_stack+69786,int_stack+69408, 0.0, zero_stack, 1.0, int_stack+130126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+69138,int_stack+70290,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+130504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+76966,int_stack+76816, 0.0, zero_stack, 1.0, int_stack+79400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+77176,int_stack+76966, 0.0, zero_stack, 1.0, int_stack+79700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+70038,int_stack+56508,int_stack+145576, 0.0, zero_stack, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+72738,int_stack+77456,int_stack+77176, 0.0, zero_stack, 1.0, int_stack+80120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75498,int_stack+72738,int_stack+56508, 0.0, zero_stack, 1.0, int_stack+2718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+76758,int_stack+75498,int_stack+70038, 0.0, zero_stack, 1.0, int_stack+133456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+70038,int_stack+78890,int_stack+78800, 1.0, int_stack+85440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+70308,int_stack+79016,int_stack+78890, 1.0, int_stack+85530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+70308,int_stack+70038, 1.0, int_stack+129856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+70686,int_stack+79184,int_stack+79016, 1.0, int_stack+85656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75498,int_stack+70686,int_stack+70308, 1.0, int_stack+130126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+70038,int_stack+75498,int_stack+145576, 1.0, int_stack+130504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+79910,int_stack+79550, 1.0, int_stack+79400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+80400,int_stack+79910, 1.0, int_stack+79700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+75498,int_stack+56508,int_stack+145576, 1.0, int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+72738,int_stack+80680,int_stack+80400, 1.0, int_stack+80120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+78258,int_stack+72738,int_stack+56508, 1.0, int_stack+2718, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+79518,int_stack+78258,int_stack+75498, 1.0, int_stack+133456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+133456,int_stack+81730,int_stack+81640,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+133726,int_stack+81856,int_stack+81730,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+133726,int_stack+133456,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+75498,int_stack+82024,int_stack+81856,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+76002,int_stack+75498,int_stack+133726,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+133456,int_stack+76002,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+82390,int_stack+82240,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+82600,int_stack+82390,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+75498,int_stack+56508,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+78258,int_stack+82880,int_stack+82600,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+72738,int_stack+78258,int_stack+56508,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+81018,int_stack+72738,int_stack+75498,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+75498,int_stack+83930,int_stack+83840,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+75768,int_stack+84056,int_stack+83930,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+75768,int_stack+75498,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+76146,int_stack+84224,int_stack+84056,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+72738,int_stack+76146,int_stack+75768,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+75498,int_stack+72738,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+84590,int_stack+84440,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+84800,int_stack+84590,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+72738,int_stack+56508,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+78258,int_stack+85080,int_stack+84800,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+82518,int_stack+78258,int_stack+56508,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+83778,int_stack+82518,int_stack+72738,10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+72738,int_stack+86130,int_stack+86040,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73008,int_stack+86256,int_stack+86130,6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+145576,int_stack+73008,int_stack+72738,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+73386,int_stack+86424,int_stack+86256,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+82518,int_stack+73386,int_stack+73008,6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+72738,int_stack+82518,int_stack+145576,6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+145576,int_stack+86790,int_stack+86640,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56508,int_stack+87000,int_stack+86790,10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+82518,int_stack+56508,int_stack+145576,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+78258,int_stack+87280,int_stack+87000,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+85278,int_stack+78258,int_stack+56508,10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+129376,int_stack+85278,int_stack+82518,10);
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+93076,int_stack+97156,int_stack+91276,150);
     Libderiv->ABCD[11] = int_stack + 93076;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+88540,int_stack+102736,int_stack+96244,150);
     Libderiv->ABCD[10] = int_stack + 88540;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+156016,int_stack+107686,int_stack+101824,150);
     Libderiv->ABCD[9] = int_stack + 156016;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+158716,int_stack+112816,int_stack+106774,150);
     Libderiv->ABCD[8] = int_stack + 158716;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+161416,int_stack+118396,int_stack+111904,150);
     Libderiv->ABCD[7] = int_stack + 161416;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+164116,int_stack+121876,int_stack+117484,150);
     Libderiv->ABCD[6] = int_stack + 164116;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+166816,int_stack+126376,int_stack+87640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[2] = int_stack + 166816;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+169516,int_stack+131956,int_stack+125464, 0.0, zero_stack, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[1] = int_stack + 169516;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+172216,int_stack+136456,int_stack+131044, 1.0, int_stack+92176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[0] = int_stack + 172216;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+174916,int_stack+3348,int_stack+135544,150);
     Libderiv->ABCD[155] = int_stack + 174916;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+135256,int_stack+140116,int_stack+139216,150);
     Libderiv->ABCD[143] = int_stack + 135256;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+1500,int_stack+7008,int_stack+6108,150);
     Libderiv->ABCD[142] = int_stack + 1500;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+138856,int_stack+8508,int_stack+4848,150);
     Libderiv->ABCD[131] = int_stack + 138856;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+4200,int_stack+10008,int_stack+137956,150);
     Libderiv->ABCD[130] = int_stack + 4200;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6900,int_stack+11508,int_stack+141616,150);
     Libderiv->ABCD[129] = int_stack + 6900;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+9600,int_stack+13008,int_stack+143776,150);
     Libderiv->ABCD[119] = int_stack + 9600;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+177616,int_stack+147016,int_stack+14508,150);
     Libderiv->ABCD[118] = int_stack + 177616;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+12300,int_stack+148516,int_stack+144676,150);
     Libderiv->ABCD[117] = int_stack + 12300;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+143416,int_stack+17568,int_stack+16668,150);
     Libderiv->ABCD[116] = int_stack + 143416;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+147016,int_stack+150016,int_stack+19068,150);
     Libderiv->ABCD[107] = int_stack + 147016;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+16308,int_stack+151516,int_stack+15408,150);
     Libderiv->ABCD[106] = int_stack + 16308;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+149716,int_stack+21948,int_stack+134356,150);
     Libderiv->ABCD[105] = int_stack + 149716;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+180316,int_stack+153016,int_stack+19968,150);
     Libderiv->ABCD[104] = int_stack + 180316;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+19008,int_stack+154516,int_stack+23448,150);
     Libderiv->ABCD[103] = int_stack + 19008;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+152416,int_stack+26508,int_stack+25608,150);
     Libderiv->ABCD[95] = int_stack + 152416;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+25248,int_stack+28908,int_stack+28008,150);
     Libderiv->ABCD[94] = int_stack + 25248;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+183016,int_stack+31308,int_stack+30408,150);
     Libderiv->ABCD[93] = int_stack + 183016;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+27948,int_stack+33708,int_stack+32808,150);
     Libderiv->ABCD[92] = int_stack + 27948;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+30648,int_stack+110086,int_stack+109186,150);
     Libderiv->ABCD[91] = int_stack + 30648;
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+107674,int_stack+115216,int_stack+114316,150);
     Libderiv->ABCD[90] = int_stack + 107674;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+112804,int_stack+35208,int_stack+119896, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[47] = int_stack + 112804;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+33348,int_stack+37968,int_stack+120796, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[46] = int_stack + 33348;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+118384,int_stack+40728,int_stack+24348, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[45] = int_stack + 118384;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+21708,int_stack+43488,int_stack+142516, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[44] = int_stack + 21708;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+185716,int_stack+46248,int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[43] = int_stack + 185716;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+36048,int_stack+47748,int_stack+39468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[42] = int_stack + 36048;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+45888,int_stack+0,int_stack+146116, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+87640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[38] = int_stack + 45888;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+38748,int_stack+51348,int_stack+123376, 0.0, zero_stack, 1.0, int_stack+91276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[35] = int_stack + 38748;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+50148,int_stack+54108,int_stack+44988, 0.0, zero_stack, 1.0, int_stack+96244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[34] = int_stack + 50148;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+43128,int_stack+104236,int_stack+49248, 0.0, zero_stack, 1.0, int_stack+101824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[33] = int_stack + 43128;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+121084,int_stack+57138,int_stack+52848, 0.0, zero_stack, 1.0, int_stack+106774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[32] = int_stack + 121084;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+52848,int_stack+98656,int_stack+42228, 0.0, zero_stack, 1.0, int_stack+111904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[31] = int_stack + 52848;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+102724,int_stack+61638,int_stack+55608, 0.0, zero_stack, 1.0, int_stack+117484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[30] = int_stack + 102724;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+55548,int_stack+63138,int_stack+58638, 0.0, zero_stack, 1.0, int_stack+87640, 1.0, int_stack+125464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[26] = int_stack + 55548;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+61338,int_stack+127876,int_stack+59538, 0.0, zero_stack, 2.0, int_stack+125464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[25] = int_stack + 61338;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+126364,int_stack+67638,int_stack+60438, 1.0, int_stack+91276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[23] = int_stack + 126364;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+58248,int_stack+100156,int_stack+64638, 1.0, int_stack+96244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[22] = int_stack + 58248;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+95776,int_stack+71238,int_stack+65538, 1.0, int_stack+101824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[21] = int_stack + 95776;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+98476,int_stack+73998,int_stack+66438, 1.0, int_stack+106774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[20] = int_stack + 98476;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+64038,int_stack+76758,int_stack+69138, 1.0, int_stack+111904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[19] = int_stack + 64038;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+76398,int_stack+79518,int_stack+70038, 1.0, int_stack+117484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[18] = int_stack + 76398;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+66738,int_stack+81018,int_stack+133456, 1.0, int_stack+87640, 0.0, zero_stack, 1.0, int_stack+131044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[14] = int_stack + 66738;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+85278,int_stack+83778,int_stack+75498, 1.0, int_stack+125464, 1.0, int_stack+131044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[13] = int_stack + 85278;
 /*--- compute (dp|gf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+73638,int_stack+129376,int_stack+72738, 2.0, int_stack+131044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[12] = int_stack + 73638;

}
