#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ihih(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ih|ih) integrals */

void d1hrr_order_ihih(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][10][11] = int_stack + 4592;
 Libderiv->deriv_classes[6][11][11] = int_stack + 6440;
 Libderiv->deriv_classes[7][6][11] = int_stack + 8624;
 Libderiv->deriv_classes[7][7][11] = int_stack + 9632;
 Libderiv->deriv_classes[7][8][11] = int_stack + 10928;
 Libderiv->deriv_classes[7][9][11] = int_stack + 12548;
 Libderiv->deriv_classes[7][10][11] = int_stack + 14528;
 Libderiv->deriv_classes[7][11][11] = int_stack + 16904;
 Libderiv->deriv_classes[8][6][11] = int_stack + 19712;
 Libderiv->deriv_classes[8][7][11] = int_stack + 20972;
 Libderiv->deriv_classes[8][8][11] = int_stack + 22592;
 Libderiv->deriv_classes[8][9][11] = int_stack + 24617;
 Libderiv->deriv_classes[8][10][11] = int_stack + 27092;
 Libderiv->deriv_classes[8][11][11] = int_stack + 30062;
 Libderiv->deriv_classes[9][6][11] = int_stack + 33572;
 Libderiv->deriv_classes[9][7][11] = int_stack + 35112;
 Libderiv->deriv_classes[9][8][11] = int_stack + 37092;
 Libderiv->deriv_classes[9][9][11] = int_stack + 39567;
 Libderiv->deriv_classes[9][10][11] = int_stack + 42592;
 Libderiv->deriv_classes[9][11][11] = int_stack + 46222;
 Libderiv->deriv_classes[10][6][11] = int_stack + 50512;
 Libderiv->deriv_classes[10][7][11] = int_stack + 52360;
 Libderiv->deriv_classes[10][8][11] = int_stack + 54736;
 Libderiv->deriv_classes[10][9][11] = int_stack + 57706;
 Libderiv->deriv_classes[10][10][11] = int_stack + 61336;
 Libderiv->deriv_classes[10][11][11] = int_stack + 65692;
 Libderiv->deriv_classes[11][6][11] = int_stack + 70840;
 Libderiv->deriv_classes[11][7][11] = int_stack + 73024;
 Libderiv->deriv_classes[11][8][11] = int_stack + 75832;
 Libderiv->deriv_classes[11][9][11] = int_stack + 79342;
 Libderiv->deriv_classes[11][10][11] = int_stack + 83632;
 Libderiv->deriv_classes[11][11][11] = int_stack + 88780;
 Libderiv->deriv_classes[6][6][10] = int_stack + 94864;
 Libderiv->deriv_classes[6][7][10] = int_stack + 95648;
 Libderiv->deriv_classes[6][8][10] = int_stack + 96656;
 Libderiv->deriv_classes[6][9][10] = int_stack + 97916;
 Libderiv->deriv_classes[6][10][10] = int_stack + 99456;
 Libderiv->deriv_classes[6][11][10] = int_stack + 101304;
 Libderiv->deriv_classes[7][6][10] = int_stack + 103488;
 Libderiv->deriv_classes[7][7][10] = int_stack + 104496;
 Libderiv->deriv_classes[7][8][10] = int_stack + 105792;
 Libderiv->deriv_classes[7][9][10] = int_stack + 107412;
 Libderiv->deriv_classes[7][10][10] = int_stack + 109392;
 Libderiv->deriv_classes[7][11][10] = int_stack + 111768;
 Libderiv->deriv_classes[8][6][10] = int_stack + 114576;
 Libderiv->deriv_classes[8][7][10] = int_stack + 115836;
 Libderiv->deriv_classes[8][8][10] = int_stack + 117456;
 Libderiv->deriv_classes[8][9][10] = int_stack + 119481;
 Libderiv->deriv_classes[8][10][10] = int_stack + 121956;
 Libderiv->deriv_classes[8][11][10] = int_stack + 124926;
 Libderiv->deriv_classes[9][6][10] = int_stack + 128436;
 Libderiv->deriv_classes[9][7][10] = int_stack + 129976;
 Libderiv->deriv_classes[9][8][10] = int_stack + 131956;
 Libderiv->deriv_classes[9][9][10] = int_stack + 134431;
 Libderiv->deriv_classes[9][10][10] = int_stack + 137456;
 Libderiv->deriv_classes[9][11][10] = int_stack + 141086;
 Libderiv->deriv_classes[10][6][10] = int_stack + 145376;
 Libderiv->deriv_classes[10][7][10] = int_stack + 147224;
 Libderiv->deriv_classes[10][8][10] = int_stack + 149600;
 Libderiv->deriv_classes[10][9][10] = int_stack + 152570;
 Libderiv->deriv_classes[10][10][10] = int_stack + 156200;
 Libderiv->deriv_classes[10][11][10] = int_stack + 160556;
 Libderiv->deriv_classes[11][6][10] = int_stack + 165704;
 Libderiv->deriv_classes[11][7][10] = int_stack + 167888;
 Libderiv->deriv_classes[11][8][10] = int_stack + 170696;
 Libderiv->deriv_classes[11][9][10] = int_stack + 174206;
 Libderiv->deriv_classes[11][10][10] = int_stack + 178496;
 Libderiv->deriv_classes[11][11][10] = int_stack + 183644;
 Libderiv->deriv_classes[6][6][9] = int_stack + 189728;
 Libderiv->deriv_classes[6][7][9] = int_stack + 190512;
 Libderiv->deriv_classes[6][8][9] = int_stack + 191520;
 Libderiv->deriv_classes[6][9][9] = int_stack + 192780;
 Libderiv->deriv_classes[6][10][9] = int_stack + 194320;
 Libderiv->deriv_classes[6][11][9] = int_stack + 196168;
 Libderiv->deriv_classes[7][6][9] = int_stack + 198352;
 Libderiv->deriv_classes[7][7][9] = int_stack + 199360;
 Libderiv->deriv_classes[7][8][9] = int_stack + 200656;
 Libderiv->deriv_classes[7][9][9] = int_stack + 202276;
 Libderiv->deriv_classes[7][10][9] = int_stack + 204256;
 Libderiv->deriv_classes[7][11][9] = int_stack + 206632;
 Libderiv->deriv_classes[8][6][9] = int_stack + 209440;
 Libderiv->deriv_classes[8][7][9] = int_stack + 210700;
 Libderiv->deriv_classes[8][8][9] = int_stack + 212320;
 Libderiv->deriv_classes[8][9][9] = int_stack + 214345;
 Libderiv->deriv_classes[8][10][9] = int_stack + 216820;
 Libderiv->deriv_classes[8][11][9] = int_stack + 219790;
 Libderiv->deriv_classes[9][6][9] = int_stack + 223300;
 Libderiv->deriv_classes[9][7][9] = int_stack + 224840;
 Libderiv->deriv_classes[9][8][9] = int_stack + 226820;
 Libderiv->deriv_classes[9][9][9] = int_stack + 229295;
 Libderiv->deriv_classes[9][10][9] = int_stack + 232320;
 Libderiv->deriv_classes[9][11][9] = int_stack + 235950;
 Libderiv->deriv_classes[10][6][9] = int_stack + 240240;
 Libderiv->deriv_classes[10][7][9] = int_stack + 242088;
 Libderiv->deriv_classes[10][8][9] = int_stack + 244464;
 Libderiv->deriv_classes[10][9][9] = int_stack + 247434;
 Libderiv->deriv_classes[10][10][9] = int_stack + 251064;
 Libderiv->deriv_classes[10][11][9] = int_stack + 255420;
 Libderiv->deriv_classes[11][6][9] = int_stack + 260568;
 Libderiv->deriv_classes[11][7][9] = int_stack + 262752;
 Libderiv->deriv_classes[11][8][9] = int_stack + 265560;
 Libderiv->deriv_classes[11][9][9] = int_stack + 269070;
 Libderiv->deriv_classes[11][10][9] = int_stack + 273360;
 Libderiv->deriv_classes[11][11][9] = int_stack + 278508;
 Libderiv->deriv_classes[6][6][8] = int_stack + 284592;
 Libderiv->deriv_classes[6][7][8] = int_stack + 285376;
 Libderiv->deriv_classes[6][8][8] = int_stack + 286384;
 Libderiv->deriv_classes[6][9][8] = int_stack + 287644;
 Libderiv->deriv_classes[6][10][8] = int_stack + 289184;
 Libderiv->deriv_classes[6][11][8] = int_stack + 291032;
 Libderiv->deriv_classes[7][6][8] = int_stack + 293216;
 Libderiv->deriv_classes[7][7][8] = int_stack + 294224;
 Libderiv->deriv_classes[7][8][8] = int_stack + 295520;
 Libderiv->deriv_classes[7][9][8] = int_stack + 297140;
 Libderiv->deriv_classes[7][10][8] = int_stack + 299120;
 Libderiv->deriv_classes[7][11][8] = int_stack + 301496;
 Libderiv->deriv_classes[8][6][8] = int_stack + 304304;
 Libderiv->deriv_classes[8][7][8] = int_stack + 305564;
 Libderiv->deriv_classes[8][8][8] = int_stack + 307184;
 Libderiv->deriv_classes[8][9][8] = int_stack + 309209;
 Libderiv->deriv_classes[8][10][8] = int_stack + 311684;
 Libderiv->deriv_classes[8][11][8] = int_stack + 314654;
 Libderiv->deriv_classes[9][6][8] = int_stack + 318164;
 Libderiv->deriv_classes[9][7][8] = int_stack + 319704;
 Libderiv->deriv_classes[9][8][8] = int_stack + 321684;
 Libderiv->deriv_classes[9][9][8] = int_stack + 324159;
 Libderiv->deriv_classes[9][10][8] = int_stack + 327184;
 Libderiv->deriv_classes[9][11][8] = int_stack + 330814;
 Libderiv->deriv_classes[10][6][8] = int_stack + 335104;
 Libderiv->deriv_classes[10][7][8] = int_stack + 336952;
 Libderiv->deriv_classes[10][8][8] = int_stack + 339328;
 Libderiv->deriv_classes[10][9][8] = int_stack + 342298;
 Libderiv->deriv_classes[10][10][8] = int_stack + 345928;
 Libderiv->deriv_classes[10][11][8] = int_stack + 350284;
 Libderiv->deriv_classes[11][6][8] = int_stack + 355432;
 Libderiv->deriv_classes[11][7][8] = int_stack + 357616;
 Libderiv->deriv_classes[11][8][8] = int_stack + 360424;
 Libderiv->deriv_classes[11][9][8] = int_stack + 363934;
 Libderiv->deriv_classes[11][10][8] = int_stack + 368224;
 Libderiv->deriv_classes[11][11][8] = int_stack + 373372;
 Libderiv->deriv_classes[6][6][7] = int_stack + 379456;
 Libderiv->deriv_classes[6][7][7] = int_stack + 380240;
 Libderiv->deriv_classes[6][8][7] = int_stack + 381248;
 Libderiv->deriv_classes[6][9][7] = int_stack + 382508;
 Libderiv->deriv_classes[6][10][7] = int_stack + 384048;
 Libderiv->deriv_classes[6][11][7] = int_stack + 385896;
 Libderiv->deriv_classes[7][6][7] = int_stack + 388080;
 Libderiv->deriv_classes[7][7][7] = int_stack + 389088;
 Libderiv->deriv_classes[7][8][7] = int_stack + 390384;
 Libderiv->deriv_classes[7][9][7] = int_stack + 392004;
 Libderiv->deriv_classes[7][10][7] = int_stack + 393984;
 Libderiv->deriv_classes[7][11][7] = int_stack + 396360;
 Libderiv->deriv_classes[8][6][7] = int_stack + 399168;
 Libderiv->deriv_classes[8][7][7] = int_stack + 400428;
 Libderiv->deriv_classes[8][8][7] = int_stack + 402048;
 Libderiv->deriv_classes[8][9][7] = int_stack + 404073;
 Libderiv->deriv_classes[8][10][7] = int_stack + 406548;
 Libderiv->deriv_classes[8][11][7] = int_stack + 409518;
 Libderiv->deriv_classes[9][6][7] = int_stack + 413028;
 Libderiv->deriv_classes[9][7][7] = int_stack + 414568;
 Libderiv->deriv_classes[9][8][7] = int_stack + 416548;
 Libderiv->deriv_classes[9][9][7] = int_stack + 419023;
 Libderiv->deriv_classes[9][10][7] = int_stack + 422048;
 Libderiv->deriv_classes[9][11][7] = int_stack + 425678;
 Libderiv->deriv_classes[10][6][7] = int_stack + 429968;
 Libderiv->deriv_classes[10][7][7] = int_stack + 431816;
 Libderiv->deriv_classes[10][8][7] = int_stack + 434192;
 Libderiv->deriv_classes[10][9][7] = int_stack + 437162;
 Libderiv->deriv_classes[10][10][7] = int_stack + 440792;
 Libderiv->deriv_classes[10][11][7] = int_stack + 445148;
 Libderiv->deriv_classes[11][6][7] = int_stack + 450296;
 Libderiv->deriv_classes[11][7][7] = int_stack + 452480;
 Libderiv->deriv_classes[11][8][7] = int_stack + 455288;
 Libderiv->deriv_classes[11][9][7] = int_stack + 458798;
 Libderiv->deriv_classes[11][10][7] = int_stack + 463088;
 Libderiv->deriv_classes[11][11][7] = int_stack + 468236;
 Libderiv->deriv_classes[6][6][6] = int_stack + 474320;
 Libderiv->deriv_classes[6][7][6] = int_stack + 475104;
 Libderiv->deriv_classes[6][8][6] = int_stack + 476112;
 Libderiv->deriv_classes[6][9][6] = int_stack + 477372;
 Libderiv->deriv_classes[6][10][6] = int_stack + 478912;
 Libderiv->deriv_classes[6][11][6] = int_stack + 480760;
 Libderiv->deriv_classes[7][6][6] = int_stack + 482944;
 Libderiv->deriv_classes[7][7][6] = int_stack + 483952;
 Libderiv->deriv_classes[7][8][6] = int_stack + 485248;
 Libderiv->deriv_classes[7][9][6] = int_stack + 486868;
 Libderiv->deriv_classes[7][10][6] = int_stack + 488848;
 Libderiv->deriv_classes[7][11][6] = int_stack + 491224;
 Libderiv->deriv_classes[8][6][6] = int_stack + 494032;
 Libderiv->deriv_classes[8][7][6] = int_stack + 495292;
 Libderiv->deriv_classes[8][8][6] = int_stack + 496912;
 Libderiv->deriv_classes[8][9][6] = int_stack + 498937;
 Libderiv->deriv_classes[8][10][6] = int_stack + 501412;
 Libderiv->deriv_classes[8][11][6] = int_stack + 504382;
 Libderiv->deriv_classes[9][6][6] = int_stack + 507892;
 Libderiv->deriv_classes[9][7][6] = int_stack + 509432;
 Libderiv->deriv_classes[9][8][6] = int_stack + 511412;
 Libderiv->deriv_classes[9][9][6] = int_stack + 513887;
 Libderiv->deriv_classes[9][10][6] = int_stack + 516912;
 Libderiv->deriv_classes[9][11][6] = int_stack + 520542;
 Libderiv->deriv_classes[10][6][6] = int_stack + 524832;
 Libderiv->deriv_classes[10][7][6] = int_stack + 526680;
 Libderiv->deriv_classes[10][8][6] = int_stack + 529056;
 Libderiv->deriv_classes[10][9][6] = int_stack + 532026;
 Libderiv->deriv_classes[10][10][6] = int_stack + 535656;
 Libderiv->deriv_classes[10][11][6] = int_stack + 540012;
 Libderiv->dvrr_classes[11][6] = int_stack + 545160;
 Libderiv->deriv_classes[11][6][6] = int_stack + 547344;
 Libderiv->dvrr_classes[11][7] = int_stack + 549528;
 Libderiv->deriv_classes[11][7][6] = int_stack + 552336;
 Libderiv->dvrr_classes[11][8] = int_stack + 555144;
 Libderiv->deriv_classes[11][8][6] = int_stack + 558654;
 Libderiv->dvrr_classes[11][9] = int_stack + 562164;
 Libderiv->deriv_classes[11][9][6] = int_stack + 566454;
 Libderiv->dvrr_classes[11][10] = int_stack + 570744;
 Libderiv->deriv_classes[11][10][6] = int_stack + 575892;
 Libderiv->deriv_classes[11][11][6] = int_stack + 581040;
 Libderiv->deriv_classes[6][6][2] = int_stack + 587124;
 Libderiv->deriv_classes[6][7][2] = int_stack + 587908;
 Libderiv->deriv_classes[6][8][2] = int_stack + 588916;
 Libderiv->deriv_classes[6][9][2] = int_stack + 590176;
 Libderiv->deriv_classes[6][10][2] = int_stack + 591716;
 Libderiv->deriv_classes[6][11][2] = int_stack + 593564;
 Libderiv->deriv_classes[7][6][2] = int_stack + 595748;
 Libderiv->deriv_classes[7][7][2] = int_stack + 596756;
 Libderiv->deriv_classes[7][8][2] = int_stack + 598052;
 Libderiv->deriv_classes[7][9][2] = int_stack + 599672;
 Libderiv->deriv_classes[7][10][2] = int_stack + 601652;
 Libderiv->deriv_classes[7][11][2] = int_stack + 604028;
 Libderiv->deriv_classes[8][6][2] = int_stack + 606836;
 Libderiv->deriv_classes[8][7][2] = int_stack + 608096;
 Libderiv->deriv_classes[8][8][2] = int_stack + 609716;
 Libderiv->deriv_classes[8][9][2] = int_stack + 611741;
 Libderiv->deriv_classes[8][10][2] = int_stack + 614216;
 Libderiv->deriv_classes[8][11][2] = int_stack + 617186;
 Libderiv->deriv_classes[9][6][2] = int_stack + 620696;
 Libderiv->deriv_classes[9][7][2] = int_stack + 622236;
 Libderiv->deriv_classes[9][8][2] = int_stack + 624216;
 Libderiv->deriv_classes[9][9][2] = int_stack + 626691;
 Libderiv->deriv_classes[9][10][2] = int_stack + 629716;
 Libderiv->deriv_classes[9][11][2] = int_stack + 633346;
 Libderiv->deriv_classes[10][6][2] = int_stack + 637636;
 Libderiv->deriv_classes[10][7][2] = int_stack + 639484;
 Libderiv->deriv_classes[10][8][2] = int_stack + 641860;
 Libderiv->deriv_classes[10][9][2] = int_stack + 644830;
 Libderiv->deriv_classes[10][10][2] = int_stack + 648460;
 Libderiv->deriv_classes[10][11][2] = int_stack + 652816;
 Libderiv->deriv_classes[11][6][2] = int_stack + 657964;
 Libderiv->deriv_classes[11][7][2] = int_stack + 660148;
 Libderiv->deriv_classes[11][8][2] = int_stack + 662956;
 Libderiv->deriv_classes[11][9][2] = int_stack + 666466;
 Libderiv->deriv_classes[11][10][2] = int_stack + 670756;
 Libderiv->deriv_classes[11][11][2] = int_stack + 675904;
 Libderiv->deriv_classes[6][6][1] = int_stack + 681988;
 Libderiv->deriv_classes[6][7][1] = int_stack + 682772;
 Libderiv->deriv_classes[6][8][1] = int_stack + 683780;
 Libderiv->deriv_classes[6][9][1] = int_stack + 685040;
 Libderiv->deriv_classes[6][10][1] = int_stack + 686580;
 Libderiv->deriv_classes[6][11][1] = int_stack + 688428;
 Libderiv->deriv_classes[7][6][1] = int_stack + 690612;
 Libderiv->deriv_classes[7][7][1] = int_stack + 691620;
 Libderiv->deriv_classes[7][8][1] = int_stack + 692916;
 Libderiv->deriv_classes[7][9][1] = int_stack + 694536;
 Libderiv->deriv_classes[7][10][1] = int_stack + 696516;
 Libderiv->deriv_classes[7][11][1] = int_stack + 698892;
 Libderiv->deriv_classes[8][6][1] = int_stack + 701700;
 Libderiv->deriv_classes[8][7][1] = int_stack + 702960;
 Libderiv->deriv_classes[8][8][1] = int_stack + 704580;
 Libderiv->deriv_classes[8][9][1] = int_stack + 706605;
 Libderiv->deriv_classes[8][10][1] = int_stack + 709080;
 Libderiv->deriv_classes[8][11][1] = int_stack + 712050;
 Libderiv->deriv_classes[9][6][1] = int_stack + 715560;
 Libderiv->deriv_classes[9][7][1] = int_stack + 717100;
 Libderiv->deriv_classes[9][8][1] = int_stack + 719080;
 Libderiv->deriv_classes[9][9][1] = int_stack + 721555;
 Libderiv->deriv_classes[9][10][1] = int_stack + 724580;
 Libderiv->deriv_classes[9][11][1] = int_stack + 728210;
 Libderiv->deriv_classes[10][6][1] = int_stack + 732500;
 Libderiv->deriv_classes[10][7][1] = int_stack + 734348;
 Libderiv->deriv_classes[10][8][1] = int_stack + 736724;
 Libderiv->deriv_classes[10][9][1] = int_stack + 739694;
 Libderiv->deriv_classes[10][10][1] = int_stack + 743324;
 Libderiv->deriv_classes[10][11][1] = int_stack + 747680;
 Libderiv->deriv_classes[11][6][1] = int_stack + 752828;
 Libderiv->deriv_classes[11][7][1] = int_stack + 755012;
 Libderiv->deriv_classes[11][8][1] = int_stack + 757820;
 Libderiv->deriv_classes[11][9][1] = int_stack + 761330;
 Libderiv->deriv_classes[11][10][1] = int_stack + 765620;
 Libderiv->deriv_classes[11][11][1] = int_stack + 770768;
 Libderiv->dvrr_classes[6][6] = int_stack + 776852;
 Libderiv->dvrr_classes[6][7] = int_stack + 777636;
 Libderiv->dvrr_classes[6][8] = int_stack + 778644;
 Libderiv->dvrr_classes[6][9] = int_stack + 779904;
 Libderiv->dvrr_classes[6][10] = int_stack + 781444;
 Libderiv->dvrr_classes[6][11] = int_stack + 783292;
 Libderiv->deriv_classes[6][6][0] = int_stack + 785476;
 Libderiv->deriv_classes[6][7][0] = int_stack + 786260;
 Libderiv->deriv_classes[6][8][0] = int_stack + 787268;
 Libderiv->deriv_classes[6][9][0] = int_stack + 788528;
 Libderiv->deriv_classes[6][10][0] = int_stack + 790068;
 Libderiv->deriv_classes[6][11][0] = int_stack + 791916;
 Libderiv->dvrr_classes[7][6] = int_stack + 794100;
 Libderiv->dvrr_classes[7][7] = int_stack + 795108;
 Libderiv->dvrr_classes[7][8] = int_stack + 796404;
 Libderiv->dvrr_classes[7][9] = int_stack + 798024;
 Libderiv->dvrr_classes[7][10] = int_stack + 800004;
 Libderiv->dvrr_classes[7][11] = int_stack + 802380;
 Libderiv->deriv_classes[7][6][0] = int_stack + 805188;
 Libderiv->deriv_classes[7][7][0] = int_stack + 806196;
 Libderiv->deriv_classes[7][8][0] = int_stack + 807492;
 Libderiv->deriv_classes[7][9][0] = int_stack + 809112;
 Libderiv->deriv_classes[7][10][0] = int_stack + 811092;
 Libderiv->deriv_classes[7][11][0] = int_stack + 813468;
 Libderiv->dvrr_classes[8][6] = int_stack + 816276;
 Libderiv->dvrr_classes[8][7] = int_stack + 817536;
 Libderiv->dvrr_classes[8][8] = int_stack + 819156;
 Libderiv->dvrr_classes[8][9] = int_stack + 821181;
 Libderiv->dvrr_classes[8][10] = int_stack + 823656;
 Libderiv->dvrr_classes[8][11] = int_stack + 826626;
 Libderiv->deriv_classes[8][6][0] = int_stack + 830136;
 Libderiv->deriv_classes[8][7][0] = int_stack + 831396;
 Libderiv->deriv_classes[8][8][0] = int_stack + 833016;
 Libderiv->deriv_classes[8][9][0] = int_stack + 835041;
 Libderiv->deriv_classes[8][10][0] = int_stack + 837516;
 Libderiv->deriv_classes[8][11][0] = int_stack + 840486;
 Libderiv->dvrr_classes[9][6] = int_stack + 843996;
 Libderiv->dvrr_classes[9][7] = int_stack + 845536;
 Libderiv->dvrr_classes[9][8] = int_stack + 847516;
 Libderiv->dvrr_classes[9][9] = int_stack + 849991;
 Libderiv->dvrr_classes[9][10] = int_stack + 853016;
 Libderiv->dvrr_classes[9][11] = int_stack + 856646;
 Libderiv->deriv_classes[9][6][0] = int_stack + 860936;
 Libderiv->deriv_classes[9][7][0] = int_stack + 862476;
 Libderiv->deriv_classes[9][8][0] = int_stack + 864456;
 Libderiv->deriv_classes[9][9][0] = int_stack + 866931;
 Libderiv->deriv_classes[9][10][0] = int_stack + 869956;
 Libderiv->deriv_classes[9][11][0] = int_stack + 873586;
 Libderiv->dvrr_classes[10][6] = int_stack + 877876;
 Libderiv->dvrr_classes[10][7] = int_stack + 879724;
 Libderiv->dvrr_classes[10][8] = int_stack + 882100;
 Libderiv->dvrr_classes[10][9] = int_stack + 885070;
 Libderiv->dvrr_classes[10][10] = int_stack + 888700;
 Libderiv->dvrr_classes[10][11] = int_stack + 893056;
 Libderiv->deriv_classes[10][6][0] = int_stack + 898204;
 Libderiv->deriv_classes[10][7][0] = int_stack + 900052;
 Libderiv->deriv_classes[10][8][0] = int_stack + 902428;
 Libderiv->deriv_classes[10][9][0] = int_stack + 905398;
 Libderiv->deriv_classes[10][10][0] = int_stack + 909028;
 Libderiv->deriv_classes[10][11][0] = int_stack + 913384;
 Libderiv->deriv_classes[11][6][0] = int_stack + 918532;
 Libderiv->deriv_classes[11][7][0] = int_stack + 920716;
 Libderiv->deriv_classes[11][8][0] = int_stack + 923524;
 Libderiv->deriv_classes[11][9][0] = int_stack + 927034;
 Libderiv->deriv_classes[11][10][0] = int_stack + 931324;
 Libderiv->deriv_classes[11][11][0] = int_stack + 936472;
 memset(int_stack,0,7540448);

 Libderiv->dvrr_stack = int_stack + 7396943;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ihih(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+942556,int_stack+777636,int_stack+776852,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+944908,int_stack+778644,int_stack+777636,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+947932,int_stack+944908,int_stack+942556,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+952636,int_stack+779904,int_stack+778644,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+956416,int_stack+952636,int_stack+944908,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+962464,int_stack+956416,int_stack+947932,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+970304,int_stack+781444,int_stack+779904,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+974924,int_stack+970304,int_stack+952636,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+982484,int_stack+974924,int_stack+956416,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+992564,int_stack+982484,int_stack+962464,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1004324,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+776852,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1006676,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+777636,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1009700,int_stack+1006676,int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+942556,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1014404,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+778644,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1018184,int_stack+1014404,int_stack+1006676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+944908,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1024232,int_stack+1018184,int_stack+1009700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947932,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1004324,int_stack+4592,int_stack+3052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+779904,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1032072,int_stack+1004324,int_stack+1014404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+952636,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1039632,int_stack+1032072,int_stack+1018184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+956416,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1008944,int_stack+1039632,int_stack+1024232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+962464,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1020704,int_stack+6440,int_stack+4592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+781444,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1049712,int_stack+1020704,int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+970304,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1058952,int_stack+1049712,int_stack+1032072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+974924,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1020704,int_stack+1058952,int_stack+1039632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+982484,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1035824,int_stack+1020704,int_stack+1008944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+992564,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1004324,int_stack+795108,int_stack+794100,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1007348,int_stack+796404,int_stack+795108,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1011236,int_stack+1007348,int_stack+1004324,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1017284,int_stack+798024,int_stack+796404,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1022144,int_stack+1017284,int_stack+1007348,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1052288,int_stack+1022144,int_stack+1011236,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1062368,int_stack+800004,int_stack+798024,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1068308,int_stack+1062368,int_stack+1017284,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1078028,int_stack+1068308,int_stack+1022144,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1090988,int_stack+1078028,int_stack+1052288,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1029920,int_stack+9632,int_stack+8624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794100,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+10928,int_stack+9632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+795108,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3888,int_stack+0,int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1004324,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1029920,int_stack+12548,int_stack+10928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+796404,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1106108,int_stack+1029920,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007348,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1113884,int_stack+1106108,int_stack+3888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011236,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+14528,int_stack+12548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+798024,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1123964,int_stack+0,int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1017284,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1133684,int_stack+1123964,int_stack+1106108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1022144,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1146644,int_stack+1133684,int_stack+1113884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1052288,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1106108,int_stack+16904,int_stack+14528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+800004,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+5940,int_stack+1106108,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1062368,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1106108,int_stack+5940,int_stack+1123964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068308,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+1106108,int_stack+1133684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078028,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1106108,int_stack+0,int_stack+1146644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1090988,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1127276,int_stack+1106108,int_stack+1035824,588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+817536,int_stack+816276,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3780,int_stack+819156,int_stack+817536,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+8640,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1029920,int_stack+821181,int_stack+819156,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1035995,int_stack+1029920,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1176668,int_stack+1035995,int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1189268,int_stack+823656,int_stack+821181,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1196693,int_stack+1189268,int_stack+1029920,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1208843,int_stack+1196693,int_stack+1035995,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1225043,int_stack+1208843,int_stack+1176668,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1045715,int_stack+20972,int_stack+19712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+816276,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1243943,int_stack+22592,int_stack+20972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+817536,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1248803,int_stack+1243943,int_stack+1045715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1045715,int_stack+24617,int_stack+22592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+819156,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1256363,int_stack+1045715,int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1266083,int_stack+1256363,int_stack+1248803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1243943,int_stack+27092,int_stack+24617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821181,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1278683,int_stack+1243943,int_stack+1045715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029920,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1290833,int_stack+1278683,int_stack+1256363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035995,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1307033,int_stack+1290833,int_stack+1266083, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1176668,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1251368,int_stack+30062,int_stack+27092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+823656,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1260278,int_stack+1251368,int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1189268,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1325933,int_stack+1260278,int_stack+1278683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1196693,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1243943,int_stack+1325933,int_stack+1290833, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1208843,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1268243,int_stack+1243943,int_stack+1307033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1225043,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+1294703,int_stack+1268243,int_stack+1106108,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1358207,int_stack+1294703,int_stack+1127276,588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1106108,int_stack+845536,int_stack+843996,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1110728,int_stack+847516,int_stack+845536,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1116668,int_stack+1110728,int_stack+1106108,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1125908,int_stack+849991,int_stack+847516,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1133333,int_stack+1125908,int_stack+1110728,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1145213,int_stack+1133333,int_stack+1116668,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1160613,int_stack+853016,int_stack+849991,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1243943,int_stack+1160613,int_stack+1125908,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1456991,int_stack+1243943,int_stack+1133333,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1476791,int_stack+1456991,int_stack+1145213,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1169688,int_stack+35112,int_stack+33572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+843996,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1258793,int_stack+37092,int_stack+35112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+845536,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+16200,int_stack+1258793,int_stack+1169688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106108,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+25440,int_stack+39567,int_stack+37092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+847516,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1499891,int_stack+25440,int_stack+1258793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1110728,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1511771,int_stack+1499891,int_stack+16200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1116668,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+16200,int_stack+42592,int_stack+39567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+849991,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1527171,int_stack+16200,int_stack+25440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1125908,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1542021,int_stack+1527171,int_stack+1499891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1133333,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1561821,int_stack+1542021,int_stack+1511771, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145213,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1499891,int_stack+46222,int_stack+42592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+853016,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+25275,int_stack+1499891,int_stack+16200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160613,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1499891,int_stack+25275,int_stack+1527171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1243943,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+16200,int_stack+1499891,int_stack+1542021, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1456991,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1499891,int_stack+16200,int_stack+1561821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1476791,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+1532231,int_stack+1499891,int_stack+1268243,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1611611,int_stack+1532231,int_stack+1294703,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+1738619,int_stack+1611611,int_stack+1358207,588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16200,int_stack+879724,int_stack+877876,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+21744,int_stack+882100,int_stack+879724,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+28872,int_stack+21744,int_stack+16200,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39960,int_stack+885070,int_stack+882100,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1258793,int_stack+39960,int_stack+21744,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1273049,int_stack+1258793,int_stack+28872,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1291529,int_stack+888700,int_stack+885070,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1302419,int_stack+1291529,int_stack+39960,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1320239,int_stack+1302419,int_stack+1258793,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1343999,int_stack+1320239,int_stack+1273049,66);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1371719,int_stack+52360,int_stack+50512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+877876,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1377263,int_stack+54736,int_stack+52360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+879724,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1384391,int_stack+1377263,int_stack+1371719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16200,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1395479,int_stack+57706,int_stack+54736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882100,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1404389,int_stack+1395479,int_stack+1377263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21744,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1418645,int_stack+1404389,int_stack+1384391, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28872,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1371719,int_stack+61336,int_stack+57706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+885070,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1437125,int_stack+1371719,int_stack+1395479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39960,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1903259,int_stack+1437125,int_stack+1404389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1258793,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1382609,int_stack+1903259,int_stack+1418645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1273049,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1410329,int_stack+65692,int_stack+61336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+888700,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+48870,int_stack+1410329,int_stack+1371719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1291529,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1927019,int_stack+48870,int_stack+1437125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1302419,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1410329,int_stack+1927019,int_stack+1903259, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1320239,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1903259,int_stack+1410329,int_stack+1382609, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1343999,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+1942067,int_stack+1903259,int_stack+1499891,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2039087,int_stack+1942067,int_stack+1532231,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+2197847,int_stack+2039087,int_stack+1611611,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+2409527,int_stack+2197847,int_stack+1738619,588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1499891,int_stack+549528,int_stack+545160,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1506443,int_stack+555144,int_stack+549528,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1514867,int_stack+1506443,int_stack+1499891,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1527971,int_stack+562164,int_stack+555144,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1538501,int_stack+1527971,int_stack+1506443,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1555349,int_stack+1538501,int_stack+1514867,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1577189,int_stack+570744,int_stack+562164,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1590059,int_stack+1577189,int_stack+1527971,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1611119,int_stack+1590059,int_stack+1538501,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1639199,int_stack+1611119,int_stack+1555349,78);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1671959,int_stack+73024,int_stack+70840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+545160,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1678511,int_stack+75832,int_stack+73024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+549528,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1686935,int_stack+1678511,int_stack+1671959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1499891,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1700039,int_stack+79342,int_stack+75832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+555144,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1710569,int_stack+1700039,int_stack+1678511, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1506443,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1727417,int_stack+1710569,int_stack+1686935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1514867,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1671959,int_stack+83632,int_stack+79342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+562164,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1749257,int_stack+1671959,int_stack+1700039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527971,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1770317,int_stack+1749257,int_stack+1710569, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1538501,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1684829,int_stack+1770317,int_stack+1727417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555349,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1717589,int_stack+88780,int_stack+83632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+570744,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1798397,int_stack+1717589,int_stack+1671959, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1577189,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1824137,int_stack+1798397,int_stack+1749257, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1590059,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1717589,int_stack+1824137,int_stack+1770317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1611119,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1759709,int_stack+1717589,int_stack+1684829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639199,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+2656487,int_stack+1759709,int_stack+1903259,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+1671959,int_stack+2656487,int_stack+1942067,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+2656487,int_stack+1671959,int_stack+2039087,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+1671959,int_stack+2656487,int_stack+2197847,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+95648,int_stack+94864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+776852, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2658839,int_stack+96656,int_stack+95648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+777636, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2661863,int_stack+2658839,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2666567,int_stack+97916,int_stack+96656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+778644, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2670347,int_stack+2666567,int_stack+2658839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+944908, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2676395,int_stack+2670347,int_stack+2661863, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947932, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+99456,int_stack+97916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+779904, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2684235,int_stack+2656487,int_stack+2666567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+952636, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2691795,int_stack+2684235,int_stack+2670347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+956416, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2661107,int_stack+2691795,int_stack+2676395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+962464, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2672867,int_stack+101304,int_stack+99456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+781444, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2701875,int_stack+2672867,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+970304, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2711115,int_stack+2701875,int_stack+2684235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+974924, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2672867,int_stack+2711115,int_stack+2691795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+982484, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2687987,int_stack+2672867,int_stack+2661107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+992564, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+104496,int_stack+103488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794100, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2659511,int_stack+105792,int_stack+104496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+795108, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2663399,int_stack+2659511,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1004324, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2669447,int_stack+107412,int_stack+105792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+796404, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2674307,int_stack+2669447,int_stack+2659511, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007348, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2704451,int_stack+2674307,int_stack+2663399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011236, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+109392,int_stack+107412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+798024, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2714531,int_stack+2656487,int_stack+2669447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1017284, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2724251,int_stack+2714531,int_stack+2674307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1022144, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2662427,int_stack+2724251,int_stack+2704451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1052288, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2704451,int_stack+111768,int_stack+109392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+800004, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2737211,int_stack+2704451,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1062368, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2749091,int_stack+2737211,int_stack+2714531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068308, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2704451,int_stack+2749091,int_stack+2724251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078028, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2723891,int_stack+2704451,int_stack+2662427, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1090988, 0.0, zero_stack,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+2745059,int_stack+2723891,int_stack+2687987,588);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+115836,int_stack+114576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+816276, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2660267,int_stack+117456,int_stack+115836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+817536, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2665127,int_stack+2660267,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2672687,int_stack+119481,int_stack+117456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+819156, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2678762,int_stack+2672687,int_stack+2660267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2688482,int_stack+2678762,int_stack+2665127, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+121956,int_stack+119481, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821181, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2701082,int_stack+2656487,int_stack+2672687, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029920, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2794451,int_stack+2701082,int_stack+2678762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035995, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2663912,int_stack+2794451,int_stack+2688482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1176668, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2682812,int_stack+124926,int_stack+121956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+823656, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2810651,int_stack+2682812,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1189268, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2825501,int_stack+2810651,int_stack+2701082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1196693, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2682812,int_stack+2825501,int_stack+2794451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1208843, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2794451,int_stack+2682812,int_stack+2663912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1225043, 0.0, zero_stack,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+2820911,int_stack+2794451,int_stack+2723891,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1989479,int_stack+2820911,int_stack+2745059,588);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2884415,int_stack+129976,int_stack+128436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+843996, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2889035,int_stack+131956,int_stack+129976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+845536, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2894975,int_stack+2889035,int_stack+2884415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106108, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2904215,int_stack+134431,int_stack+131956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+847516, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2656487,int_stack+2904215,int_stack+2889035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1110728, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2668367,int_stack+2656487,int_stack+2894975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1116668, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2884415,int_stack+137456,int_stack+134431, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+849991, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2683767,int_stack+2884415,int_stack+2904215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1125908, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2893490,int_stack+2683767,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1133333, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2698617,int_stack+2893490,int_stack+2668367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145213, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2656487,int_stack+141086,int_stack+137456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+853016, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2721717,int_stack+2656487,int_stack+2884415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160613, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2656487,int_stack+2721717,int_stack+2683767, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1243943, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2721717,int_stack+2656487,int_stack+2893490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1456991, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2656487,int_stack+2721717,int_stack+2698617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1476791, 0.0, zero_stack,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+2688827,int_stack+2656487,int_stack+2794451,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+2088263,int_stack+2688827,int_stack+2820911,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+2215271,int_stack+2088263,int_stack+1989479,588);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1989479,int_stack+147224,int_stack+145376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+877876, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1995023,int_stack+149600,int_stack+147224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+879724, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2002151,int_stack+1995023,int_stack+1989479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16200, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2013239,int_stack+152570,int_stack+149600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882100, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2022149,int_stack+2013239,int_stack+1995023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21744, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2036405,int_stack+2022149,int_stack+2002151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28872, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1989479,int_stack+156200,int_stack+152570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+885070, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2054885,int_stack+1989479,int_stack+2013239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39960, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2768207,int_stack+2054885,int_stack+2022149, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1258793, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2000369,int_stack+2768207,int_stack+2036405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1273049, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2028089,int_stack+160556,int_stack+156200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+888700, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2791967,int_stack+2028089,int_stack+1989479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1291529, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2813747,int_stack+2791967,int_stack+2054885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1302419, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2028089,int_stack+2813747,int_stack+2768207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1320239, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2768207,int_stack+2028089,int_stack+2000369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1343999, 0.0, zero_stack,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+2807015,int_stack+2768207,int_stack+2656487,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2904035,int_stack+2807015,int_stack+2688827,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3062795,int_stack+2904035,int_stack+2088263,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+3274475,int_stack+3062795,int_stack+2215271,588);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+167888,int_stack+165704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+545160, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2663039,int_stack+170696,int_stack+167888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+549528, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2671463,int_stack+2663039,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1499891, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2684567,int_stack+174206,int_stack+170696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+555144, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2695097,int_stack+2684567,int_stack+2663039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1506443, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2711945,int_stack+2695097,int_stack+2671463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1514867, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+178496,int_stack+174206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+562164, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2733785,int_stack+2656487,int_stack+2684567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527971, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1989479,int_stack+2733785,int_stack+2695097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1538501, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2669357,int_stack+1989479,int_stack+2711945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555349, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2702117,int_stack+183644,int_stack+178496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+570744, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2017559,int_stack+2702117,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1577189, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2043299,int_stack+2017559,int_stack+2733785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1590059, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2702117,int_stack+2043299,int_stack+1989479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1611119, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1989479,int_stack+2702117,int_stack+2669357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639199, 0.0, zero_stack,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+2035343,int_stack+1989479,int_stack+2768207,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+2151767,int_stack+2035343,int_stack+2807015,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+3521435,int_stack+2151767,int_stack+2904035,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+1989479,int_stack+3521435,int_stack+3062795,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3521435,int_stack+190512,int_stack+189728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+776852, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3523787,int_stack+191520,int_stack+190512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+777636, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3526811,int_stack+3523787,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3531515,int_stack+192780,int_stack+191520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+778644, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3535295,int_stack+3531515,int_stack+3523787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+944908, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3541343,int_stack+3535295,int_stack+3526811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947932, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3521435,int_stack+194320,int_stack+192780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+779904, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3549183,int_stack+3521435,int_stack+3531515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+952636, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3556743,int_stack+3549183,int_stack+3535295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+956416, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3526055,int_stack+3556743,int_stack+3541343, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+962464, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3537815,int_stack+196168,int_stack+194320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+781444, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3566823,int_stack+3537815,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+970304, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3576063,int_stack+3566823,int_stack+3549183, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+974924, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3537815,int_stack+3576063,int_stack+3556743, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+982484, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3552935,int_stack+3537815,int_stack+3526055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+992564, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3521435,int_stack+199360,int_stack+198352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794100, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3524459,int_stack+200656,int_stack+199360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+795108, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3528347,int_stack+3524459,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3534395,int_stack+202276,int_stack+200656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+796404, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3539255,int_stack+3534395,int_stack+3524459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007348, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3569399,int_stack+3539255,int_stack+3528347, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011236, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3521435,int_stack+204256,int_stack+202276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+798024, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3579479,int_stack+3521435,int_stack+3534395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1017284, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3589199,int_stack+3579479,int_stack+3539255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1022144, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3527375,int_stack+3589199,int_stack+3569399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1052288, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3569399,int_stack+206632,int_stack+204256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+800004, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3602159,int_stack+3569399,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1062368, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3614039,int_stack+3602159,int_stack+3579479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068308, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3569399,int_stack+3614039,int_stack+3589199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078028, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3588839,int_stack+3569399,int_stack+3527375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1090988, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+3610007,int_stack+3588839,int_stack+3552935,588);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3521435,int_stack+210700,int_stack+209440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+816276, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3525215,int_stack+212320,int_stack+210700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+817536, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3530075,int_stack+3525215,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3537635,int_stack+214345,int_stack+212320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+819156, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3543710,int_stack+3537635,int_stack+3525215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3553430,int_stack+3543710,int_stack+3530075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3521435,int_stack+216820,int_stack+214345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821181, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3566030,int_stack+3521435,int_stack+3537635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3659399,int_stack+3566030,int_stack+3543710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035995, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3528860,int_stack+3659399,int_stack+3553430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1176668, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3547760,int_stack+219790,int_stack+216820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+823656, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3675599,int_stack+3547760,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1189268, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3690449,int_stack+3675599,int_stack+3566030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1196693, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3547760,int_stack+3690449,int_stack+3659399, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1208843, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3659399,int_stack+3547760,int_stack+3528860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1225043, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+3685859,int_stack+3659399,int_stack+3588839,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+2306999,int_stack+3685859,int_stack+3610007,588);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3749363,int_stack+224840,int_stack+223300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+843996, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3753983,int_stack+226820,int_stack+224840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+845536, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3759923,int_stack+3753983,int_stack+3749363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106108, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3769163,int_stack+229295,int_stack+226820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+847516, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3521435,int_stack+3769163,int_stack+3753983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1110728, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3533315,int_stack+3521435,int_stack+3759923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1116668, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3749363,int_stack+232320,int_stack+229295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+849991, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3548715,int_stack+3749363,int_stack+3769163, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1125908, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3758438,int_stack+3548715,int_stack+3521435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1133333, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3563565,int_stack+3758438,int_stack+3533315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145213, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3521435,int_stack+235950,int_stack+232320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+853016, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3586665,int_stack+3521435,int_stack+3749363, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160613, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3521435,int_stack+3586665,int_stack+3548715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3586665,int_stack+3521435,int_stack+3758438, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1456991, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3521435,int_stack+3586665,int_stack+3563565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1476791, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+3553775,int_stack+3521435,int_stack+3659399,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+2656487,int_stack+3553775,int_stack+3685859,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+2783495,int_stack+2656487,int_stack+2306999,588);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2306999,int_stack+242088,int_stack+240240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+877876, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2312543,int_stack+244464,int_stack+242088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+879724, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2319671,int_stack+2312543,int_stack+2306999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16200, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2330759,int_stack+247434,int_stack+244464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882100, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2339669,int_stack+2330759,int_stack+2312543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21744, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2353925,int_stack+2339669,int_stack+2319671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28872, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2306999,int_stack+251064,int_stack+247434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+885070, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2372405,int_stack+2306999,int_stack+2330759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39960, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3633155,int_stack+2372405,int_stack+2339669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1258793, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2317889,int_stack+3633155,int_stack+2353925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1273049, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2345609,int_stack+255420,int_stack+251064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+888700, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3656915,int_stack+2345609,int_stack+2306999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1291529, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3678695,int_stack+3656915,int_stack+2372405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1302419, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2345609,int_stack+3678695,int_stack+3633155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1320239, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3633155,int_stack+2345609,int_stack+2317889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1343999, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+3671963,int_stack+3633155,int_stack+3521435,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2948135,int_stack+3671963,int_stack+3553775,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+48870,int_stack+2948135,int_stack+2656487,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+3768983,int_stack+48870,int_stack+2783495,588);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+262752,int_stack+260568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+545160, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2663039,int_stack+265560,int_stack+262752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+549528, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2671463,int_stack+2663039,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1499891, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2684567,int_stack+269070,int_stack+265560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+555144, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2695097,int_stack+2684567,int_stack+2663039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1506443, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2711945,int_stack+2695097,int_stack+2671463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1514867, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+273360,int_stack+269070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+562164, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2733785,int_stack+2656487,int_stack+2684567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527971, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2754845,int_stack+2733785,int_stack+2695097, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1538501, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2669357,int_stack+2754845,int_stack+2711945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555349, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2702117,int_stack+278508,int_stack+273360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+570744, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2782925,int_stack+2702117,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1577189, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2808665,int_stack+2782925,int_stack+2733785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1590059, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2702117,int_stack+2808665,int_stack+2754845, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1611119, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2744237,int_stack+2702117,int_stack+2669357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639199, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+2790101,int_stack+2744237,int_stack+3633155,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4015943,int_stack+2790101,int_stack+3671963,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+2656487,int_stack+4015943,int_stack+2948135,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+2921087,int_stack+2656487,int_stack+48870,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+48870,int_stack+285376,int_stack+284592, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+776852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+51222,int_stack+286384,int_stack+285376, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+777636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+54246,int_stack+51222,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+58950,int_stack+287644,int_stack+286384, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+778644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+62730,int_stack+58950,int_stack+51222, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+944908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+68778,int_stack+62730,int_stack+54246, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48870,int_stack+289184,int_stack+287644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+779904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+76618,int_stack+48870,int_stack+58950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+952636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+84178,int_stack+76618,int_stack+62730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+956416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+53490,int_stack+84178,int_stack+68778, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+962464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+65250,int_stack+291032,int_stack+289184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+781444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+94258,int_stack+65250,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+970304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+103498,int_stack+94258,int_stack+76618, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+974924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+65250,int_stack+103498,int_stack+84178, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+982484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+80370,int_stack+65250,int_stack+53490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+992564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+48870,int_stack+294224,int_stack+293216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+794100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+51894,int_stack+295520,int_stack+294224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+795108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+55782,int_stack+51894,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+61830,int_stack+297140,int_stack+295520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+796404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+66690,int_stack+61830,int_stack+51894, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+96834,int_stack+66690,int_stack+55782, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48870,int_stack+299120,int_stack+297140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+798024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+106914,int_stack+48870,int_stack+61830, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1017284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+116634,int_stack+106914,int_stack+66690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1022144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+54810,int_stack+116634,int_stack+96834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1052288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+96834,int_stack+301496,int_stack+299120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+800004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+129594,int_stack+96834,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1062368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+141474,int_stack+129594,int_stack+106914, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+96834,int_stack+141474,int_stack+116634, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+116274,int_stack+96834,int_stack+54810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1090988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+137442,int_stack+116274,int_stack+80370,588);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+48870,int_stack+305564,int_stack+304304, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+816276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+52650,int_stack+307184,int_stack+305564, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+817536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+57510,int_stack+52650,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+65070,int_stack+309209,int_stack+307184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+819156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+71145,int_stack+65070,int_stack+52650, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+80865,int_stack+71145,int_stack+57510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+48870,int_stack+311684,int_stack+309209, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+821181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+93465,int_stack+48870,int_stack+65070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+186834,int_stack+93465,int_stack+71145, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+56295,int_stack+186834,int_stack+80865, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1176668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+75195,int_stack+314654,int_stack+311684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+823656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+203034,int_stack+75195,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1189268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+217884,int_stack+203034,int_stack+93465, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1196693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+75195,int_stack+217884,int_stack+186834, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1208843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+186834,int_stack+75195,int_stack+56295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1225043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+213294,int_stack+186834,int_stack+116274,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+2656487,int_stack+213294,int_stack+137442,588);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+276798,int_stack+319704,int_stack+318164, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+843996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281418,int_stack+321684,int_stack+319704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+845536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+287358,int_stack+281418,int_stack+276798, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+296598,int_stack+324159,int_stack+321684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+847516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+304023,int_stack+296598,int_stack+281418, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1110728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+48870,int_stack+304023,int_stack+287358, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1116668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+276798,int_stack+327184,int_stack+324159, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+849991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+64270,int_stack+276798,int_stack+296598, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1125908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+79120,int_stack+64270,int_stack+304023, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1133333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+285873,int_stack+79120,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+48870,int_stack+330814,int_stack+327184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+853016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+308973,int_stack+48870,int_stack+276798, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1160613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+98920,int_stack+308973,int_stack+64270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+48870,int_stack+98920,int_stack+79120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1456991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+78570,int_stack+48870,int_stack+285873, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1476791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+2755271,int_stack+78570,int_stack+186834,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+4015943,int_stack+2755271,int_stack+213294,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+110910,int_stack+4015943,int_stack+2656487,588);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+336952,int_stack+335104, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+877876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2662031,int_stack+339328,int_stack+336952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+879724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2669159,int_stack+2662031,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2680247,int_stack+342298,int_stack+339328, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2689157,int_stack+2680247,int_stack+2662031, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2703413,int_stack+2689157,int_stack+2669159, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+345928,int_stack+342298, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+885070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2721893,int_stack+2656487,int_stack+2680247, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+48870,int_stack+2721893,int_stack+2689157, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1258793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2667377,int_stack+48870,int_stack+2703413, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1273049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2695097,int_stack+350284,int_stack+345928, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+888700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+275550,int_stack+2695097,int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1291529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+297330,int_stack+275550,int_stack+2721893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1302419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2695097,int_stack+297330,int_stack+48870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1320239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+275550,int_stack+2695097,int_stack+2667377, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1343999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+2656487,int_stack+275550,int_stack+78570,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+3521435,int_stack+2656487,int_stack+2755271,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+4142951,int_stack+3521435,int_stack+4015943,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+4354631,int_stack+4142951,int_stack+110910,588);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4015943,int_stack+357616,int_stack+355432, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+545160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4022495,int_stack+360424,int_stack+357616, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+549528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4030919,int_stack+4022495,int_stack+4015943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1499891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4044023,int_stack+363934,int_stack+360424, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+555144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4054553,int_stack+4044023,int_stack+4022495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1506443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4071401,int_stack+4054553,int_stack+4030919, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1514867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4015943,int_stack+368224,int_stack+363934, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+562164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4093241,int_stack+4015943,int_stack+4044023, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4114301,int_stack+4093241,int_stack+4054553, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1538501, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4028813,int_stack+4114301,int_stack+4071401, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4061573,int_stack+373372,int_stack+368224, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+570744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+48870,int_stack+4061573,int_stack+4015943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1577189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+74610,int_stack+48870,int_stack+4093241, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1590059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4061573,int_stack+74610,int_stack+4114301, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1611119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+48870,int_stack+4061573,int_stack+4028813, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1639199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+94734,int_stack+48870,int_stack+275550,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4601591,int_stack+94734,int_stack+2656487,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+2656487,int_stack+4601591,int_stack+3521435,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+48870,int_stack+2656487,int_stack+4142951,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+380240,int_stack+379456, 0.0, zero_stack, 1.0, int_stack+776852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2658839,int_stack+381248,int_stack+380240, 0.0, zero_stack, 1.0, int_stack+777636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2661863,int_stack+2658839,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2666567,int_stack+382508,int_stack+381248, 0.0, zero_stack, 1.0, int_stack+778644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2670347,int_stack+2666567,int_stack+2658839, 0.0, zero_stack, 1.0, int_stack+944908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2676395,int_stack+2670347,int_stack+2661863, 0.0, zero_stack, 1.0, int_stack+947932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+384048,int_stack+382508, 0.0, zero_stack, 1.0, int_stack+779904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2684235,int_stack+2656487,int_stack+2666567, 0.0, zero_stack, 1.0, int_stack+952636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2691795,int_stack+2684235,int_stack+2670347, 0.0, zero_stack, 1.0, int_stack+956416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2661107,int_stack+2691795,int_stack+2676395, 0.0, zero_stack, 1.0, int_stack+962464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2672867,int_stack+385896,int_stack+384048, 0.0, zero_stack, 1.0, int_stack+781444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2701875,int_stack+2672867,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+970304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2711115,int_stack+2701875,int_stack+2684235, 0.0, zero_stack, 1.0, int_stack+974924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2672867,int_stack+2711115,int_stack+2691795, 0.0, zero_stack, 1.0, int_stack+982484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2687987,int_stack+2672867,int_stack+2661107, 0.0, zero_stack, 1.0, int_stack+992564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+389088,int_stack+388080, 0.0, zero_stack, 1.0, int_stack+794100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2659511,int_stack+390384,int_stack+389088, 0.0, zero_stack, 1.0, int_stack+795108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2663399,int_stack+2659511,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2669447,int_stack+392004,int_stack+390384, 0.0, zero_stack, 1.0, int_stack+796404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2674307,int_stack+2669447,int_stack+2659511, 0.0, zero_stack, 1.0, int_stack+1007348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2704451,int_stack+2674307,int_stack+2663399, 0.0, zero_stack, 1.0, int_stack+1011236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+393984,int_stack+392004, 0.0, zero_stack, 1.0, int_stack+798024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2714531,int_stack+2656487,int_stack+2669447, 0.0, zero_stack, 1.0, int_stack+1017284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2724251,int_stack+2714531,int_stack+2674307, 0.0, zero_stack, 1.0, int_stack+1022144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2662427,int_stack+2724251,int_stack+2704451, 0.0, zero_stack, 1.0, int_stack+1052288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2704451,int_stack+396360,int_stack+393984, 0.0, zero_stack, 1.0, int_stack+800004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2737211,int_stack+2704451,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+1062368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2749091,int_stack+2737211,int_stack+2714531, 0.0, zero_stack, 1.0, int_stack+1068308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2704451,int_stack+2749091,int_stack+2724251, 0.0, zero_stack, 1.0, int_stack+1078028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2723891,int_stack+2704451,int_stack+2662427, 0.0, zero_stack, 1.0, int_stack+1090988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+2745059,int_stack+2723891,int_stack+2687987,588);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+400428,int_stack+399168, 0.0, zero_stack, 1.0, int_stack+816276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2660267,int_stack+402048,int_stack+400428, 0.0, zero_stack, 1.0, int_stack+817536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2665127,int_stack+2660267,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2672687,int_stack+404073,int_stack+402048, 0.0, zero_stack, 1.0, int_stack+819156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2678762,int_stack+2672687,int_stack+2660267, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2688482,int_stack+2678762,int_stack+2665127, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2656487,int_stack+406548,int_stack+404073, 0.0, zero_stack, 1.0, int_stack+821181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2701082,int_stack+2656487,int_stack+2672687, 0.0, zero_stack, 1.0, int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2794451,int_stack+2701082,int_stack+2678762, 0.0, zero_stack, 1.0, int_stack+1035995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2663912,int_stack+2794451,int_stack+2688482, 0.0, zero_stack, 1.0, int_stack+1176668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2682812,int_stack+409518,int_stack+406548, 0.0, zero_stack, 1.0, int_stack+823656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2810651,int_stack+2682812,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+1189268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2825501,int_stack+2810651,int_stack+2701082, 0.0, zero_stack, 1.0, int_stack+1196693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2682812,int_stack+2825501,int_stack+2794451, 0.0, zero_stack, 1.0, int_stack+1208843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2794451,int_stack+2682812,int_stack+2663912, 0.0, zero_stack, 1.0, int_stack+1225043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+2820911,int_stack+2794451,int_stack+2723891,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+3521435,int_stack+2820911,int_stack+2745059,588);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2884415,int_stack+414568,int_stack+413028, 0.0, zero_stack, 1.0, int_stack+843996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2889035,int_stack+416548,int_stack+414568, 0.0, zero_stack, 1.0, int_stack+845536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2894975,int_stack+2889035,int_stack+2884415, 0.0, zero_stack, 1.0, int_stack+1106108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2904215,int_stack+419023,int_stack+416548, 0.0, zero_stack, 1.0, int_stack+847516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2656487,int_stack+2904215,int_stack+2889035, 0.0, zero_stack, 1.0, int_stack+1110728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2668367,int_stack+2656487,int_stack+2894975, 0.0, zero_stack, 1.0, int_stack+1116668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2884415,int_stack+422048,int_stack+419023, 0.0, zero_stack, 1.0, int_stack+849991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2683767,int_stack+2884415,int_stack+2904215, 0.0, zero_stack, 1.0, int_stack+1125908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2893490,int_stack+2683767,int_stack+2656487, 0.0, zero_stack, 1.0, int_stack+1133333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2698617,int_stack+2893490,int_stack+2668367, 0.0, zero_stack, 1.0, int_stack+1145213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2656487,int_stack+425678,int_stack+422048, 0.0, zero_stack, 1.0, int_stack+853016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2721717,int_stack+2656487,int_stack+2884415, 0.0, zero_stack, 1.0, int_stack+1160613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2656487,int_stack+2721717,int_stack+2683767, 0.0, zero_stack, 1.0, int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2721717,int_stack+2656487,int_stack+2893490, 0.0, zero_stack, 1.0, int_stack+1456991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2656487,int_stack+2721717,int_stack+2698617, 0.0, zero_stack, 1.0, int_stack+1476791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+2688827,int_stack+2656487,int_stack+2794451,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+3620219,int_stack+2688827,int_stack+2820911,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+4601591,int_stack+3620219,int_stack+3521435,588);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3521435,int_stack+431816,int_stack+429968, 0.0, zero_stack, 1.0, int_stack+877876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3526979,int_stack+434192,int_stack+431816, 0.0, zero_stack, 1.0, int_stack+879724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3534107,int_stack+3526979,int_stack+3521435, 0.0, zero_stack, 1.0, int_stack+16200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3545195,int_stack+437162,int_stack+434192, 0.0, zero_stack, 1.0, int_stack+882100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3554105,int_stack+3545195,int_stack+3526979, 0.0, zero_stack, 1.0, int_stack+21744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3568361,int_stack+3554105,int_stack+3534107, 0.0, zero_stack, 1.0, int_stack+28872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3521435,int_stack+440792,int_stack+437162, 0.0, zero_stack, 1.0, int_stack+885070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3586841,int_stack+3521435,int_stack+3545195, 0.0, zero_stack, 1.0, int_stack+39960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2768207,int_stack+3586841,int_stack+3554105, 0.0, zero_stack, 1.0, int_stack+1258793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3532325,int_stack+2768207,int_stack+3568361, 0.0, zero_stack, 1.0, int_stack+1273049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3560045,int_stack+445148,int_stack+440792, 0.0, zero_stack, 1.0, int_stack+888700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2791967,int_stack+3560045,int_stack+3521435, 0.0, zero_stack, 1.0, int_stack+1291529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2813747,int_stack+2791967,int_stack+3586841, 0.0, zero_stack, 1.0, int_stack+1302419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3560045,int_stack+2813747,int_stack+2768207, 0.0, zero_stack, 1.0, int_stack+1320239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2768207,int_stack+3560045,int_stack+3532325, 0.0, zero_stack, 1.0, int_stack+1343999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+2807015,int_stack+2768207,int_stack+2656487,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+4015943,int_stack+2807015,int_stack+2688827,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+4766231,int_stack+4015943,int_stack+3620219,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+3521435,int_stack+4766231,int_stack+4601591,588);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4601591,int_stack+452480,int_stack+450296, 0.0, zero_stack, 1.0, int_stack+545160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4608143,int_stack+455288,int_stack+452480, 0.0, zero_stack, 1.0, int_stack+549528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4616567,int_stack+4608143,int_stack+4601591, 0.0, zero_stack, 1.0, int_stack+1499891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4629671,int_stack+458798,int_stack+455288, 0.0, zero_stack, 1.0, int_stack+555144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4640201,int_stack+4629671,int_stack+4608143, 0.0, zero_stack, 1.0, int_stack+1506443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4657049,int_stack+4640201,int_stack+4616567, 0.0, zero_stack, 1.0, int_stack+1514867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4601591,int_stack+463088,int_stack+458798, 0.0, zero_stack, 1.0, int_stack+562164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4678889,int_stack+4601591,int_stack+4629671, 0.0, zero_stack, 1.0, int_stack+1527971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4699949,int_stack+4678889,int_stack+4640201, 0.0, zero_stack, 1.0, int_stack+1538501, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4614461,int_stack+4699949,int_stack+4657049, 0.0, zero_stack, 1.0, int_stack+1555349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4647221,int_stack+468236,int_stack+463088, 0.0, zero_stack, 1.0, int_stack+570744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4728029,int_stack+4647221,int_stack+4601591, 0.0, zero_stack, 1.0, int_stack+1577189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2656487,int_stack+4728029,int_stack+4678889, 0.0, zero_stack, 1.0, int_stack+1590059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4647221,int_stack+2656487,int_stack+4699949, 0.0, zero_stack, 1.0, int_stack+1611119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2656487,int_stack+4647221,int_stack+4614461, 0.0, zero_stack, 1.0, int_stack+1639199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+4601591,int_stack+2656487,int_stack+2768207,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4977911,int_stack+4601591,int_stack+2807015,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+2656487,int_stack+4977911,int_stack+4015943,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+4015943,int_stack+2656487,int_stack+4766231,588);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+475104,int_stack+474320, 1.0, int_stack+776852, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2658839,int_stack+476112,int_stack+475104, 1.0, int_stack+777636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2661863,int_stack+2658839,int_stack+2656487, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2666567,int_stack+477372,int_stack+476112, 1.0, int_stack+778644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2670347,int_stack+2666567,int_stack+2658839, 1.0, int_stack+944908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2676395,int_stack+2670347,int_stack+2661863, 1.0, int_stack+947932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+942556,int_stack+478912,int_stack+477372, 1.0, int_stack+779904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2656487,int_stack+942556,int_stack+2666567, 1.0, int_stack+952636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2684235,int_stack+2656487,int_stack+2670347, 1.0, int_stack+956416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+947176,int_stack+2684235,int_stack+2676395, 1.0, int_stack+962464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+958936,int_stack+480760,int_stack+478912, 1.0, int_stack+781444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2664047,int_stack+958936,int_stack+942556, 1.0, int_stack+970304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2694315,int_stack+2664047,int_stack+2656487, 1.0, int_stack+974924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2656487,int_stack+2694315,int_stack+2684235, 1.0, int_stack+982484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2671607,int_stack+2656487,int_stack+947176, 1.0, int_stack+992564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+483952,int_stack+482944, 1.0, int_stack+794100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2659511,int_stack+485248,int_stack+483952, 1.0, int_stack+795108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2663399,int_stack+2659511,int_stack+2656487, 1.0, int_stack+1004324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2688071,int_stack+486868,int_stack+485248, 1.0, int_stack+796404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2692931,int_stack+2688071,int_stack+2659511, 1.0, int_stack+1007348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2700707,int_stack+2692931,int_stack+2663399, 1.0, int_stack+1011236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1004324,int_stack+488848,int_stack+486868, 1.0, int_stack+798024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2656487,int_stack+1004324,int_stack+2688071, 1.0, int_stack+1017284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2710787,int_stack+2656487,int_stack+2692931, 1.0, int_stack+1022144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1010264,int_stack+2710787,int_stack+2700707, 1.0, int_stack+1052288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2688071,int_stack+491224,int_stack+488848, 1.0, int_stack+800004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2695199,int_stack+2688071,int_stack+1004324, 1.0, int_stack+1062368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2723747,int_stack+2695199,int_stack+2656487, 1.0, int_stack+1068308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2688071,int_stack+2723747,int_stack+2710787, 1.0, int_stack+1078028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4333463,int_stack+2688071,int_stack+1010264, 1.0, int_stack+1090988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+2688071,int_stack+4333463,int_stack+2671607,588);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2737463,int_stack+495292,int_stack+494032, 1.0, int_stack+816276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2741243,int_stack+496912,int_stack+495292, 1.0, int_stack+817536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2746103,int_stack+2741243,int_stack+2737463, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2753663,int_stack+498937,int_stack+496912, 1.0, int_stack+819156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2759738,int_stack+2753663,int_stack+2741243, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2769458,int_stack+2759738,int_stack+2746103, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+501412,int_stack+498937, 1.0, int_stack+821181, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2737463,int_stack+0,int_stack+2753663, 1.0, int_stack+1029920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2782058,int_stack+2737463,int_stack+2759738, 1.0, int_stack+1035995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2749613,int_stack+2782058,int_stack+2769458, 1.0, int_stack+1176668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2768513,int_stack+504382,int_stack+501412, 1.0, int_stack+823656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2798258,int_stack+2768513,int_stack+0, 1.0, int_stack+1189268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2813108,int_stack+2798258,int_stack+2737463, 1.0, int_stack+1196693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2833358,int_stack+2813108,int_stack+2782058, 1.0, int_stack+1208843, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2768513,int_stack+2833358,int_stack+2749613, 1.0, int_stack+1225043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+2794973,int_stack+2768513,int_stack+4333463,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4601591,int_stack+2794973,int_stack+2688071,588);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4333463,int_stack+509432,int_stack+507892, 1.0, int_stack+843996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4338083,int_stack+511412,int_stack+509432, 1.0, int_stack+845536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4344023,int_stack+4338083,int_stack+4333463, 1.0, int_stack+1106108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+513887,int_stack+511412, 1.0, int_stack+847516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2858477,int_stack+0,int_stack+4338083, 1.0, int_stack+1110728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2870357,int_stack+2858477,int_stack+4344023, 1.0, int_stack+1116668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1106108,int_stack+516912,int_stack+513887, 1.0, int_stack+849991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4333463,int_stack+1106108,int_stack+0, 1.0, int_stack+1125908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2885757,int_stack+4333463,int_stack+2858477, 1.0, int_stack+1133333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1115183,int_stack+2885757,int_stack+2870357, 1.0, int_stack+1145213, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2858477,int_stack+520542,int_stack+516912, 1.0, int_stack+853016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1138283,int_stack+2858477,int_stack+1106108, 1.0, int_stack+1160613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2858477,int_stack+1138283,int_stack+4333463, 1.0, int_stack+1243943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2656487,int_stack+2858477,int_stack+2885757, 1.0, int_stack+1456991, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2858477,int_stack+2656487,int_stack+1115183, 1.0, int_stack+1476791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+2656487,int_stack+2858477,int_stack+2768513,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+4700375,int_stack+2656487,int_stack+2794973,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+4827383,int_stack+4700375,int_stack+4601591,588);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4601591,int_stack+526680,int_stack+524832, 1.0, int_stack+877876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4607135,int_stack+529056,int_stack+526680, 1.0, int_stack+879724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4614263,int_stack+4607135,int_stack+4601591, 1.0, int_stack+16200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4625351,int_stack+532026,int_stack+529056, 1.0, int_stack+882100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4634261,int_stack+4625351,int_stack+4607135, 1.0, int_stack+21744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4648517,int_stack+4634261,int_stack+4614263, 1.0, int_stack+28872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4601591,int_stack+535656,int_stack+532026, 1.0, int_stack+885070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4666997,int_stack+4601591,int_stack+4625351, 1.0, int_stack+39960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2735867,int_stack+4666997,int_stack+4634261, 1.0, int_stack+1258793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4612481,int_stack+2735867,int_stack+4648517, 1.0, int_stack+1273049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1258793,int_stack+540012,int_stack+535656, 1.0, int_stack+888700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4640201,int_stack+1258793,int_stack+4601591, 1.0, int_stack+1291529, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1258793,int_stack+4640201,int_stack+4666997, 1.0, int_stack+1302419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4640201,int_stack+1258793,int_stack+2735867, 1.0, int_stack+1320239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2735867,int_stack+4640201,int_stack+4612481, 1.0, int_stack+1343999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+4601591,int_stack+2735867,int_stack+2858477,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+4992023,int_stack+4601591,int_stack+2656487,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+5150783,int_stack+4992023,int_stack+4700375,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+5362463,int_stack+5150783,int_stack+4827383,588);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2656487,int_stack+552336,int_stack+547344, 1.0, int_stack+545160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2663039,int_stack+558654,int_stack+552336, 1.0, int_stack+549528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2671463,int_stack+2663039,int_stack+2656487, 1.0, int_stack+1499891, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2684567,int_stack+566454,int_stack+558654, 1.0, int_stack+555144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2695097,int_stack+2684567,int_stack+2663039, 1.0, int_stack+1506443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2711945,int_stack+2695097,int_stack+2671463, 1.0, int_stack+1514867, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1499891,int_stack+575892,int_stack+566454, 1.0, int_stack+562164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2656487,int_stack+1499891,int_stack+2684567, 1.0, int_stack+1527971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2774675,int_stack+2656487,int_stack+2695097, 1.0, int_stack+1538501, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1512761,int_stack+2774675,int_stack+2711945, 1.0, int_stack+1555349, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1545521,int_stack+581040,int_stack+575892, 1.0, int_stack+570744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2677547,int_stack+1545521,int_stack+1499891, 1.0, int_stack+1577189, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1545521,int_stack+2677547,int_stack+2656487, 1.0, int_stack+1590059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2656487,int_stack+1545521,int_stack+2774675, 1.0, int_stack+1611119, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2774675,int_stack+2656487,int_stack+1512761, 1.0, int_stack+1639199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+1499891,int_stack+2774675,int_stack+2735867,588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+2656487,int_stack+1499891,int_stack+4601591,588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4601591,int_stack+2656487,int_stack+4992023,588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+5609423,int_stack+4601591,int_stack+5150783,588);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4601591,int_stack+783292,int_stack+781444,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4607135,int_stack+4601591,int_stack+970304,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4616375,int_stack+4607135,int_stack+974924,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+4628975,int_stack+4616375,int_stack+982484,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4601591,int_stack+4628975,int_stack+992564,28);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4618055,int_stack+802380,int_stack+800004,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4625183,int_stack+4618055,int_stack+1062368,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4637063,int_stack+4625183,int_stack+1068308,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+4653263,int_stack+4637063,int_stack+1078028,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4333463,int_stack+4653263,int_stack+1090988,36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4618055,int_stack+4333463,int_stack+4601591,588);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4667447,int_stack+826626,int_stack+823656,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4676357,int_stack+4667447,int_stack+1189268,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4691207,int_stack+4676357,int_stack+1196693,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+4711457,int_stack+4691207,int_stack+1208843,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4667447,int_stack+4711457,int_stack+1225043,45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4693907,int_stack+4667447,int_stack+4333463,588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4757411,int_stack+4693907,int_stack+4618055,588);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4856195,int_stack+856646,int_stack+853016,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4867085,int_stack+4856195,int_stack+1160613,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4885235,int_stack+4867085,int_stack+1243943,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+4909985,int_stack+4885235,int_stack+1456991,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4856195,int_stack+4909985,int_stack+1476791,55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+4888535,int_stack+4856195,int_stack+4667447,588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+4967915,int_stack+4888535,int_stack+4693907,588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+5094923,int_stack+4967915,int_stack+4757411,588);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5259563,int_stack+893056,int_stack+888700,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5272631,int_stack+5259563,int_stack+1291529,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+5294411,int_stack+5272631,int_stack+1302419,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5324111,int_stack+5294411,int_stack+1320239,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5259563,int_stack+5324111,int_stack+1343999,66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+2656487,int_stack+5259563,int_stack+4856195,588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2753507,int_stack+2656487,int_stack+4888535,588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+942556,int_stack+2753507,int_stack+4967915,588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+1154236,int_stack+942556,int_stack+5094923,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5298371,int_stack+587908,int_stack+587124,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5300723,int_stack+588916,int_stack+587908,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5303747,int_stack+5300723,int_stack+5298371,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5308451,int_stack+590176,int_stack+588916,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5312231,int_stack+5308451,int_stack+5300723,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5318279,int_stack+5312231,int_stack+5303747,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5298371,int_stack+591716,int_stack+590176,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5326119,int_stack+5298371,int_stack+5308451,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5333679,int_stack+5326119,int_stack+5312231,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5302991,int_stack+5333679,int_stack+5318279,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5314751,int_stack+593564,int_stack+591716,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5343759,int_stack+5314751,int_stack+5298371,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+877876,int_stack+5343759,int_stack+5326119,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5343759,int_stack+877876,int_stack+5333679,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+877876,int_stack+5343759,int_stack+5302991,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+894340,int_stack+596756,int_stack+595748,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5298371,int_stack+598052,int_stack+596756,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5302259,int_stack+5298371,int_stack+894340,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5308307,int_stack+599672,int_stack+598052,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5313167,int_stack+5308307,int_stack+5298371,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5320943,int_stack+5313167,int_stack+5302259,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5298371,int_stack+601652,int_stack+599672,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5331023,int_stack+5298371,int_stack+5308307,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5340743,int_stack+5331023,int_stack+5313167,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5304311,int_stack+5340743,int_stack+5320943,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5319431,int_stack+604028,int_stack+601652,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+0,int_stack+5319431,int_stack+5298371,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+11880,int_stack+0,int_stack+5331023,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5319431,int_stack+11880,int_stack+5340743,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+0,int_stack+5319431,int_stack+5304311,36);
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+5298371,int_stack+0,int_stack+877876, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4601591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+877876,int_stack+608096,int_stack+606836,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+881656,int_stack+609716,int_stack+608096,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+886516,int_stack+881656,int_stack+877876,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+21168,int_stack+611741,int_stack+609716,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27243,int_stack+21168,int_stack+881656,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5347763,int_stack+27243,int_stack+886516,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+877876,int_stack+614216,int_stack+611741,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+885301,int_stack+877876,int_stack+21168,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+843996,int_stack+885301,int_stack+27243,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+21168,int_stack+843996,int_stack+5347763,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5347763,int_stack+617186,int_stack+614216,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1401196,int_stack+5347763,int_stack+877876,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1416046,int_stack+1401196,int_stack+885301,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1436296,int_stack+1416046,int_stack+843996,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1401196,int_stack+1436296,int_stack+21168,45);
 /*--- compute (kp|ih) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1427656,int_stack+1401196,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4333463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (id|ih) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1491160,int_stack+1427656,int_stack+5298371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4618055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5298371,int_stack+622236,int_stack+620696,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5302991,int_stack+624216,int_stack+622236,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5308931,int_stack+5302991,int_stack+5298371,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5318171,int_stack+626691,int_stack+624216,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5325596,int_stack+5318171,int_stack+5302991,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5337476,int_stack+5325596,int_stack+5308931,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5298371,int_stack+629716,int_stack+626691,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+0,int_stack+5298371,int_stack+5318171,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+14850,int_stack+0,int_stack+5325596,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5307446,int_stack+14850,int_stack+5337476,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5330546,int_stack+633346,int_stack+629716,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5341436,int_stack+5330546,int_stack+5298371,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1589944,int_stack+5341436,int_stack+0,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5330546,int_stack+1589944,int_stack+14850,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1589944,int_stack+5330546,int_stack+5307446,55);
 /*--- compute (lp|ih) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+366390,int_stack+1589944,int_stack+1401196, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4667447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kd|ih) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+445770,int_stack+366390,int_stack+1427656, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4693907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (if|ih) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+5926943,int_stack+445770,int_stack+1491160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4757411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1401196,int_stack+639484,int_stack+637636,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1406740,int_stack+641860,int_stack+639484,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+794100,int_stack+1406740,int_stack+1401196,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1413868,int_stack+644830,int_stack+641860,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1422778,int_stack+1413868,int_stack+1406740,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1437034,int_stack+1422778,int_stack+794100,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+794100,int_stack+648460,int_stack+644830,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1455514,int_stack+794100,int_stack+1413868,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1473334,int_stack+1455514,int_stack+1422778,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1401196,int_stack+1473334,int_stack+1437034,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1428916,int_stack+652816,int_stack+648460,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1497094,int_stack+1428916,int_stack+794100,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1518874,int_stack+1497094,int_stack+1455514,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1428916,int_stack+1518874,int_stack+1473334,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1464556,int_stack+1428916,int_stack+1401196,66);
 /*--- compute (mp|ih) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+2306999,int_stack+1464556,int_stack+1589944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4856195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ld|ih) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+1503364,int_stack+2306999,int_stack+366390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4888535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kf|ih) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+6091583,int_stack+1503364,int_stack+445770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4967915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ig|ih) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+366390,int_stack+6091583,int_stack+5926943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5094923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+660148,int_stack+657964,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5933495,int_stack+662956,int_stack+660148,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5941919,int_stack+5933495,int_stack+5926943,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5955023,int_stack+666466,int_stack+662956,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5965553,int_stack+5955023,int_stack+5933495,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5982401,int_stack+5965553,int_stack+5941919,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+670756,int_stack+666466,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6004241,int_stack+5926943,int_stack+5955023,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6025301,int_stack+6004241,int_stack+5965553,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5939813,int_stack+6025301,int_stack+5982401,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5972573,int_stack+675904,int_stack+670756,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6053381,int_stack+5972573,int_stack+5926943,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+613350,int_stack+6053381,int_stack+6004241,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5972573,int_stack+613350,int_stack+6025301,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+613350,int_stack+5972573,int_stack+5939813,78);
 /*--- compute (np|ih) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+5926943,int_stack+613350,int_stack+1464556, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5259563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (md|ih) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+6303263,int_stack+5926943,int_stack+2306999, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (lf|ih) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+6497303,int_stack+6303263,int_stack+1503364, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2753507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kg|ih) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+6761903,int_stack+6497303,int_stack+6091583, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2306999,int_stack+682772,int_stack+681988,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2309351,int_stack+683780,int_stack+682772,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2312375,int_stack+2309351,int_stack+2306999,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2317079,int_stack+685040,int_stack+683780,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2320859,int_stack+2317079,int_stack+2309351,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2326907,int_stack+2320859,int_stack+2312375,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+2306999,int_stack+686580,int_stack+685040,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+2334747,int_stack+2306999,int_stack+2317079,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+2342307,int_stack+2334747,int_stack+2320859,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+2311619,int_stack+2342307,int_stack+2326907,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+2323379,int_stack+688428,int_stack+686580,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2352387,int_stack+2323379,int_stack+2306999,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+2361627,int_stack+2352387,int_stack+2334747,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+2323379,int_stack+2361627,int_stack+2342307,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+2338499,int_stack+2323379,int_stack+2311619,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2306999,int_stack+691620,int_stack+690612,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2310023,int_stack+692916,int_stack+691620,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2313911,int_stack+2310023,int_stack+2306999,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2319959,int_stack+694536,int_stack+692916,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2324819,int_stack+2319959,int_stack+2310023,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2354963,int_stack+2324819,int_stack+2313911,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+2306999,int_stack+696516,int_stack+694536,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+2365043,int_stack+2306999,int_stack+2319959,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+2374763,int_stack+2365043,int_stack+2324819,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+2312939,int_stack+2374763,int_stack+2354963,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+2354963,int_stack+698892,int_stack+696516,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2387723,int_stack+2354963,int_stack+2306999,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+5926943,int_stack+2387723,int_stack+2365043,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+2387723,int_stack+5926943,int_stack+2374763,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5926943,int_stack+2387723,int_stack+2312939,36);
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+5948111,int_stack+5926943,int_stack+2338499, 0.0, zero_stack, 1.0, int_stack+4601591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5997503,int_stack+702960,int_stack+701700,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6001283,int_stack+704580,int_stack+702960,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6006143,int_stack+6001283,int_stack+5997503,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6013703,int_stack+706605,int_stack+704580,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+6019778,int_stack+6013703,int_stack+6001283,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6029498,int_stack+6019778,int_stack+6006143,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5997503,int_stack+709080,int_stack+706605,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6042098,int_stack+5997503,int_stack+6013703,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6054248,int_stack+6042098,int_stack+6019778,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6004928,int_stack+6054248,int_stack+6029498,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6023828,int_stack+712050,int_stack+709080,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6070448,int_stack+6023828,int_stack+5997503,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6085298,int_stack+6070448,int_stack+6042098,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6023828,int_stack+6085298,int_stack+6054248,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6048128,int_stack+6023828,int_stack+6004928,45);
 /*--- compute (kp|ih) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+6074588,int_stack+6048128,int_stack+5926943, 0.0, zero_stack, 1.0, int_stack+4333463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (id|ih) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+6138092,int_stack+6074588,int_stack+5948111, 0.0, zero_stack, 1.0, int_stack+4618055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+717100,int_stack+715560,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5931563,int_stack+719080,int_stack+717100,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5937503,int_stack+5931563,int_stack+5926943,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5946743,int_stack+721555,int_stack+719080,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5954168,int_stack+5946743,int_stack+5931563,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5966048,int_stack+5954168,int_stack+5937503,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+724580,int_stack+721555,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5981448,int_stack+5926943,int_stack+5946743,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5996298,int_stack+5981448,int_stack+5954168,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5936018,int_stack+5996298,int_stack+5966048,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5959118,int_stack+728210,int_stack+724580,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6016098,int_stack+5959118,int_stack+5926943,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6236876,int_stack+6016098,int_stack+5981448,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6016098,int_stack+6236876,int_stack+5996298,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6236876,int_stack+6016098,int_stack+5936018,55);
 /*--- compute (lp|ih) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+6269216,int_stack+6236876,int_stack+6048128, 0.0, zero_stack, 1.0, int_stack+4667447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kd|ih) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+6348596,int_stack+6269216,int_stack+6074588, 0.0, zero_stack, 1.0, int_stack+4693907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (if|ih) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+6475604,int_stack+6348596,int_stack+6138092, 0.0, zero_stack, 1.0, int_stack+4757411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6640244,int_stack+734348,int_stack+732500,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6645788,int_stack+736724,int_stack+734348,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+794100,int_stack+6645788,int_stack+6640244,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6652916,int_stack+739694,int_stack+736724,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+6661826,int_stack+6652916,int_stack+6645788,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6676082,int_stack+6661826,int_stack+794100,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+794100,int_stack+743324,int_stack+739694,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6694562,int_stack+794100,int_stack+6652916,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6712382,int_stack+6694562,int_stack+6661826,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6640244,int_stack+6712382,int_stack+6676082,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6667964,int_stack+747680,int_stack+743324,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6736142,int_stack+6667964,int_stack+794100,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+5926943,int_stack+6736142,int_stack+6694562,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6667964,int_stack+5926943,int_stack+6712382,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5926943,int_stack+6667964,int_stack+6640244,66);
 /*--- compute (mp|ih) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+6640244,int_stack+5926943,int_stack+6236876, 0.0, zero_stack, 1.0, int_stack+4856195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ld|ih) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+5965751,int_stack+6640244,int_stack+6269216, 0.0, zero_stack, 1.0, int_stack+4888535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kf|ih) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+6124511,int_stack+5965751,int_stack+6348596, 0.0, zero_stack, 1.0, int_stack+4967915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ig|ih) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+1401196,int_stack+6124511,int_stack+6475604, 0.0, zero_stack, 1.0, int_stack+5094923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6737264,int_stack+755012,int_stack+752828,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6743816,int_stack+757820,int_stack+755012,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6336191,int_stack+6743816,int_stack+6737264,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+6349295,int_stack+761330,int_stack+757820,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+6359825,int_stack+6349295,int_stack+6743816,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6737264,int_stack+6359825,int_stack+6336191,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+6336191,int_stack+765620,int_stack+761330,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6376673,int_stack+6336191,int_stack+6349295,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6397733,int_stack+6376673,int_stack+6359825,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6425813,int_stack+6397733,int_stack+6737264,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6737264,int_stack+770768,int_stack+765620,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6349061,int_stack+6737264,int_stack+6336191,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6458573,int_stack+6349061,int_stack+6376673,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6336191,int_stack+6458573,int_stack+6397733,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6458573,int_stack+6336191,int_stack+6425813,78);
 /*--- compute (np|ih) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+6336191,int_stack+6458573,int_stack+5926943, 0.0, zero_stack, 1.0, int_stack+5259563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (md|ih) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+7079423,int_stack+6336191,int_stack+6640244, 0.0, zero_stack, 1.0, int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (lf|ih) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+6336191,int_stack+7079423,int_stack+5965751, 0.0, zero_stack, 1.0, int_stack+2753507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kg|ih) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+7079423,int_stack+6336191,int_stack+6124511, 0.0, zero_stack, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+786260,int_stack+785476,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5929295,int_stack+787268,int_stack+786260,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5932319,int_stack+5929295,int_stack+5926943,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5937023,int_stack+788528,int_stack+787268,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5940803,int_stack+5937023,int_stack+5929295,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5946851,int_stack+5940803,int_stack+5932319,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+790068,int_stack+788528,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5954691,int_stack+5926943,int_stack+5937023,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5962251,int_stack+5954691,int_stack+5940803,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5931563,int_stack+5962251,int_stack+5946851,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5943323,int_stack+791916,int_stack+790068,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5972331,int_stack+5943323,int_stack+5926943,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+5981571,int_stack+5972331,int_stack+5954691,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5943323,int_stack+5981571,int_stack+5962251,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5958443,int_stack+5943323,int_stack+5931563,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+806196,int_stack+805188,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5929967,int_stack+807492,int_stack+806196,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5933855,int_stack+5929967,int_stack+5926943,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5939903,int_stack+809112,int_stack+807492,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5944763,int_stack+5939903,int_stack+5929967,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5974907,int_stack+5944763,int_stack+5933855,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+811092,int_stack+809112,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5984987,int_stack+5926943,int_stack+5939903,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5994707,int_stack+5984987,int_stack+5944763,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5932883,int_stack+5994707,int_stack+5974907,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5974907,int_stack+813468,int_stack+811092,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6007667,int_stack+5974907,int_stack+5926943,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6019547,int_stack+6007667,int_stack+5984987,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5974907,int_stack+6019547,int_stack+5994707,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+5994347,int_stack+5974907,int_stack+5932883,36);
 /*--- compute (ip|ih) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+6015515,int_stack+5994347,int_stack+5958443, 1.0, int_stack+4601591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4601591,int_stack+831396,int_stack+830136,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+4605371,int_stack+833016,int_stack+831396,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4610231,int_stack+4605371,int_stack+4601591,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5926943,int_stack+835041,int_stack+833016,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5933018,int_stack+5926943,int_stack+4605371,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5942738,int_stack+5933018,int_stack+4610231,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+4601591,int_stack+837516,int_stack+835041,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5955338,int_stack+4601591,int_stack+5926943,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5967488,int_stack+5955338,int_stack+5933018,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6064907,int_stack+5967488,int_stack+5942738,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5926943,int_stack+840486,int_stack+837516,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5935853,int_stack+5926943,int_stack+4601591,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6083807,int_stack+5935853,int_stack+5955338,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5926943,int_stack+6083807,int_stack+5967488,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6083807,int_stack+5926943,int_stack+6064907,45);
 /*--- compute (kp|ih) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+5926943,int_stack+6083807,int_stack+5994347, 1.0, int_stack+4333463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (id|ih) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+6110267,int_stack+5926943,int_stack+6015515, 1.0, int_stack+4618055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4333463,int_stack+862476,int_stack+860936,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+4338083,int_stack+864456,int_stack+862476,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4344023,int_stack+4338083,int_stack+4333463,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5990447,int_stack+866931,int_stack+864456,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5997872,int_stack+5990447,int_stack+4338083,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6009752,int_stack+5997872,int_stack+4344023,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+4333463,int_stack+869956,int_stack+866931,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6025152,int_stack+4333463,int_stack+5990447,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6040002,int_stack+6025152,int_stack+5997872,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6059802,int_stack+6040002,int_stack+6009752,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5990447,int_stack+873586,int_stack+869956,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6001337,int_stack+5990447,int_stack+4333463,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6209051,int_stack+6001337,int_stack+6025152,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+5990447,int_stack+6209051,int_stack+6040002,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6209051,int_stack+5990447,int_stack+6059802,55);
 /*--- compute (lp|ih) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+5990447,int_stack+6209051,int_stack+6083807, 1.0, int_stack+4667447, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kd|ih) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+6241391,int_stack+5990447,int_stack+5926943, 1.0, int_stack+4693907, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (if|ih) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+6368399,int_stack+6241391,int_stack+6110267, 1.0, int_stack+4757411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+900052,int_stack+898204,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5932487,int_stack+902428,int_stack+900052,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5939615,int_stack+5932487,int_stack+5926943,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5950703,int_stack+905398,int_stack+902428,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5959613,int_stack+5950703,int_stack+5932487,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6069827,int_stack+5959613,int_stack+5939615,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+909028,int_stack+905398,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6088307,int_stack+5926943,int_stack+5950703,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6106127,int_stack+6088307,int_stack+5959613,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5937833,int_stack+6106127,int_stack+6069827,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6069827,int_stack+913384,int_stack+909028,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5965553,int_stack+6069827,int_stack+5926943,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6129887,int_stack+5965553,int_stack+6088307,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6069827,int_stack+6129887,int_stack+6106127,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6105467,int_stack+6069827,int_stack+5937833,66);
 /*--- compute (mp|ih) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+6533039,int_stack+6105467,int_stack+6209051, 1.0, int_stack+4856195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ld|ih) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+4601591,int_stack+6533039,int_stack+5990447, 1.0, int_stack+4888535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kf|ih) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+613350,int_stack+4601591,int_stack+6241391, 1.0, int_stack+4967915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ig|ih) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+4760351,int_stack+613350,int_stack+6368399, 1.0, int_stack+5094923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5926943,int_stack+920716,int_stack+918532,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5933495,int_stack+923524,int_stack+920716,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5941919,int_stack+5933495,int_stack+5926943,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5955023,int_stack+927034,int_stack+923524,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+5965553,int_stack+5955023,int_stack+5933495,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5982401,int_stack+5965553,int_stack+5941919,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5926943,int_stack+931324,int_stack+927034,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+6004241,int_stack+5926943,int_stack+5955023,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6025301,int_stack+6004241,int_stack+5965553,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+5939813,int_stack+6025301,int_stack+5982401,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5972573,int_stack+936472,int_stack+931324,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+6053381,int_stack+5972573,int_stack+5926943,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6144275,int_stack+6053381,int_stack+6004241,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+6053381,int_stack+6144275,int_stack+6025301,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+6144275,int_stack+6053381,int_stack+5939813,78);
 /*--- compute (np|ih) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+6190139,int_stack+6144275,int_stack+6105467, 1.0, int_stack+5259563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (md|ih) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+6306563,int_stack+6190139,int_stack+6533039, 1.0, int_stack+2656487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (lf|ih) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+5926943,int_stack+6306563,int_stack+4601591, 1.0, int_stack+2753507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (kg|ih) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+6191543,int_stack+5926943,int_stack+613350, 1.0, int_stack+942556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+613350,int_stack+1671959,int_stack+2409527,588);
     Libderiv->ABCD[11] = int_stack + 613350;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+5007311,int_stack+1989479,int_stack+3274475,588);
     Libderiv->ABCD[10] = int_stack + 5007311;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+1648156,int_stack+2921087,int_stack+3768983,588);
     Libderiv->ABCD[9] = int_stack + 1648156;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+1993900,int_stack+48870,int_stack+4354631,588);
     Libderiv->ABCD[8] = int_stack + 1993900;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+4333463,int_stack+4015943,int_stack+3521435,588);
     Libderiv->ABCD[7] = int_stack + 4333463;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+2339644,int_stack+5609423,int_stack+5362463,588);
     Libderiv->ABCD[6] = int_stack + 2339644;
 /*--- compute (ih|ih) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+5353055,int_stack+6761903,int_stack+366390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[2] = int_stack + 5353055;
 /*--- compute (ih|ih) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+6509063,int_stack+7079423,int_stack+1401196, 0.0, zero_stack, 1.0, int_stack+1154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[1] = int_stack + 6509063;
 /*--- compute (ih|ih) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+6854807,int_stack+6191543,int_stack+4760351, 1.0, int_stack+1154236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,588);
     Libderiv->ABCD[0] = int_stack + 6854807;

}
